AutoCAD IGES 2010

IGES Translator Basics
AutoCAD IGES 2010
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • IGES Translator Basics
  • Mapping Tables
  • Translation Options
  • Dialog Boxes
  • Tools
  • Troubleshooting and Tips
  • Customization
  • AutoCAD IGES IDP Format Specification
  • CALS Option Sets
  • Reference
Please send us your comment about this page


IGES Translator Basics

AutoCAD IGES 2010
AutoCAD IGES 2010
Invoking the IGES Translator
AutoCAD IGES 2010 >
IGES Translator Basics
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Invoking the IGES Translator
  • Understanding IGES
  • Entity Translation


Invoking the IGES Translator

IGES Translator Basics
IGES Translator Basics
Using the IGES Translator
AutoCAD IGES 2010 > IGES Translator Basics >
Invoking the IGES Translator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Using the IGES Translator
  • Using the IGES Translator from the Mechanical Desktop File Menu
  • Using the IGES Translator from the Custom Menu
  • Using the IGES Translator from the Toolbar
  • Using the IGES Translator on the Command Line
  • Requesting a File Dialog Box on the IGES Translator's Command Line
  • IGES File Extension


Using the IGES Translator

Invoking the IGES Translator
Invoking the IGES Translator
Using the IGES Translator from the Mechanical Desktop File Menu
AutoCAD IGES 2010 > IGES Translator Basics > Invoking the IGES Translator >
Using the IGES Translator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGES Translator can be invoked from

  • The Mechanical Desktop standard File menu
  • A Mechanical Desktop or AutoCAD custom data exchange menu
  • The IGES Translator toolbar
  • The command line


Using the IGES Translator from the Mechanical Desktop File Menu

Using the IGES Translator
Invoking the IGES Translator
Using the IGES Translator from the Custom Menu
AutoCAD IGES 2010 > IGES Translator Basics > Invoking the IGES Translator >
Using the IGES Translator from the Mechanical Desktop File Menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can use the Mechanical Desktop menu's Insert and File [image] Export commands to invoke the IGES Translator.

To run the IGES Translator from the Mechanical Desktop menu:

  1. From the Mechanical Desktop or AutoCAD menu, choose Insert [image] IGES...for IGESIN, or File [image] Export for IGESOUT.
  2. Use the IGESIN or IGESOUT dialogs to specify the drawings or files names, locations and translation options, then press OK to launch the translation.


Using the IGES Translator from the Custom Menu

Using the IGES Translator from the Mechanical Desktop File Menu
Invoking the IGES Translator
Using the IGES Translator from the Toolbar
AutoCAD IGES 2010 > IGES Translator Basics > Invoking the IGES Translator >
Using the IGES Translator from the Custom Menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Mechanical Desktop or AutoCAD users can add a special Data Exchange menu to the menu bar.

To customize your Mechanical Desktop or AutoCAD menu by Adding a Data Exchange Menu:

  1. From the Mechanical Desktop or AutoCAD menu, choose Edit [image] Customize Menus.
  2. On the Menu Groups tab, make sure that Data Exchange is selected.
  3. On the Menu Bar tab, select the desired menu location and click the Activate button to place the Data Exchange command on your menu.
  4. From the Mechanical Desktop or AutoCAD menu, choose DataExchange.
  5. Choose Insert for IGESIN or Export for IGESOUT.
  6. Use the IGESIN or IGESOUT dialogs to specify the drawings or files names, locations and translation options, then choose OK to launch the translation.


Using the IGES Translator from the Toolbar

Using the IGES Translator from the Custom Menu
Invoking the IGES Translator
Using the IGES Translator on the Command Line
AutoCAD IGES 2010 > IGES Translator Basics > Invoking the IGES Translator >
Using the IGES Translator from the Toolbar
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can invoke the IGES Translator and many of its tools from the IGES Translator and IGES Tools toolbars. Once loaded, these toolbars function just like standard Mechanical Desktop or AutoCAD toolbars. See Toolbar Reference for information about the individual tools.

To load the IGES Translator toolbars:

  1. From the Mechanical Desktop or AutoCAD menu, choose View [image] Toolbars [image] Customize Toolbars.
  2. In the Toolbars dialog, select DataExchange in the Menu Group area to display the list of Data Exchange toolbars in the Toolbars area of the dialog.
  3. In the Menu Group area, choose Data Exchange, then check the boxes for the toolbars you want to display.
  4. Press Close to close the Toolbars dialog.


Using the IGES Translator on the Command Line

Using the IGES Translator from the Toolbar
Invoking the IGES Translator
Requesting a File Dialog Box on the IGES Translator's Command Line
AutoCAD IGES 2010 > IGES Translator Basics > Invoking the IGES Translator >
Using the IGES Translator on the Command Line
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you know the directory and name of the options file you want, and if you do not need to make any changes to the file, you can invoke the IGESIN and IGESOUT commands on the Mechanical Desktop or AutoCAD command line.

If you need to edit your options file, you can use any text editor capable of editing and saving ASCII files. When you have finished editing the options file, enter the IGESIN or the IGESOUT command on the AutoCAD command line and specify that options file.

Translating Files from IGES to AutoCAD at the Command Line

Translating Files from AutoCAD to IGES at the Command Line

Requesting a File Dialog Box on the Translator's Command Line


Requesting a File Dialog Box on the IGES Translator's Command Line

Using the IGES Translator on the Command Line
Invoking the IGES Translator
IGES File Extension
AutoCAD IGES 2010 > IGES Translator Basics > Invoking the IGES Translator >
Requesting a File Dialog Box on the IGES Translator's Command Line
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Requesting a File Dialog Box at the Translator's Command Line

You can request a file dialog box at the IGESIN or IGESOUT command line. At either of the following prompts, enter a tilde (~), then press return.

IGES filename <default>?

Options filename <default settings>?


IGES File Extension

Requesting a File Dialog Box on the IGES Translator's Command Line
Invoking the IGES Translator
Understanding IGES
AutoCAD IGES 2010 > IGES Translator Basics > Invoking the IGES Translator >
IGES File Extension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator uses a default file extension of igs when processing IGES file names entered on the command line. When you useIGESIN and do not specify an extension (for example, myfile), IGESIN searches for the file then adds the default extension. When you use IGESOUT and do not specify an extension, IGESOUT automatically adds the default extension. When you use the File name area of the IGESIN and IGESOUT dialog boxes, you can specify a different file extension for IGES and for options files.


Understanding IGES

IGES File Extension
IGES Translator Basics
Understanding IGES
AutoCAD IGES 2010 > IGES Translator Basics >
Understanding IGES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Understanding IGES
  • What Is IGES?
  • History of IGES
  • File Translation with IGES Versus DXF
  • Overview of IGES File Format
  • Overview of Solid Modeling and IGES


Understanding IGES
Understanding IGES
What Is IGES?
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES >
Understanding IGES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

These topics introduce IGES and provide information to assist you in reading and understanding the form and content of an IGES file.

What Is IGES?

History of IGES

File Translation with IGES Versus DXF

Overview of IGES File Format

Overview of Solid Modeling and IGES


What Is IGES?

Understanding IGES
Understanding IGES
History of IGES
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES >
What Is IGES?
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

What Is IGES?

This topic provides an overview of the IGES format. For a detailed explanation of how to read an IGES file, see Overview of IGES File Format.

IGES (Initial Graphics Exchange Specification) is the ANSI standard that defines a neutral format for the exchange of information between dissimilar CAD or CAM systems. For example, with an IGES-compatible translator, you can translate an AutoCAD drawing into a format that can be read by CATIA® or other CAD systems.

The IGES format reduces the number of translators required to move information among multiple CAD/CAM formats. Without a common standard, each system would have to produce its own set of direct translators to and from every other system. For example, ten pairs of translators are required to exchange data among five systems. The complexity and number of translators grow as the number of systems increases. With IGES acting as an intermediary, however, each system needs to be able to translate only to and from IGES format. The result is five pairs of translators.

The ideal file translation preserves the appearance and functionality of entities contained in a model when moving the model to another drawing; for example, from AutoCAD to IGES, or vice versa. This process does have limits.

As with all translations, concepts that can be expressed succinctly in one language may not have exact equivalents in another language; conversely, concepts common to two languages may be expressed differently by each. For example, IGES does not support 2D polylines with bulges; therefore, the Translator converts them to composite curves consisting of circular arcs, piecewise linear curves, and lines when translating them from AutoCAD to IGES.

Even when your drawings contain entities that do not have an equivalent concept in the target model, a one-time translation to or from IGES may not pose a serious problem. However, data loss can become a concern if you maintain models that will be repeatedly translated in and out of different formats through IGES. By becoming familiar with the details of the CAD systems and IGES translators you use, you can learn to structure drawings to minimize information loss in translation.

Because entities are converted during translation, the translation is not fully symmetrical: if you use IGESIN to read a file created by IGESOUT, the resulting AutoCAD drawing might not be identical to the original drawing.

Note The convention for denoting the type of IGES entity is the numerical construction type:form. For example, 214:2 is IGES entity type 214, form 2. Form numbers can also be signed (given a positive or negative value).


History of IGES

What Is IGES?
Understanding IGES
File Translation with IGES Versus DXF
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES >
History of IGES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The first version of IGES was developed in 1980 in response to demands from government and industry for a neutral file format permitting the exchange of data between dissimilar CAD or CAM systems. In 1981, IGES was approved as an ANSIstandard. Since then, many enhancements have been made, including the significant additions listed in the following table.

IGES version | Date | Added features
1.0 | 1980 | Mechanical 2D and 3D drawings.
2.0 | 1983 | Sculptured surfaces, rational B-splines, finite elements, and electrical drawings.
3.0 | 1986 | Manufacturing AEC (architecture, engineering, and construction), and piping drawings.
4.0 | 1988 | CSG (constructive solid geometry) solids.
5.0 | 1990 | Primarily consolidation and rationalization of existing formats to improve the quality and robustness of existing entities.
5.1 | 1991 | Boundary-representational (B-rep) solids. See Overview of Solid Modeling and IGES.
5.2 | 1993 | European character set and several clarifications; published as an ANSIstandard.
5.3 | 1996 | Unbounded Lines (110:1 and 110:2), several new Properties (406), and further clarifications. Year 2000 compliance.


File Translation with IGES Versus DXF

History of IGES
Understanding IGES
Overview of IGES File Format
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES >
File Translation with IGES Versus DXF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES files share some characteristics with Drawing Interchange (DXF)files--device independence, system independence, and a degree of versionindependence--that make them suitable for data transfer. For the translation into and out of AutoCAD, DXF avoids most problems of data loss.

IGES is the United States government's format of choice for the exchange of models within the CALS (Continuous Acquisition and Lifecycle Support, described in MIL-D-28000A ) program.

IGES supports NURBS surface entities, but DXF does not. Because Mechanical Desktop geometry isNURBS-based, you will need to use IGES rather than DXF to exchange Mechanical Desktop data.

IGES also supports the Manifold Solid B-Rep Object Entity (186), but the DXFformat for handling B-reps is currently encrypted. Thus, you may prefer to use IGES rather than DXF to exchange B-rep data. Remember that the 186 is an untested entity at this time, for which there is little production experience with data exchange. Because of this and also because of known system differences, you should take extra care in examining the results of B-rep translations among any pair of IGES translators.


Overview of IGES File Format

File Translation with IGES Versus DXF
Understanding IGES
Overview of IGES File Format
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES >
Overview of IGES File Format
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of IGES File Format
  • Reading an IGES File
  • IGES File Organization
  • Hollerith Representation (IGES)
  • End-of-Line Conventions and IGES
  • IGES Data Types
  • Sample IGES File


Overview of IGES File Format
Overview of IGES File Format
Reading an IGES File
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format >
Overview of IGES File Format
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This topic explains how to read an IGES file and describes the IGES file format. For additional details, see The Initial Graphics Exchange Specification (IGES) Version 5.3.

Reading an IGES File

IGES File Organization

Hollerith Representation

End-of-Line Conventions

IGES Data Types

Sample IGES File


Reading an IGES File

Overview of IGES File Format
Overview of IGES File Format
IGES File Organization
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format >
Reading an IGES File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Reading an IGES File

To read an IGES file, you must understand its structure and syntax. Using some concepts, such as following pointers and determining parent-child relationships, takes practice. For more information on parent-child relationships, see The Initial Graphics Exchange Specification (IGES) Version 5.3.

The IGES standard defines two file formats: fixed-length ASCII, which stores information in 80-character records, and compressed ASCII. The Translator supports only the fixed-length format, which can be read and modified by any ASCII text editor.

For compressed IGES file support, see the description of the igescomp tool.


IGES File Organization

Reading an IGES File
Overview of IGES File Format
Hollerith Representation (IGES)
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format >
IGES File Organization
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A standard IGES file is composed of sections. These sections are identified by a letter in column 73 of each record in the file. Each record has a sequence number in columns 73-80. The first record in a section is numbered X0000001(where X represents the section identifier), and each new record increases the sequence number by one. The leading zeros can be replaced by blank spaces. All characters are in ASCII format. The sections of an IGES file are:

ASCII

Flag Section

Start Section

Global Section

Directory Entry Section

Parameter Data Section

Terminate Section

These sections are shown in the Sample IGES File


Hollerith Representation (IGES)

IGES File Organization
Overview of IGES File Format
End-of-Line Conventions and IGES
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format >
Hollerith Representation (IGES)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES represents character strings using the Hollerith format. Instead of enclosing the characters in quotation marks (for example, "This is a string"), theHollerith format represents a string by a count of characters in the string followed by the letter H, then the characters themselves. For example, "This is a string" is represented as 16HThis is a string, and "AutoCAD-14" appears in the IGES file as 10HAutoCAD-14. Because this format is difficult to read, this Help file does not display it.


End-of-Line Conventions and IGES

Hollerith Representation (IGES)
Overview of IGES File Format
IGES Data Types
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format >
End-of-Line Conventions and IGES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The end-of-line (EOL) convention depends on the conventions of the sending operating system. For example, the lines in an IGES file generated on a DOS system end with a carriage return/linefeed pair (0x0D0A), while the lines in IGES files generated on a UNIX system end with a single newline character (0x0A). IGES files generated on other operating systems might not contain any end-of-line information.

The Translator's IGESIN command accommodates all EOL variations, and it accepts the ASCII IGES files created by most sending systems without special processing or preprocessing. The IGESOUT command creates IGES files that use the EOL convention of the system on which AutoCAD is running (all current AutoCAD platforms use either the carriage return/linefeed or the newline convention).


IGES Data Types

End-of-Line Conventions and IGES
Overview of IGES File Format
Sample IGES File
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format >
IGES Data Types
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following table lists the valid data types for an IGES file.

Data type | Description
Integer | Standard representation of an integer value; can be positive, negative, or zero.
Logical | Can have one of two values, 0 or 1 (0 = FALSE, 1 = TRUE).
Pointer | Location of information external to the entity; always an odd integer.
- Negated pointer | Has a minus sign in front of it, which declares the value to be a pointer.
- Back pointer | Points back from a member of an associativity instance to the associativity instance.
Real | Standard representation of a real number; can be positive, negative, or zero.
String (text) | An arbitrary sequence of readable ASCII characters. However, no ASCII control characters (that is, hexadecimals 001F and hexadecimal 7F) may appear in a string.
Language statement | An arbitrary character string made up of alphanumeric, punctuation, and blank characters from the ASCII character set. It is not preceded by the character count and the Hollerith delimiter, H, as the string constant is.


Sample IGES File

IGES Data Types
Overview of IGES File Format
Sample IGES File
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format >
Sample IGES File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Sample IGES File
  • Flag Section
  • Start Section (IGES)
  • Global Section (IGES)
  • Directory Entry (DE) Section (IGES)
  • First Line of the DE Section
  • Second Line of the DE Section
  • Parameter Data Section (IGES)
  • Reading a Parameter Data Entry (IGES)
  • Terminate Section (IGES)
  • Directory Entry and Parameter Data Relationships (IGES)
  • How Directory Entry and Parameter Data Relationships Work (IGES)


Sample IGES File
Sample IGES File
Flag Section
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format > Sample IGES File >
Sample IGES File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Sample IGES File

This topic contains a sample IGES file. Sections are listed in the order they appear in all IGES files. Choose the highlighted section header for an explanation of each section.

Flag Section

The Flag section is required in compressed ASCII files, but forbidden in fixed-length files.

Start Section

This sample IGES file from AutoCAD Release 14 contains a yellow circle | S | 1
centered at (5,5) with a diameter of 4.0 and a red diameter dimension | S | 2
inside the circle with a diameter symbol preceding the dimension text. | S | 3

Global Section

,,6Hcircle,10Hcircle.igs,34HAutoCAD-R14 (Microsoft Windows NT), | G | 1
65HAutodesk IGES Translator Release 14.3 (Jun 29 1997) Autodesk, Inc., | G | 2
32,38,6,99,15,6Hcircle,1.0D0,1,2HIN,32767,32.767D0,13H940929.000000, | G | 3
9.92500000000001D-9,9.92500000000001D0,6HPepper,14HAutodesk, Inc.,10,0, | G | 4
13H940928.000000; | G | 5

Directory Entry Section

100 1 0 1 0 0 0 0 | 0D | 1
100 0 5 1 0 | 0D | 2
212 2 0 1 0 0 0 0 | 10100D | 3
212 0 2 3 2 | 0D | 4
214 5 0 1 0 0 0 0 | 10100D | 5
214 0 2 2 3 | 0D | 6
214 7 0 1 0 0 0 0 | 10100D | 7
214 0 2 2 3 | 0D | 8
206 9 0 1 0 0 0 0 | 101D | 9
206 0 2 1 0 | 0D | 10

Parameter Data Section

100,0.0D0,5.0D0,5.0D0,7.0D0,5.0D0,7.0D0,5.0D0; | 1P | 1
1212,2,1,.13333328D0,.18D0,1003,1.5707963267949D0,0.0D0,0,0, | 3P | 2
24.49D0,4.91D0,0.0D0,1Hn,6,.79999968D0,.18D0,1,1.5707963267949D0, | 3P | 3
30.0D0,0,0,4.62333328D0,4.91D0,0.0D0,6H4.0000; | 3P | 4
4214,1,.182482875908947D0,6.00000000000005D-2,0.0D0,3.0D0,5.0D0, | 5P | 5
54.4D0,5.0D0; | 5P | 6
6214,1,.182482875908946D0,6.00000000000005D-2,0.0D0,7.0D0,5.0D0, | 7P | 7
75.6D0,5.0D0; | 7P | 8
8206,3,5,7,5.0D0,5.0D0; | 9P | 9

Terminate Section

S 3G 5D 10P 9

T

1


Flag Section

Sample IGES File
Sample IGES File
Start Section (IGES)
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format > Sample IGES File >
Flag Section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A C in column 73 identifies the Flag section. It is not output by the Translator and is found only in compressed ASCIIfiles (never in fixed-length ASCII files).The flag section identifies the file as compressed ASCII. Files in compressed ASCII format will not have DirectoryEntry or Parameter Data sections formatted as described in this document.

For information about compressed IGES file support, see the description of the igescomp tool.


Start Section (IGES)

Flag Section
Sample IGES File
Global Section (IGES)
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format > Sample IGES File >
Start Section (IGES)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Start Section

An S in column 73 identifies the Start section.

Columns 1 through 72 of the Start section contain comments that describe the drawing, identify its source, explain its format, and so on. The Start section does not affect the translation of the file. All the text in this section is in plain ASCII. The following is an example of a Start section.

This sample IGES file from AutoCAD Release 14 contains a yellow circle | S | 1
centered at (5,5) with a diameter of 4.0 and a red diameter dimension | S | 2
inside the circle with a diameter symbol preceding the dimension text. | S | 3


Global Section (IGES)

Start Section (IGES)
Sample IGES File
Directory Entry (DE) Section (IGES)
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format > Sample IGES File >
Global Section (IGES)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A G in column 73 identifies the Global section.

The Global section contains a series of values that describe global characteristics of the IGES file, such as the name of the file, the system that created the file, the parameter and record delimiters, units of measure, and precision. The following is an example of a Global section.

,,6Hcircle,10Hcircle.igs,34HAutoCAD-R14 (Microsoft Windows NT), | G | 1
65HAutodesk IGES Translator Release 14.0 (Jun 29 1997) Autodesk, Inc., | G | 2
32,38,6,99,15,6Hcircle,1.0D0,1,2HIN,32767,32.767D0,13H940929.000000, | G | 3
9.92500000000001D-9,9.92500000000001D0,6HPepper,14HAutodesk, Inc.,10,0, | G | 4
 | G | 5

The Global section parameters are as follows:

Number | Type | Name
1 | String | Parameter delimiter
2 | String | Record delimiter
3 | String | Sending product identification
4 | String | File name
5 | String | System ID
6 | String | Preprocessor version
7 | Integer | Binary bits required per integer
8 | Integer | Maximum power of ten representable in a single precision floating point number (maximum exponent)
9 | Integer | Number of significant digits in a single precision floating point number (maximum mantissa)
10 | Integer | Maximum power of ten representable in a double precision number (maximum exponent)
11 | Integer | Number of significant digits in a double precision floating point number (maximum mantissa)
12 | String | Product identification for the receiving system
13 | Real | Model space scale (model to real-world)
14 | Integer | Unit flag
15 | String | Units name
16 | Integer | Maximum number of line weight gradations (132768)
17 | Real | Width of maximum line weight (in units defined by parameter 15)
18 | String | Date/time of exchange file creation
19 | Real | Minimum user-intended resolution (in units defined by parameter 15)
20 | Real | Approximate maximum coordinate value occurring in the model (in units defined by parameter 15)
21 | String | Name of author
22 | String | Organization
23 | Integer | Version number of IGES specification used to create the file
24 | Integer | Drafting standard used for this drawing
25 | String | Date/time model was created or last modified
26 | String | Description indicating application protocol, application subset, military specification, or user-defined protocol or subset (not valid for versions of IGES earlier than 5.3).


Directory Entry (DE) Section (IGES)

Global Section (IGES)
Sample IGES File
First Line of the DE Section
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format > Sample IGES File >
Directory Entry (DE) Section (IGES)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Directory Entry (DE) Section

A D in column 73 identifies the Directory Entry (DE) section.

The Directory Entry section describes all the entities in the drawing. There is one entry for each entity in the file. Each entry consists of two lines organized into 20 eight-character fixed-format fields. The fields contain attributes such as color, view, linetype, pointers to transformation matrices, and pointers to parameter data for the entities.

This section also provides an index to the entities in the file. IGES entities are identified by their type number (fields 1 and 11) and a form number (field 15).

The following is an example of a directory entry for a Circle (100).

100 1 0 1 0 0 0 0 0D 1

100 0 5 1 0 0D 2

The following tables describe the data fields of the Directory Entry section.

First Line of DE Section Table

Second Line of DE Section Table


First Line of the DE Section

Directory Entry (DE) Section (IGES)
Sample IGES File
Second Line of the DE Section
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format > Sample IGES File >
First Line of the DE Section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Field | Columns | Field name | Permitted values | Comments
1 | 1-8 | Entity Type Number | Integer | Entity type identifier.
2 | 9-16 | Parameter Data Index | Pointer | Pointer to the first line of the parameter data record for the entity.
3 | 17-24 | Structure | Integer, pointer | Zero (0) or negated pointer to the directory entry of the definition entity that specifies the meaning of the entity.
4 | 25-32 | Line Font Pattern | Integer, pointer | Line Font Pattern or negated pointer to the directory entry of a Line Font Definition (304:1+ or 304:2).
5 | 33-40 | Level Mapping | integer, pointer | Number of the level upon which the entity resides, or a negated pointer to the directory entry of a Definition Levels property (406:1).
6 | 41-8 | View Mapping | 0, pointer | Pointer to the directory entry of a View entity (410:0 or 410:1) or a Views Visible Associativity Instance (402:3 or :4), or zero (the default), which indicates the entity is "seen" in all views.
7 | 49-6 | Transformation Matrix | 9, pointer | Pointer to the directory entry of a Transformation Matrix (124:0 or :1) used in defining this entity, or zero (0), which indicates that no Transformation Matrix will be used.
8 | 57-64 | Label Display Associativity | 0, pointer | Pointer to the directory entry of a Label Display Associativity (402:5), or zero (0), which indicates that there is no label display associativity.
9 | 65-72 65-66 67-68 69-70 71-72 | Status Number | Integer | Values indicating status of model construction values for that entity. Blank status 00 Visible 01 Blanked Subordinate entity status 00 Independent 01 Physically dependent 02 Logically dependent 03 Both (01) and (02) Entity use flag 00 Geometry 01 Annotation 02 Definition 03 Other 04 Logical/positional 05 2D Parametric 06 Construction Geometry Hierarchy 00 Global top-down 01 Global defer 02 Use hierarchy property
10 | 73-80 | Section Code and Sequence Number | D Integer | Physical count of this line from the beginning of the Directory Entry section preceded by the letter D. This number is always odd.


Second Line of the DE Section

First Line of the DE Section
Sample IGES File
Parameter Data Section (IGES)
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format > Sample IGES File >
Second Line of the DE Section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Second Line of the DE Section

Field | Columns | Field name | Permitted values | Comments
11 | 18 | Entity Type Number | Integer | Same as field 1
12 | 9-16 | Line Weight | Integer | System display thickness given as a gradation value based on the range of 0 to the maximum value defined in parameter 16 in the Global section
13 | 17-24 | Color | Integer, pointer | Color number or a negated pointer to the directory entry of a Color Definition (314)
14 | 25-32 | Parameter Line Count Number | Integer | Number of lines in the parameter data record for this entity
15 | 33-40 | Form Number | Integer | Identifier for entities that have multiple possible interpretations
16 | 41-48 | Reserved | Reserved | Reserved for future use
17 | 49-56 | Reserved | Reserved | Reserved for future use
18 | 57-64 | Entity Label |  | Name of entity, up to eight right-justified alphanumeric characters
19 | 65-72 | Subscript | Integer | An 8-digit unsigned number associated with the Entity Label
20 | 73-80 | Sequence Number | D integer + 1 | Physical count of this line from the beginning of the Directory Entry section preceded by the letter D. This number is always even


Parameter Data Section (IGES)

Second Line of the DE Section
Sample IGES File
Reading a Parameter Data Entry (IGES)
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format > Sample IGES File >
Parameter Data Section (IGES)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A P in column 73 identifies the Parameter Data section.

The Parameter Data (PD) section contains the physical records for each logical record associated with a directory entry (DE) entity. The DE pointer incolumns 66-72 contains the same number for each physical record associated with theDE entity. Each PD entry occupies as many lines as necessary to list all the logical records associated with the entry.

The PD section contains the data to describe each entity, such as point coordinates, coefficients of curve and surface equations, pointers to other entities,text characters, and other attributes. The kind of data found in the PDsection is different for each entity type. This section contains at least one record for each entity in the file. Records contain a combination of real numbers,integers, and text.

By default, parameters within each record are separated by commas, and the record ends with a semicolon. These defaults can be changed by Global Section parameters 1 and 2. A comment can appear between the end of the record and column72 (inclusive) of the line it is on. The following is an example of a parameter data entry.

100,0.0D0,5.0D0,5.0D0,7.0D0,5.0D0,7.0D0,5.0D0; 1P 1

212,2,1,.13333328D0,.18D0,1003,1.5707963267949D0,0.0D0,0,0, 3P 2

4.49D0,4.91D0,0.0D0,1Hn,6,.79999968D0,.18D0,1,1.5707963267949D0, 3P 3

0.0D0,0,0,4.62333328D0,4.91D0,0.0D0,6H4.0000; 3P 4

214,1,.182482875908947D0,6.00000000000005D-2,0.0D0,3.0D0,5.0D0, 5P 5

4.4D0,5.0D0; 5P 6

214,1,.182482875908946D0,6.00000000000005D-2,0.0D0,7.0D0,5.0D0, 7P 7

5.6D0,5.0D0; 7P 8

206,3,5,7,5.0D0,5.0D0; 9P 9


Reading a Parameter Data Entry (IGES)

Parameter Data Section (IGES)
Sample IGES File
Terminate Section (IGES)
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format > Sample IGES File >
Reading a Parameter Data Entry (IGES)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Reading a Parameter Data Entry

A parameter data entry begins with the IGES entity type number, followed by a list of entity-specific data, a list of parameters (for example, pointers to Associativity Instance, General Note, or Text Template Entities), and optional comments. Column 65 in all parameter data entries must contain a blank.

A parameter data entry can be as short as the preprocessor requires, but all fields after the semicolon must be default values (usually 0, 0.0, or zero-length strings, depending on the data type). For example, the PD data for a Point at the origin might be written as follows:

116,0.0,0.0,0.0,0,0,0;

The same point can be written as follows:

116;


Terminate Section (IGES)

Reading a Parameter Data Entry (IGES)
Sample IGES File
Directory Entry and Parameter Data Relationships (IGES)
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format > Sample IGES File >
Terminate Section (IGES)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A T in column 73 identifies the Terminate section.

Terminate (T) section is always the last section in the file. It is composed of a single line organized into 10 eight-character fields. The first four fields contain the sequence number of the last line from each of the four preceding sections. The next 5 fields are unused. The last field is the sequence number of the Terminate section; this sequence number must always be 1. The following is an example of a Terminate section.

S 3G 5D 10P 9 T 1


Directory Entry and Parameter Data Relationships (IGES)

Terminate Section (IGES)
Sample IGES File
How Directory Entry and Parameter Data Relationships Work (IGES)
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format > Sample IGES File >
Directory Entry and Parameter Data Relationships (IGES)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Together, the directory entry (DE) and parameter data (PD) entries for an entity provide the complete definition of that entity. The relationship between the two sets of data is as follows:

  • A DE entry has exactly one corresponding PD entry (one or more lines)
  • A PD entry has exactly one corresponding DE entry (two lines)
  • The second DE field points to the first line of the corresponding PD entry
  • The PD columns 66-72 of all corresponding entries point to their DE entry
  • DE field 14 contains a count of PD lines

Entity Relationships

An entity is related to another entity by referencing its DE number (also called the DE pointer). DE fields 3-8 and 13 can point to other entities. A parameter data entry can also point to another entity.

For more information, see How Directory Entry and Parameter Data Relationships Work.


How Directory Entry and Parameter Data Relationships Work (IGES)

Directory Entry and Parameter Data Relationships (IGES)
Sample IGES File
Overview of Solid Modeling and IGES
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of IGES File Format > Sample IGES File >
How Directory Entry and Parameter Data Relationships Work (IGES)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Each IGES entity has a unique directory entry (DE) number that references the entity to the Parameter Data (PD) section. The following sample IGES file of a Leader (214) shows the general relationship between an entity's DE section and its PD section.

DE listing for 214

Each DE record consists of two lines. The first line contains fields 1-10. The second line contains fields 11-20. For example, the entity type (214) is displayed in fields 1 and 11. To find the 214's number of PD records (which is 2), go to field 14 for that entity, listed in the second line of the DE record. The 214's form number (3) is in field 15. The 214's DE sequence number is in fields 10 and 20.

2144 0 0 0 0 0 0 10100 D 32140 2 2 3 0 0 D 4

PD listing for 214

The parameter data for the 214 entity is described in the section following the DE records. The 214 DE record has a pointer (field 2) to the PD section of the file, as in the following example:

214,1,.253448438762426D0,8.33333333333339D-2,0.0D0,3.0D0,5.0D0,3P44.43D0,5.0D0; 3P5

These data describe the 214's height, width, X, Y, and Z coordinates, and other attributes.

The PD listing is detailed as follows:

214 | Entity form number
1 | Number of segments in the entity
.253448438762426D0 | Arrowhead height
8.33333333333339D-2 | Arrowhead width
0.0D0 | Z depth
3.0D0 | X coordinate of the arrowhead tip (this is also the start point of the arrowhead)
5.0D0 | Y coordinate of the arrowhead tip (this is also the start point of the arrowhead)
4.43D0 | Endpoint X coordinate of the 214
5.0D0 | Endpoint Y coordinate of the 214


Overview of Solid Modeling and IGES

How Directory Entry and Parameter Data Relationships Work (IGES)
Understanding IGES
Overview of Solid Modeling and IGES
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES >
Overview of Solid Modeling and IGES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Overview of Solid Modeling and IGES
  • B-Rep Element Table


Overview of Solid Modeling and IGES
Overview of Solid Modeling and IGES
B-Rep Element Table
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of Solid Modeling and IGES >
Overview of Solid Modeling and IGES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGES standard includes provisions for solid models created using two different techniques:

  • Constructive Solid Geometry (CSG), a solid modeling method using Boolean operations (addition, subtraction, and difference) on two sets of objects to define composite models.
  • Boundary Representation (B-rep), a representation of a solid model that defines the faces, edges and vertices that bound an object. The IGES B-rep entity is called the Manifold Solid B-Rep Object Entity (186).

The Autodesk IGES Translator supports only B-rep models.

Due to the complexity of B-rep technical issues and to the fact that B-rep modeling is relatively new to AutoCAD users, some further information about boundary representation is included below. For information about limitations that may affect B-rep entities in IGES translations, please see the notes in IGESOUT 3D Solid Mapping.

Boundary Representation

Boundary representation is a technique in which a geometric object is represented using a description of its boundaries: the faces, edges and vertices (surfaces, curves and points) that completely enclose its volume.

B-rep models consist of two types of information: topology and geometry. Topology is the information about the connectivity and adjacency of the various elements of the model, and geometry is the mathematical description of the elements themselves.

Topological Elements

The topological elements in a B-rep model fall into two groups: primary topological elements and secondary topological elements. Secondary elements are collections of related primary elements. Primary elements are unique topological elements that define a B-rep object. The topological elements in the B-Rep Element Table are listed from highest to lowest levels of dimensionality.

For information about the IGES entities used in B-rep modeling, see Manifold Solid B-Rep Object, Closed Shell, Face, Loop, Edge List, and Vertex List.


B-Rep Element Table

Overview of Solid Modeling and IGES
Overview of Solid Modeling and IGES
Entity Translation
AutoCAD IGES 2010 > IGES Translator Basics > Understanding IGES > Overview of Solid Modeling and IGES >
B-Rep Element Table
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Element Name | Type | Definition | Corresponding Geometry
Manifold Solid B-Rep Object (MSBO) | Secondary | A 3D volume of space bounded by one or more shells. | -
Shell | Secondary | A collection of connected faces that serve as the boundary surface of a volume. | -
Face | Primary | A 2D portion of a shell bounded by a loop. | Surface
Loop | Secondary | A collection of edges and vertices that form the connected boundary of a single face. | -
Edge | Primary | A 1D portion of a loop bounded by two vertices. | Curve
Vertex | Primary | A unique point in space. | Point


Entity Translation

B-Rep Element Table
IGES Translator Basics
Entity Translation (IGES Translator)
AutoCAD IGES 2010 > IGES Translator Basics >
Entity Translation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Entity Translation (IGES Translator)
  • IGESIN Section Processing
  • IGESOUT Section Processing


Entity Translation (IGES Translator)

Entity Translation
Entity Translation
IGESIN Section Processing
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation >
Entity Translation (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Entities are translated anytime you translate a file from IGES format into AutoCAD (IGESIN) or from AutoCAD into IGES (IGESOUT). In some cases, the translations do not produce exact replicas. To understand what happens to each entity when it is translated, read the Help provided for it. The Help contains two master mapping tables: one shows how IGES entities are mapped into AutoCAD objects; the other, how AutoCAD objects are mapped into IGES entities. To use these tables, do one of the following:

  • Look up the IGES entity name in the IGES to AutoCAD Translation Mapping Table, then use the links provided to read about translations.
  • Look up the AutoCAD object name or number in the AutoCAD to IGES Translation Mapping Table, and then use the links provided to read about translations.

These tables contain information on each IGESIN and IGESOUT translation.

NoteThe convention for denoting the type of IGES entity is the numerical construction type:form. For example, 214:2 is IGES entity type 214, form 2. Form numbers can also be signed (given a positive or negative value).


IGESIN Section Processing

Entity Translation (IGES Translator)
Entity Translation
IGESIN Section Processing
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation >
IGESIN Section Processing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • IGESIN Section Processing
  • IGESIN: Start Section
  • IGESIN: Global Section
  • IGESIN: Directory Entry (DE) Section


IGESIN Section Processing
IGESIN Section Processing
IGESIN: Start Section
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESIN Section Processing >
IGESIN Section Processing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGESIN processes file sections in the following order. Choose the section name for details on how the section is processed:

IGESIN: Start Section

IGESIN: Global Section

IGESIN: Directory Entry (DE) Section


IGESIN: Start Section

IGESIN Section Processing
IGESIN Section Processing
IGESIN: Global Section
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESIN Section Processing >
IGESIN: Start Section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator records the IGES Start section in the log file.


IGESIN: Global Section

IGESIN: Start Section
IGESIN Section Processing
IGESIN: Directory Entry (DE) Section
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESIN Section Processing >
IGESIN: Global Section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator records the Global section information in the log file, using the following fields:

  • End-of-record character
  • End-of-field character
  • Units flag
  • Units string
  • Minimum intended resolution.


IGESIN: Directory Entry (DE) Section

IGESIN: Global Section
IGESIN Section Processing
IGESOUT Section Processing
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESIN Section Processing >
IGESIN: Directory Entry (DE) Section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator maps directory entry (DE) field data to AutoCAD. Each IGES entity has one DE section, which provides index and attribute information. The DE fields are:

  • IGESIN: DE: Entity Type Number
  • IGESIN: DE: Parameter Data Index
  • IGESIN: DE: Structure
  • IGESIN: DE: Line Font Pattern
  • IGESIN: DE: Line Font Pattern
  • IGESIN: DE: Level Mapping
  • IGESIN: DE: View Mapping
  • IGESIN: DE: Transformation Matrix
  • IGESIN: DE: Label Display Associativity
  • IGESIN: DE: Status Number
  • IGESIN: DE: Sequence Number
  • IGESIN: DE: Line Weight
  • IGESIN: DE: Color
  • IGESIN: DE: Parameter Line Count Number
  • IGESIN: DE: Form Number
  • IGESIN: DE: Entity Label
  • IGESIN: DE: Subscript


IGESOUT Section Processing

IGESIN: Directory Entry (DE) Section
Entity Translation
IGESOUT Section Processing
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation >
IGESOUT Section Processing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • IGESOUT Section Processing
  • IGESOUT Start Section
  • IGESOUT Global Section
  • IGESOUT DE Section
  • Mapping Display Attributes of Blocks and Inserts (IGES Translator)
  • Layer-to-Level Mapping (IGES Translator)
  • Line-Width-to-Line-Weight Mapping (IGES Translator)
  • Lineweight Mapping (IGES Translator)
  • View DE Field Mapping (IGES Translator)
  • Blank Status Field Mapping (IGES Translator)
  • Color (IGES Translator)
  • Handle-to-Label Mapping (IGES Translator)
  • Arrowhead Mappings (IGES Translator)


IGESOUT Section Processing
IGESOUT Section Processing
IGESOUT Start Section
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESOUT Section Processing >
IGESOUT Section Processing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGESOUT translations are processed using rules established by the IGES standard. The following material discusses those rules. See Reading an IGES File for information about the sections in an IGES file.

IGESOUT: Start Section

IGESOUT: Global Section

IGESOUT: DE Section


IGESOUT Start Section

IGESOUT Section Processing
IGESOUT Section Processing
IGESOUT Global Section
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESOUT Section Processing >
IGESOUT Start Section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Start section provides a prolog to the IGES file in a format that you can read (ASCII format). IGES specifications require additional information in the Start section. By default, the Translator creates one empty line for the Start section. You can specify the text for the Start section.

  • From AutoCAD. The Translator extracts text from the text entities on the IGES_MODEL_NOTES layer and writes the text to the Start section in the order in which the entities were created.
  • From a file. Use the start option to specify a file to be inserted in the Start section of the IGES file. Input files should contain lines with fewer than 72 characters. If the selected file has lines with more than 72 characters, the extra characters are mapped to the line that follows the longer line.
  • From layer mapping. Use the level_notes option to specify the listing of the level numbers generated in the IGES file with their corresponding layer names.

The complete Start section is written to the log file. If the Start section of an IGES file needs to be modified, you can use the igestrt tool.

You can use the Start and Global Options dialog box to set all options that affect the Start and Global sections of the IGES file.


IGESOUT Global Section

IGESOUT Start Section
IGESOUT Section Processing
IGESOUT DE Section
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESOUT Section Processing >
IGESOUT Global Section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Some of the Global section parameters are extracted from AutoCAD system variables. Others can be preset through options. The following table lists each global parameter, its default value, and the Translator option that sets the parameter.

Parameter name | Default value | User options
Parameter delimiter | , (comma) | eofchar (end-of-field character)
Record delimiter | ; (semicolon) | eorchar (end-of-record character)
Sending product identification | AutoCAD drawing name (without the .dwg extension) | sendid (sending system identification)
File name | File specified for IGESOUT (including the path) | None
System ID | Version of AutoCAD and platform used | None
Preprocessor version | Version and release date of the IGESOUT translator | None
Binary bits required per integer | 32 | None
Maximum power of ten representable in a single precision floating point number(maximum exponent) | 38 | None
Number of significant digits in a single precision floating point number(maximum mantissa) | 6 | None
Maximum power of ten representable in a double precision number (maximum exponent) | 99 | None
Number of significant digits in a double precision floating point number (maximum mantissa) | 15 | None
Receiving product identification | AutoCAD drawing name (no extension) | recvid (receiving system identification)
Model space scale (model to real-world) | 1.0 | msscale (model space scale)
Unit flag | 1 (inches) | units
Units | IN | units_str (units string)
Maximum number of line weight gradations (1-32768) | 32767 | None
Width of maximum line weight (in units defined by maximum number of lineweight gradations) | 32.767 | None
Date and time of exchange file creation | Current date and time in the form YYMMDD.HHMMSS | None
Minimum user-intended resolution | 10^-9 times maximum coordinate | None
Approximate maximum coordinate value occurring in the model | The drawing extents obtained from EXTMAX | None
Name of author |  | author
Organization |  | organization
Version number of IGES specification | 10 (IGES 5.2) | iges_version Valid values: 1 = Version 1.0 2 = ANSI Y14.26M-1981 3 = Version 2.0 4 = Version 3.0 5 = ASME ANSI Y14.26M-1987 6 = Version 4.0 7 = ASME Y14.26M-1989 8 = Version 5.0 9 = Version 5.1 10 = Version 5.2 11 = Version 5.3 If the Translator is being used when new versions of IGES are available, you can use iges_version to specify the appropriate code for field 23 (as indicated by the new specification). Note Older IGES processors might reject IGES files with the new version's code.
Drafting standard used for this drawing | 0 (none) | draft_std (drafting standard) Valid values and their drafting standards: 0 None 1 ISO 2 AFNOR 3 ANSI 4 BSI 5 CSA 6 DIN 7 JIS
Date and time the model was created or last modified | Date and time of the last SAVE operation in the form YYMMDD.HHMMSS | None


IGESOUT DE Section

IGESOUT Global Section
IGESOUT Section Processing
Mapping Display Attributes of Blocks and Inserts (IGES Translator)
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESOUT Section Processing >
IGESOUT DE Section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Many AutoCAD objects have common attributes (linetype, layer, orientation, visibility, color, and handles) that the Translator maps to IGES DE fields (linefont, level, transformation matrix, blanking, color, and entity label). Other DE fields have default values.

Linetype Mapping

Mapping Display Attributes of Blocks and Inserts

Layer-to-Level Mapping

Line-Width to Line-Weight Mapping

Lineweight Mapping

View DE Field Mapping

Blank Status Field Mapping

Color

Handle-to-Label Mapping

Arrowhead Mappings


Mapping Display Attributes of Blocks and Inserts (IGES Translator)

IGESOUT DE Section
IGESOUT Section Processing
Layer-to-Level Mapping (IGES Translator)
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESOUT Section Processing >
Mapping Display Attributes of Blocks and Inserts (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In AutoCAD, layer 0 can be used to exhibit special behavior in the display of color and linetype for blocked objects. This special behavior cannot be preserved when the objects are mapped to IGES and in some cases the original color and linetype may be lost. For example, suppose block A has three text objects on layer 0 with their colors set as indicated:

  • Line 1: color BYLAYER
  • Line 2: color RED
  • Line 3: color BYBLOCK

When block A is inserted, the color of line 1 will be the same as color of the layer on which the block reference object is created, line 2 will remain red, and line 3 will be same color as block reference. If block A is inserted on layer 2 (which is blue) with color green, line 1 will be blue, line 2 will be RED, and line 3 will be green.

When block references of the same block use different layers, colors, and linetypes, the blocked objects on layer 0 will be mapped to IGES with the color and linetypes derived from the first created reference of the block. So, for those common block references on different layers and/or using different colors and linetypes, the resulting IGES mapping will not visually match the AutoCAD drawing, except for the first reference of the block and any others with the same layer, color, and linetype.


Layer-to-Level Mapping (IGES Translator)

Mapping Display Attributes of Blocks and Inserts (IGES Translator)
IGESOUT Section Processing
Line-Width-to-Line-Weight Mapping (IGES Translator)
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESOUT Section Processing >
Layer-to-Level Mapping (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator maps layer names sequentially to level numbers, starting at 0, unless the name itself is numeric and in the range of valid IGES level numbers (0 to 99999999). For example, layers 0, 3, DIM, and 100 are mapped to level numbers 0, 3, 1, and 100, respectively.

You can map layer names to IGES with layer_name_mapping as shown in the following table.

Value of layer_name_mapping | Result
0 | No mapping.
1 | The Translator maps the layer name to the function description of a Level Function Property (406:3). Most systems recognize this mapping for preserving layer/level names.
2 | The Translator maps the layer name to the name string of a Name Property (406:15).
3 | The Translator maps the layer name, visibility, lock status, color, and linetype to an entry in an Autodesk Level Attribute Table IDP (406:9200).

IGES cannot associate color, linetype, visibility, or locking to levels. However, you can map this information to IGES by setting autodesk_idp to 1 and layer_name_mapping to 3.

When level_notes is set to 1, the Translator maps the layer name to a note in the Start section that indicates how the layer name is mapped to an IGES level number


Line-Width-to-Line-Weight Mapping (IGES Translator)

Layer-to-Level Mapping (IGES Translator)
IGESOUT Section Processing
Lineweight Mapping (IGES Translator)
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESOUT Section Processing >
Line-Width-to-Line-Weight Mapping (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator does not support the mapping of line widths from polyline and trace objects. To do so would be a misuse of IGES line weight. Instead, the Translator maps line widths to instances of Line-Widening Properties (406:5).

the line width property of a polyline or trace object is different from the lineweight property introduced in AutoCAD. For information on how these new lineweights are mapped, see Lineweight Mapping.


Lineweight Mapping (IGES Translator)

Line-Width-to-Line-Weight Mapping (IGES Translator)
IGESOUT Section Processing
View DE Field Mapping (IGES Translator)
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESOUT Section Processing >
Lineweight Mapping (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD introduced support for a new property called lineweight that adds width to objects both on screen and in printed output. See Lineweights for information on how AutoCAD lineweights are mapped to IGES.


View DE Field Mapping (IGES Translator)

Lineweight Mapping (IGES Translator)
IGESOUT Section Processing
Blank Status Field Mapping (IGES Translator)
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESOUT Section Processing >
View DE Field Mapping (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator sets the IGES View DE field to one of four values depending on how the AutoCAD object is mapped. Correspondence between the View field values and AutoCAD object mappings is shown in the following table.

View field value | AutoCAD object mapping
0 (all views) | When the object is displayed in all viewports (that is, when the layer of the object is not frozen in any viewport); also, when there are no viewports.
View Entity (410:0 or 410:1) pointer | When the object is displayed in only one viewport (that is, when the layer of the object is frozen in all but one viewport). The Translator maps the viewport in which the object is displayed to a View Entity and references the view object in the View field of the entity's DE record.
Views Visible Entity (402:3) pointer | When the object is displayed in some but not all viewports (that is, when the layer of the object is frozen in some viewports). The Translator generates the Views Visible Entity referenced by the object with references to all the View Entities (410:0 and/or 410:1) mapped from the viewports in which the object is displayed.

See the AutoCAD documentation for more information on viewports and object visibility, and for information on the MVIEW and VPLAYER commands.


Blank Status Field Mapping (IGES Translator)

View DE Field Mapping (IGES Translator)
IGESOUT Section Processing
Color (IGES Translator)
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESOUT Section Processing >
Blank Status Field Mapping (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator sets the blank status DE field of an IGES entity by mapping an AutoCAD object's visibility field (DXF group code 60) or layer visibility.

If the AutoCAD object is invisible (that is, if its visibility field has a value of 1), the Translator sets the IGES blank status field to 01; otherwise, theTranslator sets the IGES blank status field to 00.

If the AutoCAD object is on a layer that is frozen or off, the Translator sets the IGES blank status field to 01; otherwise, the Translator sets the IGESblank status field to 00 (if the entity is not already set to 01 due to the visibility field).

An attribute object with the invisible flag set (DXF group code 70 with flatbit value 1) will be mapped to an IGES entity with the blank status field set to 01.


Color (IGES Translator)

Blank Status Field Mapping (IGES Translator)
IGESOUT Section Processing
Handle-to-Label Mapping (IGES Translator)
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESOUT Section Processing >
Color (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator maps colors identified by AutoCAD color indexes to the appropriate predefined color (0-8) or to a Color Definition Entity (314) that specifies the percentages of red, green, and blue that form the color.

The color mappings in the following table apply when you set omit_314 to 0 (the default setting).

Color Mappings with Color Definition Entity

The color mappings in the following table apply when you set omit_314 to 1.

Color Mappings without Color Definition Entity


Handle-to-Label Mapping (IGES Translator)

Color (IGES Translator)
IGESOUT Section Processing
Arrowhead Mappings (IGES Translator)
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESOUT Section Processing >
Handle-to-Label Mapping (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Handles are unique identifiers assigned to objects by AutoCAD. To map handles to labels, set handle_labels to 1 or enable Entity Handles in the DE Mappings dialog box (reached through the IGESOUT Options Editor). The Translator will map these handles to the IGES DE label field.

If the handle has more than eight characters, the Translator will clear theIGES DE label field and attach a Name Property (406:15) using the handle as the name.


Arrowhead Mappings (IGES Translator)

Handle-to-Label Mapping (IGES Translator)
IGESOUT Section Processing
Mapping Tables
AutoCAD IGES 2010 > IGES Translator Basics > Entity Translation > IGESOUT Section Processing >
Arrowhead Mappings (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD leader objects and arrowheads and leader lines from AutoCAD dimension objects are mapped to IGES Leader Entities (214:1-12) as follows:

AutoCAD Style | IGES Entity 214 form number (name)
Architectural Tick | 9 (slash)
Box | 7 (rectangle)
Box Filled | 8 (filled rectangle)
Closed | 2 (filled triangle)
Closed blank | 1 (open triangle)
Closed fill | 3 (filled triangle)
Datum Triangle | N/A
Datum Triangle Filled | N/A
Dot | 5 (circle) or 6 (filled circle)
Dot Blank | 5 (circle)
Integral | 10 (Integral sign)
None | 4 (no arrowhead)
Oblique Stroke | 9 (slash)
Oblique Stroke | 9 (slash)
Open | 1 (wedge)
Open 30 | 1 (wedge)
Origin Indication | 12 (Dimension Origin)
Right Angle | 1 (wedge)
Small dot | 5 (circle) or 6 (filled circle)

NoteThe filled aspect of the DOT arrowhead cannot be mapped to IGES. A filled circle (214:6) is created if the AutoCAD system variable FILLMODE = 1. A circle (214:5) is created if FILLMODE = 0.

When the IGESOUT Annotation option Decompose Dimensions is selected (that is, when decompose_dims is set to 1), the arrowhead objects will be mapped as independent objects. For example, a block reference arrowhead will be mapped to a Subfigure Instance (408:0) and a Subfigure Definition (308:0).


Mapping Tables

Arrowhead Mappings (IGES Translator)
AutoCAD IGES 2010
IGES to AutoCAD Translation Mapping table
AutoCAD IGES 2010 >
Mapping Tables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • IGES to AutoCAD Translation Mapping table
  • AutoCAD to IGES Translation Mapping Table


IGES to AutoCAD Translation Mapping table

Mapping Tables
Mapping Tables
AutoCAD to IGES Translation Mapping Table
AutoCAD IGES 2010 > Mapping Tables >
IGES to AutoCAD Translation Mapping table
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following table lists all IGES entities in ascending numerical order. The"Translated into AutoCAD or Mechanical Desktop as" column indicates the AutoCAD or Mechanical Desktop support status for that IGES entity.

If there is more than one entry in the "Translated into AutoCAD or MechanicalDesktop as" column, then the translation may depend on other factors, such as option settings, the presence of The Mechanical Desktop, or other interdependencies.

Not all translations require extra information; however, for those that do,you can see that information by choosing the IGES entity number or name.

"Untested" IGES entities have not been sufficiently tested by the IGES/PDESorganization to be included in the main body of The Initial Graphics ExchangeSpecification (IGES) Version 5.3.

If a given IGES entity is obsolete according to the IGES standard, the word"obsolete" appears in the IGES entity name column.

IGES Entity Number | IGES Entity Name | Translated into AutoCAD or Mechanical Desktop as | Untested
0 | Null | Ignored |
100 | Circular Arc | Circle, arc, 2D polyline |
102 | Composite Curve | Line, polyline, circular arc, circle, ellipse, or spline, possibly grouped |
104:0 | General Conic | Ellipse, 2D polyline or spline |
104:1 | Ellipse | Ellipse |
104:2 | Hyperbola | Spline or 2D polyline |
104:3 | Parabola | Spline or 2D polyline |
106:1 | Copious Data: Multipoint (2D) | Points, optionally grouped |
106:2 | Copious Data: Multipoint (3D) | Points, optionally grouped |
106:3 | Copious Data: Multipoint (with vectors) | Lines, optionally grouped |
106:11 | Copious Data: Multipoint Line (2D linear path) | 2D polyline |
106:12 | Copious Data: Multipoint Line (3D linear path) | 3D polyline |
106:13 | Multipoint Line (3D linear curve) with vectors | 3D polyline or Mechanical Desktop augmented line |
106:20 | Centerline (crosshairs) | Lines, optionally grouped |
106:21 | Centerline (multiple objects) | Lines, optionally grouped |
106:31-38 | Section Entity (line patterns) | Lines, optionally grouped |
106:40 | Witness Line | Lines or part of a dimension |
106:63 | Simple Closed Planar Curve | 2D polyline (closed) |
108:0 | Unbounded Plane | Viewport clipping or applied while trimming surfaces |
108:-1, +1 | Bounded Plane | Curve (boundary) |
110:0 | Line | Line or 2D polyline |
110:1 | Semi-Bounded Line | Ray | X
110:2 | Unbounded Line | Xline | X
112 | Parametric Spline Curve | Spline or 2D or 3D polyline |
114 | Parametric Spline Surface | Mechanical Desktop surface, AutoCAD body, 3D face or polyline, possibly grouped |
116 | Point | Point or block reference of point display symbol block |
118:0-1 | Ruled Surface | Mechanical Desktop trimmed surface, AutoCAD body, 3D face or polyline(possibly grouped) |
120 | Surface of Revolution | Mechanical Desktop surface, AutoCAD body, 3D face or polyline (possiblygrouped) |
122 | Tabulated Cylinder | Mechanical Desktop surface, AutoCAD body, 3D face or polyline (possibly grouped) |
123 | Direction | Used In B-rep mapping | X
124:0-1 | Transformation Matrix | Named UCS |
124:10-12 | Cartesian, Cylindrical, Spherical | Not supported |
125:0 | Flash: Defined by Referenced Entity | Mapping of referenced entity |
125:1 | Circular flash | Wide bulged polyline |
125:2 | Rectangular flash | Trace |
125:3 | Donut flash | Wide bulged polyline |
125:4 | Canoe flash | Wide bulged polyline |
126:0-5 | Rational B-Spline Curve | 2D or 3D polyline or spline |
128:0-9 | Rational B-Spline Surface | Mechanical Desktop surface, AutoCAD body, 3D face or polyline, possibly grouped |
130 | Offset Curve | Spline or 2D polyline |
132 | Connect Point | Point or block reference of display symbol, and text object(s) |
134 | Node | Not supported |
136 | Finite Element | Not supported |
138 | Nodal Displacement and Rotation | Not supported |
140 | Offset Surface | Mechanical Desktop surface, AutoCAD body, 3D face or polyline, possibly grouped |
141 | Boundary | Approximated curve (spline or polyline); translation depends on constituent curves |
142 | Curve on a Parametric Surface | Approximated curve (spline or polyline); translation depends on constituent curves |
143 | Bounded Surface | Mechanical Desktop trimmed surface, region, AutoCAD body, 3D face or polyline,possibly grouped |
144 | Trimmed (Parametric) Surface | Mechanical Desktop trimmed surface, region, AutoCAD body, 3D face or polyline,possibly grouped |
146:0-34 | Nodal Results | Not supported | X
148:0-34 | Element Results | Not supported | X
150 | Block | Not supported |
152 | Right Angular Wedge | Not supported |
154 | Right Circular Cylinder | Not supported |
156 | Right Circular Cone Frustum | Not supported |
158 | Sphere | Not supported |
160 | Torus | Not supported |
162:0-1 | Solid of Revolution | Not supported |
164 | Solid of Linear Extrusion | Not supported |
168 | Ellipsoid | Not supported |
180 | Boolean Tree | Not supported |
182 | Selected Component | Not supported | X
184 | Solid Assembly | Not supported |
186:0 | Manifold Solid B-Rep Object | AutoCAD 3D solid, body, Mechanical Desktop part, 3D face or polyline (possibly grouped), Mechanical Desktop trimmed surfaces | X
190 | Plane Surface | Used in B-rep mapping or component of a 143. Geometric component of an AutoCAD3D solid, body, or approximated surface, a Mechanical Desktop part, anMechanical Desktop trimmed surface, or a region | X
192 | Right Circular Cylindrical Surface | Used in B-rep mapping | X
194 | Right Circular Conical Surface | Used in B-rep mapping | X
196 | Spherical Surface | Used in B-rep mapping | X
198 | Toroidal Surface | Used in B-rep mapping | X
202:0 | Angular Dimension | Angular dimension |
204:0 | Curve Dimension | Group containing arcs, circles, polylines, lines, splines, text, and block arrowheads | X
206:0 | Diameter Dimension | Diameter dimension |
208:0 | Flag Note | Group containing lines, polylines, text, and block arrowheads |
210:0 | General Label | Group containing lines, text, and block arrowheads |
212:0-8; 212:100-102; 212:105 | General Note | Mtext, text, or block reference. |
213 | New General Note | Not supported | X
214:1-12 | Leader | Leader, block reference or group of solid, lines and/or arcs |
216:0 | Linear Dimension of undetermined form | Linear dimension (horizontal, vertical, or rotated) |
216:1 | Linear Dimension of diameter form | Linear Dimension (horizontal, vertical, or rotated) | X
216:2 | Linear Dimension of radius form | Linear dimension (horizontal, vertical, or rotated) | X
218:0 | Ordinate Dimension Without supplemental leader | Ordinate dimension |
218:1 | Ordinate Dimension with supplemental leader | Ordinate dimension | X
220 | Point Dimension | Group with polylines, text, lines, associated geometry, and block arrowheads |
222:0 | Radius Dimension, one arrowhead | Radius dimension |
222:1 | Radius Dimension, two arrowheads | Radius dimension |
228:0 | General Symbol | Text, lines, associated geometry, and block arrowheads, optionally grouped |
228:1 | Datum Feature Symbol | Text, lines, associated geometry, and block arrowheads, optionally grouped | X
228:2 | Datum Target Symbol | Text, lines, associated geometry, and block arrowheads, optionally grouped | X
228:3 | Feature Control Frame | Text, lines, associated geometry, and block arrowheads, optionally grouped | X
230:0 | Sectioned Area: Standard Crosshatching Patterns 0-19 | Mapping of boundary curves and lines or 2D solid, optionally grouped |
230:0 | Sectioned Area: Standard Crosshatching Patterns 20-268 | Mapping of boundary curves and lines, optionally grouped | X
230:1 | Sectioned Area: Inverted Crosshatching | Mapping of boundary curves and lines, optionally grouped | X
302:5001-9999 | Associativity Definition | Not supported |
304:1 | Line Font Definition (template subfigure) | Linetype approximated from default line font of 304:1 |
304:2 | Line Font Definition (visible-blank pattern) | Linetype |
306 | MACRO Definition | Not supported | X
308 | Subfigure Definition | Block |
310 | Text Font Definition | Not supported |
312:0 | Text Display Template, Absolute | Attribute definition, Text object |
312:1 | Text Display Template, Incremental | Attribute definition, Text object |
314 | Color Definition | Color |
316 | Units Data | Not supported | X
320 | Network Subfigure Definition | Block |
322:0-2 | Attribute table Definition | Not supported |
402:1 | Unordered Group with Back Pointers | AutoCAD group, Entity Grouping Tool group, or ungrouped |
402:2 | External Logical Reference File Index (obsolete) | Not supported |
402:3 | Views Visible | Viewport layer exclusions |
402:4 | Views Visible: Color, Line Weight | Viewport layer exclusions |
402:5 | Entity Label Display | Not supported |
402:6 | View List (obsolete) | Not supported |
402:7 | Unordered Group Without Back Pointers | AutoCAD group, Entity Grouping Tool group, or ignored |
402:8 | Signal String (obsolete) | Not supported |
402:9 | Single Parent | Not supported |
402:10 | Text Node (obsolete) | Not supported |
402:11 | Connect Node (obsolete) | Not supported |
402:12 | External Reference File Index | Not supported |
402:13 | Dimensioned Geometry | AutoCAD group, Entity Grouping Tool group, or ignored |
402:14 | Ordered Group with Back Pointers | AutoCAD group, Entity Grouping Tool group or ignored |
402:15 | Ordered Group Without Back Pointers | AutoCAD group, Entity Grouping Tool group, or ignored |
402:16 | Planar Associativity | Ignored |
402:18 | Flow Associativity | AutoCAD group, Entity Grouping Tool, or ignored |
402:19 | Segmented View, Visible Associativity | Viewport layer exclusions without segmented visibility | X
402:20 | Piping Flow Associativity | AutoCAD group, Entity Grouping Tool, or ignored | X
402:21 | Dimensioned Geometry Associativity | Not supported | X
402:5001-9999 | Implementor-Defined Associativity Instance Entity | Not supported |
404:0 | Drawing Without Rotated Views | Viewports and paper space objects, including layouts |
404:1 | Drawing with Rotated Views | Viewports and paper space objects, including layouts | X
404:5502 | CADAM Drawing with Rotated Views | Viewports and paper space objects, including layouts |
406:1 | Definition Levels Property | Layer name |
406:2 | Region Restriction Property | Not supported |
406:3 | Level Function Property | Layer name |
406:4 | Region Fill Property (obsolete) | Not supported |
406:5 | Line Widening Property | Width of 2D polyline |
406:6 | Drilled Hole Property | Not supported |
406:7 | Reference Designator Property | Not supported |
406:8 | Pin Number Property | Not supported |
406:9 | Part Number Property | Not supported |
406:10 | Hierarchy Property | Applied as appropriate to color, line font, view, level blank status, lineweight |
406:11 | Tabular Data Property | Not supported |
406:12 | External Reference File List Property | Not supported |
406:13 | Nominal Size Property | Not supported |
406:14 | Flow Line Specification Property | Not supported |
406:15 | Name Property | Layer name |
406:16 | Drawing Size Property | Limits |
406:17 | Drawing Units Property | Applied during processing of mixed-units files |
406:18 | Intercharacter Spacing Property | Not supported | X
406:19 | Line Font Property | Not supported | X
406:20 | Highlight Property | Not supported | X
406:21 | Pick Property | Not supported | X
406:22 | Uniform Rectangular Grid Property | Not supported | X
406:23 | Associativity Group Type Property | Not supported | X
406:24 | Level to PWB Layer Map Property | Not supported | X
406:25 | PWB Artwork Stackup Property | Not supported | X
406:26 | PWB Drilled Hole Property | Not supported | X
406:27 | Generic Data Property | Not supported | X
406:28 | Dimension Units Property | Not supported | X
406:29 | Dimension Tolerance Property | Not supported | X
406:30 | Dimension Display Data Property | Not supported | X
406:31 | Basic Dimension Property | Basic dimension feature of dimensions | X
406:32 | Drawing Sheet Approval Property | Noted in log file | X
406:33 | Drawing Sheet ID Property | Noted in log file | X
406:34 | Underscore Property | Special character codes in text or mtext | X
406:35 | Overscore Property | Special character codes in text or mtext | X
406:36 | Closure Property | Not supported | X
406:5558 | CADDS Surface Mesh IDP | If Mechanical Desktop is present, used for surface path display. Otherwise,used to determine number of polyline approximations. |
406:7901 | AutoCAD Attribute Reference IDP | Attribute |
406:9200 | AutoCAD Level Attributes table IDP | Layer information including name, visibility, lock status, color, andlinetype. Each level's table entry is mapped to a layer with the specified name, blank status, lock status, color, and linetype. |
406:9201 | AutoCAD Level Attributes Instance IDP | BYLAYER color or linetype |
406:9202 | AutoCAD Nonuniform Scale IDP | Block reference with nonuniform scale |
406:9203 | AutoCAD Text Alignment IDP | Text with alignment |
406:9204 | AutoCAD Text Style IDP | Style |
406:9205 | AutoCAD Dimension Style IDP | Dimension style |
406:9208 | AutoCAD Dimension Centerline IDP | Diameter or radius dimension with a centerline |
406:9209 | AutoCAD Attribute Definition IDP | Attribute definition |
406:9210 | AutoCAD Attribute Instance IDP | Attribute |
406:9211 | AutoCAD Dimension IDP | Not mapped into AutoCAD |
406:9212 | AutoCAD Polyface Mesh IDP | Polyface mesh |
406:9213 | AutoCAD User Coordinate System IDP | UCS |
406:9216 | AutoCAD Linetype Description IDP | Linetype description |
408 | Singular Subfigure Instance | Block reference |
410:0 | View Entity: Normal View | Named view or viewport |
410:1 | View Entity: Perspective View | Named view or viewport | X
412 | Rectangular Array Subfigure Instance | Block and block reference |
414 | Circular Array Subfigure Instance | Block and block reference |
416:0 | External Reference: Single definition | External reference |
416:1 | External Reference: Entire file | External reference |
416:2 | External Reference: Logical reference | External reference |
416:3 | External Reference: Native form reference | External reference | X
416:4 | External Reference: Native form in library | Not supported | X
418 | Nodal Load/Constraint | Not supported |
420 | Network Subfigure Instance | Block reference, points, and attribute definition |
422 | Attribute table Instance | Not supported |
430 | Solid Instance Entity (CSG) | Not supported |
502:1 | Vertex List | Topological component of an AutoCAD 3D solid, a Mechanical Desktop part, or used to trim a Mechanical Desktop trimmed surface | X
504:1 | Edge List | Topological component of an AutoCAD 3D solid, a Mechanical Desktop part, or used to trim a Mechanical Desktop trimmed surface | X
508:1 | Loop | Topological component of an AutoCAD 3D solid, a Mechanical Desktop part, or used to trim a Mechanical Desktop trimmed surface | X
510:1 | Face | Topological component of an AutoCAD 3D solid, a Mechanical Desktop part, or a Mechanical Desktop trimmed surface | X
514:1 | Closed Shell | Topological component of an AutoCAD 3D solid or body, a Mechanical Desktop part, or a set of Mechanical Desktop trimmed surfaces | X
514:2 | Open Shell | Not supported | X
600-699 | Implementor-specified MACRO Instance Entity | Not supported | X
5001-9999 | Implementor-Defined Properties | Not supported |


AutoCAD to IGES Translation Mapping Table

IGES to AutoCAD Translation Mapping table
Mapping Tables
Translation Options
AutoCAD IGES 2010 > Mapping Tables >
AutoCAD to IGES Translation Mapping Table
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following table lists all AutoCAD and Mechanical Desktop objects, properties, and attributes in alphabetical order. The text in the "IGES entity number" column indicates the Translator's support status for that object, property, or attribute. If there is an IGES number, that is the IGES entity to which the AutoCAD or Mechanical Desktop object, property, or attribute will be mapped. If the phrase "not supported" appears in that column, the AutoCAD or Mechanical Desktop object, property, or attribute won't be translated.

If there is more than one entry in the IGES entity number column, then the translation may depend on other factors, such as option settings or other interdependencies. Whether the translation depends on other factors, there may be other information you need in order to make a smooth translation. To see that information, choose the AutoCAD or Mechanical Desktop object, property, or attribute name in the table.

AutoCAD or Mechanical Desktop object, property, or attribute name | IGES entity number | IGES entity names
Angular dimension | 202:0 | Angular Dimension
Arc | 100 or 122 | Circular Arc or Tabulated Cylinder
ASSURFACE | 128 or 140 and 128 | Rational B-Spline Surface or Offset Surface and Rational B-Spline surface
ASQUILTSURFACE | 100, 102, 104:1, 110:0, 116; 126, 143 or 144 and optionally a 402:7 or 402:15 | Circular Arc, Composite Curve, Ellipse, Line, Point, Rational B-Spline Curve, Trimmed Surface or Bounded Surface, optionally grouped
Attribute definition (Attdef) | 212 and optionally a 406:9209 | General Note and an Attribute Definition IDP
Attribute (Attrib) | 212 and optionally a 406:9210 | General Note and optionally an Attribute Definition IDP
Augmented line | 106:13 or 106:12 | 3D Path with Associated Vectors, or 3D Path Disabled for non-Mechanical Desktop users.
Block | 308 | Subfigure Definition
Block reference (insert) | 408 or 412 | Singular Subfigure Instance or Rectangular Array Subfigure Instance
Body | 100, 102, 104:1, 110:0, 116; 126, 143 or 144 and optionally a 402:7 or 402:15 | Circular Arc, Composite Curve, Ellipse, Line, Point, Rational B-Spline Curve, Trimmed Surface or Bounded Surface, optionally grouped
Circle | 100 or 122 | Circular Arc or Tabulated Cylinder
Color | 314 | Color Definition Entity
Diameter dimension | 206:0 and optionally a 106:20 or 402:7 | Diameter Dimension and optionally Copious Data: Centerline; also may be grouped in an Unordered Group without Back Pointers
Mechanical Desktop Augmented line | See Augmented line |
Mechanical Desktop Part | See Part |
Ellipse | 104:1 | Ellipse
Entity Grouping Tool group See How Groups Work | 402:7 or 402:15 | Unordered Group Without Back Pointers or Ordered Group Without Back Pointers
External reference (Xref) | 408 or 416 | Singular Subfigure Instance or External Reference
Group See How Groups Work | 402:7 or 402:15 | Unordered Group Without Back Pointers or Ordered Group Without Back Pointers
Hatch | 110s and optionally a 402:7 or 402:15 | Lines and optionally a Group
Layer | 406:3 or 406:15 | Level Function or Name
Layout | 404:0 | Drawing Without Rotated Views
Leader | 214, 228, 408 | Leader, General Symbol, Singular Subfigure Instance
Leader arrowheads | 214:1-214:12 | Leader entities
Line | 110, 116 or 122 | Line, Point, or Tabulated Cylinder
Linear dimension (horizontal, vertical, rotated, aligned) | 216:0 | Linear Dimension
Linetype | 304:2 | Line Font Definition
Mechanical Desktop surface | See ASSURFACE |
Mechanical Desktop trimmed surface | See trimmed surface |
Mline | 100s and 110s and optionally a 402:7 or 402:15 | Circular Arcs and Lines and optionally a Group
Mtext | 212 | General Note See Font Mappings
Named view (view) | 410:0 or 410:1 | Orthographic View Entity or Perspective View Entity
Oleframe | Not supported |
Ole2frame | Not supported |
Ordinate dimension | 218:0 | Ordinate Dimension
Part | 186 or 143 or 144 and optionally a 402:7 or 402:15 | Manifold Solid B-Rep Object or collection of trimmed surfaces, optionally grouped Disabled for non-Mechanical Desktop users.
Point | 116 or 110 | Point or Line
Polyline (Polyface mesh) | 110 or 116 or 128 or 106:2 and a 406:9212 | Line or Point or Rational B-Spline Surface or 3D Coordinate Points and an AutoCAD Polyface Mesh IDP
Polyline (3D mesh) | 128 | Rational B-Spline Surface
Polyline (3D polyline) | 110 or 106:12 or 126 | Line or 3D Path or Rational B-Spline Curve
Polyline (2D polyline) | 100 or 102 or 106:11 or 106:63 or 110 or 126 | Circular Arc or Composite Curve or 2D Path or Simple Closed Planar Curve or Line or Rational B-Spline Curve
Polyline (lightweight) | 100 or 102 or 106:11 or 106:63 or 110 or 122 | Circular Arc or Composite Curve or 2D Path or Simple Closed Planar Curve or Line or Tabulated Cylinder
Proxy Object | Exploded geometry and 402:7, 406:27 | Decomposed into results of Explode, grouped, with a Generic Data Property attached
Quilt, Quilted Surface | See ASQUILTSURFACE |
Radius dimension | 222:0 or 222:1; and optionally 106:20 and 402:7 | Radius Dimension (one arrowhead) or Radius Dimension (two arrowheads); may also be grouped in an Unordered Group without Back Pointers
Ray | 110:1 or 110:0 and 406:27 | Semi-Bounded Line or Line and Generic Data Property
Region | 144 or 143 and 406:27 | Trimmed (Parametric) Surface or Bounded Surface and Generic Data Property
Surface | See ASSURFACE |
Shape | 408 | Singular Subfigure Instance
Spline | 126 | Rational B-Spline Curve
Stitched surface | See ASQUILTSURFACE |
Text Default Font change | 212, 212:0, 212:2 | General Note, Simple Note, Font Change. See Font Mappings
3D face | 128 | Rational B-Spline Surface
3D solid | 186 or 143 or 144 and optionally a 402:7 or 402:15 | Manifold Solid B-Rep Object or collection of trimmed surfaces, optionally grouped
Tiled viewport | 410:0 or 410:1 | Orthographic View Entity or Perspective View Entity
Tolerance | 228:0 | General Symbol
Trace and solid | 110 or 106:63 or 230 | Line or Simple Closed Planar Curve or Sectioned Area
Trimmed surface | 143 or 144 with underlying 128 or 140 and 128 | Trimmed (Parametric) Surface or Bounded Surface with underlying Rational B-Spline Surface or Offset Surface and Rational B-Spline Surface Disabled for non-Mechanical Desktop users.
User Coordinate System (UCS) | 124 and optionally 406:9213 | Transformation Matrix and optionally AutoCAD User Coordinate System IDP
Viewport (paper space) | 410:0 or 410:1 | Orthographic View Entity or Perspective View Entity. See perspective_views.
Xline | 110:2 or 110:2 and 406:27 | Unbounded Line or Line and Generic Data Property


Translation Options

AutoCAD to IGES Translation Mapping Table
AutoCAD IGES 2010
Translation Options (IGES Translator)
AutoCAD IGES 2010 >
Translation Options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Translation Options (IGES Translator)
  • Understanding Translation Options (IGES Translator)
  • Option Sets and Option Files (IGES Translator)
  • Options Files Templates (IGES Translator)
  • Editing Options (IGES Translator)
  • IGESIN Translation Options
  • IGESOUT Translation Options


Translation Options (IGES Translator)

Translation Options
Translation Options
Understanding Translation Options (IGES Translator)
AutoCAD IGES 2010 > Translation Options >
Translation Options (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Translation Options

The topics below contain information regarding the use of all options provided with the Translator. You can use these options to customize your translations.

Understanding Translation Options

Option Sets and Options Files

Options Editor

IGESIN Translation Options

IGESOUT Translation Options


Understanding Translation Options (IGES Translator)

Translation Options (IGES Translator)
Translation Options
Option Sets and Option Files (IGES Translator)
AutoCAD IGES 2010 > Translation Options >
Understanding Translation Options (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In most cases, the default option settings are all you need to complete a translation between AutoCAD and IGES. However, the Translator's options are helpful in many cases of data exchange.

For example, the IGESIN default tolerance for curve approximations is 0.0001.This may be tighter than you need, in which case you can use the crv_tol option to make the tolerance value larger. The result is that the AutoCADmodel is smaller (fewer points are needed for the approximations). Alternatively,if the tolerance isn't as tight as you need, you can use these options to make the tolerance value smaller. The result is that the AutoCAD model is larger.

As another example, you might want to exchange work in progress in which a drawing contains several blocks that are not yet inserted in the drawing. By default, these unreferenced blocks are not output to IGES. However, by enabling MapUnreferenced Data in the IGESOUT Miscellaneous dialog (or by setting no_unref to 0 in your options file), you enable the mapping of these unreferenced blocks.


Option Sets and Option Files (IGES Translator)

Understanding Translation Options (IGES Translator)
Translation Options
Options Files Templates (IGES Translator)
AutoCAD IGES 2010 > Translation Options >
Option Sets and Option Files (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can define an option set; a series of settings suitable for a particular type of translation, and save it in an options file (extension .opt). If you want to change the settings in the options file, you can do so by changing the settings in the Translator's dialogs, then saving the settings to the file. You can also edit options files with a text editor that creates ASCII files. After you've defined an options file, you can save it for use in future translations.


Options Files Templates (IGES Translator)

Option Sets and Option Files (IGES Translator)
Translation Options
Editing Options (IGES Translator)
AutoCAD IGES 2010 > Translation Options >
Options Files Templates (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Several options files are supplied with the Translator. Each file contains an option set for IGESIN and IGESOUT translations. The following table describes the options files supplied with the Translator.

File name | Description
cadam.opt | CADAM
cals1.opt | CALS Class I: Technical Illustration
cals2.opt | CALS Class II: Engineering Drawings
cals4.opt | CALS Class IV: Geometry for Numerical Control Manufacturing
catia.opt | CATIA
cv.opt | Computer vision CADDS/4X and CADDS/5X
ug.opt | Unigraphics


Editing Options (IGES Translator)

Options Files Templates (IGES Translator)
Translation Options
IGESIN Translation Options
AutoCAD IGES 2010 > Translation Options >
Editing Options (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Both the IGESIN and IGESOUT dialogs contain an Options button, which accesses the Options dialog.

In the Options dialog, you can:

  • Select a group of options within the current option set to edit.
  • Make a one-time change to option settings.
  • Save changes to option sets.
  • Create new option sets using either default settings or an options file.
  • Reset the options to the Translator's default values.


IGESIN Translation Options

Editing Options (IGES Translator)
Translation Options
IGESOUT Translation Options
AutoCAD IGES 2010 > Translation Options >
IGESIN Translation Options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

annotation_blocking

Specifies whether to group IGES annotation entities that don't map directly into AutoCAD dimensions.

alternate_230_code

Specifies an alternate code to use instead of code 19 of the IGES Section Area entity (230).

alternate_230_spacing

Specifies the spacing to use for alternate_230_code mapping.

block_106

Specifies grouping of copious data entities (106:1-3).

brepin_mapping

Determines mappings of B-rep entities into AutoCAD/Mechanical Desktop.

clipping_volume_expansion

Specifies the expansion factor for a clipping volume to encapsulate a model.

crv_tol

Specifies the tolerance to be used when approximating curves.

crv_mapping

Determines how curves will be mapped into AutoCAD/Mechanical Desktop curves.

cvmesh

Determines whether to use or ignore the CADDS Surface Mesh property (406:5558).

dimension_text

Specifies the method to use for setting the user-specified text of dimension entities.

dont_block_srf

Enables or disables the grouping of surface paths.

evm_proc

Enables or disables EVM (Entity Validation Manager) processing

fontcode1

Specifies the IGES text font code to map to the AutoCAD text style.

group_mapping

Specifies how to map IGES groups in AutoCAD/Mechanical Desktop.

input_102

Specifies how to map Composite Curves (102:0).

input_ucs

Specifies which matrices to convert to UCSs.

linefont1

Specifies an IGES line font to map to an AutoCAD linetype specified by linetype1. Must be used in conjunction with the nlinefonts option.

linetype1

Specifies the AutoCAD linetype to which an IGES line font (specified by linefont1) is to be mapped. Must be used in conjunction with the nlinefonts option.

linetype_file

Specifies the AutoCAD linetype file in which the corresponding linetype is defined. Must be used in conjunction with the nlinefonts option.

lineweight_to_color

Specifies whether to use IGES colors or IGES lineweights to set AutoCAD colors.

logfile_path

Specifies the path to be used for the log file created by the Translator.

logging

Enables or disables the creation of log files.

nfontmaps1

Specifies the number of font mappings that are groups of fontcode1, style1, and shape_file options. See IGESIN Font Mappings.

nlinefonts

Specifies the number of line font mappings that are groups of fontcode1, style1, and shape_file options. See IGESIN Font Mappings.

no_bulge_pline

Specifies whether to input composite curves as bulged polylines.

primary_404

Specifies whether to map multiple Drawing (404) entities into separate layouts in the AutoCAD model, or to map model space data only.

refine_c0_surfs

Specifies whether to refine c0 surfaces to g1 continuity so that they can be manipulated in Mechanical Desktop.

separator

Specifies the character to be used to separate words in layer names generated during the mapping of IGES levels.

shape_file

Specifies the name of the associated shape file referred to by the style1 option or the AutoCAD style name. Must be used in conjunction with the nfontmaps1 option.

spathu

Specifies the number of U paths to use when srf_mapping is set to 1 (polyline grid)

spathv

Specifies the number of Vpaths to use when srf_mapping is set to 1 (polyline grid)srf_mapping

srf_tol

Specifies the tolerance to be used when approximating surfaces.

style1

Specifies the name of the AutoCAD style to which the corresponding fontcode1 value maps. Must be used in conjunction with the nfontmaps1 option.

tol_pt

Specifies the tolerance to use for point comparisons.

trunc_names

Specifies how to truncate names that exceed 31 characters. Applies to AutoCAD layers, linetypes, UCSs, views, text styles and block names.

view_name

Specifies whether to use a view (410) entity's DE number or name when creating layers for view-specific entities.

viewport_layer

Specifies whether to use viewport layer names from IGES View (410:0 and 410:1) entities, or to place all viewport layers on single layer that is given a user-specified name.

xed


IGESOUT Translation Options

IGESIN Translation Options
Translation Options
Dialog Boxes
AutoCAD IGES 2010 > Translation Options >
IGESOUT Translation Options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

asurf_create_106_13

Determines mapping for Mechanical Desktop augmented lines.

attdef_idp

Enables or disables creation of AutoCAD Attribute Definition IDP (406:9209).

attrib_idp

Enables or disables creation of AutoCAD Attribute instance IDP (406:9210).

autodesk_idp

Specifies whether to create IGES Implementor Defined Properties (IDPs) for AutoCAD capabilities not found in IGES. An example is nonuniform scale factors for inserts. You can enhance this option to allow control of individual IDPs.

author

Specifies the author of the IGES file; it appears in the IGES Global Section.

brepout_mapping

Determines mappings of AutoCAD 3D solids to IGES B-Rep entities.

cals1_view

Causes paper space entities to be ignored and creates a dummy view that satisfies the requirements of MIL-D-28000A Class I.

decompose_dims

Specifies whether to map AutoCAD Dimension entities to IGES dimensions or to IGES entities that are mapped from AutoCAD entities in the graphic block of the dimension.

dim_centerline

Specifies the mapping of centerlines in AutoCAD dimension entities.

dimension_idp

Specifies whether to create the AutoCAD Dimension IDP (406:9211).

dimstyle_idp

Specifies whether to create the AutoCAD Dimension Style IDP (406:9205).

draft_std

Specifies a code that stands for the drafting standard (e.g. ANSI, ISO) to appear in the IGES Global Section.

dwg_name

Specifies the drawing name to attach as a Name Property (406:15) on a Drawing Entity (404:0).

eofchar

Specifies the end-of-field (parameter) delimiter character to use in the IGES Global Section data.

eorchar

Specifies the end-of-record delimiter character to be used in the IGES Global Section data.

fontcode2

Specifies the IGES font code to use when mapping to an AutoCAD style. It must be paired with a style2 option to form a complete mapping.

fontcode_default

Specifies the default IGES text font code for an AutoCAD text style without font mapping.

handle_labels

Specifies whether to output the entity handle into IGES DE entity label fields.

iges_version

Specifies a code that stands for the IGES standard version (e.g. 5.2, 5.3) to appear in the IGES Global Section.

insert_mapping

Specifies the mapping of INSERT objects with multiple rows and columns

jama_is

Specifies whether to create a JAMA-IS compliant IGES file:

layer_exclusion

Specifies a layer name or wild-card pattern of layers to exclude from the mapping of AutoCAD entities to IGES.

layer_name_mapping

Specifies the mapping to use for AutoCAD layer names.

level_notes

Specifies whether to create level notes in the Start Section. Level notes indicate how the Translator maps AutoCAD layer names to IGES level numbers.

linefont2

See Linetype Mapping.

linetype2

See Linetype Mapping.

linetype_idp

Specifies whether to create the Autodesk Linetype Description IDP (406:9216) when mapping linetypes to Line Font Definition Entities (304:2).

logfile_path

Specifies the path to be used for the log file created by the Translator.

logging

Enables or disables the creation of log files.

make304

See Linetype Mapping.

map_110

Controls mapping of xlines and rays to a new form of the 100.

map_406_31

Controls the mapping of the Basic Dimension box:

msscale

Specifies the model space scale to world scale; it appears in the IGES Global Section.

named_views

Specifies the mapping of VIEW (named view) table entries to IGES.

negative_coords

Specifies whether to allow negative coordinates in drawing space or translate all paper space entities to positive coordinates.

nfontmaps2

Specifies the number of IGESOUT font mappings.

nlayer_exclusions

Specifies the number of layers to exclude from the processing of AutoCAD entities to IGES.

nlinetypes

See Linetype Mapping.

nonuniform_scaling

See Linetype Mapping.

no_unref

Specifies whether to output unreferenced data. It affects the mapping of blocks, layers, and linetypes.

omit_314

Specifies whether to omit IGES Color Definition Entities (314:0) from the mapping of AutoCAD colors to IGES.

omit_points

Specifies whether to omit points from the mapping of AutoCAD entities to IGES.

organization

Specifies the organization of the author of the IGES file; it appears in the IGES Global Section.

output_groups

Specifies the mapping of groups created by the Group command, the Entity Grouping Tool, or the Translator.

output_proxy

Specifies whether to map or ignore proxy objects' graphical data.

perspective_views

Specifies the mapping of perspective views and viewports to IGES.

pfacemesh_idp

Specifies whether to create the AutoCAD Polyface Mesh IDP (406:9212). This option alters the way polyface meshes are written.

radius_dimension_mapping

Specifies the mapping of Radius Dimension Entities.

recvid

Specifies the product identification for the receiving system; it appears in the IGES Global Section.

sendid

Specifies the product identification from the sending system; it appears in the IGES Global Section.

start

Specifies the file name containing data to store in the IGES Start Section.

style2

Specifies an AutoCAD style to be mapped to an IGES font code. It must be paired with a fontcode2 option to form a complete mapping.

surface_mesh_idp

Specifies whether to create the CADDS Surface Mesh IDP (406:5558).

text_idp

Specifies whether to create the AutoCAD Text Alignment IDP (406:9203).

text_lines

Specifies whether to create lines or properties for text under- and over-scoring:

text_style_idp

Specifies whether to create the AutoCAD Text Style IDP (406:9204).

tolerace_mapping

Controls the mapping of tolerance objects to General Symbols (228:0).

trimmed_surface_mapping

Determines mapping for trimmed surfaces.

ucs_idp

Specifies whether to create the AutoCAD UCS IDP (406:9213).

ucs_mapping

Specifies whether to output UCSs to IGES Transformation Matrix Entities (124:0).

units

Specifies the unit flag for model space units; it appears in the IGES Global Section.

units_str

Specifies the unit string for model space units when the value of units is 3.

viewport_frame

Specifies the mapping of viewport entity frames.

vport_mapping

Specifies whether to map VPORT (tiled viewports) table entries to IGES.

xref_mapping

Specifies the mapping to use for AutoCAD external references.


Dialog Boxes

IGESOUT Translation Options
AutoCAD IGES 2010
IGESIN Dialog Box
AutoCAD IGES 2010 >
Dialog Boxes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • IGESIN Dialog Box
  • IGESOUT Dialog Box
  • Batch Translation Utility


IGESIN Dialog Box

Dialog Boxes
Dialog Boxes
IGESIN Dialog Box
AutoCAD IGES 2010 > Dialog Boxes >
IGESIN Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • IGESIN Dialog Box
  • IGESIN Options Tabs


IGESIN Dialog Box
IGESIN Dialog Box
IGESIN Options Tabs
AutoCAD IGES 2010 > Dialog Boxes > IGESIN Dialog Box >
IGESIN Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the IGESIN translation dialog box to translate the contents of an IGES file into the AutoCAD .dwg format. The IGES data is inserted into the .dwg file that is current when the translation is launched. You launch a translation by selecting an IGES file and clicking the open button.

From the IGESIN translation dialog box, you can access an options dialog with several tabs that correspond to option settings in the current options file and can be used to set and save new options.

For detailed information on options files and option settings, please see Translation Options.

The following sections describe the options of the IGESIN dialog box in more detail.

  • Look in
  • File Area
  • File Name
  • IGESIN, STEPIN, VDAFSIN Translations
  • Open button
  • Cancel button
  • Options button
  • Help button
  • Batch Utility button


IGESIN Options Tabs

IGESIN Dialog Box
IGESIN Dialog Box
IGESIN Options Dialog
AutoCAD IGES 2010 > Dialog Boxes > IGESIN Dialog Box >
IGESIN Options Tabs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • IGESIN Options Dialog
  • IGESIN Geometry Options Dialog
  • IGESIN Line Mapping Options Dialog
  • IGESIN Annotation Tab
  • IGESIN Structure Options Dialog
  • IGESIN Miscellaneous Dialog
  • IGESIN Log File Options


IGESIN Options Dialog

IGESIN Options Tabs
IGESIN Options Tabs
IGESIN Geometry Options Dialog
AutoCAD IGES 2010 > Dialog Boxes > IGESIN Dialog Box > IGESIN Options Tabs >
IGESIN Options Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the IGESIN Options Dialog to define translation options. This dialog has the following tabs:

  • Geometry
  • Line Mapping
  • Annotation
  • Structure
  • Miscellaneous
  • Log File

The options file area displayed at the bottom of each of the tabbed dialogs allows you to locate, select, create and save options files for IGES translations.


IGESIN Geometry Options Dialog

IGESIN Options Dialog
IGESIN Options Tabs
IGESIN Line Mapping Options Dialog
AutoCAD IGES 2010 > Dialog Boxes > IGESIN Dialog Box > IGESIN Options Tabs >
IGESIN Geometry Options Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESIN Geometry tab contains options for controlling approximation tolerances and curve, surface, and solid mappings.

  • Approximation Tolerances
  • B-Rep Solid Mapping
  • Surface Mapping
  • Curve Mapping
  • Composite Curve Mapping
  • Surface Display Paths
  • Defaults button
  • Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


IGESIN Line Mapping Options Dialog

IGESIN Geometry Options Dialog
IGESIN Options Tabs
IGESIN Annotation Tab
AutoCAD IGES 2010 > Dialog Boxes > IGESIN Dialog Box > IGESIN Options Tabs >
IGESIN Line Mapping Options Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESIN Line Mapping tab contains options for mapping IGES line fonts and line weights. The line font mappings are maintained in lists. Definitions in these lists can be modified.

  • Map Line Weight to AutoCAD Color
  • Line Font/Linetype Mapping Area
  • Change Linetype
  • Defaults button
  • Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


IGESIN Annotation Tab

IGESIN Line Mapping Options Dialog
IGESIN Options Tabs
IGESIN Structure Options Dialog
AutoCAD IGES 2010 > Dialog Boxes > IGESIN Dialog Box > IGESIN Options Tabs >
IGESIN Annotation Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESIN Annotation tab contains options for mapping IGES fonts, sectioned areas, and miscellaneous annotation options.

In IGES, the term annotation refers to text and symbols in a drawing that are not part of the geometric model but that provide information about the geometry and construction of a model.

Dimensions in AutoCAD have two components: the dimension data and the dimension graphics block. To make the created AutoCAD drawing visually correct, theTranslator places the IGES annotation geometry specified by the IGES file into the dimension graphics block for the AutoCAD dimension object. However, the data in the IGES dimension doesn't always make it possible to create AutoCADdimension data that will result in the same display as that called for in the IGESfile.

The Translator preserves the dimensioning variables as best it can. However,because of the difference between the values of the dimensioning variables and the geometry in the block, updating such a dimension might substantially change its display. This can happen even in IGES files created by the Translator. Note that simply selecting a dimension and snapping to one of its grip points causes it to update, which may change its display. Additional translation details are provided for some entities. Choose the entity name to display more information.

  • Font/Style Mapping Area
  • Change Style
  • Alternate 230 code 19
  • Alternate Spacing
  • Group Miscellaneous Annotation
  • Defaults button
  • Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


IGESIN Structure Options Dialog

IGESIN Annotation Tab
IGESIN Options Tabs
IGESIN Miscellaneous Dialog
AutoCAD IGES 2010 > Dialog Boxes > IGESIN Dialog Box > IGESIN Options Tabs >
IGESIN Structure Options Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESIN Structure tab contains options for drawing and views options, layermapping, and group mapping.

  • Drawing Mapping
  • Expand Clipping Extents
  • Layer Mapping
  • Group Mapping
  • Defaults button
  • Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


IGESIN Miscellaneous Dialog

IGESIN Structure Options Dialog
IGESIN Options Tabs
IGESIN Log File Options
AutoCAD IGES 2010 > Dialog Boxes > IGESIN Dialog Box > IGESIN Options Tabs >
IGESIN Miscellaneous Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESIN Miscellaneous tab contains options for entity validation, grouping, transformation matrix mapping, extended entity data, and the truncation of names.

Transformation Matrix Mapping Area

Truncate Names

Entity Validation

Group Copious Data

Attach IGES Trace Information in XED

Defaults button

Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


IGESIN Log File Options

IGESIN Miscellaneous Dialog
IGESIN Options Tabs
IGESOUT Dialog Box
AutoCAD IGES 2010 > Dialog Boxes > IGESIN Dialog Box > IGESIN Options Tabs >
IGESIN Log File Options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESIN Log File tab contains options for the log file produced by the IGESIN translation.

  • Show All Messages (default). When this option is selected the Translator creates a log file during a translation with the same file name as the source IGES file and a .xli extension. Corresponds to the logging option. For an explanation of the messages stored in a log file, see IGESIN and IGESOUT Log Files.
  • No Warnings
  • No Warnings or Errors
  • No Log File

Log File Path Area

Use the options in this area to specify the directory in which the log file is created.

Same As Input File

When enabled (the default), the log file is written in the same directory as the IGES source file.

Specify

When this option is enabled, you can redirect the log file. It will be put in the directory shown in the Path text box.

Path

Indicates the current path for the log file. To change the path, select the Specify button and enter a different path in the text box. Corresponds to logfile_path.

Defaults button

Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


IGESOUT Dialog Box

IGESIN Log File Options
Dialog Boxes
IGESOUT Dialog Box
AutoCAD IGES 2010 > Dialog Boxes >
IGESOUT Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • IGESOUT Dialog Box
  • IGESOUT Options Tabs


IGESOUT Dialog Box
IGESOUT Dialog Box
IGESOUT Options Tabs
AutoCAD IGES 2010 > Dialog Boxes > IGESOUT Dialog Box >
IGESOUT Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the IGESOUT dialog box to translate the contents of the current AutoCAD .dwg file into the IGES format. The output IGES file is created in the location specified in the Look in: text box, using the name specified in the File Name: text box. You launch a translation by clicking the save button.

From the IGESOUT dialog box, you can access an options dialog with several tabs that correspond to option settings in the current options file.

For detailed information on options files and option settings, please see Translation Options.

The following sections describe the IGESOUT dialog box in more detail.

Save In

File Area

File Name

Save as Type

Save button

Cancel button

Options button

Help button

Batch Utility button


IGESOUT Options Tabs

IGESOUT Dialog Box
IGESOUT Dialog Box
IGESOUT Options Dialog
AutoCAD IGES 2010 > Dialog Boxes > IGESOUT Dialog Box >
IGESOUT Options Tabs
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • IGESOUT Options Dialog
  • IGESOUT Geometry Options Dialog
  • IGESOUT Annotation Options Dialog
  • IGESOUT Start and Global Options Dialog
  • IGESOUT IDP Mappings Dialog
  • IGESOUT Structure Options Dialog
  • IGESOUT Miscellaneous Dialog
  • IGESOUT Line Mapping Options Dialog
  • IGESOUT Log File Options


IGESOUT Options Dialog

IGESOUT Options Tabs
IGESOUT Options Tabs
IGESOUT Geometry Options Dialog
AutoCAD IGES 2010 > Dialog Boxes > IGESOUT Dialog Box > IGESOUT Options Tabs >
IGESOUT Options Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the IGESOUT options dialog to define translation options. This dialog has the following tabs:

Geometry

Annotation

Start and Global

IDP Mapping

Structure

Miscellaneous

Line Mapping

Log File

The options file area at the bottom of each of the tabbed dialogs allows you to locate, select, create and save options files for IGES translations.


IGESOUT Geometry Options Dialog

IGESOUT Options Dialog
IGESOUT Options Tabs
IGESOUT Annotation Options Dialog
AutoCAD IGES 2010 > Dialog Boxes > IGESOUT Dialog Box > IGESOUT Options Tabs >
IGESOUT Geometry Options Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESOUT Geometry tab contains options for splined curves, surfaces, and points.

NoteUnlike IGESIN, IGESOUT always outputs any Mechanical Desktop data that are present. However, if Mechanical Desktop isn't present, the Mechanical Desktop entities will be placed in a block containing AutoCAD data.

3D Solid/Mechanical Desktop Part Mapping

Trimmed Surface Mapping

Desktop Augmented Line Mapping

Map Point Entities

Map Ray and Xline Objects to 110:1, 2 (Unbounded Line Forms)

Defaults button

Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


IGESOUT Annotation Options Dialog

IGESOUT Geometry Options Dialog
IGESOUT Options Tabs
IGESOUT Start and Global Options Dialog
AutoCAD IGES 2010 > Dialog Boxes > IGESOUT Dialog Box > IGESOUT Options Tabs >
IGESOUT Annotation Options Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESOUT Annotation tab contains options for mapping dimensions and AutoCAD text styles.

With annotation, the choice between preserving functionality (for example, a radius dimension that remains a radius dimension) and visual accuracy (an IGES file that looks like the AutoCAD drawing) is important but not always possible. AutoCAD annotation is much richer than IGES in its visual capabilities

By default, the Translator maps AutoCAD dimensions to functional IGES dimensions. If it is important to you to maintain visual accuracy, you should select the Decompose Dimensions option in the IGESOUT Annotation dialog (or set decompose_dims to 1 in your options file). When decomposing a dimension, the Translator maps each object of the dimension's graphic block to an appropriate IGES entity and collects the resulting entities in an IGES Group (402:7 or 402:15).

In AutoCAD, the dimension object and the geometry it describes can be on different planes. In such a case, defining points might not be on the same plane as the dimension object. Because IGES does not support this capability, the Translator discards the information.

Named dimension and text types can be put into IDPs (see AutoCAD IGES IDP Format Specifications), which can be referenced by the dimension or text object. IDPs can retain the following information:

  • Text style
  • Text alignment
  • Dimension style
  • Dimension type (horizontal, vertical, rotated, aligned)

Text/Font Mapping Area

Radius Dimensions (222:1)

Decompose Dimensions

Map Centerlines (106:20)

Group Centerlines w/Dims

Under-/Overscore Properties

Basic Dimension Property (406:31)

Defaults button

Help button

The options file area contains text boxes and command buttons for creating, selecting, editing and saving options files.


IGESOUT Start and Global Options Dialog

IGESOUT Annotation Options Dialog
IGESOUT Options Tabs
IGESOUT IDP Mappings Dialog
AutoCAD IGES 2010 > Dialog Boxes > IGESOUT Dialog Box > IGESOUT Options Tabs >
IGESOUT Start and Global Options Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESOUT Start and Global tab contains options to define the Start section, IGES file information, and other product information.

Start Section Area

Global Section Area

Defaults button

Help button

The options file area contains text boxes and command buttons for creating, selecting, editing and saving options files.


IGESOUT IDP Mappings Dialog

IGESOUT Start and Global Options Dialog
IGESOUT Options Tabs
IGESOUT Structure Options Dialog
AutoCAD IGES 2010 > Dialog Boxes > IGESOUT Dialog Box > IGESOUT Options Tabs >
IGESOUT IDP Mappings Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESOUT IDP Mappings tab contains options to control the creation of Implementor Defined Properties.

Create AutoCAD IDPs in IGES for

When this option is enabled (the default), the Translator creates IGES Implementor Defined Properties (IDP) for AutoCAD capabilities not found in IGES. Enabling this option makes it possible to use the other options in this dialog.

Corresponds to autodesk_idp.

Nonuniform Scaling

When this option is enabled, the Translator creates a Nonuniform Scaling Property (406:9202) for any nonuniformly scaled blocks. Disabled by default. Corresponds to nonuniform_scaling.

Text

When this option is enabled, the Translator creates an AutoCAD Text Alignment Property (406:9203) for text entities. Disabled by default. Corresponds to text_idp.

Attribute Definition

When this option is enabled, the Translator creates an Attribute Definition Property (406:9209) for Attribute definitions. This option, which is disabled by default, corresponds to attdef_idp.

Dimension

When this option is enabled, the Translator creates a Dimension Property (406:9211) that identifies the type of dimension (such as radius or diameter) for dimension objects that are decomposed and put into IGES Groups (402:1). Disabled by default. Corresponds to dimension_idp.

UCS

When this option is enabled, the Translator creates a User Coordinate System Property (406:9213) for each UCS. Disabled by default. Corresponds to ucs_idp.

CADDS Surface Mesh

When this option is enabled, the Translator creates a CADDS Surface Mesh Property (406:5558) that defines the number of U and V paths for surface display. Disabled by default. Corresponds to surface_mesh_idp.

Linetype

When this option is enabled, the Translator creates a Linetype Description Property (406:9216) when mapping linetypes to Linefont Definition Entities (304:2). The linetype definition is saved in the linetype IDP. Disabled by default. Corresponds to linetype_idp.

Text Style

When this option is enabled, the Translator creates an AutoCAD Text Style Property (406:9204) for text objects with a defined style. Disabled by default. Corresponds to text_style_idp.

Attribute Instance

When this option is enabled, the Translator creates an Attribute Instance Property (406:9210) when the Level Attributes IDP option of the Map Layer Names list box in theStructure Options dialog is selected. Disabled by default. Corresponds to attrib_idp.

See IGESOUT Structure Tab.

Dimension Style

When this option is enabled, the Translator creates an AutoCAD Dimension Style Property (406:9205) for entities with a dimension style. Disabled by default. Corresponds to dimstyle_idp.

PFACEMESH

Controls whether polyface meshes are translated. If they are, this option controls the way in which polyface meshes are translated. Unless the receiving system is specifically tailored to read the Polyface Mesh Property, disable this option.

When this option is disabled (the default), the Translator writes a polyface mesh as a series of independent points, lines, or 3D faces. When this option is enabled, the Translator translates polyface meshes as Copious Data Multipoint entities (106:2) with a Polyface Mesh Property (406:9212) attached.

Corresponds to pfacemesh_idp

Defaults button

Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


IGESOUT Structure Options Dialog

IGESOUT IDP Mappings Dialog
IGESOUT Options Tabs
IGESOUT Miscellaneous Dialog
AutoCAD IGES 2010 > Dialog Boxes > IGESOUT Dialog Box > IGESOUT Options Tabs >
IGESOUT Structure Options Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESOUT Structure tab contains options for layer mapping, drawing properties, and other miscellaneous structure options.

Map Layer Names

Layer Exclusions

Drawing Entity (404) Area

View Mapping Area

Map Xref Options List

Map Groups Options List

Map Multiple Inserts

Defaults button

Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


IGESOUT Miscellaneous Dialog

IGESOUT Structure Options Dialog
IGESOUT Options Tabs
IGESOUT Line Mapping Options Dialog
AutoCAD IGES 2010 > Dialog Boxes > IGESOUT Dialog Box > IGESOUT Options Tabs >
IGESOUT Miscellaneous Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESOUT Miscellaneous tab contains options for named User Coordinate Systems (UCS), unreferenced data mappings, proxy graphical data mapping, CALS Class I viewing, and JAMA-IS subset conformance.

Map Named UCSs

When this option is enabled (the default), the Translator maps a named UCS in the AutoCAD drawing to an IGES Transformation Matrix (124). If the UCS option in the IDP Mappings dialog is enabled, the Translator attaches an AutoCAD UCS

Map Unreferenced Data

When this option is enabled (the default), the Translator outputs any unreferenced data related to blocks, linetypes, and layers. For example, a block maps to a Subfigure Definition (308), even if it is not instanced in the drawing.

Map Proxy Graphical Data

When this option is enabled (the default), the Translator explodes a proxy object, groups its constituent geometry in an Unordered Group without Back Pointers (402:7) and attaches a Generic Data Property (406:27) containing the name of the application that owns the object and the DXF name of the object. Corresponds to output_proxy.

CALS Class I Viewing

Use this option to create an IGES file for use with CALS Class I. Corresponds to cals1_view.

When this option is enabled, the Translator ignores paper space entities and creates a dummy view with no transformation matrix, no clipping planes, and a scale of 1.0. The Translator attaches this dummy view to a Drawing Entity. This satisfies the requirements of MIL-D-28000A Class I.

NoteUse of this option does not ensure that the IGES files generated will be CALS compliant. For instance, only 2D geometry is permitted. For specific information on CALS Class I, see Class I: Technical Illustration Subset.

JAMA-IS Subset Conformance

This option creates a JAMA-IS-compliant IGES file. JAMA-IS is the Japan Automobile Manufacturers Association IGES subset. The resulting IGES file will conform to version 1.04, published February 22, 1995. Corresponds to the translation option jama_is.

NoteUse of this option does not ensure that the IGES files generated will be CALS compliant. For instance, only 2D geometry is permitted. For specific information on CALS Class I, see Class I: Technical Illustration Subset.

For information about Color Definition Entity or Entity Handles

See the IGESOUT Line Mapping tab

Defaults button

Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


IGESOUT Line Mapping Options Dialog

IGESOUT Miscellaneous Dialog
IGESOUT Options Tabs
IGESOUT Log File Options
AutoCAD IGES 2010 > Dialog Boxes > IGESOUT Dialog Box > IGESOUT Options Tabs >
IGESOUT Line Mapping Options Dialog
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESOUT Line Mapping tab contains options to map AutoCAD linetypes to either an IGES linefont or a Line Font definition (304:2). The choices in this area correspond to nlinetypes, linetype2, linefont2, and make304. It also contains options to map non-standard colors and entity handles.

The Linetype/Linefont Mapping list box indicates the current mappings of AutoCAD linetypes to their equivalent IGES linefonts. The 304:2 entry in the list box indicates that this linetype mapping includes an IGES Line Font definition (304:2) with the mapped linefont used as the default line font.

Linetypes not listed in the Linetype/Linefont Mapping list box are mapped to a Line Font definition (304:2). If you want to edit or add to any of these mappings, use Add, Modify, Remove, 304:2 On, or 304:2 Off.

Linetype and Linefont Mapping Area

Color Definition Entity (314)

When this option is enabled (the default), the Translator maps nonstandard color information to a Color Definition (314). When this option is disabled, the Translator maps nonstandard AutoCAD colors to the closest predefined IGES colors.

Corresponds to omit_314

Entity Handles

When this option is enabled, the handle of each AutoCAD object maps to the label field of the DE section of the IGES file. If the handle is longer than eight characters, a Name Property (406:15) is attached to the corresponding IGES entity.

Corresponds to handle_labels.

Defaults button

Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


IGESOUT Log File Options

IGESOUT Line Mapping Options Dialog
IGESOUT Options Tabs
Batch Translation Utility
AutoCAD IGES 2010 > Dialog Boxes > IGESOUT Dialog Box > IGESOUT Options Tabs >
IGESOUT Log File Options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESOUT Log File tab contains options for the log file produced by the IGESOUT translation.

Log File Messaging Options

From this list, you can select one of the following log file options:

  • Show All Messages (default). When this box is enabled (the default), the Translator creates a log file during a translation with the same file name as the IGES file and a .xlo extension. Corresponds to the logging option. For an explanation of the messages stored in a log file, see IGESIN and IGESOUT Log Files.
  • No Warnings
  • No Warnings or Errors
  • No Log File

Log File Path Area

Use this area to specify the directory in which the log file is created.

Specify

When this option is enabled, you can redirect the log file. It will be put in the directory shown in the Path text box.

Same As Input File

When enabled (the default), the log file is written in the same directory as the IGES file.

Path

When Specify is enabled, this text box indicates the current path for the log file. To change the path, choose Specify and enter a different path in the text box. Corresponds to logfile_path.

Defaults button

Help button

The options file area at the bottom of the dialog contains text boxes and command buttons for creating, selecting, editing and saving options files.


Batch Translation Utility

IGESOUT Log File Options
Dialog Boxes
Batch File Translation Utility
AutoCAD IGES 2010 > Dialog Boxes >
Batch Translation Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Batch File Translation Utility
  • Translation Type
  • Input Directory (batch utility)
  • Output Directory (batch utility)
  • Options File (batch utility)
  • Batch File


Batch File Translation Utility

Batch Translation Utility
Batch Translation Utility
Translation Type
AutoCAD IGES 2010 > Dialog Boxes > Batch Translation Utility >
Batch File Translation Utility
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Batch File Translation Utility dialog box to select files, input and output directories and various options for batch translation of files.You can choose to launch the translation from the dialog or save batch options and launch the translation later.

This utility serves as the interface for the existing batch translation tool, ADXBATCH.The graphical interface makes it easier to select options and automates the setup of the tool. In previous releases users needed to create and edit their own batch files before launching ADXBATCH.The utility automates this part of the process so that users may proceed directly from selecting files and options to launching the batch translation.

NoteYou cannot perform batch translations of files located in read-only directories or on read-only media such as CDs.

For detailed information on ADXBATCH, please see ADXBATCH.

The following sections describe the Batch File Translation Utility dialog box in more detail.

Translation Type

Input Directory

Output Directory

Options File

Use Default Options File

Batch File

Overwrite Existing Output

Start Batch Job Immediately

Put Logfiles in Output Directory

Defaults button

Help button

Save button

Exit button


Translation Type

Batch File Translation Utility
Batch Translation Utility
Input Directory (batch utility)
AutoCAD IGES 2010 > Dialog Boxes > Batch Translation Utility >
Translation Type
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Translation Type

Use the Translation Type pulldown to select the type of file you want to translate. As long as the appropriate translators have been installed, you can choose to translate drawings to IGES , STEP or VDAFS.

Please note that the type displayed in this pulldown is the one used for the previous translation, NOT the one selected on the previous Data Exchange menu (if any). If you want to do a different type of translation (e.g. IGESOUT instead ofIGESIN, or STEPOUT instead of IGESOUT) you must select a translation type on this batch utility dialog even if you have already selected a type on the previous DataExchange menu.


Input Directory (batch utility)

Translation Type
Batch Translation Utility
Output Directory (batch utility)
AutoCAD IGES 2010 > Dialog Boxes > Batch Translation Utility >
Input Directory (batch utility)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The text in the Input Directory area displays the currently specified input directory from which to import files for batch translation. To specify a different input directory, choose the Browse button to display the Browse for Directory dialog and use it to locate and select anew input directory. The text will be updated to reflect your new selection.


Output Directory (batch utility)

Input Directory (batch utility)
Batch Translation Utility
Options File (batch utility)
AutoCAD IGES 2010 > Dialog Boxes > Batch Translation Utility >
Output Directory (batch utility)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The text in the Output Directory area displays the currently specified output directory in which to place the files created during the batch translation. To specify a different output directory, choose the Browse button to display the Browse for Directory dialog and use it to locate and select a new output directory. The text will be updated to reflect your new selection.


Options File (batch utility)

Output Directory (batch utility)
Batch Translation Utility
Batch File
AutoCAD IGES 2010 > Dialog Boxes > Batch Translation Utility >
Options File (batch utility)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The text in the Options File area displays the currently specified options file to be used during the batch translation. To specify a different options file, choose the Browse button to display the Browse for Directory dialog and use it to locate and select a new directory and file. The text will be updated to reflect your new selection.


Batch File

Options File (batch utility)
Batch Translation Utility
Tools
AutoCAD IGES 2010 > Dialog Boxes > Batch Translation Utility >
Batch File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The text in the Batch File area displays the name and path of the batch file you are creating using the Batch File Translation Utility. This batch file is used to store the options you have selected for the batch translation.


Tools

Batch File
AutoCAD IGES 2010
IGES Translator Tools
AutoCAD IGES 2010 >
Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • IGES Translator Tools
  • IGES Translator Tools List
  • Running the Standalone Tools
  • Running the AutoCAD Tools
  • Entity Grouping Tool


IGES Translator Tools

Tools
Tools
IGES Translator Tools List
AutoCAD IGES 2010 > Tools >
IGES Translator Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator comes with a number of tools in two categories: standalone executables and AutoCAD tools, which can be either AutoLISP programs or ObjectARXapplications.

These tools are not essential to running the Translator, but they can prove valuable in analyzing, diagnosing, manipulating, and fixing problem IGES files.

The Translator Tools List contains an alphabetical list of available tools, along with brief descriptions of their functions and their categories.

Running the Standalone Tools

Running the AutoCAD Tools

About Translator Tools


IGES Translator Tools List

IGES Translator Tools
Tools
Running the Standalone Tools
AutoCAD IGES 2010 > Tools >
IGES Translator Tools List
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The following tools are included with the IGES Translator.

Tool Name | Tool Type | Tool Description
ADXBATCH | Standalone | Writes a batch file to perform IGES-to-AutoCAD or AutoCAD-to-IGES translations on all files in a specified directory tree. Please note: you cannot perform batch translations of files located in read-only directories or on read-only media such as CDs.
AMASSEM | AutoCAD | IGESIN maps assembly data to AutoCAD block references rather than to Mechanical Desktop assemblies. This utility creates Desktop assembly structures from these AutoCAD block references.
ATT2CAT | Standalone | Prepares AutoCAD attributes for processing by CATIA.
blank.lsp | AutoCAD | Manipulates the visibility field of AutoCAD objects. You can make a set of objects invisible, make a specified object visible, or make all blanked objects visible.
CATVIEW | Standalone | Rotates views in CATIA IGES files to make the IGES files correspond more closely with the original CATIA model.
EXP2WIRE | AutoCAD | Converts AutoCAD 3D solids to wireframe representations.
findde.lsp | AutoCAD | Finds an AutoCAD entity created from a specified IGES entity as indicated by its DE number.
FIX144OT | Standalone | Fixes improperly set outer boundaries for IGES Trimmed Parametric surfaces (IGES 144).
FIX212 | Standalone | Fixes improperly sized text in model space by removing the view scale. Especially useful for translating CALMA-generated IGES files.
FIX214 | Standalone | Fixes improperly sized Leader (Arrow) entities (Type 214) by removing the view scale from the arrowhead's height and width. Especially useful for translating CALMA-generated IGES files.
FIX304 | Standalone | Repairs incorrect line font definition entity references in an IGES file by replacing the reference with a specified linefont. Especially useful for translating CATIA-generated IGES files.
FIX304F2 | Standalone | Corrects the visible-blank string in Line Font Definition entities so that the number of bits the hexadecimal string represents matches the number of segments defined. Especially useful for translating AutoTrol-generated IGES files.
FIX404 | Standalone | Fixes incorrect IGES Drawing Entities (404) used as Subfigure Instances (408).
FIXFORM | Standalone | Fixes illegal IGES form numbers created by some IGES translators.
grp2layr.lsp | AutoCAD | Finds all AutoCAD groups with a specified prefix and puts them on a designated layer. Used to isolate grouped constituents of bounded and trimmed surfaces that fail during IGESIN.
handsel.lsp | AutoCAD | Selects an AutoCAD entity by handle, and optionally lists the entity and its definition. This may be useful if the Translator produces a questionable IGES entity.
IGESCOMP | Standalone | Compresses IGES files using the IGES compressed ASCII conversion standard. Eliminates redundant data fields and blank spaces, and can reduce the file to about one-third of its non-compressed size.
IGESMAP | AutoCAD | An IGES-to-IGES flavor translator that may improve translations of layers (levels) and blocks (subfigures).
IGESSTRT | Standalone | Corrects the formatting in the IGES Start section. Used after editing the Start section of an IGES file to take care of the details of Start section formatting.
IGESVAL | AutoCAD | Validates IGES files by checking that the IGES file and the entities within it conform to the IGES specification, and attempts to repair those entities that do not.
IGES Quickview | Standalone | Displays and prints the start and global sections of an IGES file without having to open or translate the entire file. These sections contain general information about the file and its originator, and displaying this information can help you determine which files you want to translate.
IGSCOUNT | Standalone | Counts entities in an IGES file.
listde.lsp | AutoCAD | Finds the IGES DE number of AutoCAD entity created by the Translator.
MAPCOLOR | Standalone | Controls mapping of combinations of IGES colors and lineweights to AutoCAD colors.
oshift.lsp | AutoCAD | Shifts paper space entities so that their XY coordinates are all non-negative in paper space. This tool is useful for making the paper space of a drawing compatible with IGES drawing space, which defines the lower-left corner as the origin (0,0).
sheet.lsp | AutoCAD | Creates paper space VIEWPORT entities corresponding to a specified VPORT configuration. may be useful if you have a drawing created with the TILEMODE system variable set to 1, and if you wish to map the VPORT configuration out to an IGES Drawing Entity (404).
VISIBLE | AutoCAD | Performs the same function in AutoCAD that the AMVISIBLE/Unhide command does in Mechanical Desktop: it ensures that all entities brought into AutoCAD are visible, even if they were hidden in the input IGES file.


Running the Standalone Tools

IGES Translator Tools List
Tools
Running the AutoCAD Tools
AutoCAD IGES 2010 > Tools >
Running the Standalone Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Running the Standalone Tools

The degtools directory contains standalone executable tools. You run these tools independently of AutoCAD by entering the command name at the operating system prompt.

If you want to be able to run these tools from any directory, include the degtools directory in your command search path. Alternatively, you can copy these tools to a directory that is in your command search path. For details on how to specify a search path, see your operating system documentation.


Running the AutoCAD Tools

Running the Standalone Tools
Tools
Entity Grouping Tool
AutoCAD IGES 2010 > Tools >
Running the AutoCAD Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Running the AutoCAD Tools

The support directory contains AutoLISP and ObjectARX programs (extensions .lsp and .arx) which are run from within AutoCAD. If you want to select these programs from a menu, use the MENU command to load the deg.mnu file. This menu file is in the support directory. You can also run these programs from the Mechanical Desktop or AutoCAD command prompt.


Entity Grouping Tool

Running the AutoCAD Tools
Tools
Entity Grouping Tool (IGES Translator)
AutoCAD IGES 2010 > Tools >
Entity Grouping Tool
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Entity Grouping Tool (IGES Translator)
  • Overview of Grouping Tool (IGES Translator)
  • How Groups Work (IGES Translator)
  • Loading the Entity Grouping Tool (IGES Translator)
  • External Functions (IGES Translator)
  • Error Handling (IGES Translator)
  • How to Call EGT Functions From ADS (IGES Translator)
  • Technical Background (IGES Translator)


Entity Grouping Tool (IGES Translator)

Entity Grouping Tool
Entity Grouping Tool
Overview of Grouping Tool (IGES Translator)
AutoCAD IGES 2010 > Tools > Entity Grouping Tool >
Entity Grouping Tool (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section describes the Entity Grouping Tool (EGT) provided for use with the Translator.

Overview of Entity Grouping Tool

How Groups Work

Loading the Entity Grouping Tool

External Functions

Error Handling

How to Call EGT Functions From ADS

Technical Background


Overview of Grouping Tool (IGES Translator)

Entity Grouping Tool (IGES Translator)
Entity Grouping Tool
How Groups Work (IGES Translator)
AutoCAD IGES 2010 > Tools > Entity Grouping Tool >
Overview of Grouping Tool (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

EGT is an ObjectARX™ application that provides AutoCAD with another method of grouping. These groups do not affect the functioning of AutoCAD. They allow objects that are included in a group to be placed in a selection set.

In terms of EGT, a group is defined as a number of objects that can be turned into a selection set by using a group name. Several functions are available to manipulate the groups. With the EGT, you can:

  • create, remove, and rename groups.
  • add and remove objects in groups.
  • nest groups.
  • group objects in forms other than layers and blocks (which can also be included in a group).

EGT contains basic object-grouping functions. These functions can be used directly by the AutoCAD user or by high-level applications. You can modify grouped objects individually or as a group.


How Groups Work (IGES Translator)

Overview of Grouping Tool (IGES Translator)
Entity Grouping Tool
Loading the Entity Grouping Tool (IGES Translator)
AutoCAD IGES 2010 > Tools > Entity Grouping Tool >
How Groups Work (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Any object that can be selected can be included in a group. This includes simple objects, such as lines, and complex objects, such as polylines and blocks.

Both model space and paper space objects can be included in a group, but only the objects in the current space will be a part of the selection set when you call selectgr, the function that assigns objects to a group.

If you explode a block included in a group, the objects in the block are nolonger part of that group. Groups can't refer to individual objects in external references, but they can refer to external references as a whole.

EGT uses AutoCAD object handles to keep track of objects in groups. If you manipulate an object in a way that changes the handle (by editing the drawing or using the AUDIT command, for example), the group is not updated; only the object with the original handle is still part of the group.

EGT stores all its data in the drawing. However, this can impair performance of EGT functions, especially with large groups. If this is the case, try rearranging your drawing to smaller groups using hierarchical links.


Loading the Entity Grouping Tool (IGES Translator)

How Groups Work (IGES Translator)
Entity Grouping Tool
External Functions (IGES Translator)
AutoCAD IGES 2010 > Tools > Entity Grouping Tool >
Loading the Entity Grouping Tool (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If you want to load EGT automatically each time you start AutoCAD, create a file called acad.lsp. AutoCAD loads this file when you start AutoCAD and each time you start a new drawing.

NoteIf your copy of acad.lsp is Kelvinated, you cannot edit the acad.lsp file.

To load EGT automatically, create an acad.lsp file in your acad directory, or add these lines to your existing acad.lsp file:

(defun eg_startup ()

(arxload "eg")

)

The acad.lsp file loads the EGT file.

You can also load EGT while in AutoCAD, as in the following example.

Command: (arxload "eg")


External Functions (IGES Translator)

Loading the Entity Grouping Tool (IGES Translator)
Entity Grouping Tool
Error Handling (IGES Translator)
AutoCAD IGES 2010 > Tools > Entity Grouping Tool >
External Functions (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section describes all the functions in EGT. You can use the functions directly from AutoLISP, or from ObjectARX with the ads_invoke() function. The examples shown below are used with AutoLISP. See How to Call EGT Functions from ADS for information on how to call the functions from an ADS application.

Group Handling

Object Handling

Miscellaneous Functions


Error Handling (IGES Translator)

External Functions (IGES Translator)
Entity Grouping Tool
How to Call EGT Functions From ADS (IGES Translator)
AutoCAD IGES 2010 > Tools > Entity Grouping Tool >
Error Handling (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When a function returns nil, an error may have occurred. Call the function grerr_ to find out why the function failed.


How to Call EGT Functions From ADS (IGES Translator)

Error Handling (IGES Translator)
Entity Grouping Tool
Technical Background (IGES Translator)
AutoCAD IGES 2010 > Tools > Entity Grouping Tool >
How to Call EGT Functions From ADS (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When calling EGT functions from ADS, use the same parameters used in AutoLISP,but use the ads_invoke() function. First, create a resbuf containing the function and the arguments. Then pass this resbuf and a resbuf pointer for the return values to the ads_invoke function. See the AutoCAD documentation for more information on the ads_invoke() function. This example shows how to call listgr from ADS:

struct resbuf *callist, *resval = NULL;

struct resbuf *tmp;

/* Build a list containing the function and arguments */

callist = ads_buildlist( RTSTR, "LISTGR", RTNONE);

/* Call ads_invoke() with the argument list. If ads_invoke() returns

RTERROR, that might indicate that the EGT is not loaded. */

if (ads_invoke(callist, &resval) == RTERROR)

{

ads_printf("Error: Entity Grouping Tool is not loaded.\n");

}

ads_printf("\nDefined Groups:\n");

/* We now have a list of groups in resval Scan the list and print it out.*/

tmp = resval;

while(tmp != NULL)

{

if (tmp->restype == RTSTR)

{

ads_printf("[%s]\n", tmp->resval.rstring);

}

tmp = tmp->rbnext;

}

ads_relrb( callist );

/* Don't forget to free the resbufs */

ads_relrb( resval );

ads_printf("Ready.\n"); /* END */


Technical Background (IGES Translator)

How to Call EGT Functions From ADS (IGES Translator)
Entity Grouping Tool
Troubleshooting and Tips
AutoCAD IGES 2010 > Tools > Entity Grouping Tool >
Technical Background (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The registered application ID for EGT is SDK_ENTGROUP. When loaded, EGTcreates its own layer, SDK-ENTGROUP-FRZ. This layer is frozen and turned off.

One advantage of using EGT is that it does not interfere with other applications or change objects in your drawing. It keeps track of objects in groups by using group tables and by using a master table to keep track of groups. The tables are AutoCAD point objects that reside on the layer that EGT creates. The tables store EGT information in extended object data and are located at position(0,0) in the drawing.

To completely remove EGT from your drawing, first xunload EGT, thaw and turn on layer SDK-ENTGROUP-FRZ, delete all objects on the SDK-ENTGROUP-FRZ layer, and save the drawing. Reload the drawing and purge the SDK-ENTGROUP-FRZ layer.

If EGT runs out of memory, it aborts and displays an error message, and can leave corrupted groups.


Troubleshooting and Tips

Technical Background (IGES Translator)
AutoCAD IGES 2010
Troubleshooting and Tips (IGES Translator)
AutoCAD IGES 2010 >
Troubleshooting and Tips
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Troubleshooting and Tips (IGES Translator)
  • Performance Issues (IGES Translator)
  • Translation Problems (IGES Translator)


Troubleshooting and Tips (IGES Translator)

Troubleshooting and Tips
Troubleshooting and Tips
Performance Issues (IGES Translator)
AutoCAD IGES 2010 > Troubleshooting and Tips >
Troubleshooting and Tips (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Troubleshooting and Tips

The following topics contain information that may help you solve specific problems, improve the overall quality of translations between AutoCAD and IGES,streamline the translation process, and boost the performance of the Translator. These topics are divided into the following categories:

Performance Issues

Translation Problems

Note The Translator includes a variety of tools that may be helpful in solving specific translation problems and improving translator performance. See Tools The Translator also comes with Options Files Templates that can be used to improve translations between AutoCAD and a several systems and formats (CADAM, CATIA, CADDS, VERSACAD and CALS).

Finally, the Customization topic contains more suggestions for improving the quality of translations.


Performance Issues (IGES Translator)

Troubleshooting and Tips (IGES Translator)
Troubleshooting and Tips
Translation Problems (IGES Translator)
AutoCAD IGES 2010 > Troubleshooting and Tips >
Performance Issues (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The topics in this section address issues relating to the time or space required to perform translations. Translating large IGES or .dwg files can sometimes result in the creation of large swap files, large temporary files, systems that become unresponsive, or in extreme cases, abnormal software termination. The topics below discuss some ways to avoid these problems and help improve the overall performance of the IGES Translator.

Compressing IGES Files

Disk I/O Errors

Entity Validation Option

Files Transferred Among Different Computer Systems

Improved Translation of Trimmed Surfaces

Speeding Translations by Reducing the Number of U/V Lines

Swap File Space Utilization

Temporary Files

Trace Messages On the Console

UNDOCTL System Variable

Matching Units

Virtual Memory Issues


Translation Problems (IGES Translator)

Performance Issues (IGES Translator)
Troubleshooting and Tips
Customization
AutoCAD IGES 2010 > Troubleshooting and Tips >
Translation Problems (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Translation Problems

The topics in this section address problems with the data being translated,rather than with the Translator's performance.

The first step in solving any translation problem is to read the log file for any error messages associated with the translation. The description of each error message in the logfile includes suggestions for solving the problem. See IGESIN and IGESOUT Log Files for more information about logfiles.

The following topics contain information on resolving specific problems intranslations.

IGESIN

AutoCAD Group Selectability

Drawing Appears Empty or Has Missing Entities After IGESIN

General Clean-Up After IGESIN

Geometric Tolerance Problems

Handling of Trimmed and Bounded Surfaces that Fail

IGESIN Internal Errors

Improved Translation of Trimmed Surfaces

Mapping Of IGES Views To AutoCAD Viewports and MAXACTVP

Missing Entities

Surfaces Become Invisible After Shading or Rendering

Translating Additional Drawings with IGESIN

Translating Dimensions to Retain Functionality

IGESOUT

ADXBATCH Hangs When Processing Proxy Objects

IGES Files with Mixed Units

IGESOUT Version Specification

Incomplete Paper Space Translation in Destination System

Incorrect IGESOUT Translation of Traces and Solids

Incorrect Linetype Translation

Multiple Insert Mapping

Note The Translator ships with a variety of tools, many of which address specific translation problems. The Translator also comes withOptions Files Templates that can be used to improve translations between AutoCAD and a several systems and formats (CADAM, CATIA, CADDS, VERSACAD and CALS). Finally, theCustomization topic contains more suggestions for improving the quality of translations.


Customization

Translation Problems (IGES Translator)
AutoCAD IGES 2010
Customization (IGES Translator)
AutoCAD IGES 2010 >
Customization
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Customization (IGES Translator)
  • Customizing AutoCAD Drawings to Improve IGES Translations
  • Translating Other Files into AutoCAD Format
  • Data Exchange Menu
  • Trace Messages On the Console (IGES Translator)
  • Temporary Files


Customization (IGES Translator)

Customization
Customization
Customizing AutoCAD Drawings to Improve IGES Translations
AutoCAD IGES 2010 > Customization >
Customization (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When translating files between AutoCAD and IGES, be aware that some AutoCAD objects are not supported or not fully supported by IGES. Similarly, be aware that some IGES entities are not supported by AutoCAD. This topic covers information to help ensure efficient and complete data translations. See Troubleshooting for information about specific data translation problems.

You can also customize many aspects of the Translator to meet your translation needs. See Translation Options for a discussion of the use of the options files to customize processing and for a listing of the options available.

Customizing AutoCAD Drawings to Improve Translations

Translating Other Files into AutoCAD Format

Temporary Files

Data Exchange Menu

Trace Messages On the Console


Customizing AutoCAD Drawings to Improve IGES Translations

Customization (IGES Translator)
Customization
Translating Other Files into AutoCAD Format
AutoCAD IGES 2010 > Customization >
Customizing AutoCAD Drawings to Improve IGES Translations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

There are some AutoCAD objects that the Translator either does not support or supports only partially when translating AutoCAD drawings into IGES format. Use the suggestions given here to customize your AutoCAD drawings so that the objects and data can be maintained and translated accurately. The following objects and attributes are not supported by the Translator.

  • Variable line widths on polylines with an IGESOUT translation
  • Extended entity data from the BHATCH command
  • Linetype pattern generation around polyline vertices
  • Complex line types

Display AutoCAD IGESOUT Translation Suggestions

This table lists objects that are not fully supported and either provides suggestions for preserving drawing information (if possible) or tells you what IGES entity the object will map to so you can know what to expect.


Translating Other Files into AutoCAD Format

Customizing AutoCAD Drawings to Improve IGES Translations
Customization
Data Exchange Menu
AutoCAD IGES 2010 > Customization >
Translating Other Files into AutoCAD Format
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Translating Other Files into AutoCAD Format

If you are using another CAD package and the IGESTranslator to bring data into AutoCAD, avoid using entities and data types not supported by AutoCAD. Entities not supported by the Translator are noted in the IGES to AutoCAD Translation Mapping Table.

See Translation Options for a complete description of the IGESIN and IGESOUT translation options.


Data Exchange Menu

Translating Other Files into AutoCAD Format
Customization
Trace Messages On the Console (IGES Translator)
AutoCAD IGES 2010 > Customization >
Data Exchange Menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

During the installation process, the deg.mnu file was added to your AutoCAD tree structure. This menu file provides a pull-down menu for the IGES commands, some of the bonus IGES tools, and direct access to the IGES Translator online documentation. You can incorporate this menu with the following customization of acad.lsp:

(command "menuunload" "iges")

(command "menuload" "deg.mnu")

(menucmd "p20=+iges.pop11")

)

(if s::startup

(if s::startup

(setq s::startup (append s::startup '((mystartup)))

(defun s::startup () (mystartup))

)

(princ)


Trace Messages On the Console (IGES Translator)

Data Exchange Menu
Customization
Temporary Files
AutoCAD IGES 2010 > Customization >
Trace Messages On the Console (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can speed up the translation process slightly by disabling the display of the DE number of the entity being processed (on IGESIN) or the display of the number of AutoCAD objects processed (on IGESOUT). You may do this by editing the options file (file type .opt), and searching for the line containing:

trace 0

To disable the trace, change this line to read:

trace 1


Temporary Files

Trace Messages On the Console (IGES Translator)
Customization
Temporary Files (IGES)
AutoCAD IGES 2010 > Customization >
Temporary Files
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Temporary Files (IGES)
  • Setting the TEMP Environment Variable
  • Temporary File Redirection


Temporary Files (IGES)

Temporary Files
Temporary Files
Setting the TEMP Environment Variable
AutoCAD IGES 2010 > Customization > Temporary Files >
Temporary Files (IGES)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Translator creates and uses temporary files during translation. For storage of these temporary files in Windows, the Translator uses the directory specified by the TEMP environment variable, or the current directory if TEMP is not set.

If you want the Translator to use another directory for these temporary files,set the TEMP environment variable. The change will take effect the next time you start AutoCAD.

Setting the TEMP Environment Variable in Windows

Temporary File Redirection


Setting the TEMP Environment Variable

Temporary Files (IGES)
Temporary Files
Temporary File Redirection
AutoCAD IGES 2010 > Customization > Temporary Files >
Setting the TEMP Environment Variable
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Setting the TEMP Environment Variable

TEMP environment variable to specify the folder in which AutoCAD is to create temporary files. You can choose any folder for the TEMP environment variable. However, the directory must exist before you set the variable.

To change or create the TEMP environment variable:

  1. Right click My Computer on the desktop and select Properties from the menu that is displayed.
  2. On the Advanced tab, click environment variables.
  3. If TEMP exists in the User Variables list, select TEMP and click Edit. If TEMP doesn't exist, click New.
  4. In the Variable Name box, type TEMP.
  5. In the Variable Value box, type the path to the folder that temporary files are to be stored.
  6. Click OK.


Temporary File Redirection

Setting the TEMP Environment Variable
Temporary Files
AutoCAD IGES IDP Format Specification
AutoCAD IGES 2010 > Customization > Temporary Files >
Temporary File Redirection
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Large IGES files and sometimes small files, with entity validation, may require lots of temporary space to translate. If the Translator fails to complete a translation due to insufficient temporary disk space, you can either make more space available or redirect the Translator's temporary files to another disk with more space.

If you want the Translator to use another directory for these temporary files, set the TEMP environment variable. The change will take effect the next time you start AutoCAD.

Setting the TEMP Environment Variable in Windows


AutoCAD IGES IDP Format Specification

Temporary File Redirection
AutoCAD IGES 2010
AutoCAD IGES IDP Format Specifications
AutoCAD IGES 2010 >
AutoCAD IGES IDP Format Specification
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • AutoCAD IGES IDP Format Specifications
  • Generic Data Property 406:27 (IGES IDP)
  • Level Attributes Table Property 406:9200 (IGES IDP)
  • Level Attributes Instance Property 406:9201 (IGES IDP)
  • Nonuniform Scale Property 406:9202 (IGES IDP)
  • Text Alignment Property 406:9203 (IGES IDP)
  • Text Style Property 406:9204 (IGES IDP)
  • Dimension Style Property 406:9205 (IGES IDP)
  • Dimension Centerline Property 406:9208 (IGES IDP)
  • Attribute Definition Property 406:9209 (IGES IDP)
  • Attribute Instance Property 406:9210 (IGES IDP)
  • Dimension Property 406:9211 (IGES IDP)
  • Polyface Mesh Property 406:9212 (IGES IDP)
  • User Coordinate System Property 406:9213 (IGES glossary)
  • Linetype Description Property 406:9216 (IGES IDP)
  • Attribute Reference Property 406:7901 (IGES IDP)
  • CADDS Surface Mesh Property 406:5558 (IGES IDP)


AutoCAD IGES IDP Format Specifications

AutoCAD IGES IDP Format Specification
AutoCAD IGES IDP Format Specification
Generic Data Property 406:27 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
AutoCAD IGES IDP Format Specifications
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Implementor Defined Properties (IDPs) in IGES are similar to AutoCAD's extended data, retaining AutoCAD information that IGES entities do not support. This topic defines the IDPs that the Translator produces and gives details about their usage.

A number of AutoCAD objects and properties have no direct equivalent in IGES. The Translator translates most AutoCAD objects that have no direct IGEScounterpart to the nearest equivalent, and attaches an IDP to the IGES entity.

The AutoCAD IDPs listed below may be supported by other translators, which could improve data exchange with specific systems. For example, the CADDS SurfaceMesh Property IDP (406:5558) was created by the developers of CADDSspecifically to improve data exchange with that system. Consult the documentation for the intended receiving system to determine if the particular IDPs you want to use are supported by that system.

NoteIf the receiving system does not support a particular AutoCAD IDP, the entity to which the IDP is attached will still be translated correctly. The "extra"information contained in the IDP will simply not be available. The only negative aspect of creating IDPs that are not supported by the receiving system is that the size of the output file is somewhat increased.

When you enable Create AutoCAD IDPs in the IGESOUT IDP Mapping dialog box (or set autodesk_idp to 1), the creation of IDPs by the Translator is controlled by the options identified in the IDP descriptions.

Implementor Defined Properties (IDPs)

Generic Data Property 406:27

Attribute Reference Property 406:7901

CADDS Surface Mesh Property 406:5558

Level Attributes Table Property 406:9200

Level Attributes Instance Property 406:9201

Nonuniform Scale Property 406:9202

Text Alignment Property 406:9203

Text Style Property 406:9204

Dimension Style Property 406:9205

Dimension Centerline Property 406:9208

Attribute Definition Property 406:9209

Attribute Instance Property 406:9210

Dimension Property 406:9211

Polyface Mesh Property 406:9212

User Coordinate System Property 406:9213

Linetype Description Property 406:9216


Generic Data Property 406:27 (IGES IDP)

AutoCAD IGES IDP Format Specifications
AutoCAD IGES IDP Format Specification
Level Attributes Table Property 406:9200 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
Generic Data Property 406:27 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Generic Data Properties (406:27) may be created by the Translator when mapping rays, xlines, groups, regions, shapes, or proxy objects.

The following table lists the 406:27's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Para-meter Data | Structure | Line Font Pattern | Level | View | Trans-formation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | n.a. | n.a. | n.a. | n.a. | 00020000 | D#
11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
406 | n.a. | n.a. | # | 27 |  |  |  | 0 | D# + 1

Please note that IGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

See the following topics for specific information about the Generic DataProperty types:

AutoCAD Group Property

AutoCAD Ray Property

AutoCAD Infinite Line Property

AutoCAD Region Property

AutoCAD Shape Property

AutoCAD Proxy Object Property


Level Attributes Table Property 406:9200 (IGES IDP)

Generic Data Property 406:27 (IGES IDP)
AutoCAD IGES IDP Format Specification
Level Attributes Instance Property 406:9201 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
Level Attributes Table Property 406:9200 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Level Attributes Table Property preserves the attributes of AutoCAD layers that are mapped to IGES levels. The Translator maps each level's table entry to a layer with the specified name, blank status, lock status, color, and linetype. The Translator generates this IDP when you set the Map Layer Names option in the IGESOUT Structure Options dialog box to Level Attributes IDP (or when you set layer_name_mapping to 3).

  • The blank status of a level indicates whether the display of the level is visible (0) or blank (1)
  • The lock status of a level indicates whether the level can be edited (0) or if it's locked from any editing (1)
  • The color of a level indicates the color of entities that have colors related to the level.
  • The line font of the level indicates the line font of entities that have line fonts related to the level.

The following table lists the IDP's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Parameter Data | Structure | Line Font Pattern | Level | View | Transformation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | n.a. | n.a. | n.a. | n.a. | 00020000 | D#
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
406 | n.a. | n.a. | # | 9200 |  |  |  | 0 | D# + 1
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

The following table lists the parameter data (PD) fields used in a 406:9200:

Index | Name | Type | Contents
1 | NP | integer | Number of property values (NP = 6 * number of levels in the table) Let NLEV = NP / 6
2 | LEVEL1 | integer | Level number
3 | NAME1 | string | Level name
4 | BLANK1 | logical | Blank status 1 (Freeze Status)
5 | LOCK1 | logical | Lock status 1
6 | COLOR1 | integer/pointer | Color 1
7 | LINEFONT1 | integer/pointer | Line font 1
... | ... | ... | ...
2 + 6 * (NLEV - 1) | LEVELNL |  | Level (level n)
... | ... | ... | ...
6 + 6 * (NLEV - 1) | LINEFONTNL |  | Line font (level n)


Level Attributes Instance Property 406:9201 (IGES IDP)

Level Attributes Table Property 406:9200 (IGES IDP)
AutoCAD IGES IDP Format Specification
Nonuniform Scale Property 406:9202 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
Level Attributes Instance Property 406:9201 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Level Attributes Instance Table Property preserves the relationship of entity color and line font to the level color and line font, as defined by the referenced Level Attributes Table IDP. Entity color and line font may be related to the level so they can be automatically updated when the color or line font of the level is changed. The Translator generates this IDP when layer_name_mapping is set to 3.

When the color by level flag is set to 1, the color of the entity is set to be related to the color of the level. When the color of the level is changed, the color of the entity changes automatically. Otherwise, the color of the entity is not related to the color of the level.

When the line font by level flag is set to 1, the line font of the entity is related to the line font of the level. When the line font of the level is changed, the line font of the entity changes automatically. Otherwise, the line font of the entity is not related to the line font of the level.

The following table lists the IDP's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Parameter Data | Structure | Line Font Pattern | Level | View | Transformation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | # | n.a. | n.a. | n.a. | 00010000 | D#
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
406 | n.a. | n.a. | # | 9201 | n.a. | n.a. | n.a. | 0 | D# + 1
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

The following table lists the Parameter Data (PD) fields used in a 406:9201:

Index | Name | Type | Contents
1 | NP | integer | Number of property values (NP = 3)
2 | TABLE | pointer | Level Attributes Table pointer
3 | COLOR | logical | Color by level flag
4 | LINEFONT1 | logical | Line font by level flag


Nonuniform Scale Property 406:9202 (IGES IDP)

Level Attributes Instance Property 406:9201 (IGES IDP)
AutoCAD IGES IDP Format Specification
Text Alignment Property 406:9203 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
Nonuniform Scale Property 406:9202 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD objects do not have uniform scaling. The Nonuniform ScaleProperty (406:9202) permits an IGES entity to retain the scaling information for an AutoCAD object that did not have uniform scaling. The Translator generates this property when you set nonuniform_scaling to 1.

The following table lists the IDP's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Para- meter Data | Structure | Line Font Pattern | Level | View | Transfor- mation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | n.a. | n.a. | n.a. | n.a. | 00010000 | D#
+11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
406 | n.a. | n.a. | # | 9202 |  |  |  | 0 | D# + 1

Please note that IGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

The following table lists the Parameter Data (PD) fields used in a 406:9202:

Index | Name | Type | Contents
1 | NP | integer | Number of property values (NP = 3)
2 | XSCALE | real | Scale factor in definition space X; axis
3 | YSCALE | real | Scale factor in definition space Y axis
4 | ZSCALE | real | Scale factor in definition space Z axis

The Translator uses the scale factors to calculate the transformation of a point in the Subfigure Definition to the resulting point in the space in which the Subfigure Instance resides and uses the formula defined by IGES (the algorithm is defined in The Initial Graphics Exchange Specification (IGES) Version 5.3). However, the algorithm that defines how the property is used performs the computations separately for X, Y, and Z, replacing the given uniform scale factor with the appropriate one for the406:9202.


Text Alignment Property 406:9203 (IGES IDP)

Nonuniform Scale Property 406:9202 (IGES IDP)
AutoCAD IGES IDP Format Specification
Text Style Property 406:9204 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
Text Alignment Property 406:9203 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Text Alignment Property preserves AutoCAD text alignment and justification attributes relative to the text box. It does not affect internal spacing. A 406:9203 can be attached only to a General Note (212). The Translator generates this IDP when text_idpis set to 1.

The following table lists the IDP's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Parameter Data | Structure | Line Font Pattern | Level | View | Transformation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | n.a. | n.a. | n.a. | n.a. | 00010000 | D#
11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
n.a. | n.a. | # | 9203 |  | . |  | . | 0 | D# + 1
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

The following table describes the Parameter Data (PD) fields used in a 406:9203:

Index | Name | Type | Contents
1 | NP | integer | Number of property values (NP = 2)
2 | HJUST | integer | Horizontal justification
3 | VJUST | integer | Vertical justification

Entity Type Group Code Meaning

Text | 72 | Horizontal alignment (optional; default: 0). These are integer codes, not bit-coded
 |  | 0 = Left
 |  | 1 = Center
 |  | 2 = Right
 |  | 3 = Aligned (if vertical alignment = 0)
 |  | 4 = Middle (if vertical alignment = 0)
 |  | 5 = Fit (if vertical alignment = 0)
Text | 73 | Vertical alignment (optional; default: 0). These are integer codes, not bit-coded:
 |  | 0 = Baseline
 |  | 1 = Bottom
 |  | 2 = Middle
 |  | 3 = Top)


Text Style Property 406:9204 (IGES IDP)

Text Alignment Property 406:9203 (IGES IDP)
AutoCAD IGES IDP Format Specification
Dimension Style Property 406:9205 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
Text Style Property 406:9204 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Text Style Property retains the text style of the AutoCAD text. It can be attached only to a General Note (212).

The following table lists the IDP's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Parameter Data | Structure | Line Font Pattern | Level | View | Transformation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | n.a. | n.a. | n.a. | n.a. | 00010000 | D#
11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
n.a. | n.a. | # | 9204 |  | . |  | . | 0 | D# + 1
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

The following table describes the Parameter Data (PD) fields used in a 406:9204:

Index | Name | Type | Contents
1 | NP | integer | Number of property values (NP = 9)
2 | NAME | string | Text style name (1-32 alphanumeric characters plus '$','-','_')
3 | FLAGS | integer | Flags. Bit values are as follows:
 |  |  | 2 = Test is backward (mirrored in X)
 |  |  | 4 = Text is upside down (mirrored in Y)
4 | HEIGHT | real | Fixed text height
5 | WIDTH | real | Width factor
6 | OBLIQUE | real | Oblique angle (in radius)
7 | GENFLAGS | integer | Text generation flags
8 | LASTHEIGHT | real | Last height used
9 | PRIMFONT | string | Primary font file name
10 | BIGFONT | string | Big-font file name; blank if none


Dimension Style Property 406:9205 (IGES IDP)

Text Style Property 406:9204 (IGES IDP)
AutoCAD IGES IDP Format Specification
Dimension Centerline Property 406:9208 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
Dimension Style Property 406:9205 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Dimension Style Property retains the dimension style of the original AutoCAD dimension. For the definition of dimensioning variables and their defaults, see the AutoCAD Command Reference. The following table lists the IDP's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Para- meter Data | Structure | Line Font Pattern | Level | View | Trans- formation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | n.a. | n.a. | n.a. | n.a. | 00010000 | D#
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
406 | n.a. | n.a. | # | 9205 |  |  |  | 0 | D# + 1
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

The following table lists the Parameter Data (PD) fields used in a 406:9205:

Index | Name or AutoCAD dimension variable | Type | Contents
1 | NP | integer | Number of property values (NP = 40)
2 | DIMALT | integer | Alternate units flag
3 | DIMALTD | integer | Number of decimal places in alternate units
4 | DIMALTF | real | Scale factor for alternate units
5 | DIMAPOST | string | Text suffix for alternate units
6 | DIMASZ | real | Arrow size
7 | DIMBLK | string | Arrow block
8 | DIMBLK1 | string | Separate arrow block 1
9 | DIMBLK2 | string | Separate arrow block 2
10 | DIMCEN | real | Center mark size
11 | DIMCLRD | integer | Dimension line color
12 | DIMCLRE | integer | Extension line color
13 | DIMCLRT | integer | Dimension text color
14 | DIMDLE | real | Dimension line extension
15 | DIMDLI | real | Dimension line increment
16 | DIMEXE | real | Extension line extension
17 | DIMEXO | real | Extension line offset
18 | DIMGAP | real | Dimension line gap
19 | DIMLFAC | real | Length factor
20 | DIMLIM | integer | Limits dimensioning
21 | DIMPOST | integer | Dimension text prefix, suffix, or both
22 | DIMRND | real | Rounding value
23 | DIMSAH | integer | Separate arrow blocks
24 | DIMSCALE | real | Dimension feature scale factor
25 | DIMSE1 | integer | Suppress extension line 1
26 | DIMSE2 | integer | Suppress extension line 2
27 | DIMSOXD | integer | Suppress outside dimension lines
28 | DIMSTYLE | string | Dimension style name
29 | DIMTAD | integer | Text above dimension line
30 | DIMTFAC | real | Tolerance text scale factor
31 | DIMTIH | real | Text inside horizontal
32 | DIMTIX | integer | Text inside extension lines
33 | DIMTM | real | Minus tolerance value
34 | DIMTP | real | Plus tolerance value
35 | DIMTOFL | integer | Text outside, force line in
36 | DIMTOH | integer | Text outside horizontal
37 | DIMTOL | integer | Tolerance dimensioning
38 | DIMTSZ | real | Tick size
39 | DIMTVP | real | Text vertical position
40 | DIMTXT | real | Text size
41 | DIMZIN | integer | Zero suppression


Dimension Centerline Property 406:9208 (IGES IDP)

Dimension Style Property 406:9205 (IGES IDP)
AutoCAD IGES IDP Format Specification
Attribute Definition Property 406:9209 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
Dimension Centerline Property 406:9208 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Dimension Centerline Property indicates the presence of a centerline marker in a dimension entity. The Translator generates this IDP when you set dim_centerline to 2.

The following table lists the IDP's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Para- meter Data | Structure | Line Font Pattern | Level | View | Trans- formation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | n.a. | n.a. | n.a. | n.a. | 00010000 | D#
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
406 | n.a. | n.a. | # | 9208 |  |  |  | 0 | D# + 1
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

The following table lists the Parameter Data (PD) fields used in a 406:9205:

Index | Name | Type | Contents
1 | NP | integer | Number of property values (NP = 0)


Attribute Definition Property 406:9209 (IGES IDP)

Dimension Centerline Property 406:9208 (IGES IDP)
AutoCAD IGES IDP Format Specification
Attribute Instance Property 406:9210 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
Attribute Definition Property 406:9209 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Attribute Definition Property provides the data from an attributedefinition object. This property is created when you set attdef_idp to 1. For details on how the IDP is used, see the mapping of the AttributeDefinition object.

The following table lists the IDP's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Para- meter Data | Structure | Line Font Pattern | Level | View | Trans- formation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | # | 0, => | n.a. | n.a. | 00010000 | D#

11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
406 | n.a. | #, => | # | 9209 | - | - | - | 0 | D# + 1
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

The following table describes the Parameter Data (PD) fields used in a 406:9209:

Index | Name or AutoCAD dimension variable | Type | Contents
1 | NP | integer | Number of property values (NP = 19)
2 | TAG | string | Attribute tag
3 | PROMPT | string | Attribute prompt
4 | DEFVAL | string | Default attribute value
5 | TEXTSTYLE | string | Attribute text style name
6 | INSERTPT [X] | double | X coordinate of attribute start point
7 | INSERTPT [Y] | double | Y coordinate of attribute start point
8 | INSERTPT [Z] | double | Z coordinate of attribute start point
9 | ALIGNPT [X] | double | X coordinate of attribute alignment point
10 | ALIGNPT [Y] | double | Y coordinate of attribute alignment point
11 | ALIGNPT [Z] | double | Z coordinate of attribute alignment point
12 | HEIGHT | double | Attribute text height
13 | XSCALE | double | Attribute text relative X scale factor
14 | ROTATION | double | Attribute text rotation (in radians)
15 | OBLIQUING | double | Attribute text obliquing angle (in radians)
16 | GEN_FLAGS | integer | Attribute text generation bit flag; Flag bit values are as follows: 2 = Text is backward (mirrored in X) 4 = Text is upside-down (mirrored in Y)
17 | HORZJUST | integer | Horizontal justification; Flag bit values are as follows: 0 = Left 1 = Center 2 = Right 3 = Aligned 4 = Middle 5 = Fit
18 | VERTJUST | integer | Vertical justification; Flag bit values are as follows: 0 = Baseline 1 = Bottom 2 = Middle 3 = Top
19 | FLAGS | integer | Attribute flags; Flag bit values are as follows: 1 = Attribute is invisible 2 = Attribute is constant 4 = Attribute value requires verification 8 = Attribute is preset (no prompting)
20 | ALEN | integer | Attribute field length


Attribute Instance Property 406:9210 (IGES IDP)

Attribute Definition Property 406:9209 (IGES IDP)
AutoCAD IGES IDP Format Specification
Dimension Property 406:9211 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
Attribute Instance Property 406:9210 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Attribute Instance Property provides data from an Attribute Entity.

The following table lists the IDP's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Para-meter Data | Structure | Line Font Pattern | Level | View | Trans-formation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | n.a. | n.a. | n.a. | n.a. | 00010000 | D#

11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
406 | =n.a. | n.a. | # | 9210 | - | - | - | 0 | D# + 1

Please note that IGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

The following table describes the Parameter Data (PD) fields used in a 406:9210:

Index | Name/AutoCAD dimension variable | Type | Contents
1 | NP | integer | Number of property values (NP=3)
2 | TAG | string | Attribute tag
3 | FLAGS | integer | Attribute flags; Flag bit values are as follows: 1 = Attribute is invisible 2 = Attribute is constant 4 = Attribute value requires verification 8 = Attribute is preset (no prompting)
4 | LENGTH | integer | Attribute field length


Dimension Property 406:9211 (IGES IDP)

Attribute Instance Property 406:9210 (IGES IDP)
AutoCAD IGES IDP Format Specification
Polyface Mesh Property 406:9212 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
Dimension Property 406:9211 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Dimension Property records the dimension type and style used for an AutoCAD dimension.

The following table lists the IDP's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Para- meter Data | Structure | Line Font Pattern | Level | View | Trans- formation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | n.a. | n.a. | n.a. | n.a. | 00010000 | D#
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
406 | n.a. | n.a. | # | 9211 |  |  |  | 0 | D# + 1
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

The following table describes the Parameter Data (PD) fields used in a 406:9211:

Index | Name/AutoCAD dimension variable | Type | Contents
1 | NP | integer | Number of property values (NP = 2)
2 | dimtype | integer | Dimension type
3 | dimstyle | string | DIMSTYLE name (1-32 alphanumeric characters plus '$','-','_')


Polyface Mesh Property 406:9212 (IGES IDP)

Dimension Property 406:9211 (IGES IDP)
AutoCAD IGES IDP Format Specification
User Coordinate System Property 406:9213 (IGES glossary)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
Polyface Mesh Property 406:9212 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Polyface Mesh Property retains the information in an AutoCAD polyface mesh when you set pfacemesh_idp to 1. The AutoCAD polyface mesh is represented as two lists: the first is a list of 3D points in a Copious Data Multipoint 3D (106:2); the second is a listof faces in a 406:9212. The 406:9212 always lists four integers for each face;the absolute values of the integers refer to positions in the 106:2. Faces have3 or 4 defining points; if the face contains fewer than four points, theTranslator places a zero in the unused positions.

The following table lists the IDP's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Para- meter Data | Structure | Line Font Pattern | Level | View | Transfor- mation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | n.a. | n.a. | n.a. | n.a. | 00010000 | D#
11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
406 | n.a. | n.a. | # | 9212 |  |  |  | 0 | D# + 1

Please note that IGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

The following table lists the Parameter Data (PD) fields used in a 406:9212:

Index | Name | Type | Contents
1 | NP | integer | Number of property values (NP = 4 * number of faces) Let NFACES = N / 4
2 | PA1 | integer | Index of point 1 of face 1
3 | PB1 | integer | Index of point 2 of face 1
4 | PC1 | integer | Index of point 3 of face 1
5 | PD1 | integer | Index of point 4 of face 1
... | ... | ... | ...
... | ... | ... | ...
2 + 4 * (NFACES - 1) | PANFACES | integer | Index of point 1 of face NFACES
3 + 4 * (NFACES - 1) | PBNFACES | integer | Index of point 2 of face NFACES
4 + 4 * (NFACES - 1) | PCNFACES | integer | Index of point 3 of face NFACES
5 + 4 * (NFACES - 1) | PDNFACES | integer | Index of point 4 of face NFACES

The following is a representation of how a 406:9212 works.

Pointers contained in the IDP can be positive or negative. Negative numbers indicate that the edge starting at that vertex is hidden. Positive numbers indicate that the edge starting at the vertex is visible. The following table describes the faces.

Edge Number | Description
1, 2, 5, 6 | A face connecting points 1, 2, 5, and 6. All edges are visible.
1, 2, -5, 6 | A face with a hidden edge going from point 1 to 2, a visible edge going from point 2 to 5, a hidden edge going from point 5 to 6, and a visible edge going from 6 to 1.


User Coordinate System Property 406:9213 (IGES glossary)

Polyface Mesh Property 406:9212 (IGES IDP)
AutoCAD IGES IDP Format Specification
Linetype Description Property 406:9216 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
User Coordinate System Property 406:9213 (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The User Coordinate System (UCS) Property records that an IGES matrix was created from an AutoCAD UCS. It is only attached to a Transformation Matrix (124) when you set ucs_idp to 1 and when that 124 came from an AutoCAD UCS.

The following table lists the IDP's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Parameter Data | Structure | Line Font Pattern | Level | View | Transformation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | n.a. | n.a. | n.a. | n.a. | 00010000 | D#
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
406 | n.a | n.a. | # | 9213 |  |  |  | 0 | D# + 1
Please note that IGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.
Not every Orthogonal Transformation Matrix (124:0) needs to have a 406:9213 attached to it. Some 124s are created by the Translator due to the structure of IGES requiring them. Other 124s are created from named UCSs. Only the named UCSs have the IDP.


Linetype Description Property 406:9216 (IGES IDP)

User Coordinate System Property 406:9213 (IGES glossary)
AutoCAD IGES IDP Format Specification
Attribute Reference Property 406:7901 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
Linetype Description Property 406:9216 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Linetype Description Property retains the description of the AutoCAD linetype definition. The description is optional and can be a sequence of dots, spaces, and dashes, or a comment such as "Use this linetype for hidden lines." The Translator generates this IDP when you set linetype_idp to 1. (This description is not an essential part of the definition. It should be no longer than 47 characters.)

The following table lists the IDP's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Parameter Data | Structure | Line Font Pattern | Level | View | Transformation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | n.a. | n.a. | n.a. | n.a. | 00010000 | D#
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
406 | n.a. | n.a. | # | 9216 |  |  |  | 0 | D# + 1
NoteIGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

The following table describes the Parameter Data (PD) fields used in a 406:9216:

Index | Name | Type | Contents
1 | NP | integer | Number of property values (NP = 1)
2 | DESC | string | Linetype description (less than or equal to 47 characters)


Attribute Reference Property 406:7901 (IGES IDP)

Linetype Description Property 406:9216 (IGES IDP)
AutoCAD IGES IDP Format Specification
CADDS Surface Mesh Property 406:5558 (IGES IDP)
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
Attribute Reference Property 406:7901 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This property is created by the internal AutoCAD translator that ships with AutoCAD Release 12 and earlier. It is read and processed by IGESOUT, but not created by it. The 406:9210 property replaces the 406:7901.

The following table lists the IDP's Directory Entry (DE) fields:

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Para-meter Data | Structure | Line Font Pattern | Level | View | Trans-formation Matrix | Label Display | Status Number | Sequence Number
406 | - | n.a. | n.a. | n.a. | n.a. | n.a. | n.a. | 00010000 | D#

11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
406 | n.a. | n.a. | # | 7901 | - | - | - | 0 | D# + 1

Please note that IGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

The following table describes the Parameter Data (PD) fields used in a 406:7901:

Index | Name | Type | Contents
1 | NP | integer | Number of property values (NP=2)
2 | TAG | string | Attribute tag
3 | VALUE | string | Attribute value


CADDS Surface Mesh Property 406:5558 (IGES IDP)

Attribute Reference Property 406:7901 (IGES IDP)
AutoCAD IGES IDP Format Specification
CALS Option Sets
AutoCAD IGES 2010 > AutoCAD IGES IDP Format Specification >
CADDS Surface Mesh Property 406:5558 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The CADDS Surface Mesh Property permits an IGES surface entity to retain the information regarding the number of isoparametric curves used for its display.The Translator generates this property when you set surface_mesh_idp to 1. It is always processed by IGESIN.

1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10
Entity Type Number | Para-meter Data | Structure | Line Font Pattern | Level | View | Trans-formation Matrix | Label Display | Status Number | Sequence Number
406 | => | n.a. | n.a. | n.a. | n.a. | n.a. | n.a. | 00010000 | D#

11 | 12 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20
Entity Type Number | Line Weight | Color Number | Parameter Line Count | Form Number | Reserved | Reserved | Entity Label | Entity Subscript | Sequence Number
406 | =n.a. | n.a. | # | 5558 | - | - | - | 0 | D# + 1

Please note that IGES uses an arrow (=>) to represent a pointer, and a pound sign (#) to represent an integer.

The following table describes the Parameter Data (PD) fields used in a 406:5558.

Index | Name | Type | Contents
1 | NP | integer | Number of property values (NP=3)
2 | ULINES | integer | Density of mesh (number of isoparametric curves) in U direction
3 | VLINES | integer | Density of mesh (number of isoparametric curves) in V direction
4 | DISPLAY | integer | Request for display of mesh (0).

NoteULINES and VLINES are one less than the actual number of curves, so ULINES = VLINES = 1 results in the display of only the four boundary curves (two in each direction).


CALS Option Sets

CADDS Surface Mesh Property 406:5558 (IGES IDP)
AutoCAD IGES 2010
Option Sets for CALS (MIL-D-28000) Subsets (IGES Translator)
AutoCAD IGES 2010 >
CALS Option Sets
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Option Sets for CALS (MIL-D-28000) Subsets (IGES Translator)
  • Class I: Technical Illustration Subset (IGES Translator)
  • Class II: Engineering Drawing Subset (IGES Translator)
  • Class IV: Geometry for Numerical Control Manufacturing Subset (IGES Translator)


Option Sets for CALS (MIL-D-28000) Subsets (IGES Translator)

CALS Option Sets
CALS Option Sets
Class I: Technical Illustration Subset (IGES Translator)
AutoCAD IGES 2010 > CALS Option Sets >
Option Sets for CALS (MIL-D-28000) Subsets (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator provides options files that enable the generation of CALS (ContinuousAcquisition and Lifecycle Support) MIL-D-28000 IGES Subset IGES files. In addition to the options files, the Translator provides start section templates for the CALSIGES subsets. You can edit these files and customize them with your contact information and company address.

See the MIL-D-28000A specification (February 1992, Amendment 1 dated December 1992) for more information on the restrictions these subsets impose on IGES files.

Before generating a CALS IGES subset file using the options file provided with the IGES Translator, you must create or change your AutoCAD data according to the guidelines detailed for the desired subset.

For additional information about the subsets, see:

Class I: Technical Illustration Subset

Class II: Engineering Drawing Subset

Class IV: Geometry for Numerical Control Manufacturing Subset

NoteThe Class III Electrical/Electronic Applications subset is not applicable to AutoCAD. For schematics or physical board designs, consider using Class II or I.


Class I: Technical Illustration Subset (IGES Translator)

Option Sets for CALS (MIL-D-28000) Subsets (IGES Translator)
CALS Option Sets
Class II: Engineering Drawing Subset (IGES Translator)
AutoCAD IGES 2010 > CALS Option Sets >
Class I: Technical Illustration Subset (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Class I is intended for the exchange of figures and illustrations found in technical publications.

The Translator provides the cals1.opt options file and the cals1hdr.txt start section template file to help you generate a Class I IGES Subset file.Save a backup of these files before you customize them so that you can return to the original if necessary.

See Preparing an AutoCAD Drawing for Translation to a Class I IGES File for data preparation details.

The Class I subset is restricted to the following IGES entities:

0 | Null
100 | Circular Arc
102 | Composite Curve
104 | Conic Arc
106:11 | Copious Data: 2D Linear String
106:63 | Copious Data: Simple Closed Planar Curve
110:0 | Line
112 | Parametric Spline
124:0 | Transformation Matrix
126 | Rational B-Spline Curve
212 | General Note
230 | Sectioned Area
308 | Subfigure Definition
404 | Drawing
406:15 | Name Property
406:16 | Drawing Size
406:17 | Drawing Units
408 | Subfigure Instance
410 | View
412 | Rectangular Array Subfigure Instance
414 | Circular Array Subfigure Instance
NoteIf the form is not noted, all forms of the entity are included.


Class II: Engineering Drawing Subset (IGES Translator)

Class I: Technical Illustration Subset (IGES Translator)
CALS Option Sets
Class IV: Geometry for Numerical Control Manufacturing Subset (IGES Translator)
AutoCAD IGES 2010 > CALS Option Sets >
Class II: Engineering Drawing Subset (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Class II is intended for the exchange of engineering drawings.

The Translator provides the cals2.opt options file and the cals2hdr.txt start section template file to help you generate a Class II IGES Subset file. Save a backup of these files before you customize them so that you can return to the original if necessary.

See Preparing an AutoCAD Drawing for Translation to a Class II IGES File for data preparation details.

The Class II subset is restricted to the following IGES entities:

0 | Null
100 | Circular Arc
102 | Composite Curve
104 | Conic Arc
106:11 | Copious Data: 2D Linear String
106:12 | Copious Data: 3D Linear String
106:20 | Copious Data:Centerline through Points
106:21 | Copious Data:Centerline through Circle Centers
106:31-38 | Copious Data: Section
106:40 | Witness Line
106:63 | Copious Data:Simple Closed Planar Curve
108:0 | Unbounded Plane
108:1 | Bounded Plane
110:0 | Line
112 | Parametric Spline Curve
114 | Parametric Spline Surface
116 | Point
118 | Ruled Surface
120 | Surface of Revolution
122 | Tabulated Cylinder
124:0,1 | Transformation Matrix
126 | Rational B-Spline Curve
128 | Rational B-Spline Surface
130 | Offset Curve
140 | Offset Surface
142 | Curve on a Parametric Surface
144 | Trimmed Parametric Surface
202 | Angular Dimension
206 | Diameter Dimension
210 | General Label
212 | General Note
214 | Leader Arrow
216 | Linear Dimension
218 | Ordinate Dimension
220 | Point Dimension
222:0,1 | Radius Dimension
228 | General Symbol
230 | Sectioned Area
304 | Line Font Definition
308 | Subfigure Definition
314 | Color Definition
402:3 | Views Visible
402:4 | Views Visible, Color, Line Font
402:7 | Group without Back Pointers
404 | Drawing
406:1 | Definition Levels
406:3 | Level Function
406:15 | Name Property
406:16 | Drawing Size
406:17 | Drawing Units
408 | Subfigure Instance
410 | View
NoteIf the form is not noted, all forms of the entity are included.


Class IV: Geometry for Numerical Control Manufacturing Subset (IGES Translator)

Class II: Engineering Drawing Subset (IGES Translator)
CALS Option Sets
Reference
AutoCAD IGES 2010 > CALS Option Sets >
Class IV: Geometry for Numerical Control Manufacturing Subset (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Class II is intended for the exchange of geometry for numerical control cutter path generation and process planning. The class is similar to Class II with respect to geometry.

The Translator provides the cals4.opt options file and the cals4hdr.txt start section template file to help you generate a Class IV IGES Subset file.Save a backup of these files before you customize them so that you can return to the original if necessary.

See Preparing an AutoCAD Drawing for Translation to a Class IV IGES File for data preparation details.

The Class II subset is restricted to the following IGES entities:

0 | Null
100 | Circular Arc
102 | Composite Curve
104 | Conic Arc
106:1 | Copious Data: Coordinate Pairs
106:2 | Copious Data: Coordinate Triples
106:11 | Copious Data: 2D Linear String
106:12 | Copious Data: 3D Linear String
106:20 | Copious Data: Centerline through Points
106:21 | Copious Data: Centerline through Circle Centers
106:40 | Witness Line
106:63 | Copious Data: Simple Closed Planar Curve
108:0 | Unbounded Plane
108:1 | Bounded Plane
110:0 | Line
116 | Point
118 | Ruled Surface
120 | Surface of Revolution
122 | Tabulated Cylinder
124:0,1 | Transformation Matrix
126 | Rational B-Spline Curve
128 | Rational B-Spline Surface
130 | Offset Curve
140 | Offset Surface
142 | Curve on a Parametric Surface
144 | Trimmed Parametric Surface
202 | Angular Dimension
206 | Diameter Dimension
210 | General Label
212 | General Note
214:1 | Leader Arrow: Wedge
214:2 | Leader Arrow: Triangle
214:3 | Leader Arrow: Filled Triangle
214:11 | Leader Arrow: Open Triangle
216 | Linear Dimension
218 | Ordinate Dimension
220 | Point Dimension
222:0,1 | Radius Dimension
228 | General Symbol
402:3 | Views Visible
402:4 | Views Visible, Color, Line Font
402:7 | Group without Back Pointers
404 | Drawing
406:15 | Name Property
406:16 | Drawing Size
406:17 | Drawing Units
410 | View


Reference

Class IV: Geometry for Numerical Control Manufacturing Subset (IGES Translator)
AutoCAD IGES 2010
Toolbar Reference
AutoCAD IGES 2010 >
Reference
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Toolbar Reference
  • Glossary
  • Bibliography


Toolbar Reference

Reference
Reference
Toolbar Reference
AutoCAD IGES 2010 > Reference >
Toolbar Reference
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Toolbar Reference
  • IGES Translator Toolbar
  • IGES Tools Toolbar


Toolbar Reference
Toolbar Reference
IGES Translator Toolbar
AutoCAD IGES 2010 > Reference > Toolbar Reference >
Toolbar Reference
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

There are two Data Exchange toolbars provided for IGES Translator users:

IGES Translator Toolbar

IGES Tools Toolbar


IGES Translator Toolbar

Toolbar Reference
Toolbar Reference
IGES Tools Toolbar
AutoCAD IGES 2010 > Reference > Toolbar Reference >
IGES Translator Toolbar
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGES Translator toolbar provides the tools you need to invoke the IGESTranslator and locate entities and objects in translated files.

Note The IGES Translator ships with many more tools than those represented on theIGES Translator or IGES Tools toolbars. Some tools (such as ADXBATCH) cannot be invoked from a tool bar, since they run outside of the MechanicalDesktop/AutoCAD environment. Others are not included on the toolbar because they are used infrequently, or by a relatively small number of users. For a complete listof all tools that ship with the IGES Translator, please see IGES Translator Tools List.

Invokes the IGESIN command. See IGESIN Dialog Box for information about using IGESIN.

Invokes the IGESOUT command. See IGESOUT Dialog Box for information about using IGESOUT.

Lists the IGES DE number of an AutoCAD object created by the Translator. See listde.lsp.

Finds an AutoCAD entity created from a specified IGES entity as indicated by its DE number. See findde.lsp.


IGES Tools Toolbar

IGES Translator Toolbar
Toolbar Reference
Glossary
AutoCAD IGES 2010 > Reference > Toolbar Reference >
IGES Tools Toolbar
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGES Tools toolbar provides the tools you need to validate IGES files,search for specific entities, and solve common translation problems.

Note The IGES Translator ships with many more tools than those represented on theIGES Translator or IGES Tools toolbars. Some tools (such as ADXBATCH) cannot be invoked from a tool bar, since they run outside of the MechanicalDesktop/AutoCAD environment. Others are not included on the toolbar because they are used infrequently, or by a relatively small number of users. For a complete listof all tools that ship with the IGES Translator, please see IGES Translator Tools List

Invokes the IGESMAP tool, which is an IGES-to-IGES flavor translator used to improve translation of layers (levels) and blocks (subfigures). See IGESMAP.

Invokes the IGESVAL tool, which validates IGES files and attempts to repair those entities that do not conform to the IGES standard. See IGESVAL.

Invokes the VISIBLE tool, which ensures that all entities brought into AutoCADare visible, even if they were hidden in the input IGES file. See VISIBLE.

Invokes the handsel tool, which selects an AutoCAD entity by handle, and optionally lists the entity and its definition. This may be useful if the Translator produces a questionable IGES entity. See handsel.lsp.

Invokes the sheet.lsp tool, which creates paper space Viewport entities corresponding to a specified VPORT configuration, and maps the VPORT to an IGES 404. See sheet.lsp.

Invokes the IGESVAL tool, which shifts paper space entities so that their XYcoordinates are all non-negative in paper space. See oshift.lsp.


Glossary

IGES Tools Toolbar
Reference
Glossary (IGES)
AutoCAD IGES 2010 > Reference >
Glossary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Glossary (IGES)


Glossary (IGES)

Glossary
Glossary
Bibliography
AutoCAD IGES 2010 > Reference > Glossary >
Glossary (IGES)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

annotation

ANSI

ASCII

back pointer

blank status flag

boundary representation (B-rep)

CALS

child

clipping box

clipping plane

composite curve

constituent

constructive solid geometry

Definition Space

Directory entry section

Drawing Space

DXF

entity

entity type number

entity use flag

extended entity data (XED)

flavor translator

form number

Global section

gray pages

handle

Hollerith format

Implementor Defined Property (IDP)

IGES file

IPO

ISO

isolines

JAMA-IS

line font

line weight

Line Widening property

log file

MIL-D-28000A

model

Model Space

model space

negated pointer

null string

NURBS

object

paper space

Parameter Data section

parameter delimiter

parent

PDES

pointer

postprocessor

preprocessor

Property Pointer

Rational B-Spline

sequence number

Start section

STEP

structure

text font

Terminate section

tiled viewports

tolerance

Translator

U line

user-defined entity-specific definition

untested

V line

Viewport

View Space

World Space IGES coordinate systems

XED


Bibliography

Glossary (IGES)
Reference
Bibliography (IGES Translator)
AutoCAD IGES 2010 > Reference >
Bibliography
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Bibliography (IGES Translator)


Bibliography (IGES Translator)

Bibliography
Bibliography
AutoCAD IGES 2010 > Reference > Bibliography >
Bibliography (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Publications

Initial Graphics Exchange Specification (IGES) Version 5.3.U. S. Product Data Association, Trident Research Center, Suite 204, 5300International Boulevard, North Charleston, SC, 29418.

Initial Graphics Exchange Specification (IGES), Technical Briefing. U.S. Department of Commerce, National Bureau ofStandards, National Engineering Laboratory, Center for Manufacturing Engineering,Automated Production Technology Division, Gaithersburg, MD.

Initial Graphics Exchange Specification (IGES), Digital Representation for Communication of Product Definition Data, ANSI Y14.26M-1981,The American Society of Mechanical Engineers, New York, NY.

IGES-Related Articles in Print

Beazley, William G. and Thompson, Vince E., "The CALS Standard," CADENCE, November 1990, pp. 64-71.

Clapp, Edward, "An Introduction to STEP," CAD Productivity Sourcebook, 1994, Miller-Freeman, San Francisco, CA.

Clapp, Edward, "Sharing Data: Working with IGES and Different CAD Packages," CAD Productivity Sourcebook, 1994, Miller-Freeman, San Francisco, CA.

Clapp, Edward, Richard Cochran and Joel Petersen, "Improving IGES Exchanges," CADENCE, March 1995, pp. 51-60.

Conroy, William, "The Role of the IGES/PDES Organization," CALS Expo '91 Conference Proceedings, NSIA, November 11-14, 1991, pp. PS-1 to PS-11.

Cramblitt, Bob, "A Love-Hate Relationship," Computer Graphics World, January 1991, pp. 55-61.

Fowler, Julian, "Plans for a Conformance Testing Infrastructure," CALS Expo '91 Conference Proceedings, NSIA, November 11-14, 1991, pp. ST-34 - ST-42.

Goldstein, Barbara, "Harmonization of Product Data Standards," CALS Expo '91 Conference Proceedings, NSIA, November 11-14, 1991, pp. PS-27 - PS-36.

Hemmelgarn, Don and John Hodges, "IGES to STEP Migration," Autofact '91 Conference Proceedings, SME, November 10-14, 1991, pp. 22-11 - 22-17.

Klueh, Douglas and James Cashman, "Opening Mechanical Design Automation via Industry Standards," Autofact '91 Conference Proceedings, SME, November 10-14, 1991, pp. 22-19 - 22-30.

Puttre, Michael, "The CALS Connection," Mechanical Engineering, August 1991, pp. 56-59.

Stokes, Harlan, "IGES Success on a Shoestring: A Case Study of CAD/CAM Data Exchange," Proceedings, Design Productivity International Conference, Vol. 2, February 3-9, 1991, Honolulu, HI, pp. 627-633.

Stokes, Harlan, "Tooling the IGES Exchange Process," MicroCAD News, September 1991, pp. 53-55,64.

Stokes, Harlan, Mitchell Fleisher and Thomas Phelps, "Design for Data Integrity--Part One," MicroCAD News, December 1991, pp. 52-55.

Information about Solid Modeling

Hoffman, Christoph M., Geometric and Solid Modeling: An Introduction, 1989, Morgan Kaufmann Publishers, Inc., San Mateo, CA.

Mortensen, Michael E., Geometric Modeling, 1985, John Wiley and Sons, Inc., New York, NY.

Weiler, Kevin J., Topological Structures for Geometric Modeling, 1986, University Microfilms International, Ann Arbor, MI.


cvmesh option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
cvmesh option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: cvmesh

Option Type: integer

Option Default: 0

Use this option to tell the Translator to either use or ignore the CADDS Surface Mesh property (406:5558). Some systems can attach to surfaces an implementor defined property that gives surface values for upaths and vpaths at the time it was sent.

0 = The Translator uses the CADDS Surface Mesh property if it is found, letting it override the values specified by spathv and spathu.

1 = The Translator ignores the CADDS Surface Mesh property and uses the values specified by spathv and spathu.


IGESIN: DE: Color

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator maps this DE field to the AutoCAD color unless you specify line weight color overloading. The mappings are as follows:

IGES Color |  | AutoCAD color
Value | Type |
0 | None | WHITE
1 | Black | 8
2 | Red | RED
3 | Green | GREEN
4 | Blue | BLUE
5 | Yellow | YELLOW
6 | Magenta | MAGENTA
7 | Cyan | CYAN
8 | White | WHITE
<0 | Definition pointer | See mapping of a 314
9-255 |  | AutoCAD color index


IGESIN: DE: Entity Label

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Entity Label
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

For mappings that require an entity name, the Translation uses this field for the name when a Name Property (406:15) is not attached.


dimension_idp option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
dimension_idp option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: dimension_idp

Option Type: Boolean

Option Default: 0

Specifies whether to create the AutoCAD Dimension IDP (406:9211). The IDP is only attached to Groups Without Back Pointers (402:7) or Ordered Groups Without Back Pointers (402:15) that are created when a dimension is decomposed.

0 = Disables creation

1 = Enables creation


IGESIN: DE: Entity Type Number

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Entity Type Number
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This DE field identifies by number the entity type to be translated.


IGESIN: DE: Form Number

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Form Number
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This DE field identifies by number the form of entity to be translated.


IGESIN: DE: Label Display Associativity

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Label Display Associativity
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator does not map this DE field.


IGESIN: DE: Level Mapping

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Level Mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator maps the level number of an entity to an AutoCAD layer with the same number, unless the level has a Level Function Property (406:3) or a Name Property (406:15) that provides a layer name.

IGES entities can reside on multiple levels, but AutoCAD objects can exist on one layer only. To indicate that an IGES entity belongs to more than one level, the entity references a Definition Levels Property (406:1) from its level field by a negated DE pointer.

If the level is a reference to a Definition Levels Property (406:1), the negated DE pointer becomes the layer name, unless that property has a Level Function Property (406:3) or a Name Property (406:15) that provides a layer name.


IGESIN: DE: Line Font Pattern

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Line Font Pattern
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator maps the line font pattern to an AutoCAD linetype. The specific linetype depends on the line font mapping options. By default, the predefined line fonts are mapped as follows:

IGES line font pattern |  | AutoCAD linetype
Value | Type |
0 | No pattern specified | BYLAYER
1 | Solid | CONTINUOUS
2 | Dashed | DASHED
3 | Phantom | PHANTOM
4 | Centerline | CENTER
5 | Dotted | DOT
&lt0 | Definition pointer | See mappings for 304:1 and 304:2.

Limitations in Line Font Pattern Translation

AutoCAD displays the linetypes of lines, circles, circular arcs, and 2D polylines. Linetypes of other objects are set but not displayed. If a composite curve is converted to a single AutoCAD curve, the Translator might lose some line font data, because only one linetype can be set.


IGESIN: DE: Line Weight

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Line Weight
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The lineweight property introduced in AutoCAD adds width to objects both on screen and in printed output. See Lineweights for information on how lineweights are mapped from IGES to AutoCAD.

In addition to this lineweight property, you can use lineweight_to_color to map line weights to AutoCAD colors. The log file lists any line weights in the IGES file and the colors to which they are mapped. You can assign pen widths to the colors at plot time.

In AutoCAD, you cannot process both the IGES Color field and the IGES Line Weight field in the same translation. However, if you wish to pass both line weight and color information, you can use the map color tool.


IGESIN: DE: Parameter Data Index

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Parameter Data Index
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

During file parsing, this DE field acts as an index to the parameter data of an entity.


IGESIN: DE: Parameter Line Count Number

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Parameter Line Count Number
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator uses this DE field during parsing.


IGESIN: DE: Sequence Number

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Sequence Number
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator uses this DE field during parsing.


IGESIN: DE: Status Number

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Status Number
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This DE field contains four subfields with the following mappings.

Subfield | Mapping
Blank Status | Mapped to the AutoCAD object's visibility field (DXF group code 60) with a value of 1 for invisible status. Mechanical Desktop provides the AMVISIBLE command for the manipulation of object visibility. You can also manipulate AutoCAD object visibility by using the AutoLISP functions (BLANK, UNBLANK, UNBLANKALL) provided in the blank.lsp tool, or by using the VISIBLE tool.
Subordinate Entity Switch | Applied during processing.
Entity Use Flag | Applied during processing.


IGESIN: DE: Structure

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Structure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This DE field is not mapped. It is needed only for Macro Instance entities (600-699 and 10000-99999), Implementor Defined Associativity Instance entities (402:5001-9999), and the Attribute Table Instance entities (422:0 and 422:1), none of which the Translator supports.


IGESIN: DE: Subscript

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Subscript
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator does not map this DE field.


IGESIN: DE: Transformation Matrix

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: Transformation Matrix
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator applies this DE field during processing.


IGESIN: DE: View Mapping

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN: DE: View Mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator uses the View Mapping field to modify an entity layer name and create the list of frozen layer viewports. It also maps the view field of an entity as follows:

View field value | Description | Mappings
0 | Entity is visible from all views | The Translator does not qualify the layer name of the entity; it makes the layer of the entity visible from all viewports.
Pointer to 410:0 or 410:1 | Entity is visible from only one view | The Translator qualifies the entity's layer name with the view name or the DE of the 410, depending on the settings for view_name. The Translator also excludes the layer from visibility in all viewport entities except the one generated from the mapping referenced by the 410.
Pointer to 402:3, 402:4, or 402:19 | Entity is visible in more than one but not all views | The Translator qualifies the entity's layer name with the string "VG" and a number that increases from 1 for each unique combination of views referenced by the view's visible entities.


IGESIN Entity Validation Options

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Entity Validation Options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Entity validation checks that the IGES files and entities conform to the IGES specification. These options allow for repairs and processing of invalid entities. Corresponds to evm_proc.

Bypass Invalid

When this option is enabled, the Translator ignores all entities it considers invalid.

Process All

When this option is enabled, the Translator performs validation and attempts to repair entities. The Translator requires a large amount of disk space for entity validation. For details, see evm_proc.

None

When this option is enabled, the Translator does not validate entities.


IGESIN Font Mappings

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Font Mappings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGESIN font mappings are table-driven. The following table lists the IGES fonts with their default AutoCAD equivalents.

IGES font # | IGES font name | AutoCAD style | AutoCAD shape file
0 | Symbol font | SYMBOL 0 | iges0
1 | ASCII (default) | STANDARD | txt
2 | LeRoy | LEROY | txt
3 | Futura | FUTURA | txt
6 | Comp80 | COMP80 | txt
12 | News Gothic | GOTHICE | gothice
13 | Lightline Gothic | GOTHICI | gothici
14 | Simplex Roman | ROMANS | romans
17 | Century Schoolbook | ROMANT | romant
18 | Helvetica | ROMAND | romand
19 | OCR-B | OCR | txt
1001 | Symbol font 1 | SYMBOL1 | iges1001
1002 | Symbol font 2 | SYMBOL2 | iges1002
1003 | Drafting font | SYMBOL3 | iges1003
2001 | Kanji (JIS6226) | KANJI | bigfont
3001 | Latin-1 (ISO 8859-1 | ISO8859-1 | eur_ _ _ _ _.pfb

The IGES font code zero (0) is obsolete in IGES. However, the Translator does permit you to use it. The LeRoy, Futura, Comp80, and OCR fonts have their own style names, which eliminates the chance of merged data. If an IGES file is brought into AutoCAD and contains both the LeRoy and Futura font styles, the Translator can maintain the separate styles and send them back out as separate fonts instead of merging the two together under one style name. Because these fonts do not actually exist in AutoCAD, AutoCAD uses the txt shape file as the font file for each of these IGES fonts. A Kanji font file must be available for the Kanji font to be mapped correctly.


dimstyle_idp option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
dimstyle_idp option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: dimstyle_idp

Option Type: Boolean

Option Default: 0

Specifies whether to create the AutoCAD Dimension Style IDP (406:9205).

0 = Disables creation

1 = Enables creation


IGESIN Viewport Layer Name Mapping Options

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Viewport Layer Name Mapping Options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Layer Name

You can enter a name for the viewport layer in this text box, which is enabled when you choose Single Name.

View Name

If this button is chosen, the Translator uses the entity label name of the View. If the name is not unique, or if no name exists, the Translator uses the DEnumber

Single Name

Enables the Layer Name text box, which you use to specify a layer name. This option puts all viewport entities on a layer given by the Layer Name text box.


IGESMAP Mappings Editor (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESMAP Mappings Editor (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Mappings Editor provides a user interface for specifying the mappings for the various functions of the IGESMAP.

The Mappings Editor dialog box provides access to the interface for each of the following functions:

  • Level Numbering By Name
  • Level Naming By Number
  • Subfigure Name Mapping
  • Subfigure Explosion
  • Subfigure Externalization


IGESMAP Overview (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESMAP Overview (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESMAP application is an IGES-to-IGES flavor translator that provides several functions that may improve translations of layers (levels) and blocks (subfigures). The application uses a mapping file you create with the mapping editor user interface (See IGESMAP Mappings Editor).

The IGESMAP application provides the following mapping functions:

  • Level Numbering By Name for specifying level numbers for corresponding names
  • Level Naming By Number for specifying level names for corresponding numbers
  • Subfigure Name Mapping for renaming IGES subfigure names according to rules
  • Subfigure Explosion by Name for explosion of IGES subfigures by name
  • Subfigure Externalization by Name for creation of externally referenced IGES files from specific IGES subfigures.

In the IGESMAP dialog box, the Description text box contains the description of the mappings, which is saved with the mappings in the mappings file.

Choose Save to overwrite the previously specified mapping file.

Choose Save As to save the mappings to a different file.


IGESMAP User Interface (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESMAP User Interface (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To use the IGESMAP application:

  1. Use Input File to select an IGES file to be mapped.
  2. Use Output File to specify an IGES file to be created.
  3. Use Mapping File to select a previously created mapping file.
  4. In the Mappings to Be Applied area, select the desired mapping function(s).
  5. Use Edit Mappings to create or modify the mapping file with the IGESMAP Mappings Editor.
  6. Choose OK to start the mapping.

For further information on the IGESMAP application, see the IGESMAP Overview.


IGESOUT 3D Solid Mapping

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT 3D Solid Mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This option (brepout_mapping in the options file) provides control of the mapping of 3D solid objects to:

B-Rep Solid (186) with Analytical Surfaces

When this option is enabled, the Translator maps B-rep solids to IGES Manifold Solid B-Rep Object Entities (186) and maps analytic surfaces to IGES Analytic Surfaces (190-198). NURBS Surfaces will always be mapped to IGES Rational B-Spline Surfaces (128).

B-Rep Solid (186) with NURBS Surfaces

When this option is enabled, the Translator maps B-rep solids to IGES Manifold Solid B-Rep Object Entities (186) and NURBS Surfaces. All underlying surfaces are mapped to IGES Rational B-Spline Surfaces (128). The Analytic Surfaces will be converted to their NURBS equivalents.

Surfaces

When this option is enabled (the default), the Translator maps 3D solids and Mechanical Desktop parts to IGES parametrized surfaces.

Note
  • IGES solids are not widely supported and successful exchange using them has not been extensively tested among the systems that support IGES solids. Because of this and also because of known system differences, you should take extra care in examining the results of 3D solid translations among any pair of IGES translators.
  • Translation to IGES B-rep entities containing analytic surfaces should not be done unless you are certain you will be able to carefully examine the results. There is a deficiency in the IGES Standard that sometimes requires the Translator to create noncompliant IGES B-rep solids when these surfaces are created. This is most likely to occur when a primitive solid such as a sphere, cone, or torus is used to cut away a part of another solid.


IGESOUT Drafting and Modeling Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Drafting and Modeling Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The drafting and modeling options enable you to include general information about the AutoCAD drawings selected for translation. These options only affect the settings of the IGES global section fields; they do not affect the Translator's IGESOUT mappings of entities.

Drafting Standard

From the list of drafting standards (see draft_std), you can choose the drafting standard used in the drawing. This list is taken from the Initial Graphics Exchange Specification (IGES). The default is None. Corresponds to draft_std.

Model Space Scale

Use this option to specify the model space scale (ratio of model space to real world space) used in the AutoCAD drawing. The default scale is 1.0000. Corresponds to msscale.

Units

From the list of units (see units)you can choose units used for creating the drawing. This list is supplied from the Initial Graphics Exchange Specification (IGES). The default units are those specified in the Mechanical Desktop/AutoCAD drawing. Corresponds to the units option.

User Defined

Use this option to input the units to be used. This text box is enabled when you choose User Defined from the Units list. Corresponds to units_str.


IGESOUT Drawing Entity (404) Properties Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Drawing Entity (404) Properties Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This area includes information about the AutoCAD drawing, such as the drawing size and limits.

Map Model and Drawings

Controls the mapping of AutoCAD drawings that contain layouts along with model space data. When this option is enabled (the default), the Translator maps the model space data to appropriate IGES entities, and maps each layout to a separate IGES drawing entity (404), with a Name Property (406:15) that contains the layout's name attached. Corresponds to dwg_name with a value of ".".

Map Model Only

When this option is enabled, the Translator maps model space data only and ignores any paper space information in the AutoCAD drawing. This option, which is disabled by default, corresponds to dwg_name with a value of "!".

Force Positive Extents

Allows for a special case of paper space. AutoCAD allows negative paper space coordinates, but some IGES implementations don't, such as CALS Class II. When enabled, this option moves the drawing to positive paper space coordinates prior to a translation. This option, which is disabled by default, corresponds to negative_coords.


IGESOUT Font Mappings

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Font Mappings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The style2 and fontcode2 options specify the font mappings. The defaults are shown in this table.

AutoCAD font specified by style2 | IGES font code | IIGES font name
SYMBOL0 | 0 | Symbol Font
STANDARD | 1 | ASCII (default)
TXT | 1 | ASCII
LEROY | 2 | LeRoy
FUTURA | 3 | Futura
COMP80 | 6 | Comp 80
GOTHICE | 12 | News Gothic
GOTHICI | 13 | Lightline Gothic
ROMANS | 14 | Simplex Roman
ROMANT | 17 | Century Schoolbook
ROMAND | 18 | Helvetica
OCR | 19 | OCR-B
SYMBOL1 | 1001 | Symbol Font 1
SYMBOL2 | 1002 | Symbol Font 2
SYMBOL3 | 1003 | Drafting Font
GDT | 1003 | Drafting Font
KANJI | 2001 | Kanji (JIS6226)
ISO8859-1 | 3001 | Latin-1 (ISO 8859-1
NoteThe Translator provides AutoCAD style names for fonts that have no direct mapping into AutoCAD.


IGESOUT Global Section Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Global Section Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the options in this section to specify information to use for the Global section of the IGES file. The information placed in the Global section provides a readable prologue to a file.

Product and Originator Information

Drafting and Modeling Options

IGES File Information


IGESOUT IGES File Information

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT IGES File Information
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the options in this section to define the layout of the file that the Translator creates.

Parameter Delimiter

A character used to separate fields in an IGES file. The default is a comma (,). It is recommended that you do not change this standard default IGES value because other systems might have difficulty reading other values. Corresponds to eofchar.

Record Delimiter

A character used to separate records in an IGES file. The default is a semi-colon (;). It is recommended that you do not change this standard default IGES value because other systems might have difficulty reading other values. Corresponds to eorchar.

IGES Version

Contains a list of all IGES version numbers to date. The default is Version 5.3. See IGESOUT Version Specification for information about selecting other versions. Corresponds to iges_version.


dont_block_surf option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
dont_block_surf option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: dont_block_srf

Option Type: Boolean

Option Default: 0

You can disable grouping of surface geometry.

0 = Put surface paths in a group

1 = Don't put surface paths in a group

This option only has an effect if srf_mapping is set to 1 (map to curve paths).


IGESSTRT (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESSTRT (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Formats the IGES Start section.

Syntax

At the Command prompt, enter

igesstrt igesfile [startfile]

where igesfile is the name of the IGES file and startfile is the name of an optional file containing Start section text.

Description

IGES files contain a prologue called the Start section. This section can contain any printable ASCII characters in columns 1-72, but columns 73-80 have strict rules about section letters and sequence numbers that must appear there. In addition, the correct count of Start section records must appear in the Terminate section (the last record of the IGES file).

IGESSTRT takes care of the details of Start section formatting, allowing you to edit the Start section of an IGES file without regard for the IGES syntax rules. After you're finished editing the Start section, run IGESSTRT to format the Start section according to the rules.

IGESSTRT will always ignore Start section text past column 72, replacing it with the proper sequence numbers. It will pad lines with blanks when necessary to end up with fixed-length, 80-character records.

You can use IGESSTRT in one of two ways.

  1. Edit the entire IGES file by deleting, modifying, or adding text to the Start section. Then run IGESSTRT on the .igs file to clean up the Start section with proper sequence numbers.
    NoteSome text editors on PC platforms cannot edit files longer than 64K. IGES files often exceed this size. This may prevent you from using this method on large IGES files.
  2. Create a separate text file containing text to be inserted in the Start section. Then run IGESSTRT, specifying the name of the .igs file and the text file. IGESSTRT discards the existing start section in the .igs file and replaces it with the contents of the text file, properly sequenced.
    NoteAvoid placing tab characters (or any other control characters) anywhere in an IGES file, including the Start section. They may be handled differently by different operating systems, file transfer programs, and IGES translators.

Examples

igesstrt myfile.igs Cleans up the Start section in myfile.igs.

igesstrt myfile.igs mystart.doc Places the contents of mystart.doc in the Start section of myfile.igs, properly formatted.


IGESVAL (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESVAL (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

In addition to the IGESIN and IGESOUT commands, the Translator defines the IGESVAL command to provide access to an IGES tool that can produce a validated IGES file from a given IGES file. To produce this validated IGES file, IGESVAL checks that the IGES file and the entities within it conform to the IGES specification, and attempts to repair those entities that do not.

Syntax

At the operating system's command prompt, enter the following:

igesval

You are prompted for the names of the input and output IGES files. A log file will be generated in the directory of the input file with the same name as the input file but with an .xlv extension.


iges_version option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
iges_version option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: iges_version

Option Type: integer

Option Default: 11

Includes one of the following version numbers in the Global Section data of the output IGES file. Changing the value of this option has no effect on the entities contained in the IGES file, and does not force the settings of any other options. See IGESOUT Version Specification for more information.

1 = Version 1.0

2 = ANSI Y14.26M-1981

3 = Version 2.0

4 = Version 3.0

5 = ASME Y14.26M-1987

6 = Version 4.0

7 = ASME Y14.26M-1989

8 = Version 5.0

9 = Version 5.1

10 = Version 5.2

11 = Version 5.3


IGES Entities 143 and 144

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entities 143 and 144
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Processing Bounded Surface (143) and Trimmed Surface (144) entities can be complex. Because many systems are known to create 143 and 144 entities within valid data, the Translator attempts to correct the data when it can. For example,the sending system may fail to provide closed model space curves. When this happens for a 144, the Translator closes the curve.

If the data for the entity makes it impossible to fix the trimmed surface for output into Mechanical Desktop surfaces, the Translator issues an error message and outputs the constituent surface and model space curves. It will also do this for 143s that fail entity validation. The Translator then groups the constituents and names the groups "BADSURF-nnn, " where "nnn" is the DE number of the failed 143 or 144. The Translator provides a tool, grp2layr.lsp, that allows you to place these groups on a user-specified layer.

Because of the complexity of these entities and the problems with invalid data from some other systems, it is recommended that you pay close attention to the results of translation into Mechanical Desktop surfaces.


IGES Entity 100 Circular Arc

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 100 Circular Arc
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Object or Display Attribute Name Circle, arc, 2D polyline

Whether the Translator maps the 100 to a circle, an arc, or a 2D polyline depends on the IGES representation.

If the curve has a Line Widening property (406:5) attached, the Translator maps it to a wide 2D polyline with bulges.

If the curve is part of a planar 102, the Translator maps it to a 2D polyline.


IGES Entity 102 Composite Curve

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 102 Composite Curve
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Object or Display Attribute Name Line, polyline, circular arc, circle, ellipse, or spline

Depending on the option you select, the Translator either maps the composite curve to an approximated curve or maps the constituent curves individually and may or may not group them.


IGES Entity 104:0 General Conic

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 104:0 General Conic
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 104:0 General Conic

AutoCAD Object or Display Attribute Name Ellipse, 2D polyline or spline

The Translator creates an ellipse or an approximated curve, depending upon the actual conic type.


IGES Entity 104:2 Hyperbola

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 104:2 Hyperbola
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 104:2 Hyperbola

AutoCAD Object or Display Attribute Name Spline or 2D polyline

The Translator creates an approximated curve.


IGES Entity 104:3 Parabola

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 104:3 Parabola
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 104:3 Parabola

AutoCAD Object Spline or 2D polyline

The Translator creates an approximated curve.


IGES Entity 106:11 Copious Data Multipoint Line (2D Path)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 106:11 Copious Data Multipoint Line (2D Path)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 106:11 Copious Data Multipoint Line (2D Linear Path)

AutoCAD Object or Display Attribute Name 2D polyline

The Translator creates a closed AutoCAD polyline if the IGES linear path is exactly closed (no tolerance); otherwise, it creates an open polyline. See 2D polyline for information about creating lightweight polylines.


IGES Entity 106:12 Copious Data Multipoint Line (3D Linear Path)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 106:12 Copious Data Multipoint Line (3D Linear Path)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 106:12 Copious Data Multipoint Line (3D Linear Path)

AutoCAD Object 3D Polyline

The Translator creates an AutoCAD 3D polyline.


IGES Entity 106:13 Copious Data Multipoint Line (3D Linear Path with Vectors)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 106:13 Copious Data Multipoint Line (3D Linear Path with Vectors)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 106:13 Copious Data Multipoint Line (3D Linear Path with Vectors)

Mechanical Desktop Name Augmented line

AutoCAD Object 3D polyline

When you select Mechanical Desktop Surfaces in the IGESIN Geometry Options dialog box, the Translator maps the 106:13 to a Mechanical Desktop augmented line.

If the Mechanical Desktop Surfaces option is not selected, the Translator maps the 106:13 to an AutoCAD 3D polyline and ignores the I, J, and K coordinates.


IGES Entity 106:1 Copious Data Multipoint (2D)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 106:1 Copious Data Multipoint (2D)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 106:1 Copious Data Multipoint (2D)

AutoCAD Object or Display Attribute Name Points

If block_106 is set to 1, the Translator maps the points into a group. If block_106 is set to 0, the Translator processes the points independently.


IGES Entity 106:20 Centerline (Crosshairs)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 106:20 Centerline (Crosshairs)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 106:20 Centerline (Crosshairs)

AutoCAD Object or Display Attribute Name Group containing line segments

The Translator creates a group containing line segments. To disable this group, use the annotation blocking option.


IGES Entity 106:21 Centerline (Multiple Objects)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 106:21 Centerline (Multiple Objects)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 106:21 Centerling (Multiple Objects)

AutoCAD Object or Display Attribute Name Group containing line segments

The Translator creates a group containing line segments. To disable this group, use the annotation_blockingoption.


IGES Entity 125:2 Rectangular Flash

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 125:2 Rectangular Flash
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 125:2 Rectangular Flash

AutoCAD Object or Display Attribute Name Trace

The Translator maps a Rectangular Flash (125:2) to a trace.


IGES Entity 125:3 Donut Flash

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 125:3 Donut Flash
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 125:3 Donut Flash

AutoCAD Object or Display Attribute Name Wide bulged polyline

This entity is similar to an AutoCAD donut.


IGES Entity 125:4 Canoe Flash

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 125:4 Canoe Flash
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 125:4 Canoe Flash

AutoCAD Object or Display Attribute Name Wide bulged polyline

The Translator maps a Canoe Flash (125:4) to a wide bulged polyline.


IGES Entity 126:0- 126:5 Rational B-Spline Curve

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 126:0- 126:5 Rational B-Spline Curve
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 126:0-5 Rational B-Spline Curve

AutoCAD Object or Display Attribute Name 2D or 3D polyline or spline

The Translator creates an approximated curve.

See also

Curves and Surfaces


IGES Entity 128:0-128:9 Nonuniform Rational B-Spline Surface

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 128:0-128:9 Nonuniform Rational B-Spline Surface
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 128:0-128:9 Rational B-Spline Surface

Mechanical Desktop Name Trimmed surface

AutoCAD Object Approximated Surfaces : 3D face, polyline (3D mesh, polyface mesh)

AutoCAD Object Body

The Translator creates a Mechanical Desktop trimmed surface, an AutoCAD approximated surface or an AutoCAD body. See Curves and Surfaces.


IGES Entity 130 Offset Curve

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 130 Offset Curve
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 130 Offset Curve

AutoCAD Object or Display Attribute Name Spline or 2D polyline

The Translator creates an approximated curve.


IGES Entity 132 Connect Point

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 132 Connect Point
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 132 Connect Point

AutoCAD Object or Display Attribute Name Point or block reference of display symbol and text object(s)

If the Connect Point Entity (132:0) has a display symbol, the Translator will map the display symbol to a block and create a block reference at the coordinates of the connect point.

The Translator will create a text object for the connect point identifier if the 132:0 references a Text Display Template (312:0 or 312:1) for the identifier. Also the Translator will create a text object for connect point function name if the 132 references a 312 for the name.


Drawing Mapping

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Drawing Mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Previous releases of AutoCAD and the IGES Translator created separate .dwg files for each drawing entity (404) present in the input IGES file. With the introduction of layouts in AutoCAD, you can map IGES files that contain multiple drawings (404s) into a single AutoCAD drawing along with the model space data. Each 404 in the input IGES file is mapped as a separate AutoCAD layout.

Map Model Only

When this option is enabled, the Translator maps model space data only and ignores any other drawing information present in the IGES file. This option, which is disabled by default, corresponds to primary_404 with a value of -2. Any other value of primary_404 will result in each 404 being mapped to a separate layout.

Map Model and Drawings

Controls the mapping of IGES files that have more than one drawing (entity 404). When this option is enabled (the default), the Translator will map each 404 in the input IGES file to a separate AutoCAD layout, and will map the IGES model space data to the drawing's model space. Corresponds to primary_404 with a value of anything besides -2. See Multiple Drawing Mapping for more information on layouts.


IGES Entity 140 Offset Surface

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 140 Offset Surface
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 140 Offset Surface

Mechanical Desktop Name Trimmed surface

AutoCAD Object Approximated Surfaces : 3D face, polyline (3D mesh, polyface mesh)

AutoCAD Object Body

The Translator creates a Mechanical Desktop trimmed surface, an AutoCAD approximated surface or an AutoCAD body. See Curves and Surfaces.

When you select Mechanical Desktop Surfaces in the IGESIN Geometry Options dialog box, the Translator maps the 140 to a NURBS surface with a nonzero offset value. The underlying surface is treated as a Rational B-Spline Surface (128).

When the Bodies option is selected, the Translator maps the 140 to an AutoCAD body.


IGES Entity 141 Boundary

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 141 Boundary
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 141 Boundary

AutoCAD Object Approximated curve (spline or polyline)

If the 141 is dependent on a 143, it will be used as a boundary for the appropriate surface translation.


decompose_dims option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
decompose_dims option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: decompose_dims

Option Type: Boolean

Option Default: 0

Specifies how to map AutoCAD Dimension entities to the following.

0 = Maps to IGES dimensions

1 = Maps to IGES entities that are mapped from AutoCAD entities in the graphic block of the dimension. These entities will be grouped when output_groups is set to 1 or 2.


DXF (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
DXF (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Stands for Drawing Interchange Format. An ASCII or binary file format of an AutoCAD drawing file for exporting AutoCAD files to other applications or for importing drawings from other applications.


IGES Entity 220:0 Point Dimension

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 220:0 Point Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 220:0 Point Dimension

AutoCAD Object or Display Attribute Name Group containing lines, polylines, text, associated geometry, and block arrowheads

The Translator creates a group containing lines, polylines, text, associated geometry, and block arrowheads. To disable this group, use the annotation blocking option.


IGES Entity 222:0-1 Radius Dimension (one and two arrowheads)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 222:0-1 Radius Dimension (one and two arrowheads)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 222:0 Radius Dimension (one arrowhead)

IGES Entity 222:1 Radius Dimension (two arrowheads)

AutoCAD Object or Display Attribute Name Radius dimension

If the Radius Dimension (222) is part of a Group (402) that points to an AutoCAD Dimension Centerline IDP (406:9208), it will map to a radius dimension, and if the 222 also points to a Centerline (Crosshairs) (106:20), the Translator creates an AutoCAD radius dimension containing a centerline.


IGES Entity 228:0-3 General Symbol

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 228:0-3 General Symbol
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 228:0 General Symbol

IGES Entity 228:1 Datum Feature Symbol

IGES Entity 228:2 Datum Target Symbol

IGES Entity 228:3 Feature Control Frame

AutoCAD Object or Display Attribute Name Group containing text, lines, associated geometry, and block arrowheads

The Translator creates a group containing text, lines, associated geometry, and block arrowheads. To disable this group, use the annotation_blockingoption.


IGES Entity 230:0-1 Sectioned Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 230:0-1 Sectioned Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 230:0-1Sectioned Area

AutoCAD Object or Display Attribute Name Group containing boundary curves and lines or (2D) solid

The Translator maps the Sectioned Area Entity (230:0-1) to a group containing lines representing the crosshatching. To disable this block insertion, use the annotation_blockingoption.

The Translator supports fill pattern codes 0-19. If the 230:0 uses fill pattern 19 and has a three- or four-point polyline for an outer boundary and no inner boundaries, the Translator maps the 230:0 to an AutoCAD (2D) solid object.

Other mappings of fill pattern 19 are dependent on the alternate_230_codeoption.

The Untested fill codes (20-268) will be mapped in the same way as fill code 1.

See the Initial Graphics Exchange Specification for further information about the pattern fill codes for the Sectioned Area entity.


IGES Entity 304:1 Line Font Definition: Template Subfigure

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 304:1 Line Font Definition: Template Subfigure
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 304:1 Line Font Definition: Template Subfigure

AutoCAD Object or Display Attribute Name Linetype approximated from predefined line font of 304:1

This IGES entity specifies a repetition of a Template Subfigure (304:1) to be displayed along the referencing anchoring curve.

Because this functionality does not exist in AutoCAD, the closest functional equivalent or most visually similar predefined line font (specified in the Line Font DE field of the 304:1) is used for mapping the line font to an AutoCAD linetype.


IGES Entity 304:2 Line Font Definition: Visible-Blank Pattern

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 304:2 Line Font Definition: Visible-Blank Pattern
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 304:2 Line Font Definition: Visible-Blank Pattern

AutoCAD Object or Display Attribute Name Linetype

This IGES entity specifies a repetition of a basic Visible-Blank Pattern superimposed on the referencing curve.

The Translator maps the segments of the definition to the dash-length specifications of the linetype. However, the mapping is limited to the last 12 segments of the definition. Segments that are not visible are mapped to pen-up (blank) dash-length specifications in the linetype definition.


IGES Entity 308 Subfigure Definition

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 308 Subfigure Definition
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 308 Subfigure Definition

AutoCAD Object or Display Attribute Name Block

The name of the block is obtained from the name field of the 308. The Translator supports nested subfigure definitions and instances to any depth.


IGES Entity 312:0-1 Absolute and Incremental Text Display Templates

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 312:0-1 Absolute and Incremental Text Display Templates
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 312:0 Absolute Text Display Template

IGES Entity 312:1 Incremental Text Display Template

AutoCAD Object or Display Attribute Name Attribute definition, text object

The Translator maps the 312 to a text object when the 312 is referenced by the following entities.

Connect Point (132)

Network Subfigure Definition (320)

Network Subfigure Instance (420)

Flow Associativity (402:18)

The Translator does not support other references and independent Text Display Template entities.


Editing Options Files with a Text Editor (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Editing Options Files with a Text Editor (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can edit an existing options file (files with the extension .opt) with any text editor that creates ASCII (unformatted) files. Here is an option file similar to the cals1.opt file supplied with the Translator. Lines prefaced with a number sign (#) are comments and are ignored by the Translator.

# CALS CLASS I

# Notes: 1) Data can not be in paper space. Paper space data is ignored.

# 2) No 3D data is permitted.

# 3) Layer must be 0.

# 4) No dimension entities are permitted.

# 5) Scale factors for blocks must be identical and should be positive.

# (A transformation matrix with mirroring is not permitted.)

# 6) Polylines can not have width or thickness.

# 7) Minserts and inserts can not be nested.

# 8) Font codes can only be 1, 1001, 1002, or 1003.

#

description Customized file for CALS I options

eofchar , # required but can be defaulted

eorchar ; # required but can be defaulted

cals1_view 1

layer_name_mapping 2 # can be 0 or 2

xref_mapping 1 # can be 0 or 1

output_groups 0

viewport_frame 0

named_views 0

perspective_views 0

insert_mapping 1

dim_centerline 0

radius_dimension_mapping 0

omit_314 1

autodesk_idp 0

decompose_dims 1

The following rules apply:

  • The options can appear in any order, but the option value must appear on the same line as the option keyword.
  • Columns are not significant, but option names must be lowercase.
  • Omit options that you do not want to modify from the options file. If you omit a value from the option set, the Translator uses its built-in default.
  • To change the value for an option, search through the options file to find the option you want, and enter a new value. Save the file in ASCII format. You can select the modified option set when you next invoke the Translator. When you make changes to the option set, edit the description at the start of the file so that you have a record of changes. The setting of the description option is displayed in the Description area of the IGESIN and IGESOUT Options Editor dialogs.
  • Any changes that you make in an option set are reflected the next time that the file is used for an IGES translation. The option settings are also reflected in the options file you use from the dialogs.
  • Your options files can be in any directory. However, if you place the location of your options files in the AutoCAD search path, you won't need to type the full path name to access them when using the command line input mode.
  • Do not place comments on the same line as an option with a string value.


IGES Entity 314 Color Definition

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 314 Color Definition
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 314 Color Definition

AutoCAD Object or Display Attribute Name Color

The Translator maps the 314 to the closest AutoCAD color number for the AutoCAD object to which the referencing IGES entity is mapped.


IGES Entity 320 Network Subfigure Definition

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 320 Network Subfigure Definition
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 320 Network Subfigure Definition

AutoCAD Object or Display Attribute Name Block

The Network Subfigure Definition (320) is mapped to a block in a way similar to the Subfigure Definition (308). When a primary reference designator is specified and a Text Display Template (312) is referenced, the Translator also maps the primary reference designator as a text object in the block.

The Translator maps Connect Points (132:0) into the block if they are present.


IGES Entity 402:13 Dimensioned Geometry

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 402:13 Dimensioned Geometry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 402:13 Dimensioned Geometry

Associativity to the geometry is only partial.

See Group Mapping.

For information on how the name of the group is obtained, see Name Mapping.


IGES Entity 402:14, 402:15 Ordered Group with and Without BackPointers

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 402:14, 402:15 Ordered Group with and Without BackPointers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 402:14 Ordered Group with Back Pointers

IGES Entity 402:15 Ordered Group Without Back Pointers

In most cases, the Translator preserves the order.

See Group Mapping.


IGES Entity 402:16 Planar Associativity

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 402:16 Planar Associativity
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 402:16 Planar Associativity

AutoCAD Object Ignored

This entity indicates that a collection of entities is coplanar. The children of the Planar Associativity are processed, but the associativity is not mapped.


IGES Entity 402:18 Flow Associativity

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 402:18 Flow Associativity
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator maps the Connect Points, Join, Flow Name, and Flow Name Display classes. The Translator combines flow names with corresponding flow name Text Display Templates, then maps the results to attribution definition objects, with the tag and default value set to the flow name. The Translator does not map the type of flow flag and function flag, nor does it map the Associate Flows and Flow Continuations classes.


IGES Entity 402:19 Segmented Views Visible

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 402:19 Segmented Views Visible
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator only partially supports this entity because the line font, color, and line weight of the AutoCAD objects cannot be controlled by viewport in AutoCAD or by segment for display. However, the Translator does map the appropriate viewport visibility.

See View Mapping.


IGES Entity 402:1, 402:7 Unordered Group with and Without Back Pointers

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 402:1, 402:7 Unordered Group with and Without Back Pointers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 402:1 Unordered Group with Back Pointers

IGES Entity 402:7 Unordered Group Without Back Pointers

See Group Mapping


IGES Entity 402:20 Piping Flow Associativity

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 402:20 Piping Flow Associativity
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 402:20 Piping Flow Associativity

AutoCAD Object Group, Entity Grouping Tool, or ignored

The Translator maps the Connect Points, Join, Flow Name, and Flow Name Display classes. The Translator combines flow names with corresponding flow name Text Display Templates, then maps the results to attribution definition objects, with the tag and default value set to the flow name. The Translator does not map the type of flow flag and function flag, nor does it map the Associate Flows and Flow Continuations classes.

See Group Mapping.

For information on how the name of the group is assigned, see Name Mapping.


IGES Entity 402:3 Views Visible

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 402:3 Views Visible
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 402:3 Views Visible

See View Mapping


IGES Entity 406:9211 AutoCAD Dimension Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:9211 AutoCAD Dimension Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:9211 AutoCAD Dimension Property

AutoCAD Object or Display Attribute Name Not mapped into AutoCAD

Because the Translator can construct AutoCAD dimensions from the data in the IGES annotation entity, it does not use AutoCAD Dimension Property IDP (406:9211).


IGES Entity 406:9213 AutoCAD User Coordinate System Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:9213 AutoCAD User Coordinate System Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:9213 AutoCAD User Coordinate System Property

AutoCAD Object or Display Attribute Name UCS

When an AutoCAD User Coordinate System IDP (406:9213) is attached to a Transformation Matrix (124), the matrix is mapped into an AutoCAD UCS.


IGES Entity 406:9216 AutoCAD Linetype Description Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:9216 AutoCAD Linetype Description Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:9216 AutoCAD Linetype Description Property

AutoCAD Object or Display Attribute Name Linetype description

When an AutoCAD Linetype Description IDP (406:9216) is attached to a Line Font Definition (304:2), the Translator maps the IDP into the description field of the linetype generated from the mapping of the 304:2.


IGES Entity 408 Singular Subfigure Instance

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 408 Singular Subfigure Instance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 408 Singular Subfigure Instance

AutoCAD Object or Display Attribute Name Block reference

The Translator maps a Singular Subfigure Instance (408) to a block reference.


IGES Entity 410:0-1 Orthographic and Perspective View

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 410:0-1 Orthographic and Perspective View
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 410:0 Orthographic View

IGES Entity 410:1Perspective View

AutoCAD Object or Display Attribute NameNamed view or viewport object

If the View entity is independent, the Translator maps it to a named view in model space. You can examine the named view by using the VIEW command, selecting Restore, and entering the name of the view.

If the View entity is a dependent of a Drawing Entity (404), it is mapped to a paper space viewport object. If viewport_layer was set to map view names to the viewport layer name, you can check the name of a viewport by looking at the layer on which it exists.

When no clipping planes are provided for a 410:0, a clipping volume is generated. See clipping_volume_expansion.

A Perspective View (410:1) is mapped to a named view or viewport object with perspective viewing.

For information on how names are obtained and truncated when necessary, see Name Mapping.

For help solving problems with the mapping of views to viewport entities, see Mapping Of Views To Viewport Entities And MAXACTVP.


IGES Entity 412 Rectangular Array Subfigure Instance

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 412 Rectangular Array Subfigure Instance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 412 Rectangular Array Subfigure Instance

AutoCAD Object or Display Attribute Name Block and block reference

The Translator maps the base entity to a block.

When all instances of the Rectangular Array Subfigure Instance (412) are to be mapped, the Translator creates a block reference object with multiple rows and columns, referencing the base entity block.

When only some of the instances of the 412 are to be mapped, the Translator maps each defined instance to a block reference of the base entity block. These entities are saved in an anonymous block and referenced by a block reference.


(egversion) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(egversion) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function returns the current version of EGT. The return value is a floating point number.


IGES Entity 414 Circular Array Subfigure Instance

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 414 Circular Array Subfigure Instance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 414 Circular Array Subfigure Instance

AutoCAD Object or Display Attribute Name Block and block reference

The Translator maps the base entity to a block.

The Translator maps each defined instance of a 414 to a block reference of the base entity block. These entities are saved in an anonymous block and referenced by a block reference.


IGES Entity 416:0-3 External Reference: Single Definition, Entire File, Logical Reference, and Native Form Reference

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 416:0-3 External Reference: Single Definition, Entire File, Logical Reference, and Native Form Reference
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Entity 416:0-3 External Reference: Single Definition, Entire File, Logical Reference, and Native Form Reference

AutoCAD Object or Display Attribute Name External reference

External References are not well defined or widely implemented in IGES. The Translator maps a 416 to an external reference of an AutoCAD drawing with the same root name as the externally referenced IGES file. For proper linkage, the external file should be mapped to AutoCAD in the same current directory (or within the AutoCAD search path) prior to the translation of the file with the 416. Otherwise, a "dummy" drawing is created in the current directory, and it should be replaced when you translate the externally referenced IGES file to AutoCAD. See your log file for information on the results of the 416 mapping.


IGES Entity 420 Network Subfigure Instance

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 420 Network Subfigure Instance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 420 Network Subfigure Instance

AutoCAD Object or Display Attribute Name Block reference, points, and attribute definition

A Network Subfigure Instance (420) is mapped to a block reference object of a block created by the mapping of the referenced Network Subfigure Definition (320).

The Translator also maps Connect Points (132), but does not associate them with the block reference object.

If a Text Display (312) entity is referenced by the 420, the Translator maps the primary reference designator to an attribute definition.


IGES Entity 502:1 Vertex List, 504:1 Edge List, 508:1 Loop

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 502:1 Vertex List, 504:1 Edge List, 508:1 Loop
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 502:1 Vertex List

IGES Entity 504:1 Edge List

IGES Entity 508:1 Loop

Mechanical Desktop Object N/A

AutoCAD Object N/A

These IGES entities are topological components of the IGES Manifold Solid B-Rep Object Entity (186) where it is used in the mapping to an AutoCAD 3D solid or a Mechanical Desktop part. If the B-Rep Solid (Type 186) Mapping area of the IGESIN Geometry Options dialog box is set to Surfaces, then these entities will be used in the definition of a Mechanical Desktop trimmed surface.


IGES Entity 510:1 Face

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 510:1 Face
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 510:1 Face

Mechanical Desktop Object Trimmed surface

AutoCAD Object N/A

This IGES entity is a topological component of the IGES Manifold Solid B-Rep Object Entity (186) where it is used in the mapping to an AutoCAD 3D solid or a Mechanical Desktop part. If the B-Rep Solid (Type 186) Mapping area of the IGESIN Geometry Options dialog box is set to Surfaces, then this entity will be translated to a Mechanical Desktop trimmed surface.


Entity 406:9201 AutoCAD Level Attributes Instance Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Entity 406:9201 AutoCAD Level Attributes Instance Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:9201 AutoCAD Level Attributes Instance Property

AutoCAD Object or Display Attribute Name BYLAYER color or linetype

When an AutoCAD Level Attributes Instance (406:9201) is attached to another entity, the Translator sets the color and/or linetype of the other entity to BYLAYER.


IGES Entity 514:1 Closed Shell

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 514:1 Closed Shell
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 514:1 Closed Shell

Mechanical Desktop Object Set of trimmed surfaces

AutoCAD Object N/A

This IGES entity is a topological component of the IGES Manifold Solid B-Rep Object Entity (186) where it is used in the mapping to an AutoCAD 3D solid, body, or Mechanical Desktop part. If the B-Rep Solid (Type 186) Mapping area of the IGESIN Geometry Options dialog box is set to Surfaces, then this entity will be translated to set of Mechanical Desktop trimmed surfaces, one for each face in the shell.


level_notes option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
level_notes option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: level_notes

Option Type: Boolean

Option Default: 0

Specifies whether to create level notes in the Start Section. Level notes indicate how the Translator maps AutoCAD layer names to IGES level numbers.

0 = Disables creation of level notes

1 = Enables creation of level notes

NoteThis option is particularly useful for the CALS subset generation. See Option Sets for CALS Subsets for details.


Level Naming By Number Dialog (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Level Naming By Number Dialog (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The dialog box for managing Level Naming By Number mappings has a list box of the current mappings, buttons for adding, modifying, removing, and clearing mappings, and text boxes for specifying level numbers and names.

To create a mapping:

  1. Specify a level number in the Level Number: text box and its corresponding name in the Level Name: text box.
  2. Choose Add to add the mapping to the list of level naming mappings to be applied.

You can also change an existing mapping by selecting it in the list box, editing the level name in the Level Name: text box, and choosing Modify.

If necessary, you can remove one or all mappings from the list. To remove one, select the mapping in the list box and then choose Remove. To remove all mappings, choose Clear.

Generate List fills the Input File Level Name and Number List with data from the input file previously specified. When you select an item from this list the Level Name and Level Number text boxes are set with the selected data, which can then be added to the mapping list by choosing Add.


Level Naming By Number (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Level Naming By Number (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Level Naming by Number Mapping function provides a way for you to specify a level name for any level number. In the resulting IGES file, the level name will be represented as an independent Levels Function Property (406:3) with the corresponding level number set in its level field. If a level name already exists, it will be replaced with the new name specified by the mapping.

This tool is particularly useful before the mapping of an IGES file from another CAD system to AutoCAD, especially when the other system does not have level/layer names or does not map them to IGES as Level Function Property (406:3) entities.

For instructions on how to use this function, see Level Naming By Number Dialog Box.


Level Numbering By Name Dialog (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Level Numbering By Name Dialog (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The dialog box for managing Level Numbering By Name mappings has a list box of the current mappings, buttons for adding, modifying, removing, and clearing mappings, and text boxes for specifying level names and numbers.

To create a mapping:

  1. Specify a level name in the Level Name: text box and its corresponding number in the Level Number: text box.
  2. Choose Add to add the mapping to the list of level numbering mappings to be applied.

You can also change an existing mapping by selecting it in the list box, editing the level name in the Level Number: text box, and choosing Modify.

If necessary, you can remove one or all mappings from the list. To remove one, select the mapping in the list box and choose Remove. To remove all mappings, choose Clear.

The Merge Levels checkbox provides control over the decision of what to do when a mapping specifies a level that already exists in the input IGES file. When Merge Levels is selected, the entities on the level corresponding to name in the mapping will be merged with entities on the pre-existing level. Otherwise, the entities on the pre-existing level are moved to the next free level, counting up from zero.

For example, when Merge Levels is selected, if a level named A is to be mapped to level number 1 and the input file already has a level 1 named B, the entities on level A will be merged with those on B and the level will be named A. When Merge Levels is not selected, the entities on level 1 will be moved to level 0 (the next free level in this case) and the entities on level 2 will be moved to level 1.

Generate List fills the Input File Level Name and Number List with data from the input file previously specified. When you select an item from this list, the Level Name and Level Number text boxes are set with the selected data, which can then be added to the mapping list by choosing Add.


Level Numbering By Name (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Level Numbering By Name (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Level Numbering by Name Mapping function provides a way for you to specify a level number for any level name, represented as an independent Levels Function Property (406:3) with the corresponding level number set in its level field.

If a level name already exists, it will be replaced with the new name specified by the mapping. This tool is particularly useful before the mapping of an IGES file from an AutoCAD system to another CAD system, especially when the other system does not have level/layer names or when you need to ensure conformance to a level numbering protocol.

For instructions on how to use this function, see Level Numbering By Name Dialog Box.


linefont1 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
linefont1 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: linefont1

Option Type: integer

Option Default: none

Specifies an IGES line font to map to an AutoCAD linetype specified by a corresponding option. You must specify nlinefonts occurrences of this option.


linefont2 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
linefont2 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: linefont2

Option Type: integer

Option Default: none

See Linetype Mapping.


linetype1 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
linetype1 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: linetype1

Option Type: string

Option Default: none

Specifies the AutoCAD linetype to which an IGES line font (specified by a corresponding linefont1 option) is to be mapped. You must specify nlinefonts occurrences of this option.


RENAME_ME

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
RENAME_ME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: linetype2

Option Type: string

Option Default: none

See Linetype Mapping.


linetype_file option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
linetype_file option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: linetype_file

Option Type: string

Option Default: none

Specifies the AutoCAD linetype file in which the corresponding linetype is defined. You must specify nlinefonts occurrences of this option.


linetype_idp option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
linetype_idp option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: linetype_idp

Option Type Boolean

Option Default: 0

Specifies whether to create the Autodesk Linetype Description IDP (406:9216) when mapping linetypes to Line Font Definition Entities (304:2). The linetype description is saved in the Linetype Description IDP.


entity (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
entity (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The basic unit of information in an IGES file. The term applies to individual elements of geometry, annotation used to form dimensions, or entities to form structured entities.


Linetype Mapping Options (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Linetype Mapping Options (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Linetype mapping options specify how AutoCAD linetypes are to be mapped to predefined IGES line fonts or Line Font Definition entities (304). You can specify a linetype mapping by using a combination of three options: linetype2, linefont2, and make304.

A linetype2 option is a string that specifies the AutoCAD linetype to be mapped. Following it, the linefont2 option is an integer value that specifies the closest predefined IGES line font to the AutoCAD linetype. The following table shows the default mappings.

AutoCAD linetype | IGES line font field
CENTER | 4 (Centerline)
CONTINUOUS | 1 (Solid)
DASHED | 2 (Dashed)
DOT | 5 (Dotted)
PHANTOM | 3 (Phantom)

A make304 option, following the linefont2 option, is a Boolean value indicating whether the corresponding linetype should be mapped to a Line Font Definition (304:2). A value of 0 disables the creation, and a value of 1 enables the creation.

When no linetype mapping is specified for a linetype, the Translator maps the linetype to a Line Font Definition (304:2) with a default predefined line font of 2 (dashed).

The nlinetypes option specifies the number of linetype mappings provided. You must specify n linetype occurrences of each of the linetype mapping options.


RENAME_ME

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
RENAME_ME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: lineweight_to_color

Option Type: Boolean

Option Default: 0

Specifies either of the following regarding line weights and colors.

0 = The Translator ignores IGES line weights and uses IGES colors to set AutoCAD colors

1 = The Translator ignores IGES colors and uses IGES line weights to set AutoCAD colors. With this setting, the Translator assigns each line weight a unique AutoCAD color number; it also writes the mappings to the log file. This setting allows proper line weight support on plotters that handle pen width via the AutoCAD color number.

Note There is no way to simultaneously map color and line weight to AutoCAD.


line font (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
line font (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A pattern for the appearance of a curve. The pattern is a repeating sequence of blanked and unblanked line segments, or of subfigure instances. In AutoCAD, line font is referred to as a linetype.


line weight (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
line weight (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An entity attribute used to determine the line display thickness for that entity.


Line Widening property (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Line Widening property (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A predefined IGES property that tells you the width of a curve or line. It can be used in electrical applications to describe metallization, such as traces and off-board connections, on a printed circuit board.


(linkgr <child group name> <parent group name>) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(linkgr <child group name> <parent group name>) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function links a group as a child to another group and thereby creates hierarchical groups.

When a group is linked into another group, you can still manipulate that group. The only difference is that when you select the parent group, all the objects in the linked groups are collected recursively, as well. By default, EGT searches only one level down in the hierarchy, though you can modify this with the egconfig function.

A group link occupies the same space as one single object, so if you have large groups, it's faster to use linkgr and unlinkgr than to include the objects in both groups. Instead of having duplicate objects in several groups, you conserve memory and speed by creating smaller groups with fewer objects and linking them together. Trying to link a group that references itself generates an error and the request is ignored.

If successful, linkgr returns the parent group name. If an error occurs, linkgr returns nil and sets grerr_ to an error value (which is most likely to be a cyclic group definition error with a value of 7).

If you have two groups, TABLES and CHAIRS, for instance, and you want to reference both from one group, first create a group called FURNITURE and then link the groups to it.

(linkgr "TABLES" "FURNITURE")

(linkgr "CHAIRS" "FURNITURE")


Listde.lsp (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Listde.lsp (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Finds the IGES DE number of an AutoCAD object created by the Translator. The Attach IGES Trace Information in XED option in the IGESIN Miscellaneous Dialog Box must be set to attach IGES trace information (see xed) when you use IGESIN to create the AutoCAD model.

Syntax

At the Command prompt, enter the following:

(load "listde")

listde

You will be asked to select an entity. When you select an entity, its DE number, type, and form will be listed. For example, "214:5@D677" indicates that the entity is a 214:5 (leader with circular arrowhead) at DE number 677 in the IGES file.


(listent <object name>) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(listent <object name>) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function returns a list of groups of which the object is a member.

(listent (car (entsel)))

("LINES" "BLUE" "ALL")

In case of error, listent returns nil and sets grerr_ to a value indicating the error. If no group contains the object, listent returns nil, and sets grerr_ to 0 (no error).


(listgr) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(listgr) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function returns a list with all the defined groups in the current drawing. If an error occurs, listgr returns nil and sets grerr_ to an appropriate value. If no groups are defined, listgr also returns nil, but sets grerr_ to 0 (no error).

(listgr)

("MY_FIRST_GROUP" "MY_SECOND_GROUP" "MY_LAST_GROUP")


Definition Space (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Definition Space (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES coordinate system that stores the PD section data for the entity. It is moved to either Model Coordinates (if it is an independent entity), Definition Coordinates of another entity (if it is physically subordinate to it), or Drawing Coordinates (if it is subordinate to a drawing entity) by its transformation matrix. See also Drawing Space, Model Space, View Space, and World Space IGES coordinate systems.


Multiple Insert Mapping (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Multiple Insert Mapping (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When the Translator maps multiple insert entities to Rectangular Array Subfigure Instance Entities (412) (based on the insert_mapping option), it will only map the entities that do not have mirroring (negative scaling) to 412s. Multiple insert entities that have negative scaling will always be mapped to Singular Subfigure Instance Entities (408). The specification of the Rectangular Array Subfigure Instance in IGES is interpreted differently by implementors. It is recommended that you use the default setting of the insert mapping option which causes multiple inserts to be mapped to Singular Subfigure Instance Entities (408).


named_views option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
named_views option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: named_views

Option Type: Boolean

Option Default: 1

Specifies the mapping of VIEW (named view) table entries to IGES.

0 = No mapping

1 = Maps to Independent View (410)


Name Mapping (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Name Mapping (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When an entity mapping requires a name, for example, when mapping an IGES Line Font Definition (304) to an AutoCAD linetype, the following rules apply:

  1. From a parameter data field used to specify a name for the entity, for example, the Name field of a Subfigure Definition (308:0).
  2. From a Name Property (406:15) attached to the entity from the Entity Label field.
  3. From the Entity Label field.
  4. From the conversion of the DE number to a string.

When the name is to be used as a symbol table entry name (for example, the name of a linetype), the table might be truncated if it is longer than 31 characters. The truncation is based on trunc_names.

If the name is to be used as a symbol table entry name, and if the name contains invalid characters (that is, other than alphanumeric characters, $, -, and _), the Translator replaces each invalid character with the _ (underscore) character.

If the name is not unique and a unique name is needed, the Translator generates a name from the DE number of the entity.


negated pointer (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
negated pointer (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When a DE field has the choice of an integer value or a DE pointer, the DE pointing is done by a negated pointer. For example, the Color number can be either an integer (0-8) or a pointer to a Color Definition. If the value in the field is 1, 3, 5, or 7, it is not possible to tell if it is a color number or a pointer. Therefore, when it's a color number, it's just the number; when it's the pointer, it's the negated pointer.


eofchar option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
eofchar option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: eofchar

Option Type: (char)

Option Default: , (comma)

Specifies the end-of-field (parameter) delimiter character to use in the IGES Global Section data.


negative_coords option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
negative_coords option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: negative_coords

Option Type: Boolean

Option Default: 0

Specifies the following about coordinates in drawing space and paper space.

0 = Allows negative coordinates in drawing space.

1 = Translates all paper space entities to positive coordinates before translation to IGES. IGES doesn't define negative coordinates in drawing space. (You can also use the oshift.lsp AutoLISP routine to shift paper space entities to positive coordinates).


New Features for this Release

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
New Features for this Release
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

New Features for this Release

Thank you for purchasing AutoCAD IGES. This release of the Translator can be installed only with Mechanical Desktop 2008 or AutoCAD 2008. Attempts to use this version of the Translator with earlier versions of the Mechanical Desktop or with AutoCAD will fail.

TipFor last-minute changes or additions to the IGES Translator, see the IGESREAD.TXT file.

Batch Translation Utility

  • This release of the Translator includes a new batch translation utility that makes it easy to select translation options and run batch translations during the current session or at a later time. The Batch File Translation Utility features a graphical interface that streamlines the process of translation and shields users from the need to manually create batch files or install executables before performing translations.

Measurement Units Support

  • IGESIN now puts a message in the log file if the units in the IGES file are different from the ones specified in AutoCAD. This information can be useful in helping to speed translations. See Matching Units for further information.
  • IGESOUT now defaults to creating an IGES file with the units specified in AutoCAD.

Improved Logfile Messaging

IGESIN and IGESOUT now provide an option to filter messages by severity. Informational messages will continue to be sent to the log file, as will fatal messages, but you can now pick one of the following choices:

  • Do not generate Log File
  • Generate Log File with all messages (default)
  • Generate Log File without warning messages
  • Generate Log File with only informational messages

Improved QuickView Tool

The Quickview tool that was introduced in AutoCAD IGES now has an improved user interface. In the previous release this tool could be accessed only via the DOS prompt. You can now navigate to the IGES filename using My Computer or Explorer and right-click on the filename. The QuickView option is displayed on the popup menu, which when chosen displays the start and global sections of an IGES file without having to open or translate the entire file. The Start and Global sections contain general information about the file and its originator, and displaying this information can help you determine which files you want to translate.


New Handling of Trimmed and Bounded Surfaces that Fail (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
New Handling of Trimmed and Bounded Surfaces that Fail (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Autodesk IGES Translator includes a tool called grp2layr.lsp that can be used to help identify and isolate bounded and trimmed surfaces (IGES Entity Types 143 and 144) that fail to translate. When a 143 or a 144 fails during IGESIN, the Translator decomposes the entity to its constituent surface and model space curves, groups these constituents, and names the group BADSURF-nnn, where nnn is the DE number of the 143 or 144. GRP2LAYR allows you to place these groups on a user-specified layer.


nfontmaps1 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
nfontmaps1 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: nfontmaps1

Option Type: integer

Option Default: 16

Specifies the number of font mappings that are groups of fontcode1, style1, and shape_file options. See IGESIN Font Mappings.


nfontmaps2 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
nfontmaps2 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: nfontmaps2

Option Type: integer

Option Default: 18

Specifies the number of IGESOUT font mappings.


nlayer_exclusions option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
nlayer_exclusions option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: nlayer_exclusions

Option Type: integer

Option Default: 0

Specifies the number of layers to exclude from the processing of AutoCAD entities to IGES. These layers are specified by layer_exclusion option.


nlinefonts option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
nlinefonts option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: nlinefonts

Option Type: integer

Option Default: 6

Specifies the number of line font mappings that are groups of linefont1, linetype1, and linetype_file options.


nlinetypes option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
nlinetypes option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: nlinetypes

Option Type: integer

Option Default: 0

See Linetype Mapping.


no_bulge_pline option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
no_bulge_pline option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: no_bulge_pline

Option Type: integer

Option Default: 0

Specifies whether to attempt inputting composite curves as bulged polylines.

0 = Maps Composite Curves (102s) that can be mapped to AutoCAD polylines without approximating

1 = Handles all Composite Curves according to the settings of the input_102 option, even if the Composite Curves can be mapped to a single AutoCAD polyline without approximating.


non_uniform_scaling option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
non_uniform_scaling option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: nonuniform_scaling

Option Type: Boolean

Option Default: 0

Specifies whether to create the AutoCAD Nonuniform scaling IDP (406:9202).

0 = Disables creation

1 = Enables creation


no_unref option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
no_unref option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: no_unref

Option Type: Boolean

Option Default: 1

Specifies whether to output unreferenced data. It affects the mapping of blocks, layers, and linetypes. Settings are as follows:

0 = Maps unreferenced data

1 = Doesn't map unreferenced data


null string (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
null string (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A character string containing 0 characters.


EXP2WIRE (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
EXP2WIRE (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Converts all AutoCAD 3D solids in the current DWG file to wireframe representations in the output IGES file.

NoteBecause ACIS stores minimal topological information for surface primitives created using the Mechanical Desktop's AMPRIMSRF command (spheres, cones, cylinders and tori), EXP2WIRE often cannot create useful wireframe representations of them. If you run EXP2WIRE in a drawing that contains only these entities, the resulting drawing might be empty or might contain very minimal data to represent these entities. EXP2WIRE can be far more useful for exploding 2 ½ dimensional shapes, or for working with solids that are not created from these surface primitives.

Loading EXP2WIRE

To load EXP2WIRE for the current session, use the Load Application dialog to load the exp2wire.arx file. You can now use EXP2WIRE from the Desktop command prompt during this session. If you want EXP2WIRE to load on start-up, add exp2wire.arx to your desktop.rx file, usually located in program files [(x86)]\desktop.

Running EXP2WIRE

At the Mechanical Desktop command prompt, enter

exp2wire


preprocessor (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
preprocessor (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A program that translates a file from the database form of a specific CAD/CAMsystem to IGES format. For example, the IGESOUT command preprocesses an AutoCADdrawing to IGES format.


primary_404 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
primary_404 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: primary_404

Option Type: integer

Option Default: 0

Specifies whether to map multiple Drawing Entities (404) into separate layouts in the AutoCAD model, or to map model space data only.

0 = Maps 404s into separate layouts according to the rules detailed in Map Model and Drawings.

-1 = Same as 0.

-2 = Disables mapping of Drawing (404) entities. The resulting drawing will have only model space objects.


Problems with IGESIN and IGESOUT dialog boxes (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Problems with IGESIN and IGESOUT dialog boxes (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Problems with IGESIN and IGESOUT Dialog Boxes

If your dialog boxes appear corrupted, delete the igesin.cfg and igesout.cfg files. The IGESIN and IGESOUT dialog boxes will then use default values and automatically create new .cfg files the next time you use IGESIN or IGESOUT.


Property Pointer (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Property Pointer (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Property Pointer

An optional pointer to a Property (406) entity. If present, it occurs after the Back Pointers in the PD section.


radius_dimension_mapping option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
radius_dimension_mapping option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: radius_dimension_mapping

Option Type: Boolean

Option Default: 1

Specifies one of the following for Radius Dimension Entities.

0 = Creates a Radius Dimension (222:0) and ignores the extra leader

1 = Creates a Radius Dimension (222:1) for Radius Dimension entities that have two leaders


Rational B-Spline (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Rational B-Spline (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Rational B-Spline

This term defines a class of curves and surfaces which is widely used in CAD systems, including AutoCAD and The Mechanical Desktop. In AutoCAD, the equivalent term is NURBS (nonuniform rational B-spline).


Rational B-Spline Surfaces into AutoCAD (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Rational B-Spline Surfaces into AutoCAD (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Rational B-Spline Surfaces into AutoCAD

Generally, the Translator handles a Rational B-Spline Surface (128) as an approximated surface.

  • If srf_mapping is set to 2 or -2 and Mechanical Desktop is present, surfaces will be mapped into Mechanical Desktop NURBS surfaces.
  • If srf_mapping is set to 3 or Mechanical Desktop is not present and srf_mapping is set to 2 or -2, surface entities are either converted or approximated as NURBS and translated to AutoCAD bodies.

However, if srf_mapping is set to 0, the Translator handles two cases differently from ordinary approximated surfaces:

  • If the surface can be represented exactly as an AutoCAD smoothed 3D mesh, it is so mapped.
  • If the surface can be mapped exactly as an AutoCAD 3D mesh that is not smoothed, it is so mapped.

When an IGES spline surface is mapped to an AutoCAD smoothed 3D mesh, the fit points are produced according to tolerance (just as they are for any other approximated surface), and frame points are added.

The following conditions must be met to generate a smoothed 3D mesh from an IGES 128 entity:

  • The spline must be bicubic, biquadratic, or Bezier (that is, both degrees must be 3, both degrees must be 2, or both degrees must be equal to one less than the number of control points in each direction).
  • All weights of the spline must be equal (the spline must be polynomial, not rational).
  • Both knot sequences must meet specific conditions. If the spline is nonperiodic, the knot sequence must be uniform, with no repeated knots, except that both the beginning and the ending knots must be repeated (degree + 1) times. If the spline is periodic, the knot sequence must be uniform, with no repeated knots.
  • The spline must not be trimmed. The beginning and ending parameter values must be the same as the (degree + 1) knot from either end. For nonperiodic splines, the beginning and ending parameters must be equal to the first and last values of the knot sequence.

Set the SPLFRAME system variable to 1 and regenerate the drawing to determine which IGES spline surfaces have been mapped to AutoCAD smoothed 3D meshes. The frame points of all splines that met the criteria appear, eliminating the display of surface fit points. You can restore the fit points by setting SPLFRAME back to 0 and regenerating the drawing.

If you intend to translate the data back to IGES, you can save considerable space and preserve accuracy by writing splined polylines to IGES as splines.

Most IGES spline surfaces that originate from AutoCAD as smoothed 3D meshes meet the above conditions and will be mapped back into AutoCAD as smoothed 3D meshes; however, there is one exception. A surface closed in the M and/or N direction and smoothed using the Bezier algorithm (SURFTYPE=8) has only fit points mapped to IGES. It comes back into AutoCAD as an ordinary 3D mesh with no frame points.

The following conditions must be met to generate an exact 3D mesh from an IGES 128 entity:

  • The spline must be bilinear (both degrees must be 1).
  • All weights of the spline must be equal (the spline must be polynomial, not rational).
  • The knot sequence must meet specific criteria. If the spline is nonperiodic, the knot sequence must be uniform, with no repeated knots, except at the beginning and end of the sequence. If the spline is periodic, the knot sequence must be uniform, with no repeated knots.
  • The spline must not be trimmed. The beginning and ending parameter values must be the same as the second knot from either end. For nonperiodic splines, the beginning and ending parameters must be equal to the first and last values of the knot sequence.


recvid option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
recvid option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: recvid

Option Type: string

Option Default: AutoCAD drawing name without the . dwg extension

Specifies the product identification for the receiving system; it appears in the IGES Global Section.


refine_c0_surfs option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
refine_c0_surfs option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: refine_c0_surfs

Option Type: integer

Option Default: 500

Specifies whether to refine C0 surfaces to G1 continuity so that they can be manipulated in Mechanical Desktop. There is a significant chance that changing this option may alter your data in ways that are unacceptable for your uses. Please see Curves and Surfaces and Refining Surfaces for further information.

-1 = Do not refine surfaces

0 = If a surface is C0 but not G1, refine it

n = If a surface has n C0 but not G1 discontinuities and hence would have been split into n+1 surfaces, refine it.


Refining Surfaces (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Refining Surfaces (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Refining Surfaces

Continuity relates to the presence or absence of interruptions to the smoothness of the curve or surface. Refining a surface means changing the surface's continuity so that it is smoother. Continuity is expressed as one of several classifications:

  • A C0 curve or surface has no gaps in it but it may have creases; that is, places where there is either no unique tangent or the tangent jumps locally. An example is an L-shaped curve.
  • A C1 curve or surface has no gaps or creases, but it does have at least one place where the curvature is either not defined or jumps locally. An example is a curve that is linear except when it has a curvature of radius 1.
  • A C2 curve or surface has continuous smoothness or curvature with no interruption. It has no gaps, no creases, and no breaks in curvature. An example is a spiral.
  • A G1 surface is C0 continuous and the unit normal is also continuous. A G1 surface has neither gaps nor creases.

Mechanical Desktop requires that surfaces be at least G1 continuous to reliably perform operations (such as intersections) on them. However, the IGES Standard requires only C0 continuity, and surfaces meeting this lesser requirement are sometimes present in IGES files. If you wish to perform Mechanical Desktop operations on these surfaces, you will need to ensure that they meet the Mechanical Desktop requirements. However, if you are not performing such operations, you do not need to meet these requirements.

The default mapping of IGES surfaces to Mechanical Desktop surfaces breaks surfaces at patch boundaries that are C0 but not G1 continuous. The patches are then placed in an AutoCAD group and a message is placed in the log file to notify you that this has taken place. This process can require a large amount of time and storage space, especially when surfaces are broken into large numbers of patches. In some cases your system may hang.

The Refine_C0_Surfs Option

The IGES Translator now offers an option, refine_c0_surfs, to modify IGES surfaces so that they meet the Mechanical Desktop requirements without splitting and grouping, which allows you to work around this performance issue. Possible values for this option are:

-1 = Do not refine surfaces.

0 = If a surface is C0 but not G1, refine it.

n = If a surface has n C0 but not G1 discontinuities and hence would have been split into n+1 surfaces, refine it.

The default value for this option is 500. You cannot change this default through the IGES Translator's user interface. The only way to alter it is to use a text editor to edit this setting in an options file.

Limitations

While some users may find this option helpful, it is important to note that there are a few significant limitations to the refine_c0_surfs option.

First, neither the approximations of surfaces nor their trimming curves is done to a tolerance. You do not have control over how much the geometry is modified in the process of making the surface G1, nor are you informed as to how much the resulting surface differs from the one in the input IGES file. These differences may be greater than the tolerances acceptable to some engineering applications, so you will need to carefully examine the resulting Mechanical Desktop surfaces to ensure that they meet your needs.

Second, when a surface with a pole is refined, a piece of the surface near the pole is removed by the refine_c0_surfs option. Again, users will need to examine the results of the refining operation carefully to ensure that the resulting surfaces are acceptable.

Finally, the refine_c0_surfs option is not suitable for smoothing surfaces (such as spheres) that are closed (or periodic) but not G1 continuous. System crashes can occur when processing files containing these types of surfaces, and you should consider resetting refine_c0_surfs to -1 (do not refine) if you experience problems with these surfaces.


(renamegr <old name> <new name>) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(renamegr <old name> <new name>) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

(renamegr <old name> <new name>)

This function renames a defined group. The arguments are strings and specify the old and new names for the group. Both strings must be valid group names. If successful, renamegr returns the new group. If an error occurs, renamegr returns nil and sets grerr_ to the error value.

If you rename a group for which you allocated a selection set with selectgr, you must call freegr with the new group name, since the previous group name no longer exists.


Running ADXBATCH

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Running ADXBATCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Running ADXBATCH

NoteThis release of the Translator includes a new batch translation utility that makes it easy to select translation options and run batch translations during the current session or at a later time. The Batch File Translation Utility features a graphical interface that streamlines the process of translation and shields users from the need to manually create batch files or install executables before performing translations. The information below is supplied for those users who choose not to use this utility and prefer to set up and run the ADXBATCH tool by hand.

Syntax

At the Command prompt, enter

adxbatch IGESIN inpathname [outpathname]

or

adxbatch IGESOUT inpathname [outpathname]

where inpathname is the pathname of the input IGES or AutoCAD files and outpathname is the pathname for the output IGES or AutoCAD files.

Note: When you specify your destination directory, make sure that it contains no files with the same names as those you will be creating, unless you intend to use the /W option to overwrite existing output files. ADXBATCH has no way of handling duplicate filenames, and may hang if it encounters them. To avoid this problem, either use an empty directory for the output IGES or AutoCAD files, or use the /W option.

Note also: When you use ADXBATCH to IGESOUT drawings containing proxies, you must suppress display of the Proxy Information dialog in AutoCAD or the Mechanical Desktop prior to running ADXBATCH. Please see ADXBATCH Hangs When Processing Proxy Objects for more information.

Options

/O

Uses the specified IGES options file. ADXBATCH will use the options file specified by the /O: option if specified. If no /O: option is specified, it will use the file tmpiges.opt in the directory pointed at by the TEMP environment variable.

/W

Write over existing output files. By default, ADXBATCH will ignore input files if a corresponding output file already exists. Use the /W option to write over existing output files.

/G

Go: Execute translations immediately. ADXBATCH writes a batch file to the file adxbat.bat, containing instructions to translate all the .IGS or .DWG files in the directory tree specified. If the /G option is specified, it will immediately execute the batch file.

/P

Path: set .xli path to .dwg path for IGESIN.

Example

To read all IGES files on drive C:, putting the results into D:\dwgs, using options file D:\myopts.opt, at the Command prompt enter :

adxbatch IGESIN C:\ D:\dwgs /O:D:\myopts.opt


Save as Type

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Save as Type
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Save as Type

Use the Save as Type pulldown to select the type of file you want to translate. As long as the appropriate translators have been installed, you can choose to translate the current .dwg to IGES , STEP or VDAFS. Note that selecting a type of file to translate to also causes the appropriate translator (IGESOUT, STEPOUT, or VDAFSOUT, if present) to be used.

The text below the Translation Types edit box indicates:

  • The possible translation types (IGESOUT, STEPOUT, VDAFSOUT).
  • The current options file and its directory path. Initially, the previously used options file (or the word *Defaults*) is displayed. To use a different options file, choose the Options button.


Option Name: sendid

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Option Name: sendid
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: sendid

Type: string

Option Default: AutoCAD drawing name without the .dwg extension

Specifies the product identification from the sending system; it appears in the IGES Global Section.


Option Name: separator

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Option Name: separator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: separator

Option Type: character

Default: _ (under-score)

Specifies the character to be used to separate words in layer names generated during the mapping of IGES levels.


Sequence number

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Sequence number
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

number

fixed-length ASCII IGES format, the sequence number appears in columns 73 through 80. Each line in a section increments by one, and resets to X0000001 at the start of a section, where X represents the section identifier.


Setting Up ADXBATCH

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Setting Up ADXBATCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Setting Up ADXBATCH

Notethis release of the Translator includes a new batch translation utility that makes it easy to select translation options and run batch translations during the current session or at a later time. The Batch File Translation Utility features a graphical interface that streamlines the process of translation and shields users from the need to manually create batch files or install executables before performing translations. The information below is supplied for those users who choose not to use this utility and prefer to set up and run the ADXBATCH tool by hand.

Before you can use ADXBATCH, you need to perform the following steps.

Task | Description
Place the ADXBATCH executable in your search path. | The degtools directory contains this standalone executable tool. To run ADXBATCH from any directory, include the degtools directory in your command search path, or copy the executable to a directory that is already in your command search path. For details on how to specify a search path, see your operating system's documentation.
Create a batch file to launch AutoCAD. | ADXBATCH requires that a batch file called acad-deg.bat be present somewhere in the system path in order to run AutoCAD. You must create this file. See IGES Translator tools for further information about how to create it.


fontcode2 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
fontcode2 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: fontcode2

Option Type: integer

Option Default: none

Specifies the IGES font code to use when mapping to an AutoCAD style. It must be paired with a style2 option to form a complete mapping. You must specify nfontmaps2 of these options. See IGESOUT Font Mappings.


form number (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
form number (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An integer that further defines a specific entity type. This becomes necessary when there are several interpretations of an entity type. For example, the form number of the conic arc entity indicates whether the curve is an ellipse, hyperbola, parabola, or unspecified. The form number also supplies sufficient information in the directory entry of an entity to allow the structure of the parameters in the parameter data entry to be decoded.


(freegr [group name]) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(freegr [group name]) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function frees a selection set allocated previously with selectgr. You can free all selection sets allocated for a named group, or call freegr without parameters to free all selection sets allocated previously for all groups. There is no return value from freegr.

NoteBecause of the limited number of selection sets available, it is important to free any selection set no longer in use. For example:

(selectgr "All_white_circles")

(freegr "All_white_circles")

or

(selectgr "boxes")

(selectgr "lines")

(freegr)


(deletegr <group name>) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(deletegr <group name>) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function deletes a group. The objects in the group are unmodified and the group definition is removed from the drawing database. If successful, deletegr returns the group name. If an error occurs, deletegr returns nil, and sets grerr_ to an appropriate value.


Geometric Tolerance Problems (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Geometric Tolerance Problems (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If entities are not smooth enough, tighten up the tolerance in the drawing.

If your AutoCAD drawings are large, and entities are very smooth, loosen the tolerance.

If the Sectioned Areas (230) don't match up with the boundaries correctly, try tightening up the curve approximation tolerance.


group_mapping option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
group_mapping option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: group_mapping

Option Type: integer

Option Default: 1

Specifies the mapping of IGES groups to one of the following.

0 = Unassociated AutoCAD entities.

1 = AutoCAD groups. See Group Mapping.

2 = AutoCAD entities grouped using the Entity Grouping Tool (See also Overview of Entity Grouping Tool).


() (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
() (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function returns a selection set containing the objects in the group and, optionally, its subgroups. group name is a string specifying the group to include in the selection set. If group name is not a defined group or if an error occurred, selectgr returns nil and sets grerr_ to a value indicating why the function failed.

Depending on how EGT is configured with egconfig, the groups linked to the specified group are included in the selection set. The EGT hierarchy can be configured in three different ways:

egconfig value | Function
0 | EGT doesn't include any linked groups. Only the selected group is included.
1 | EGT includes one level deep in the hierarchy. Only the groups linked to the group are included and selected. This is the default setting.
-1 | Unlimited inclusion. All subgroups are included and selected.
NoteYou must free any selection set returned from this function. AutoCAD has a limit of 128 selection sets open at once. This limit might be slightly different on your system. If the limit is reached, AutoCAD doesn't create any more selection sets. Since ObjectARX™ has no "automatic garbage collection" to free selection sets after they've been used, it's important to free the selection set after it is used.

MOVE

(selectgr "my_group") move the highlighted objects

(freegr "my_group")


handle_labels option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
handle_labels option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: handle_labels

Option Type: Boolean

Option Default: 0

Specifies whether to output the entity handle into IGES DE entity label fields.

0 = Disables output of entity handles.

1 = Enables output of entity handle.


handle (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
handle (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In AutoCAD, a unique permanent identifier for each object in a drawing.


dim_centerline option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
dim_centerline option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: dim_centerline

Option Type: integer

Option Default: 1

Specifies the mapping of centerlines in AutoCAD dimension entities.

0 = Ignores centerlines

1 = Maps centerline to Centerline (106:20)

2 = Maps centerline to Centerline (106:20). Creates a Group (402) containing the Centerline and resulting Dimension. If autodesk_idp is set to 1, this setting attaches a Dimension Centerline Property (406:9208) to the group. These entities will be grouped when output_groups is set to 1 or 2.


Translating Files from AutoCAD Format into IGES Format

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Translating Files from AutoCAD Format into IGES Format
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Compresses IGES files using the IGES compressed ASCII conversion standard.

Syntax

At the Command prompt, enter igescomp [-cx] [infile [outfile]]

Where -c tells IGESCOMP to produce output in compressed ASCII format(regardless of input format), -x tells IGESCOMP to produce output in standard fixed-length ASCII format, regardless of input format, infile is the name of the input IGES file, and outfile is the name of the output IGES file.

If you don't specify -x or -c, the output will be in the opposite format from the input.

Description

IGES defines two file formats. The first, and most popular, contains fixed-length, 80-character records with sequence numbers in columns 73-80. There are many blank characters in this format, and many of the data fields (such as sequence numbers and certain pointers) are redundant.

The second format defined in IGES is the compressed ASCII format. This format is still printable and human-readable, but it eliminates most of the redundant data fields and blank spaces. The amount of space saving varies, but compressed ASCII IGES files will often be around one third the size of their fixed-length counterparts.

Before sending an IGES file in compressed ASCII format, be sure the receiver is able to handle it. Most IGES translators do not deal with compressed ASCIIIGES files directly.

Warning IGESCOMP is not a general-purpose data compression program. It will only work for a syntactically correct IGES file. If the input IGES file given to it is incorrect, IGESCOMP may produce an incorrect output file, and it may be impossible to reproduce the original IGES file from the compressed file. However, most common errors in IGES files will pass through compression and decompression undetected and unchanged.

Examples

igescomp -c myfile.igs myfile.igx

Produces a compressed file, called myfile.igx, from myfile.igs. The input file, myfile.igs, may be either in compressed or standard IGES format.

igescomp -x myfile.igx myfile.igs

Produces a standard fixed-length ASCII IGES file, called myfile.igs. The input file, myfile.igx, may be either in compressed or standard IGES format.

igescomp file1.igs file2.igs

If file1.igs is a standard fixed-length IGES file, this will compress it and put the results in file2.igs. If file1.igs is a compressed ASCII IGES file, this will expand it and put the results in file2.igs.


IGESIN and IGESOUT Log Files (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN and IGESOUT Log Files (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

By default, the Translator creates a report for every file converted. The report is contained in a log file (the file extension is .xli if you used IGESIN and .xlo if you used IGESOUT). The log file provides the following information:

  • Name of the drawing or file processed.
  • Processing options used.
  • Number and severity of errors encountered, a description of them, and an explanation of what can be and/or was done to the data in error. (The Translator attempts to fix many errors itself.) See the error message files themselves for more information.
  • Summary of entities processed.
  • Name and size of the AutoCAD drawing or IGES file created.
  • List of the entity types encountered and those created

To turn off the report for a file, use the logging option.

Log messages Displayed on the Screen

If all of the log messages appear in the AutoCAD text screen, the Translator probably could not create a log file using a name derived from the IGES file being translated or a name generated from the log file path option and the IGES file being translated. For example, with IGESIN, if you specify an IGES file which is in a read-only directory and you do not specify a path for the log file, the Translator cannot create a file in the directory where the IGES file exists, so it redirects log messages to the AutoCAD text screen. Logging can also be disabled with the logging option.


IGESIN Approximation Tolerances Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Approximation Tolerances Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGESIN Approximation Tolerances area of the IGESIN Geometry tab contains four options:

Point Tolerance

Specifies a print tolerance for point comparisons and coincidence when translating geometry. This value isn't adjusted for model units. Not available when the IGES Tolerance (GP19) options is enabled. Corresponds to tol_pt.

IGES Tolerance (GP19)

When this option is enabled, the Point Tolerance text box is disabled, and the GP19 value stored in the IGES file is used as a tolerance value.

Curve Tolerance

Specifies the tolerance for curve approximations. This tolerance is the maximum allowed distance between the approximation of a curve and the actual curve. For example, if the curve approximation tolerance is .01, the AutoCAD polyline or spline that approximates the curve is always no further than .01 away from the actual curve as defined in the IGES file. Corresponds to crv_tol.

Surface Tolerance

Specifies the tolerance for surface approximations. This tolerance is the maximum allowed distance between the approximation of a surface and the actual surface. For example, if the surface approximation tolerance is .01, the AutoCAD object that approximates the surface is always no further than .01 away from the actual surface as defined in the IGES file. Corresponds to srf_tol.


IGESIN Curves

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Curves
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the options in this area to determine how curves will be mapped into AutoCAD curves. In all cases, Lines, Circles and Ellipses will be mapped into their corresponding AutoCAD elements. Corresponds to crv_mapping.

Splines

If Splines is enabled, the Translator maps curves into AutoCAD splines. If approximations are needed, the Translator will make them to the tolerance specified in the Approximation Tolerance area.

Polylines

If Polylines is enabled, the Translator approximates curves by AutoCAD polylines, based on the tolerance specified in the Approximation Tolerance area.


IGESIN Group Mapping Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Group Mapping Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A one-to-one correspondence does not exist between IGES groups and AutoCAD. Use this area to choose how to map IGES groups. Corresponds to group_mapping.

Ungroup

Maps the entities as unassociated AutoCAD objects.

AutoCAD Group

The Translator maps each group to an AutoCAD group. This mapping permits grouped entities to be referenced by multiple groups, though it doesn't preserve nested groups.

Grouping Tool

Uses the Entity Grouping Tool to group entities. See Overview of Entity Grouping Tool


IGESIN Layer Mapping Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Layer Mapping Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This area provides options for mapping IGES levels to AutoCAD layers.

Separator

Defines a separator to be used between components of a layer name. Only a single character is permitted. This text box corresponds to the separator option.

Include View Name

When enabled, this option adds the view's name to a layer created for the view-specific entities. If the name isn't unique, or if no name exists, the Translator uses the DE number. Corresponds to view_name.

NoteNormally, layer names for layers containing view-specific entities are more meaningful when view names are included. However, sometimes view names are too long and the view DE name is more appropriate for these layer names.


dimension_text option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
dimension_text option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: dimension_text

Option Type: Boolean

Option Default: 0

Specifies the method to use for setting the user-specified text of dimension entities:

NoteThis option is not available through the Translator's user interface. To change the setting of this option, use a text editor to open the options file and change the value in the file.

0 = Uses the text of the first non-null Text String of the General Note (212) referenced by an IGES dimension entity.

1 = Uses all of the text from the Text Strings of the General Note referenced by an IGES dimension entity and replaces the first numeric measure with the "<>" notation. When the dimension is resized, the numeric measure will be recalculated and inserted into the dimension text.

NoteFor some dimensions the calculated value might not be what you expect. For example, a rotated linear dimension that measured a horizontal distance in IGES will be mapped to an aligned dimension measuring the absolute distance.


IGESIN Surfaces Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Surfaces Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use these options to set surface mapping.

Desktop Surfaces

When this option is enabled, the Translator maps IGES surfaces into MechanicalDesktop NURBS. Corresponds to srf_mapping with a value of 2 or -2.

Face, 3D Mesh, Polyface Mesh

When this option is enabled, the Translator represents an IGES surface entity as a 3D face, if possible. If the IGES surface is topologically rectangular, the Translator maps it to a 3D polygon mesh. If the surface is nonrectangular, the Translator maps it to a polyface mesh.Uses the settings for Approximation Tolerance (in the Surface area) or the settings for Point Tolerance for the approximation method. When Facets is enabled, Group Paths, U-dir, V-dir, and Surface Mesh IDP are disabled. Corresponds to srf_mapping with a value of 0.

Polyline Grid

When this option is enabled, the Translator maps the IGES Surface to a series of polylines that represent isoparametric paths over the surface. Choosing this option enables Group Paths, U-dir, V-dir, and Surface Mesh IDP. Corresponds to srf_mapping with a value of 1.

Body

When this option is enabled, the Translator maps IGES surfaces into AutoCADbodies. Corresponds to srf_mapping with a value of 3.


IGESIN, VDAFSIN, STEPIN Translation

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN, VDAFSIN, STEPIN Translation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This is a listing of the types of files you can use this dialog to import. As long as the appropriate translators have been installed, you can choose IGES , STEP or VDAFS files to translate. This field displays only the types of translations you can currently perform. For example, if only the IGES Translator is installed, "IGESIN Translations" will be displayed in this field.

Note that selecting a file of one of these types to translate causes the appropriate translator (IGESIN, STEPIN, or VDAFSIN) to be used.


IGESOUT Layer Exclusions

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Layer Exclusions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This box lists the layers that are to be excluded from the mapping process. To edit this list, use the Layer text box and Add and Remove. By default, no layers are excluded. Layer exclusion is useful for reducing the amount of data output for special applications. For example, you could exclude all the layers used for annotation to generate an IGES file containing just the shape geometry for a manufacturing system. This option corresponds to layer_exclusion and nlayer_exclusions.

Layer

Use this text box to specify a layer name.

NoteYou can use name lists and wild cards to select a range of layer names. See layer_exclusion.

Add

Choose this button to add the layer name from the Layer text box to the layers in the Layer Exclusion list.

Remove

Choose this button to remove the highlighted layer names from the Layer Exclusion list.

OK

Saves the changes and returns you to the IGESOUT Structure options tab.

Cancel

Cancels the dialog and ignores any changes.

Help

Displays online help for this topic.


directory entry section (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
directory entry section (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The section of an exchange file, consisting of fixed field data items, that forms an index and attribute list of all entities in the file.


IGESOUT Linetype and Linefont Mapping Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Linetype and Linefont Mapping Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use this area to map AutoCAD linetypes to either an IGES linefont or a Line Font definition (304:2). The choices in this area correspond to nlinetypes, linetype2, linefont2, and make304

The Linetype/Linefont Mapping list box indicates the current mappings of AutoCAD linetypes to their equivalent IGES linefonts. The 304:2 entry in the list box indicates that this linetype mapping includes a IGES Line Font definition (304:2) with the mapped linefont used as the default line font.

Linetypes not listed in the Linetype/Linefont Mapping list box are mapped to a Line Font definition (304:2). If you want to edit or add to any of these mappings, use Add, Modify, Remove, 304:2 On, or 304:2 Off.

Add

To add a new mapping,

  1. Enter an AutoCAD style name in the Linetype text box.
  2. Select the linefont you want to use for mapping from the IGES Linefont list.
  3. Choose Add. The new mapping is displayed in the Linetype/ Linefont Mapping list box.

Modify

Enabled when you highlight a mapping in the Linetype/Linefont Mapping list box. Use the Linetype text box or the IGES linefont list to alter the mapping. When the mapping is correct, choose Modify. The new mapping is reflected in the Linetype/Linefont Mapping list box.

Remove

Enabled when you highlight one or more mappings in the Linetype/Linefont Mapping list box. Choosing Remove removes highlighted mappings.

304:2 On

Choosing this button turns the 304:2 option on for any highlighted files in the Linetype/Linefont Mapping list box.

304:2 Off

Choosing this button turns the 304:2 option off for any highlighted files in the Linetype/Linefont Mapping list box.


IGESOUT Map Groups Options List

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Map Groups Options List
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Controls the mapping of groups created by the GROUP command and groups created by the Entity Grouping Tool described in Overview of Entity Group Tool. Corresponds to output_groups.

This list offers the following ways to map groups:

  • No mapping of groups.
  • Unordered; groups map to Associativity instances as Unordered Groups Without Back Pointers (402:7). This is the default.
  • Ordered; groups map to Associativity instances as Ordered Groups Without Back Pointers (402:15).


Disk I/O Errors (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Disk I/O Errors (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Text of Message

"Disk I/O Error: Variable TEMP should point to a directory with lots of disk space"

This message means that the Translator encountered a low-level error when reading or writing a temporary disk file. The most common cause is that the disk was full, but there are other possibilities.

If one disk drive is filling up but you have other disk drives with extra free space, see Temporary File Redirection for information on how to make the Translator use a specified directory to store its temporary files. If this error occurs when you are certain there is plenty of disk space available, check the FILES= and BUFFERS= statements in the config.nt file. Recommended minimums are FILES=50 and BUFFERS=40, although you may have to increase beyond these minimums for some situations. Config .nt is found in C:\WINNT\System32\ on Windows NT and Windows 2000 systems, and in C:\Windows\System32\ on Windows XP systems.


IGESOUT Map XREF Options List

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Map XREF Options List
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Controls mapping of AutoCAD external references as follows:

  • No mapping.
  • Bind (the default). This option temporarily binds all external references and treats them as AutoCAD inserts. The AutoCAD drawing is not affected by this.
  • Map Xrefs to an External Reference (416:1).
  • Map Xrefs to an External Reference (416:3).

Corresponds to xref_mapping.

NoteVery few IGES translators recognize the External Reference (416). Unless you are certain that the receiving system's translator can process a 416, use the Bind option.


IGESOUT Other Text Options

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Other Text Options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Set dimension and centerline options with these checkboxes.

Radius Dimensions (222:1)

Controls the handling of leaders for radius dimensions.

When this option is disabled, the Translator maps a radius dimension to a Radius Dimension (222:0) and ignores the extra leader. When this option is enabled (the default), the Translator creates a Radius Dimension (222:1) for objects with two leaders.

Corresponds to radius_dimension_mapping.

Decompose Dimensions

When this option is disabled (the default), the Translator maps AutoCAD dimension objects to IGES dimensions. When this option is enabled, the Translator maps AutoCAD dimensions as unassociated text and geometry. The Translator groups these objects together when the Map Groups list in the Structure Options dialog is set to Unordered (402:7) (the default) or Ordered (402:15).

Corresponds to decompose_dims.

Map Centerlines (106:20)

Specifies the mapping of centerlines in AutoCAD dimension entities. When this option is disabled, centerlines are ignored. When this option is enabled (the default), a centerline maps to a Centerline (106:20). Selecting this option also enables the Group Centerlines w/Dims check box.

Corresponds to dim_centerline.

Group Centerlines w/Dims

This option is available only when Map Centerlines (106:20) is enabled. This option maps a centerline to Centerline (106:20) and creates a Group (402) containing the Centerline and resulting Dimension. If the Create AutoCAD IDPs in IGES for option in the IDP Mappings dialog is enabled, a Centerline (406:9208) is attached to the group. See IDP Mappings Dialog.

Under-/Overscore Properties

This check box sets the text_lines option.

When this box is selected, the IGES Underscore (406:34) and Overscore (406:35) properties are created and attached to the General Note (212) as follows when mapping text and mtext objects:

AutoCAD Object | Scoring Type | Special Characters
Text | Underscore | %%u...%%u
 | Overscore | %%o...%%o
Mtext | Underscore | \L...\l
 | Overscore | \O...\o

When this box is not selected, Lines (110:0) are generated to represent under- and overscoring.

Basic Dimension Property (406:31)

When this box is selected, an IGES Basic Dimension Property (406:31) is created and attached to the resulting IGES Dimension entity for each AutoCAD dimension for which the basic dimension attribute is DIMGAP. Otherwise, the basic dimension attribute of AutoCAD dimensions is mapped to line entities (110:0)


IGESOUT Product and Originator Information

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Product and Originator Information
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

With the options in this section, you can add textual information about the creator of the IGES file and about the source and destination software packages. All these fields can be left blank.

Author

Use this option to specify the name of the person who created the data in the IGES file. Corresponds to the author option.

Organization

Use this option to specify the name of the group associated with the author. Corresponds to the organization option.

Sender's Product ID

Use this option to specify the product identification or name you use to reference this product data. By default, the Translator uses the AutoCAD drawing name without the .dwg extension. Corresponds to the sendid option.

Receiver's Product ID

Use this option to specify the product identification or name you use to reference this product data. By default, the Translator uses the AutoCAD drawing name without the .dwg extension. Corresponds to the sendid option.


IGESOUT Trimmed Surface Mapping

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Trimmed Surface Mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the options in this area to choose how the Translator maps trimmed surfaces. You can only enable one of these options at a time. Corresponds to trimmed_surface_mapping.

Bounded Surface (143)

When this option is enabled, the Translator maps Mechanical Desktop trimmed surfaces to IGES Bounded Surfaces (143).

NoteThe Bounded Surface Entity (143) is no longer an Untested Entity, but it may not yet be supported in other systems.

Trimmed Surface (144)

When this option is enabled, the Translator maps Mechanical Desktop trimmed surfaces to IGES Trimmed Surfaces (144).


IGES Entity 106:40 Witness Line

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 106:40 Witness Line
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 106:40 Witness Line

AutoCAD Object or Display Attribute Name Lines or part of a dimension

If the Witness Line (106:40) is part of a dimension, the dimension graphics block of the dimension object records the actual display characteristics. The dimension object variables are set to capture the functional and display characteristics as completely as possible

The 106:40 is composed of a set of lines. If annotation_blockingis set to 1, it is translated as a block. If annotation_blocking is set to 0, the lines are translated as individual lines.


draft_std option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
draft_std option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: draft_std

Option Type: integer

Option Default: 0 (None)

Specifies drafting standard code to appear in the IGES Global Section.

0 = None

1 = ISO (International Organization for Standardization)

2 = AFNOR (French Association for Standardization)

3 = ANSI (American National Standards Institute)

4 = BSI (British Standards Institute)

5 = CSA (Canadian Standards Association)

6 = DIN (German Institute for Standardization)

7 = JIS (Japanese Institute for Standardization)

Changing this value has no effect on the output data, except for the Global Section, and is for information only.


IGES Entity 108:0 Unbounded Plane

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 108:0 Unbounded Plane
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 108:0 Unbounded Plane

AutoCAD Object Viewport clipping

The 108:0 is used only to define clipping planes for views, or applied while trimming surfaces.


IGES Entity 108:+1, 108:-1 Bounded Plane

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 108:+1, 108:-1 Bounded Plane
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 108:+1 Bounded Plane

IGES Entity 108:-1 Bounded Plane

AutoCAD Object or Display Attribute Name Curve

The Translator maps boundary curves only.


IGES Entity 110 Line

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 110 Line
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 110:0 Line

AutoCAD Object or Display Attribute Name Line or 2D polyline

The Translator maps a Line (110) to an AutoCAD line unless the 110 has a Line Widening property (406:5), in which case the Translator maps the 110 to a 2D polyline with width. Lines (110) with Generic Data Property 406:27 indicating Ray (AutoCAD ray object) or Unbounded Line (AutoCAD xline object) become AutoCAD ray or xline objects.


IGES Entity 116 Point

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 116 Point
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 116 Point

AutoCAD Object or Display Attribute Name Point or block reference of point display symbol block

When the point display symbol pointer references a Subfigure Definition Entity (308:0), the Translator maps the point to a block reference of the block created from the 308:0. Otherwise, the Translator creates a point.


Drawing Appears Empty or Has Missing Entities After IGESIN (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Drawing Appears Empty or Has Missing Entities After IGESIN (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

If the drawing appears empty, but the log file shows that AutoCAD objects have been created, use the AutoCAD command DBLIST to display database information about each object in the drawing. If no information is displayed, then the drawing is empty, and you should examine the original input file to determine the problem. IF DBLIST displays information, then try the following possible solutions.

Possibly all entities in the drawing are hidden. This can happen when you perform a round-robin translation (IGESOUT and then IGESIN) on a Mechanical Desktop file that contains drawing views, because IGESIN translates the geometry as hidden in both model and paper space. To unhide these entities, try the blank.lsp tool's UNBLANKALL command or the AMVISIBLE/Uhide All command if you are using the Mechanical Desktop. AutoCAD users should try the VISIBLE tool.

Another possibility is that your data is in a view that's not shown, or a view that has invalid clipping planes. It is possible that a view could not be shown if there are 410s (views) in the IGES file but no 404 (drawing entity) pointing to them. When this happens the IGES Translator treats these 410s as Model Space Views in AutoCAD/Mechanical Desktop and makes one of them the current view. The view the Translator makes current may not be the one that was current in the sending system at the time of the translation (there is no way to determine that), so you may not see exactly the same entities. If this happens, turning clipping off by setting the DVIEW command's CLip option to Off and or doing a zoom extents should display the model. (See Basic Requirements for Entity Visibility for more information.)

A more remote possibility is that you have translated a part library that contained only subfigure definitions. These definitions are mapped to AutoCAD blocks. Try the INSERT command and the "?" option to list any blocks that were created.

Least likely, an empty Drawing Entity (404) was translated. Either create a view of your model space with the MVIEW command or switch to model space by setting the TILEMODE system variable to 1.


IGES Entity 122 Tabulated Cylinder

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 122 Tabulated Cylinder
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 122 Tabulated Cylinder

Mechanical Desktop Name Trimmed surface

AutoCAD Object Approximated Surfaces : 3D face, polyline (3D mesh, polyface mesh)

AutoCAD Object Body

The Translator creates an approximated surface or an AutoCAD body.

If you request faceted approximation, the 122 is mapped to an AutoCAD extruded curve (with nonzero thickness) if possible. To map a 122 to an AutoCAD extruded curve, one or both of the following must be true:

  • The base curve (directrix) of the tabulated cylinder must be planar, and the extrusion direction (generatrix) of the tabulated cylinder must be perpendicular to the plane of the base curve.
  • The base curve (directrix) of the tabulated cylinder must be a line. There is no restriction on the extrusion direction (generatrix) in this case.

When the Translator maps a tabulated cylinder as a thick curve, it processes the base curve (directrix) of the tabulated cylinder and adds a thickness to it. However, if a tabulated cylinder is based on a composite curve, the Translator processes the composite curve as a single curve (rather than blocking its constituents or processing them independently), regardless of the option settings for composite curves.


IGES Entity 123 Direction

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 123 Direction
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 123 Direction

AutoCAD Object Not mappable to an object

This IGES entity is used in the definitions of the IGES 190-198 analytical surfaces. It is used to define the reference and normal vectors for the respective surface.


IGES Entity 124:0-1 Transformation Matrix

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 124:0-1 Transformation Matrix
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 124:0-1 Transformation Matrix

AutoCAD Object Names UCS

An IGES matrix primarily locates other entities; this is the way the Translator supports the IGES Matrix.

By default, a matrix named with an AutoCAD User Coordinate System Property (406:9213)maps to an AutoCAD UCS.

Using options, you can have the Translator map all matrices to named UCSs or map all named matrices to UCSs attached. If possible, the name for the UCS comes from the Label field (DE field 18) or a Name property (406:15). Otherwise, the Translator generates a name based on the DE number of the matrix.


IGES Entity 143 Bounded Surface

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 143 Bounded Surface
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 143Bounded Surface

Mechanical Desktop Name Trimmed surface

AutoCAD Object Approximated Surfaces : 3D face, polyline (3D mesh, polyface mesh)

AutoCAD Object Body

The Translator creates a Mechanical Desktop trimmed surface, an AutoCAD approximated surface or an AutoCAD body. See Curves and Surfaces.

When you select Mechanical Desktop Surfaces in the IGESIN Geometry Options dialog box, the Translator maps the 143 to a trimmed surface, unless there are problems with the data. In that case, the 143 is broken down into its constituent geometric entities.

If the Bodies option is selected, the Translator maps the 143 to an AutoCAD body.

If the Facets or Polyline Paths option is selected, the Translator maps the 143 to an approximated surface (polyface mesh).

If the surface is planar and the Region IDP is attached, an AutoCAD region will be created.


IGES Entity 144 Trimmed Parametric Surface

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 144 Trimmed Parametric Surface
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 144 Trimmed Parametric Surface

Mechanical Desktop Name Trimmed surface

AutoCAD Object Approximated Surfaces : 3D face, polyline (3D mesh, polyface mesh)

AutoCAD Object Body

The Translator creates a Mechanical Desktop trimmed surface, an AutoCAD approximated surface or an AutoCAD body. See Curves and Surfaces.

When you select Mechanical Desktop Surfaces in the IGESIN Geometry Options dialog box, the Translator maps the 144 to a trimmed surface, unless there are problems with the data. In that case, the 144 is broken down into its constituent geometric entities.

If the Bodies option is selected, the Translator maps the 144 to an AutoCAD body.

If the Facets or Polyline Paths option is selected, the Translator maps the 144 to an approximated surface (polyface mesh).

If the surface is planar and the Region IDP is attached, an AutoCAD region will be created.


Drawing Space (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Drawing Space (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES coordinate system in which the data appears on screen or on paper. The mapping from the View Space coordinate system to the Drawing Coordinate System consists of a projection to the XY plane in view coordinates, a scaling by the scale factor in the Drawing entity, and a 2D translation vector also defined in the Drawing entity. See also Definition Space, Model Space, View Space, and World Space IGES coordinate systems.


IGES Entity 186 Manifold Solid B-Rep Object

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 186 Manifold Solid B-Rep Object
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 186 Manifold Solid B-Rep Object

AutoCAD Object 3D solid

Mechanical Desktop Object Part, Trimmed surface

AutoCAD Object Approximated Surfaces : 3D face, polyline (3D mesh, polyface mesh)

AutoCAD Object Body

The Translator creates an AutoCAD 3D solid, a Mechanical Desktop part, a Mechanical Desktop trimmed surface, an AutoCAD approximated surface or an AutoCAD body. See Curves and Surfaces.

Warning: The IGES Manifold Solid B-Rep Object Entity (186) is an untested entity at this time, for which there is little production experience with data exchange. Because of this and also because of known system differences, you should take extra care in examining the results of B-rep translations among any pair of IGES translators.

This IGES entity is translated to an AutoCAD 3D solid, a Mechanical Desktop part, or the surface representation specified by srf_mapping. The entities composing the surface representation will be grouped if Group Mapping is enabled (see Group Mapping, IGESIN Geometry Options Dialog Box). Use the B-Rep Solid (Type 186) setting (translation option: brepin_mapping) on the IGESIN Translation Options menu to specify the desired mapping.

NoteIf there are problems with the data, 186 components will be put into AutoCAD bodies, Mechanical Desktop surfaces, or polyline paths/facets.


dwg_name option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
dwg_name option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: dwg_name

Option Type: string

Option Default: AutoCAD drawing name with no extension

Specifies the drawing name to attach as a Name Property (406:15) on a Drawing Entity (404:0). If you don't want to specify a Drawing Name Property, enter a period ('.') If you don't want a Drawing Entity to be created, enter an exclamation mark (!).


IGES Entity 204:0 Curve Dimension

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 204:0 Curve Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 204:0 Curve Dimension

AutoCAD Object or Display Attribute Name Group containing arcs, circles, polylines, lines, splines, text, and block arrowheads

The Translator creates a group containing arcs, circles, polylines, lines, splines, text, and block arrowheads. To disable this group, use the annotation_blocking option.


IGES Entity 210:0 General Label

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 210:0 General Label
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 210:0 General Label

AutoCAD Object or Display Attribute Name Group containing lines, text, and block arrowheads

The Translator creates a group containing lines, polylines, text, and block arrowheads. To disable this group, use the annotation blocking option.


IGES Entity 218:0-1 Ordinate Dimension

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 218:0-1 Ordinate Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 218:0-1 Ordinate Dimension

AutoCAD Object or Display Attribute Name Ordinate dimension

The Translator creates an Ordinate dimension object.


IGES Entity 406:31 Basic Dimension Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:31 Basic Dimension Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:31 Basic Dimension Property

AutoCAD Object Basic dimension feature of dimensions

IGES dimensions that have the Basic Dimension (406:31) property attached are mapped to AutoCAD with the basic dimension box around the dimension text. AutoCAD dimensions are created with dimension styles that have the DIMGAP system variable set to a negative value so that the basic dimension box will be preserved when the dimension gets updated.


IGES Entity 406:5558 CADDS Surface Mesh Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:5558 CADDS Surface Mesh Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:5558 CADDS Surface Mesh Property

AutoCAD Object or Display Attribute Name Surface paths, polyline approximations

For AutoCAD translations, the Translator uses this IDP to determine the number of U and V paths when path approximations are chosen (srf_mapping = 1).

For Mechanical Desktop surface translations, the Translator uses this IDP to determine the number of U and V lines used for surface display.

For information on the 406:5558, see the CADDS Surface Mesh Property (406:5558).


(egconfig [value]) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(egconfig [value]) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

With this function, you can specify how EGT handles groups and hierarchies. The value specifies how selectgr handles hierarchical groups as follows:

egconfig value | Function
0 | EGT doesn't include any linked groups. Only the selected group is included.
1 | EGT includes one level deep in the hierarchy. Only the groups linked to the group are included and selected. This is the default setting.
-1 | Unlimited inclusion. All subgroups are included and selected.

If you don't supply a value, the function returns the current configuration. In case of an error, egconfig returns nil and sets grerr_ to a value indicating the reason for the failure.


IGES Entity 406:7901 AutoCAD Attribute Reference Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:7901 AutoCAD Attribute Reference Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:7901 AutoCAD Attribute Reference Property

AutoCAD Object or Display Attribute Name Attribute

When an AutoCAD Attribute Reference (406:7901) is attached to a Singular Subfigure Instance (408:0) with a corresponding General Note (212), the Translator creates an attribute object and attaches it to the block reference object generated from the mapping of the 408:0.


IGES Entity 406:9200 AutoCAD Level Attributes Table Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:9200 AutoCAD Level Attributes Table Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:9200 AutoCAD Level Attributes Table Property

AutoCAD Object or Display Attribute Name Layer information, including name, visibility, lock status, color, and linetype

For information on the 406:9200, see the Level Attributes Table Property 406:9200.


IGES Entity 406:9204 AutoCAD Text Style Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:9204 AutoCAD Text Style Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:9204 AutoCAD Text Style Property

Object or Display Attribute Name Style

When an AutoCAD Text Style IDP (406:9204) is attached to a General Note (212), the Translator maps the 212 to a text object with the style specified by the IDP.


IGES Entity 406:9210 AutoCAD Attribute Instance Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:9210 AutoCAD Attribute Instance Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:9210 AutoCAD Attribute Instance Property

AutoCAD Object or Display Attribute Name Attribute

When an AutoCAD Attribute Instance IDP (406:9210) is attached to a General Note (212) that is associated with a Subfigure Instance (408:0), the Translator maps the General Note and the IDP to an attribute object that is attached to the corresponding insert object that resulted from the mapping of the 408:0.


IGES Entity 104:1 Ellipse

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 104:1 Ellipse
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Object or Display Attribute Name Ellipse

The Translator creates an ellipse.


IGES Entity 106:3 Copious Data Multipoint with Vectors

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 106:3 Copious Data Multipoint with Vectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Object or Display Attribute Name Lines

If block_106is set to 1, the Translator maps the points into a group. If block_106 is set to 0, the Translator processes the lines independently.


IGES Files With Mixed Units (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Files With Mixed Units (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A Drawing Entity (404) can have units which are different from the model units. This mixing of units is not well defined in IGES. When mapping View Entities(410) that are attached to a Drawing Entity with mixed units, the Translator applies a units conversion factor. However, when an AutoCAD drawing is mapped toIGES with user options that cause a mixed-units IGES file to be generated, theTranslator does not apply any units conversion factor while mapping the paperspace Viewport entities to IGES. You may have to edit the resulting IGES file to obtain the desired results based on how the receiving system interprets mixed units.


IGES Translator (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Translator (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Translator

The Autodesk IGES Translator application itself.


Improved Translation of Trimmed Surfaces (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Improved Translation of Trimmed Surfaces (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Autodesk IGES Translator now includes a translation approach for trimmed surfaces that can significantly reduce execution time and memory requirements for large IGES files. Previously the Translator offered only one approach, in which the surface is translated to an ACIS body and then brought into Mechanical Desktop. There is now a second possible approach, in which the surface is brought directly into Mechanical Desktop.

This second approach is combined with the original one, which can improve the recovery rate for problem surfaces. For each trimmed surface, one approach is tried first. If that fails the other approach is tried. If both approaches fail, the trimmed surface is decomposed into its trimming curves and base surface. With the combination of approaches, fewer trimmed surfaces are decomposed. Although additional time is spent on some problem surfaces, overall execution speed is usually faster than in previous releases, regardless of which approach is used first.

By default, the Translator is delivered so the direct-to-Mechanical Desktop approach is tried first, because execution is usually faster and memory requirements are less with this approach. The option of which approach to use first is not available through the Translator's user interface. To use the original approach first, use a text editor to open the options file and change the value of srf_mapping from 2 to -2.


Incorrect Translation of Solids and Traces (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Incorrect Translation of Solids and Traces (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The translation of AutoCAD traces and 2D solids to the IGES Sectioned Area (230) Entity sometimes causes poor performance or other problems due to the receiving system's difficulty in interpreting the sectioning. To correct this, set the FILLMODE system variable to 0 and translate the drawing again. Doing this causes the Translator to write only the outline of the solid or trace to the IGES file. The Translator writes it out as a Simple Closed Planar Curve (106:63) instead of a Sectioned Area (230).


input_ucs option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
input_ucs option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: input_ucs

Option Type: integer

Option Default: 2

Specifies which matrices to convert to UCSs.

0 = Converts named matrices (including AutoCAD UCS property (406:9213))

1 = Converts all matrices

2 = Converts only matrices with AutoCAD UCS property (406:9213)


insert_mapping option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
insert_mapping option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: insert_mapping

Option Type: integer

Option Default: 1

Specifies the mapping of INSERT objects with multiple rows and columns.

0 = Maps to Rectangular Array Subfigure Instance (412:0)

1 = Maps to several Singular Subfigure Instance Entities (408:0). This setting is useful when the receiving system doesn't process the 412:0.


Entity 406:9205 AutoCAD Dimension Style Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Entity 406:9205 AutoCAD Dimension Style Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Object or Display Attribute Name Dimension style

When an AutoCAD Dimension Style IDP (406:9205) is attached to a dimension entity (202, 206, 216, 218, or 222), the Translator maps the dimension entity to an AutoCAD dimension object with the dimension style defined by the IDP.


"Invalid Argument" Error Message (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
"Invalid Argument" Error Message (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

"Invalid Argument" Error Message

Text of Message

Invalid argument

This error message is most often generated because the Translator is searching for an invalid directory in which to write its temporary files or there is insufficient disk space. To fix this problem, make sure that the PDELIB_TMP environment variable points to a valid directory with available disk space.

To change the value of the PDELIB_TMP variable:

  1. Right click My Computer on the desktop and select Properties from the menu that is displayed.
  2. On the Advanced tab, click environment variables.
  3. If TEMP exists in the User Variables list, select PDELIB_TMP and click Edit. If PDELIB_TMP doesn't exist, click New.
  4. In the Variable Name box, type PDELIB_TMP.
  5. In the Variable Value box, type the path to the folder that temporary files are to be stored.
  6. Click OK.


(isnested <object name> <group name>) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(isnested <object name> <group name>) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function determines if an object is included in a group nested in the hierarchy below the specified group. If the object is nested, isnested returns 1; otherwise it returns nil and sets grerr_ to 0. If an error occurs, isnested returns nil and sets grerr_ to the corresponding error. See linkgr and selectgr for more information on links and hierarchy definitions.


isolines (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
isolines (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Display lines on surfaces that help you visualize the surface. These lines do not represent edges.


layer_exclusion option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
layer_exclusion option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: layer_exclusion

Option Type: string

Option Default: none

Specifies a layer name or wild-card pattern of layers to exclude from the mapping of AutoCAD entities to IGES. The pattern string can include multiple patterns, separated by commas. Other special characters can have particular meanings, as shown in the following list.

# Pound sign. Matches any numerical digit.

@ At sign. Matches any single alphabetic character.

. Period. Matches any single non-alphanumeric character.

* Asterisk. Matches any character sequence, including an empty one. You can use it anywhere in the search pattern: beginning, middle, or end.

? Question mark. Matches any single character.

~ Tilde. If it's the first character in the pattern, it matches anything except the pattern.

[&ldots; ] Matches any one of the characters enclosed.

[~&ldots;] Matches any single character not enclosed.

- Hyphen. Used inside brackets to specify a range for a single character.

, Comma. Separates two patterns.

' Reverse quote. Escapes special characters (reads the next character literally).

If a tilde isn't the first character within brackets, the Translator treats it literally. To specify a literal hyphen as an option within brackets, make it the first or last bracketed character (for example, "[-ABC]" or [ABC-]"), or the first character to follow a leading tilde (as in, "[~-ABC]"). To specify a literal right bracket (]) within brackets, make it the first bracketed character or the first to follow a leading tilde (as in, "[]ABC]" or "[~]ABC").

NoteOther special characters might be defined to have special meanings in future releases. Use a leading reverse quote (') to escape all special characters that aren't being used as described in this section.


layer_name_mapping option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
layer_name_mapping option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: layer_name_mapping

Option Type: integer

Option Default: 1

Specifies the mapping to use for AutoCAD layer names.

0 = No mapping

1 = Maps to IGES Level Function Property (406:3)

2 = Maps to IGES Name Property (406:15)

3 = Maps to Autodesk Level Attributes Table (Implementor Defined Property) (406:9200)


entity type number (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
entity type number (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An integer used to identify specific entities. For example, the Circular Arc Entity has an entity type number of 100.


logfile_path option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
logfile_path option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: logfile_path

Option Type: string

Option Default:

Specifies the path to be used for the log file name. If you don't specify a value, the Translator derives the log file name path from the path of the IGES file.


log file

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
log file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An ASCII file that records all entities translated in or out, and all problems encountered. When produced by an IGESIN operation, its file name extension is .xli; when produced by an IGESOUT operation, its file name extension is .xlo.


map_110 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
map_110 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: map_110

Option Type: Boolean

Option Default: 0

Controls mapping of xlines and rays to a new form of the 100.

0 = Use form 0 and create a Generic Data Property (406:27)

1 = Use forms 110:1 (Semi-Bounded Line) or 110:2 (Unbounded Line)


Option Name: map_406_31

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Option Name: map_406_31
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: map_406_31

Option Type: Boolean

Option Default: 0

Controls the mapping of the Basic Dimension box:

0 = Map to lines

1 = Map to Basic Dimension Property (406:31)


entity use flag (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
entity use flag (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An identifier in the status number field of an entity's directory entry. It designates the entity's function, such as whether the entity is used as geometry, annotation, structure, logical, other, or construction geometry.


Entity Validation Option (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Entity Validation Option (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Select MISCELLANEOUS from the IGESIN Options Editor dialog to display the IGESIN Entity Validation Options. Entity validation is a process by which the Translator pre-validates the entities in the IGES file before performing the translation. All entities identified as invalid are ignored during the translation phase and will not appear in the AutoCAD .dwg file after the translation is complete. The entity validation process also attempts to repair certain problems in the IGES file, such as resetting color values that are outside the valid range to a value that is valid. However, there are some problems that entity validation cannot repair, such as an IGES curve for which the centerpoint is equal to the start- and endpoints.

Enabling entity validation (the default) can cause IGESIN to work for long periods of time before completing the IGES translation. Sometimes IGESIN will use all of the virtual memory and cause the system to hang or freeze, or even terminate AutoCAD. If this happens, you may wish to disable entity validation to speed IGES translation and reduce the amount of virtual memory required to complete the translation.


Miscellaneous Functions (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Miscellaneous Functions (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

These functions are used for error handling and EGT maintenance.

(grerr_)

(syncgr [delete empty])

(egconfig [value])

(egversion)


Missing Entities (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Missing Entities (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Occasionally, entities are missing from a drawing after a translation. These entities might be missing for one of two reasons:

  • The entities might not be in the original file.
  • The entities might be missing because their form numbers were written incorrectly by another system

To diagnose the problem, try translating the IGES file back into the original system. If the original system can read it, it is likely that the information is intact in the IGES file, meaning that the problem lies in the IGES to AutoCAD translation. If the original system cannot read it, then the entities probably are not in the IGES file, meaning that the problem lies in the original system's translation to IGES.

If entities are missing because another system wrote out the entity's form number incorrectly, that fact is noted in the log file, as in the following example of an error message.

*** Warning (IAFP_UNKNOWN_TF) ***

bad.igs, line 1669: Entity type/form is unknown. Property/associativity data will not be processed correctly.

You can correct this problem by using the fixform tool.

It is also possible that the entities are present in the drawing, but cannot be seen due to color choices or other entities blocking the view. See Basic Requirements for Entity Visibility for explanations of these two problems and their solutions.


model (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
model (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A particular collection of data in an exchange file that describes a product.


Model Space (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Model Space (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES coordinate system where the entity is defined.


Multiple Drawing Sheet Mapping

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Multiple Drawing Sheet Mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Previous releases of AutoCAD and the IGES Translator created separate .dwg files for each drawing entity (404) present in the input IGES file. With the introduction of layouts in AutoCAD, you can map IGES files that contain multiple drawings (404s) into a single AutoCAD drawing along with the model space data. Each 404 in the input IGES file is mapped as a separate AutoCAD layout. You can also choose to ignore the 404s and map model space data only.

When you select Map Model and Drawings on the IGESIN Structure tab, the Translator will create a layout for each 404 present in the input IGES file. These layouts will be created in addition to any layouts already present in the AutoCAD drawing that is active when you invoke IGESIN. The only exception is that if one of the 404s in the input IGES file has the same name as an existing layout in the current dwg file, then the data from that 404 is inserted into the existing layout.

IGES doesn't name individual 404s, but AutoCAD requires a unique name for each layout. To generate these names, the Translator follows the rules described in Name Mapping.

After the translation, the log file indicates the name of the AutoCAD layouts created by the mapping of each 404.

Plotting

One key reason for the development of the layout feature was to make it easier for users to generate plots from AutoCAD drawings. Each layout can be set up to plot using specific paper sizes, orientations, scales, etc. Because the IGES Standard does not include any such information, the layouts created from IGES data may not fall exactly within the plot boundary of the layout. Users may need to adjust the plot area's limits or the scale of the data prior to plotting to ensure that all of the imported IGES data falls within the plot boundary.


object (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
object (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

One of more primitives such as text, dimensions, line, circle or polyline,treated as a single element for creation, manipulation and modification. Also called entity.


eorchar option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
eorchar option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: eorchar

Option Type: (char)

Option Default: ; (semi-colon)

Specifies the end-of-record delimiter character to be used in the IGES Global Section data.


Options File Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Options File Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use these text boxes and buttons to locate, select, create and save options files for IGESIN translations. You can:

  • set options for the current translation only
  • use an existing options file as is
  • edit an existing options file and save the changes
  • create and save a new options file

For detailed information on options files and option settings, please see Translation Options.

Options File

Shows the name of the currently selected options file, if there is one.

Description

Shows the description line in the selected options file. This is a text box; you can change its contents by clicking inside the box and typing the desired text in the box.

Browse button

Displays a dialog you can use to locate and select options files.

Default button

Restores all options in the specified options file to all default values supplied with the Translator. Note that this is different from the Defaults button, which is located above the options file area on each tabbed dialog and resets the values for that dialog only.

OK button

Closes the current dialog and returns to the IGESIN dialog. If you've made changes since the last save, an alert box is displayed. You can use the options without saving or canceling, but if you do so, those options are used for the current translation only.

Cancel button

Cancels the dialog, ignores any changes, and redisplays the IGESIN dialog.

Save As button

Saves current option values to a new file or to a file you select.

Save button

Saves current values to the file named in the Options file text area.


organization option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
organization option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: organization

Option Type: string

Option Default: none

Specifies the organization of the author of the IGES file; it appears in theIGES Global Section.


output_groups option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
output_groups option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: output_groups

Option Type: integer

Option Default: 1

Specifies the mapping of groups created by the Group command, the Entity Grouping Tool, or the Translator.

0 = No mapping of these groups

1 = Maps to Associativity Instances - Unordered Groups without Back Pointers (402:7)

2 = Maps to Associativity Instances - Ordered Groups without Back Pointers (402:15)


parameter delimiter (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
parameter delimiter (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A character that separates parameters in the Global section and Parameter Data section of an IGES file. The default is a comma. See The Initial Graphics Exchange Specification (IGES) Version 5.3


evm_proc option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
evm_proc option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: evm_proc

Option Type: integer

Option Default: 0

Enables or disables EVM (Entity Validation Manager) processing.

0 = Performs entity validation. During processing, bypasses invalid entities

1 = Performs entity validation, but attempts to process invalid entities

2 = Disables entity validation

Warning Entity validation requires a large amount of disk space. You may want to turn this option off for some translations, such as when you know the file you're translating is valid. Disabling entity validation causes the Translator to do less checking of the IGES file, and may cause problems if the IGES file is inconsistent or incorrect.


pfacemesh_idp

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
pfacemesh_idp
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: pfacemesh_idp

Option Type: Boolean

Option Default: 0

Specifies whether to create the AutoCAD Polyface Mesh IDP (406:9212). This option alters the way polyface meshes are written. Settings are as follows:

0 = Maps the polyface mesh as a set of independent points, lines, or 3D faces

1 = Maps the polyface mesh as a Copious Data: Multipoint 3D Entity (106:2) with a Polyface Mesh IDP attached

Do not use this setting unless the receiving system is specifically designed to read this property.


PostScript Support (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
PostScript Support (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator supports encapsulated PostScript data in AutoCAD, but because the output is produced as solids and fills, the resulting file can be very large.

PostScript Fonts

The Translator maps PostScript fonts the same way it maps other fonts. Although PostScript fonts are not defined in IGES, the mappings are successful in that the character set used by the PostScript font matches the character set of the IGES font. For example, the PostScript font eur_ _ _ _.pfb has a limited number of characters that map to IGES font 1. So, if your PostScript font is just a variation of the Monotext font, the character set translation to IGES will be successful, but the styling provided by PostScript will be lost.

PostScript Fills

The Translator does not support PostScript fills.


flavor translator (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
flavor translator (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An IGES-to-IGES translator that allows you to modify the IGES file to improve exchange.


fontcode1 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
fontcode1 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: fontcode1

Option Type: integer

Option Default: 1

Specifies the IGES text font code to map to the AutoCAD text style. You must specify nfontmaps1 occurrences of this option. For the listing of font codes, see The Initial Graphics Exchange Specification Version 5.3.


fontcode_default option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
fontcode_default option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: fontcode_default

Option Type: integer

Option Default: 1

Specifies the default IGES text font code for an AutoCAD text style without font mapping. See IGESOUT Font Mappings.


Font/Style Mapping Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Font/Style Mapping Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Font/Style Mapping list box indicates the current mappings of IGES to AutoCAD styles. Styles found in the IGES file that aren't listed here are mapped to the AutoCAD Standard style.

Change Style

If you want to edit mappings, first highlight one or more lines in the Font/Style Mapping list box, then choose Change Style. The AutoCAD Styles dialog is displayed. The list box shows the current shape file for each AutoCAD style name. The style name and shape file for the highlighted mapping are displayed in the Style text box and in the label alongside the Shape File button. Use the text box and button to modify the mappings.

Style

Use this option to modify the style name or enter a new one. Corresponds to style1.

Shape File

Use this option to select a shape file from the Select Shape File dialog to associate with the style name in the Style text box. Corresponds to shape_file.


General-Purpose Compression Programs (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
General-Purpose Compression Programs (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Several general-purpose compression programs are available for MS-DOS data.Many of these may be downloaded by modem from bulletin board systems. See the documentation for the compression program in question for details.


General Clean-Up After IGESIN

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
General Clean-Up After IGESIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Many common problems with surface data and with drawing size and performance can be solved by following these general steps after IGESIN:

  1. If you know the file contains surfaces and you are not going to use these surfaces to cut solids, set the refine_c0_surfs option to -1. This will bring surfaces in without splitting them.
  2. Refine the surfaces (AMREFINESF ) using the highest tolerance value you can (.001 is typical).
  3. Change the UV display to 1x1, which makes the file smaller and easier to view.
  4. Change the surface's linetype to Continuous (Surface Visibility [image] Properties [image] Linetype). Other systems (including CATIA) often set the linetype to dotted, which can make the surfaces appear to be incorrect.
  5. If drawings (layouts) are not needed, then WBLOCK the data. This reduces the file size by at least a third.


Global section (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Global section (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The section of an exchange file consisting of general information describing the file, the file generator (preprocessor), and information needed by the file reader (postprocessor).


gray pages (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
gray pages (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

(The term "gray pages" is obsolete. Gray page entities are now called "Untested.") A section of IGES that describes entities that haven't been tested sufficiently to be included in the main body of IGES.


(grerr_) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(grerr_) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A function that returns the error code from the last executed EGT function. The following table provides a complete list of error codes from grerr_.

Value | Cause and Remedy
0 | No error. The last operation was successful.
1 | Invalid group name. The group names must be between 1 and 31 characters long and can contain only characters (A to Z), digits (0-9), and the special characters $ (dollar), - (hyphen), and _ (underscore). Group names aren't case sensitive and are converted to uppercase.
2 | Group doesn't exist or hasn't been defined.
3 | Invalid arguments. A function was called with an incorrect argument type(s).
4 | Duplicate group name. The group name has already been defined.
5 | Unable to create selection set. EGT tried to create a selection set, but AutoCAD reported that all selection sets were used. Free some selection sets and retry.
6 | Group overflow. There isn't enough space left in the group to add the selection set. If you get this error from addent, the request is ignored and the group isn't updated. If you get it from creategr, you passed a selection set with too many objects and the group isn't created. This error message might indicate EGT has reached the maximum number of groups and there is no room for a new group. If you reach this limit, try to split large groups into several smaller groups and link them with linkgr. This can also save memory, as objects can be linked to several groups and still be defined in only one group.
7 | Cyclic group definition. The attempted link would result in a group that references itself. This is not allowed and the request is ignored.


Group Copious Data

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Group Copious Data
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When this option is enabled, the Translator processes the points/linesassociated with Copious Data entities (106:1-3) and places them in groups. When this option is disabled, the Translator processes all points/lines that are associated with the copious data entities as independent, unassociated geometry.Corresponds to block_106.


Group Handling (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Group Handling (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The functions in this section manipulate groups.

(creategr <group name> [selection set])

(deletegr <group name>)

(listgr)

(renamegr <old name> <new name>)

(selectgr <group name>)

(freegr [group name])

(linkgr <child group name> <parent group name>)

(unlinkgr <child group name> <parent group name>)

(listlinks <group name>)

(listroot)


Group Mapping (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Group Mapping (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can use the group_mapping option to map IGES groups to AutoCAD. The threesettings for this option are as follows:

Setting | Name | Result
0 | Ungroup | The Translator maps the members of each IGES group to AutoCAD without preserving any associativity.
1 | AutoCAD Group | The Translator maps each IGES group to an AutoCAD group. This mapping permits grouped entities to be referenced by multiple groups, but it does not preserve nested groups.
2 | Entity Grouping Tool group | The Translator maps each IGES group to an Entity Grouping Tool (EGT) group.This mapping is the closest match to IGES groups in that it preserves the logicalrelationship between group entities, allows nested groups, and permits grouped entities to be referenced by multiple groups. The Entity Grouping Tool maintains the groups as extended entity data with Point entities on theSDK-ENTGROUP-FRZ layer.
NoteAutoCAD groups are created by the IGES Translator as unselectable in order to create groups that can have members in other groups. If you want the groups created by IGESIN to be selectable, you must use the GROUP command to change their selectability after translation.


Grp2layr.lsp (IGES Translator tools); group-to-layer tool (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Grp2layr.lsp (IGES Translator tools); group-to-layer tool (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Finds all AutoCAD groups with a specified prefix and puts them on a designated layer.

When a bounded or trimmed surface (IGES Entity Type 143 or 144) fails duringIGESIN, the Translator decomposes the entity to its constituent surface and model space curves, groups the constituents, and names the group BADSURF-nnn, where nnn is the DE number of the 143 or 144. This tool allows you to find these groups and place them on a specified layer.

Syntax

At the Command prompt, enter the following:

(load "grp2layr")

grp2layr

You will be prompted for the prefix of the groups whose layer you wish to change. The default is "BADSURF-". The system will also prompt you for the name of the layer (default "BADSURFS") on which to place the groups.


Handsel.lsp (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Handsel.lsp (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Selects an AutoCAD entity by handle, and optionally lists the entity and its definition. This may be useful if the Translator produces a questionable IGESentity.

First, the Entity Handles option in the IGESOUT Miscellaneous options tab must be set to write entity handles into the DE label field (see handle_labels) when you use IGESOUT. Then look at the label of the IGES entity in question. Finally, run handsel to find out which AutoCAD entity generated the questionable IGES entity.

Syntax

At the Command prompt, enter the following:

(load "handsel")

handsel

The program asks you for the handle of an AutoCAD entity and asks you if you want to list the entity or see its definition.


Hollerith format (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Hollerith format (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A method of representing character data in IGES. Instead of enclosing the characters in quotation marks, Hollerith format represents a string by first giving a count of characters, followed by the letter "H", and then displaying the characters themselves. For example, 'This is a string' is represented as 16HThisis a string.


IGESIN Alternate Spacing

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Alternate Spacing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use this text box to enter a value for the spacing of the alternate pattern mapping. Corresponds to alternate_230_spacing

Defines the spacing between the lines used to define the IGES Sectioned Area(230) fill patterns. Required for cases where the IGES fill pattern is 19, as the line spacing in the IGES file is undefined for fill pattern 19. Enter a value for the spacing that completes the pattern but doesn't create too dense a pattern.

This option is analogous to AutoCAD hatch pattern spacing.


IGESIN B-Rep Solid Mapping

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN B-Rep Solid Mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use this option (corresponds to brepin_mapping in the options file) to determine whether to map IGES Manifold Solid B-Rep Object Entities (186) to:

AutoCAD 3D Solids

When this option is enabled, the Translator maps IGES Manifold Solid B-Rep Objects (186) to AutoCAD 3D solids. Corresponds to brepin_mapping with a value of 0.

Surfaces

When this option is enabled, the Translator maps IGES Manifold Solid B-Rep Objects (186) to the surface representation specified by srf_mapping. Corresponds to brepin_mapping with a value of 1.

Mechanical Desktop Parts (disabled if Mechanical Desktop is not present)

When this option is enabled, the Translator maps IGES Manifold Solid B-RepObjects (186) to Mechanical Desktop parts. Corresponds to brepin_mapping with a value of 2. Disabled if Mechanical Desktop is not present.

NoteOnly single parts can be translated to Mechanical Desktop parts. Parts that are contained within subfigures (308s), in other words all subassemblies, are mapped to AutoCAD 3D Solids instead.


IGESIN Composite Curves

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Composite Curves
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

These options indicate how the Translator will translate Composite Curves (102).

Separate Curves, Grouped Results

The Translator places the independent constituents from the previous option in a group. Disabled if you enable Single Curve (approx). Corresponds to input_102.

Separate Curves, No Grouping

The Translator translates composite curves as separate independent constituents. Corresponds to input_102.

Single Approximated Curve

The Translator handles the entire curve as one single approximated curve. Enabling this option disables the Group Constituents option. Corresponds to input_102.

Attempt Bulged Polyline

When this option is enabled, the Translator first attempts to translate each Composite Curve exactly as an AutoCAD polyline (which might use bulges, if appropriate). Otherwise, the Translator translates the curve according to whichever of these options is enabled: Single Curve (approx), Independent Constituents, or Group Constituents. Corresponds to no_bulge_pline.


IGESIN Group Miscellaneous Annotation

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Group Miscellaneous Annotation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Controls mapping IGES annotation entities that have no direct equivalent in AutoCAD. It specifies the mapping of IGES annotation types Copious Data (106:21, 106:22, 106:31-38, 106:40 [if not part of a dimension]), Curve Dimension (204), Flag Note (208), General Label (210), Point Dimension (220), and General Symbol (228), none of which can be represented directly in AutoCAD.

When this option is disabled, the Translator maps these entities to unassociated text and geometry.

When this option is enabled, the Translator maps these entities to text and geometry and places them in a group. The group includes all AutoCAD objects needed to make these entities as visually correct as possible. Corresponds to annotation_blocking.


IGESIN Internal Errors (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Internal Errors (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator's IGESIN phase may produce the following error message:

*** Error (ACAD_IGESIN_INTERNAL_ERROR3) ***

( DE: NNNN TF: NN:NN )

INTERNAL ERROR in IGESIN translator. If unable to determine difficulty with this entity, report problem to Autodesk.

One possible cause of this error is that the input IGES file contains an AutoCAD IDP that for some reason cannot be brought into AutoCAD. If you receive this message, check to see if the entity in question has an AutoCAD IDP attached. If it does, you may be able to bring in the entity by commenting out the reference to the IDP and running IGESIN again.


IGESIN Line Font/Linetype Mapping Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Line Font/Linetype Mapping Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Controls the mapping of IGES line font codes to specified AutoCAD linetypes. Corresponds to nlinefonts, linetype1, and linefont1.

The Line Font/Linetype Mapping list box lists the current mappings of all IGES line fonts to equivalent AutoCAD linetypes. The linetype file used by a linetype is also listed.

Change Linetype

Choose this option to edit a mapping. If you want to edit a mapping, first highlight it in the Line Font/Linetype Mapping list box, then choose the Change Linetype button. The AutoCAD Linetypes dialog is displayed. The list box shows the available linetypes in the file indicated at the File button. The current linetype mapping for the IGES line font you selected in the Line Mapping Options dialog is shown in the Linetype line. To change the line font mapping, pick a different linetype from the list box. You can also use the File button to change the current linetype file. Corresponds to linetype_file.

Linetype

Displays the currently selected linetype.

File

Use this option to select a different linetype file from which to choose a linetype. The Use Linetype File dialog is displayed when you choose File.


IGESIN Manifold Solid B-Rep Object Entity Translations

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Manifold Solid B-Rep Object Entity Translations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When curves and surfaces are subordinate to an IGES Manifold Solid B-Rep Object Entity (186), the Translator may not map them at all, but rather may use them to define the resulting AutoCAD 3D solid.

You can choose how to map 186s by using the brepin_mapping and srf_mapping options:

  • When brepin_mapping = 0, 186s are mapped to AutoCAD 3D solids. If this is not possible, the Translator will attempt to map the 186 to an AutoCAD body, preserving as much of the data as possible.
  • When brepin_mapping = 1 and Mechanical Desktop is present and srf_mapping = 2 or -2, the Translator will map the faces of the 186 to Mechanical Desktop trimmed surfaces (see Mechanical Desktop Approximated Surfaces).
  • When brepin_mapping = 1 and Mechanical Desktop is not present or srf_mapping = 0 or 1, the Translator will map the faces of the 186 to AutoCAD objects (see AutoCAD Approximated Surfaces).
  • When brepin_mapping = 2 and Mechanical Desktop is present, the Translator will map 186s to Mechanical Desktop parts.
    NoteOnly single parts can be translated to Mechanical Desktop parts. Parts that are contained within subfigures (308s), in other words all subassemblies, are mapped to AutoCAD 3D Solids instead.
  • When brepin_mapping = 2 and Mechanical Desktop is not present, 186s are mapped to AutoCAD 3D solids. If this is not possible, the Translator will attempt to map the 186 to an AutoCAD body, preserving as much of the data as possible.
Note
  • The IGES Manifold Solid B-Rep Object Entity (186) is an untested entity at this time, for which there is little production experience with data exchange. Because of this and also because of known system differences, you should take extra care in examining the results of B-rep translations among any pair of IGES translators.
  • Some information may be lost due to differences between sending and receiving systems. For example, IGES permits constituents of a 186 to be defined on different levels, but an AutoCAD 3D solid is a single object which is defined entirely on a single AutoCAD layer.
  • The Translator maps instances of the Open Shell Entity (514:2) to an AutoCAD body if brepin_mapping = 0. For other values of the brepin_mapping option, the mappings are done as if the Open Shell were an IGES Manifold Solid B-Rep Object Entity.


IGESIN Map Lineweight to AutoCAD Color

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Map Lineweight to AutoCAD Color
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When this option is enabled, the Translator maps IGES entity line weights to AutoCAD colors for each resulting entity. Each unique line weight is mapped to a unique AutoCAD color. These mappings (including the line weight sizes) are indicated in the translation log file. You must associate these line weights to AutoCAD colors when you plot your drawing. Line weight in AutoCAD does not match the functionality of line weights defined in IGES. Therefore, IGES entity color cannot be mapped when line weights are mapped to colors.

When this option is disabled, the Translator ignores IGES entity line weights and maps IGES entity colors to AutoCAD colors for each resulting entity. This mapping is preferable when the preservation of the original entity colors is more important than the preservation of the original entity line weights.

Corresponds to lineweight_to_color.


IGESIN Surface Display Paths Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Surface Display Paths Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the options in this area to set surface display paths.

U-dir

Sets the number of paths in the U-direction. Corresponds to spathu.

V-dir

Sets the number of paths in the V-direction. Corresponds to spathv

Group Paths.

When this option is enabled, the Translator puts surface paths in a group. If this option is disabled, the Translator translates surface paths as unassociated independent entities. Corresponds to dont_block_srf.

Surface Mesh IDP

When enabled, the Translator uses the U and V values in the Surface MeshProperty IDP to approximate the surface. Otherwise, the Translator uses the U-dir and V-dir values from the above options. Corresponds to cvmesh.


IGESIN Transformation Matrix Mapping Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Transformation Matrix Mapping Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Controls the mapping of Transformation Matrices (124), which are similar to an AutoCAD UCS. If a 124 with an attached IDP 406:9213 is found in the IGES file, it is always translated to a named UCS. The following options control the mapping of any other 124s found in the IGES file. Corresponds to input_ucs.

None

Default. Maps only those matrices with AutoCAD UCS (406:9213) attached toUCSs. No other matrices are mapped to UCSs.

Named

Maps only named matrices (including those with AutoCAD UCS (406:9213)attached) to UCSs.

All

Maps all matrices to UCSs.


IGESIN Truncate Names Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESIN Truncate Names Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When it's necessary to truncate text, such as block or layer names, you can specify whether to truncate the beginning or the end of the string. Corresponds to trunc_names.

Beginning

Default. Truncates any text from the start of the string if required.

End

Truncates any text from the end of the string if required.


IGESOUT Layer Mapping Options

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Layer Mapping Options
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

From this list, you can select one of the following ways to map layer names:

  • No mapping.
  • Map layer names to Level Properties (406:3) (the default).
  • Map layer names to Name Properties (406:15).
  • Map layer names to Level Attributes Table IDP (406:9200).
NoteTo use the Level Attributes Table IDP, you must enable the Attribute Instance option in the IDP Mappings dialog.

This option corresponds to layer_name_mapping.


IGESOUT Map Multiple Insert Points Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Map Multiple Insert Points Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Controls the mapping of block reference objects with multiple rows and columns. This option corresponds to insert_mapping.

408

When this option is selected, the Translator maps each instance of an insert object to a Singular Subfigure Instance (408). Use this option when the receiving system doesn't support a Rectangular Array Subfigure Instance (412) or when it incorrectly maps the 412 entities.

412

When this option is enabled (the default), the Translator maps insert objects to a Rectangular Array Subfigure Instance (412).


IGESOUT Map Point Entities

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Map Point Entities
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When this option is disabled, the Translator ignores AutoCAD point objects. Corresponds to omit_points. This option is enabled by default.


IGESOUT Map Ray and Xline Objects to 110:1, 2 (Unbounded Line Forms)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Map Ray and Xline Objects to 110:1, 2 (Unbounded Line Forms)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Map Ray and Xline Objects to 110:1, 2

This option provides control of the mappings of xlines and rays. The new forms of the IGES Line Entity (110:1, 2) can be created for the xline and ray objects when this option is enabled. When this option is not enabled (the default), the xline and ray objects are mapped to form 0 of the IGES Line Entity (110) with the end points of the line set to the intersection of the unbounded lines with the extents of the model. Corresponds to map_110 in the options file.

NoteIf 110:0s are created, a single Generic Data Property 406:27 (406:27) for all occurrences of xlines is attached, and another 406:27 is attached for all rays. The 406:27 will contain a property name of "AutoCAD Ray" or "AutoCAD Infinite Line."


IGESOUT Mechanical Desktop Augmented Line Mapping

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Mechanical Desktop Augmented Line Mapping
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the options in this area to choose how the Translator maps Mechanical Desktop augmented lines. You can only enable one of these options at a time. Corresponds to asurf_create_106_13.

Copious Data 3-tuples (106:12)

When this option is enabled, the Translator maps Mechanical Desktop augmented lines to Copious Data triples (106:12). This option must be enabled when CALS Class 2 compliance is required.

Copious Data 6-tuples (106:13)

When this option is enabled (the default), the Translator maps Mechanical Desktop augmented lines to Copious Data sextuples (106:13).


IGESOUT Start Section Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Start Section Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the options in this section to specify a file to use for the Start section of the IGES file. If you do not specify a file, a single blank line is used for the Start section. The information placed in the Start section provides a readable prologue to a file.

File

Choose this option to select a different file for the Start section from the Select Start Section File dialog.

Include Start File

When this option is enabled, the Translator displays the Select Start Section File dialog. From this dialog, you can include an ASCII text file for use as the Start section of an IGES file. Corresponds to the start option.

Include Level Notes

When this option is enabled, the Translator creates level notes in the Start section of the IGES file. These notes indicate how AutoCAD layer names are mapped to IGES level numbers. This information is particularly useful for CALS subset files. This option is disabled by default and corresponds to level_notes.


IGESOUT Text and Font Mapping Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Text and Font Mapping Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use this area to specify the mappings by which AutoCAD text entities and styles are translated.

Default IGES font

If an AutoCAD named style isn't mapped in the Text and Font Mapping list box,then the AutoCAD style is mapped to the IGES font selected from this list.Corresponds to fontcode_default. The default font is ASCII.

AutoCAD Style Name/IGES Font List Box

Indicates the current mappings of AutoCAD styles to their equivalent IGESfonts. Styles found in an AutoCAD drawing that aren't listed here are mapped to theDefault IGES Font. If you want to edit or add to these mappings, use Add,Modify, and Remove. Corresponds to style2 and fontcode2.

Add

To add a new mapping:

  1. Enter an AutoCAD style name in the Style text box.
  2. Select the font you want to use for mapping from the IGES Font Code list.
  3. Choose Add. The new mapping is displayed in the AutoCAD Style Name/IGES Font list box.

Modify

Enabled when you highlight a single mapping in the AutoCAD Style Name/IGES Font list box. Use the Style text box or the IGES Font Code list to alter the mapping. When the mapping is correct, choose Modify. The new mapping is reflected in the AutoCAD Style Name/IGES Font list box.

Remove

Enabled when you highlight one or more mappings in the AutoCAD Style Name/IGES Font list box. Choosing this button removes all highlighted mappings.


IGESOUT Version Specification (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGESOUT Version Specification (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The iges_version option allows you to specify a version of the IGES standard in the GlobalSection data of an output IGES file created by the Translator. The default value for this option is IGES Version 5.3.

If you send IGES data to a system that supports only an earlier version, the file may be rejected without processing based solely on this Global Section version number, though its contents may be valid. If this happens, use iges_version to specify a version that is supported by the destination system.

NoteChanging the value of iges_version has no effect on the entities contained in the IGES file, or on the settings of any other options. It affects the version number placed in the Global Section only. If you use the Translator with all options set to their default values, you will produce a valid version 5.3 IGES file, even if a different version is specified by iges_version.


IGES Entity 106:2 Copious Data Multipoint (3D)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 106:2 Copious Data Multipoint (3D)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 106:2 Copious Data Multipoint (3D)

AutoCAD Object or Display Attribute Name Points

If block_106 is set to 1, the Translator maps the points into a group. If block_106 is set to 0, the Translator processes points and lines independently.


IGES Entity 106:31-106:38 Section Entity (Line Patterns)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 106:31-106:38 Section Entity (Line Patterns)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 106:31-106:38 Section Entity (Line Patterns)

AutoCAD Object or Display Attribute Name Group containing line segments

The Translator creates a group containing line segments. To disable this group, use the annotation_blocking option.


IGES Entity 106:63 Simple Closed Planar Curve

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 106:63 Simple Closed Planar Curve
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 106:63 Simple Closed Planar Curve

AutoCAD Object 2D polyline (closed)

The Translator creates a closed AutoCAD 2D polyline. See 2D polyline for information about creating lightweight polylines.


IGES Entity 110:1 Semi-Bounded Line

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 110:1 Semi-Bounded Line
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 110:1 Semi-Bounded Line

AutoCAD Object or Display Attribute Name Ray

The Translator creates an AutoCAD ray if the IGES file version is 5.2 or later. Otherwise, it will create an AutoCAD line.


IGES Entity 110:2 Unbounded Line

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 110:2 Unbounded Line
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 110:2 Unbounded Line

AutoCAD Object or Display Attribute Name Xline

The Translator creates an AutoCAD xline if the IGES file version is 5.2 or later. Otherwise, it will create an AutoCAD line.


IGES Entity 112 Parametric Spline Curve

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 112 Parametric Spline Curve
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 112 Spline Curve

AutoCAD Object or Display Attribute Name Spline or 2D or 3D polyline

The Translator creates an approximated curve.


IGES Entity 114 Parametric Spline Surface

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 114 Parametric Spline Surface
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 114 Parametric Spline Surface

Mechanical Desktop Name Trimmed surface

AutoCAD Object Approximated Surfaces : 3D face, polyline (3D mesh, polyface mesh)

AutoCAD Object Body

The Translator creates a Mechanical Desktop trimmed surface, an AutoCAD approximated surface or an AutoCAD body. See Curves and Surfaces.


IGES Entity 118:0-1 Ruled Surface

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 118:0-1 Ruled Surface
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 118:0-1 Ruled Surface

Mechanical Desktop Name Trimmed surface

AutoCAD Object Approximated Surfaces : 3D face, polyline (3D mesh, polyface mesh)

AutoCAD Object Body

The Translator creates a Mechanical Desktop trimmed surface, an AutoCAD approximated surface or an AutoCAD body.


IGES Entity 120 Surface of Revolution

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 120 Surface of Revolution
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 120 Surface of Revolution

Mechanical Desktop Name Trimmed surface

AutoCAD ObjectApproximated Surfaces : 3D face, polyline (3D mesh, polyface mesh)

AutoCAD Object Body

The Translator creates a Mechanical Desktop trimmed surface, an AutoCAD approximated surface or an AutoCAD body. See Curves and Surfaces.


IGES Entity 125:0 Flash: Defined by Referenced Entity

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 125:0 Flash: Defined by Referenced Entity
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 125:0 Flash: Defined by Referenced Entity

AutoCAD Object or Display Attribute Name Mapping of referenced entity

The Translator processes the referenced entity.


IGES Entity 125:1 Circular Flash

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 125:1 Circular Flash
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 125:1 Circular Flash

AutoCAD Object or Display Attribute Name Wide bulged polyline

This entity is similar to an AutoCAD donut with an inner radius of 0.0.


IGES Entity 142 Curve on a Parametric Surface

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 142 Curve on a Parametric Surface
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 142 Curve on a Parametric Surface

AutoCAD Object Approximated curve (spline or polyline)

If the 142 is dependent on a 144, it will be used as a boundary for the appropriate surface translation.


IGES Entity 190 Plane Surface

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 190 Plane Surface
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 190 Plane Surface

Mechanical Desktop Object N/A

AutoCAD Object N/A

This IGES entity is a geometric component of the IGES 186 solid or the underlying surface of an IGES 143 Bounded Surface:

  • If it is a component of a 186, it is used in the mapping to an AutoCAD 3D solid or body, a Mechanical Desktop part, or a Mechanical Desktop trimmed or AutoCAD approximated surface, depending on the option brepin_mapping.
  • If it is the underlying surface of a 143, one of two mappings can occur. If it references a Generic Data Property 406:27 with an "AutoCAD Region" tag, then it becomes an AutoCAD Region object. Otherwise, it is mapped to a Mechanical Desktop trimmed surface or an AutoCAD approximated surface, depending on the option srf_mapping.


IGES Entity 192-198 Rt Circular Cylindrical, Rt. Circular Conical, Spherical, Toroidal Surface

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 192-198 Rt Circular Cylindrical, Rt. Circular Conical, Spherical, Toroidal Surface
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 192 Right Circular Cylindrical Surface

IGES Entity 194 Right Circular Conical Surface

IGES Entity 196 Spherical Surface

IGES Entity 198 Toroidal Surface

Mechanical Desktop Object N/A

AutoCAD Object N/A

These IGES entities are geometric components of the IGES 186 solid. They are used in the mapping of an AutoCAD 3D solid, body, or Mechanical Desktop part. If the B-Rep Solid (Type 186) Mapping area of the IGESIN Geometry Options dialog box is set to Surfaces, then these entities are mapped to an AutoCAD Region object. Otherwise, they are mapped to Mechanical Desktop trimmed surfaces or AutoCAD approximated surfaces, depending on the option srf_mapping.


IGES Entity 202:0 Angular Dimension

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 202:0 Angular Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 202:0 Angular Dimension

AutoCAD Object Angular Dimension

The Translator creates a 3-point angular dimension.


IGES Entity 206:0 Diameter Dimension

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 206:0 Diameter Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 206:0 Diameter Dimension

AutoCAD Object or Display Attribute Name Diameter Dimension

If the 206 is part of an Associativity Instance (402) that has an AutoCAD Dimension Centerline IDP (406:9208), and if the 402 also points to a Centerline (Crosshairs) (106:20), the Translator creates an AutoCAD diameter dimension containing a centerline.


IGES Entity 208:0 Flag Note

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 208:0 Flag Note
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 208:0 Flag Note

AutoCAD Object or Display Attribute Name Group containing lines, polylines, text, and block arrowheads

The Translator creates a group containing lines, polylines, text, and block arrowheads. To disable this group, use the annotation blocking option.


IGES Entity 212:0-212:8, 100-105 General Note

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 212:0-212:8, 100-105 General Note
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 212:0-8, 100-105 General Note

AutoCAD Object or Display Attribute Name Mtext, text, or block with insert referencing anonymous block

A General Note (212) is mapped to one or more text objects, depending on the number of strings in the 212. Mtext objects will be created from General Notes with multiple strings whenever possible, with the exception of those that are mirrored, which are mapped to text.

A reference to an anonymous block will be created when:

  • Vertical, slanted text is mapped to an anonymous block containing a text object for each character.
  • Multiple strings in a 212 are mapped to multiple text objects in an anonymous block.
  • A 212 with a substring of more than 255 characters will be mapped as two text objects in an anonymous block.

For 212s referenced by a Dimension entity:

  • The Dimension is marked as having user-specified text.
  • The first text string in the 212 is put into the dimension text.
  • Text objects resulting from the 212 are put into the dimension graphics block individually.

IGES text fonts will be used to make AutoCAD styles. For information, see IGESIN Font Mappings.


IGES Entity 214:1-12 Leader

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 214:1-12 Leader
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 214:1-12 Leader (arrow)

AutoCAD Object or Display Attribute Name Leader, block reference, or group of solid lines and/or arcs, dimension

When the Leader (214) is referenced by an Angular Dimension (202), Diameter Dimension (206), Linear Dimension (216), Ordinate Dimension (218) or Radius Dimension (222), and is being mapped to an AutoCAD dimension, the following mappings apply:

  • The "stem" of the Leader (214) is mapped to an AutoCAD line or arc if the 214 is referenced by an Angular Dimension (202).
  • The "arrowhead" of the Leader (214) is mapped to:
    • a block reference of IGES_214_nn where nn is the form number 1, 2, 5-12, or
    • an AutoCAD solid if the form number of the 214 is 3, or
    • nothing if the form number of the 214 is 4.

When the 214:1-12 is not being mapped to an AutoCAD dimension a leader will be created. These forms of the 214 have arrowheads that match the arrowheads that can be used by an AutoCAD leader. The resulting leader object will use either the standard closed and filled arrowhead in the case of form 3, or it will have a dimension style override of the DIMBLK variable with:

IGES Entity 214 form number (name)

AutoCAD Style

1 (wedge)

open

2 (filled triangle)

closed

3 (filled triangle)

closed fill

4 (no arrowhead)

none

5 (circle)

dot blank

6 (filled circle)

dot

7 (rectangle)

box

8 (filled rectangle)

box filled

9 (slash)

oblique

10 (integral sign)

integral

11 (open triangle)

closed blank

12 (dimension origin)

origin indication


IGES Entity 216:0-2 Linear Dimension

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 216:0-2 Linear Dimension
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 216:0-2 Linear Dimension

AutoCAD Object or Display Attribute Name Linear dimension (horizontal, vertical, or rotated)

The Translator maps all forms of the IGES Linear Dimension to an AutoCAD Linear Dimension of the appropriate type (horizontal, vertical, or rotated).


IGES Entity 402:4 Views Visible: Color, Line Weight

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 402:4 Views Visible: Color, Line Weight
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 402:4 IGES Entity 402:4 Views Visible: Color, Line Weight

See View Mapping


IGES Entity 404:0, 404:1, 404:5502 Drawing w/o & with Rotated Views

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 404:0, 404:1, 404:5502 Drawing w/o & with Rotated Views
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 404:0 Drawing Without Rotated Views

IGES Entity 404:1 Drawing with Rotated Views

IGES Entity 404:5502 CADAM Drawing with Rotated Views

AutoCAD Object or Display Attribute Name Viewports and paper space objects, including layouts and viewports

When the drawing space has different units from the model space, the Translator adjusts the scales for each view by the appropriate conversion factor to allow proper viewing of model space objects from paper space.

Drawing Entities with Rotated Views (404:1 and 404:5502) are partially supported. The Translator maps rotated views to paper space viewport objects and includes the rotation in the twist angle of the view. This mapping is not exact, because the Translator applies the rotation before clipping while in IGES. Therefore, it may be necessary to stretch the viewport entity to obtain the desired clipping.

The Translator maps multiple Drawing Entities to layouts. For more information, see Multiple Drawing Mapping.

For help solving problems with the mapping of views to viewport entities, see Mapping Of Views To Viewport Entities And MAXACTVP.


IGES Entity 406:10 Hierarchy Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:10 Hierarchy Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:10 Hierarchy Property

AutoCAD Object or Display Attribute Name Applied to color, line font, view level blank status, or line weight, as appropriate.

The Translator uses this entity during processing of the Hierarchy field in the DE section of an entity that contains subordinate entities.


IGES Entity 406:15 Name Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:15 Name Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:15 Name Property

AutoCAD Object or Display Attribute Name Layer name, View name, Group name

When independent, the Name Entity (406:15) is mapped to the layer name of the corresponding level indicated by the level field of the property. When attached to other entities, it provides the name of the entity.

See Name Mapping.


IGES Entity 406:16 Drawing Size Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:16 Drawing Size Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:16 Drawing Size Property

AutoCAD Object or Display Attribute Name Limits

Drawing Size (406:16) specifies the drawing space size in drawing space units. The size is mapped to the upper-right corner of the drawing limits in paper space with (0.0,0.0) as the lower-left corner and an upper-right limit based on the size of the property. You can use the LIMITS command (in paper space) to change the limits or to disable limit checking. The drawing size for the Drawing Entity (404) to which the property is attached is also reported in the log file.


IGES Entity 406:17 Drawing Units Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:17 Drawing Units Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:17 Drawing Units Property

AutoCAD Object Noted in log file

Drawing Units (406:17) specifies the units of the drawing space of a Drawing Entity (404). When the drawing space units differ from model space units, an extra scale factor is applied during the mapping of Views (410) to viewport objects. The drawing units for the Drawing Entity to which the property is attached are reported in the log file.


IGES Entity 406:1 Definition Levels Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:1 Definition Levels Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:1 Definition Levels Property

AutoCAD Object or Display Attribute Layer Name

A Definition Level (406:1) identifies a set of levels on which an entity can exist. Entities referencing a Definition Levels property (406:1) are mapped to a single layer because AutoCAD does not support multiple-layer objects. The name of the layer associated with a 406:1 is generated in the same manner as a regular level number. For example, if an entity referenced a 406:1 through its Level Mapping DE field with a value of -5, the layer name for that entity is -5. If a Level Function property (406:3) or Name property (406:15) references the 406:1, the layer name that is generated from the mapping of those properties is used.

See the Level Mapping field in Directory Entry (DE) Section.


IGES Entity 406:32 Drawing Sheet Approval Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:32 Drawing Sheet Approval Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:32 Drawing Sheet Approval Property

AutoCAD ObjectNoted in log file

IGES Drawings (404) with a Drawing Sheet Approval Property (406:32) attached are noted in the logfile.


IGES Entity 406:32 Drawing Sheet ID Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:32 Drawing Sheet ID Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:33 Drawing Sheet ID Property

AutoCAD Object Noted in log file

IGES Drawings (404) with a Drawing Sheet ID Property (406:33) attached are noted in the logfile.


IGES Entity 406:34 Underscore Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:34 Underscore Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:34 Underscore Property

AutoCAD ObjectSpecial character codes

IGES General Notes (212) with an Underscore Property (406:34) attached are converted to underline codes as follows: "\L...\l" in mtext objects and "%%u...%%u" in text objects.


IGES Entity 406:35 Overscore Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:35 Overscore Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:34 Overscore Property

AutoCAD ObjectSpecial character codes

IGES General Notes (212) with an Overscore Property (406:35) attached are converted to overline codes as follows: "\O...\o" in mtext objects and "%%o...%%o" in text objects.


IGES Entity 406:3 Level Function Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:3 Level Function Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:3 Level Function Property

AutoCAD Object or Display Attribute Name Layer name

The Level Function (406:3) describes the function that the level serves. The function description is mapped to an AutoCAD layer name. When this property references a Definition Level (406:1) through its Level Mapping DE field, all entities that reference the 406:1 are mapped to a layer named by the function description of the 406:3.

See the Level Mapping field in Directory Entry (DE) Section.


IGES Entity 406:5 Line Widening Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:5 Line Widening Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:5 Line Widening Property

AutoCAD Object or Display Attribute Name Width of 2D polyline

Line Widening (406:5) is supported only when attached to entities that are mapped to 2D polylines. It is then mapped to the width of the AutoCAD polyline. The Cornering Code must be 1 (squared), the Extension must be 0 (no extension), and the Justification value must be 0 (center justified). If the Line Widening property does not meet these constraints, the Translator issues a warning and then processes the 406:5 as though the parameters were set to (1, 0, 0).


IGES Entity 406:9202 AutoCAD Nonuniform Scale Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:9202 AutoCAD Nonuniform Scale Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:9202 AutoCAD Nonuniform Scale Property

AutoCAD Object or Display Attribute Name Block reference with nonuniform scale

When an AutoCAD Nonuniform Scale IDP (406:9202) is attached to a Singular Subfigure Instance (408), the Translator maps the entity to a block reference object with nonuniform scales as specified by the IDP.


IGES Entity 406:9203 AutoCAD Text Alignment Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:9203 AutoCAD Text Alignment Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:9203 AutoCAD Text Alignment Property

AutoCAD Object or Display Attribute Name Text with alignment

When an AutoCAD Text Alignment IDP (406:9203) is attached to a General Note (212), the Translator maps the 212 to a text object and sets its vertical and horizontal justification flags according to the IDP.


ENTER_TITLE

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
ENTER_TITLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:9208 AutoCAD Dimension Centerline Property

AutoCAD Object or Display Attribute Name Diameter or radius dimension with a centerline

When an AutoCAD Dimension Centerline IDP (406:9208) is attached to a group (402:7 or 402:15) containing a Diameter Dimension (206) or a Radius Dimension (222) that has a Centerline (106:20), the Translator maps the 206 or 222 to a radius or dimension object with a centerline.


IGES Entity 406:9209 AutoCAD Attribute Definition Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:9209 AutoCAD Attribute Definition Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:9209 AutoCAD Attribute Definition Property

AutoCAD Object or Display Attribute Name Attribute definition

When an AutoCAD Attribute Definition IDP (406:9209) is attached to a General Note (212) or a Subfigure Definition (308:0), the Translator maps the IDP to an attribute definition object.


IGES Entity 406:9212 AutoCAD Polyface Mesh Property

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Entity 406:9212 AutoCAD Polyface Mesh Property
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Object or Display Attribute Name Polyface mesh

When attached to a Copious Data entity in form 2 (106:2), an AutoCAD Polyface Mesh IDP (406:9212) is mapped into a polyface mesh object.


IGES file (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES file (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A file stored in IGES format. With the Translator, the default file name extension is igs


IGES Quickview (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Quickview (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

The QuickView tool allows you to display and print the start and global sections of an IGES file without having to open or translate the entire file. These sections contain general information about the file and its originator, and displaying this information can help you determine which files you want to translate.

Using QuickView in Windows

As of this release, you can now navigate to the IGES filename using My Computer or Explorer and right-click on the filename. The QuickView option is displayed on the popup menu. When you choose QuickView a window opens that displays the start and global sections of the IGES file.

Using QuickView Outside of Windows

Setup

Exit Windows and display the MS-DOS prompt. Navigate to the directory that contains the Quickview executable (usually C:\program files [(x86)]\mdt 2008\support\degtools.)

Syntax

At the DOS prompt, enter the following:

quickview infile.igs

where infile is the name of the IGES file whose Start and Global sections you want to print or view.


IGSCOUNT (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGSCOUNT (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Counts entities in an IGES file.

Syntax

At the Command prompt, enter

igscount [infile [outfile]]

where infile is the name of the IGES file and outfile is a text listing that is produced, containing a list of entity counts, sorted by type and form. If you omit infile, it defaults to stdin. This may be useful for pipelining commands.You can only enable one of these options at a time.If you omit outfile, it defaults to stdout. Stdout is usually the screen but can be redirected using the '>' or '|' characters. See your operating system documentation.

Description

IGSCOUNT echoes the IGES file's Start section, and then produces a report giving the counts of entities, sorted by type and form.

The count of entities in an IGES file may not match the count of entities in AutoCAD or any other CAD/CAM system for many reasons, such as the setting of subordinate status flags or subfigure structures.

Examples

igscount afact7.igs

This produces the following report.

Scanning afact7.igs:

IGES start section follows

---------------- BEGINNING OF IGES START SECTION ----------------

AUTOFACT VII TEST FILE

GEOMETRY - PDDI TURNED 3D PART WITH SURFACES

DRAWING - APPLICON/BRAVO! V1.502 AT SANDIA NATIONAL LABS

EDITTING - MARTIN MARIETTA ENERGY SYSTEMS, INC.

AUGUST 7, 1985

------------------- END OF IGES START SECTION -------------------

Entities Found

Type:Form Count Name

100:0 62 Circle/Arc

102:0 2 Composite Curve

104:2 2 Conic

106:20 1 Centerline Through Points

106:21 1 Centerline Through Circle Centers

106:40 41 Witness Line

108:1 19 Plane

110:0 369 Line

112:0 30 Cubic Spline Curve

116:0 2 Point

118:0 2 Ruled Surface

120:0 2 Surface of Revolution

122:0 1 Tabulated Cylinder

124:0 26 Transformation Matrix

124:1 4 Transformation Matrix

202:0 1 Angular Dimension

206:0 4 Diameter Dimension

212:0 100 General Note

212:2 14 General Note

214:3 40 Leader (Arrow)

216:0 12 Linear Dimension

218:0 4 Ordinate Dimension

222:0 3 Radius Dimension

228:0 11 General Symbol

404:0 1 Drawing

410:0 4 View

_____________

Total: 758


Implementor Defined Property (IDP) (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Implementor Defined Property (IDP) (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Implementor Defined Properties (IDPs) in IGES are similar to AutoCAD extended entity data. IDPs are used to retain AutoCAD information that IGES entities do not support. In IGES, entity 406 is the Property Entity, and Form numbers 5001-9999 of this entity are left undefined for Translator implementors to use for the creation of IDPs. When an AutoCAD object or property has no direct equivalent in IGES,it is mapped to the nearest equivalent entity and an IDP is attached.


Incomplete Paper Space Translation in Destination System (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Incomplete Paper Space Translation in Destination System (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In AutoCAD drawings that will be translated, avoid using negative coordinates in paper space; some applications do not accept them. IGES defines the origin point (0,0) at the lower-left corner of the drawing area. If a drawing is already in negative coordinates and you need to translate it to an application that doesn't accept them, do one of the following:

  • Use oshift.lsp to shift paper space entities to positive coordinates before the translation.
  • Use the negative_coords option.


Incorrect Linetype Translation (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Incorrect Linetype Translation (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When linetypes do not translate correctly, it is usually because the IGESOUT command does not map the LTSCALE system variable setting. The IGESIN command sets LTSCALE to 4 percent of the maximum coordinate of the resulting AutoCAD model. To solve the problem, try adjusting LTSCALE (in AutoCAD) accordingly.


input_102 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
input_102 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: input_102

Option Type: integer

Option Default: 0

Specifies the mapping of Composite Curves (102:0).

0 = Translates constituent curves separately and places the results in a group

1 = Same as value 0 except it doesn't create a group

2 = Maps the entire curve as a single approximated curve

NoteIf you specify choice 2, the Translator may produce an incorrect display of a composite curve. If the IGES composite curve has different colors, line fonts, line weights, or a blank status for each of its constituent curves, these elements are lost and the display of the first constituent is used for the entire composite curve.


IGES Translator tools

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IGES Translator tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
NoteThis release of the Translator includes a new batch translation utility that makes it easy to select translation options and run batch translations during the current session or at a later time. The Batch File Translation Utility features a graphical interface that streamlines the process of translation and shields users from the need to manually create batch files or install executables before performing translations. The information below is supplied for those users who choose not to use this utility and prefer to set up and run theADXBATCH tool by hand.

ADXBATCH needs the batch file acad-deg.bat to be present somewhere in the system path in order to run AutoCAD. You must create this file. A typical acad-deg.bat follows:

C:\Program Files [(x86)]\AutoCAD\ACAD.EXE %1 %2 %3

NoteThe example above may not match your location. Edit the paths in the acad-deg.bat file you create to match your location.

Mechanical Desktop users should insert

/p "N:\DIRECTORYNAME\DESKTOP\DESKTOP.ARG"

where N:\directoryname is the path in which the Mechanical Desktop is installed, at the end of the fourth line in the sample acad-deg.bat above. For example, if the Desktop is installed in c:\mcad, the fourth line should look like this:

C:\MCAD\ACAD %1 %2 %3 /p "C:\MCAD\DESKTOP\DESKTOP.ARG"

Mechanical Desktop users who wish to run batch translations using the non-Desktop version of AutoCAD should replace the second half of the fourth line in the sample above with

/p "N:\DIRECTORYNAME\VANILLA.ARG"

where N:\directoryname is the path in which the Mechanical Desktop is installed. For example, if the Desktop is installed in c:\mcad, the fourth line should look like this:

C:\MCAD\ACAD %1 %2 %3 /p "C:\MCAD\VANILLA.ARG"


International Standards Organization (ISO) (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
International Standards Organization (ISO) (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Developers of STEP with international markets drawn from the U.S., Europe, and Japan. The ISO group responsible for STEP development is Technical Committee 184, Subcommittee 4.


IPO (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IPO (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES/PDES Organization, which is responsible for the development of data exchange standards (for example, IGES). IPO participates as one of the U.S. contributors for STEP.


(ismember <object name> <group name>) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(ismember <object name> <group name>) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function checks to see if an object is a member of a specified group. If the object is a member of the group, ismember returns 1; otherwise, ismember returns nil and sets grerr_ to 0. If an error occurs (3 for invalid arguments), ismember returns nil and sets grerr_ to the corresponding error. For example, if the line

(ismember (car (entsel)) "MYGROUP")

returns 0 (nil), the object is not part of the group, but if it returns 1, the object is a member of the group.


JAMA-IS (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
JAMA-IS (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Japan Automobile Manufacturers Association IGES Subset.


jama_is option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
jama_is option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: jama_is

Option Type: Boolean

Option Default: 0

Specifies whether to create a JAMA-IS compliant IGES file:

0 = Does not map to a JAMA-IS compliant file

1 = Maps to a JAMA-IS compliant file

NoteBe sure that you want to create a JAMA-IS compliant file before selecting this option, since these settings will affect the translation in ways that may not be desirable for non-JAMA-IS users.

When the JAMA-IS option is enabled, some option settings are overridden to improve the mapping to JAMA-IS. The following option settings are forced:

3D Solid/Mechanical Desktop Part is mapped to Surfaces (brepout_mapping = 2)

Trimmed surfaces are mapped to Trimmed (Parametric) Surfaces (144) (trimmed_surface_mapping = 1)

Mapping of Rays and Xlines to 110:1,110:2 is unselected (map_110 = 0)

Under/Overscore properties are unselected (text_lines = 1)

Basic Dimension Property (406:31) is unselected (map_406_31 = 0)

Global Section Units are reset to 2 (units = 2) when 3 (units =3) is specified

Multiple Inserts = 408 (insert_mapping = 1)


(listlinks<group name>) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(listlinks<group name>) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function returns a list of all groups linked to the specified group. See selectgr and linkgr for more information about links and hierarchical definitions.

If no groups are linked to the group, listlinks returns nil. In case of an error, listlinks returns nil and sets grerr_ to a value indicating the error.

(listlinks "FURNITURE")

("TABLES" "CHAIRS")


(listroot) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(listroot) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function returns a list of all the top-level groups; that is, all groups with no parent group. For example:

(listroot)

("FURNITURE")

See selectgr and linkgr for more information about links and hierarchical definitions.


logfile_path option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
logfile_path option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: logfile_path

Option Type: string

Option Default: none

Specifies the path to be used for the log file name. If you don't specify a value, the Translator derives the log file name path from the path of the IGES file.


logging option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
logging option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: logging

Option Type: integer

Option Default: 1

Enables and disables log file generation.

0 = The Translator does not generate a log file

1 = The Translator generates a log file


logging option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
logging option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: logging

Option Type: integer

Option Default: 1

Enables and disables generation of the log file.

0 = The Translator does not generate a log file

1 = The Translator generates a log file


Look In

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Look In
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Look in: pulldown to locate and select the directory containing the IGES file you want to translate. The contents of the directory selected in the pulldown are shown in the display area below.

If you single-click on a filename in display area, the file is selected for translation, and its name is displayed in the File Name: text box.

To launch the translation using the default options, click the Open button.

To specify different options, click the Options button to display the IGESIN options dialog. Once options are selected, return to the IGESIN dialog and choose Open to launch the translation.

Note If you double-click on the filename in the Look In: pulldown, the translation is launched with the default options.


Save In

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Save In
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Save In: pulldown to locate and select the directory in which you want to place the IGES file after translation. The contents of the directory selected in the pulldown are shown in the display area below.

To launch the translation using the default options, choose Save.

To specify different options, click the Options button to display the IGESOUT options dialog. Once options are selected, return to the IGESOUT dialog and choose Open to launch the translation.

Note If you double-click on the filename in the Look In: pulldown, the translation is launched with the default options.


make304 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
make304 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: make304

Option Type: integer

Option Default: 1

See Linetype Mapping.


MAPCOLOR (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
MAPCOLOR (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Controls mapping of IGES colors and lineweights to AutoCAD colors.

Warning This program may behave unpredictably if it runs out of temporary disk space. It requires free disk space approximately equal to twice the size of the input IGES file.

Syntax

At the Command prompt, enter

mapcolor infile outfile

where infile is the name of the input IGES file and outfile is the name of the fixed file.

Description

Use this program to specify a mapping of IGES colors and lineweights to AutoCAD colors. With the Translator, you can map IGES colors to AutoCAD colors or IGES lineweights to AutoCAD colors. However, the Translator can't read both IGES color and lineweight data simultaneously. This program allows you to create a table which specifies combinations of IGES colors and lineweights to be mapped to chosen AutoCAD colors.

To use MAPCOLOR

1. Create a file called colors.tab, which contains three integers per line. The first number is the IGES color from the input file, the second is the IGES lineweight from the input file, and the third is the desired AutoCAD color. The following example maps red IGES entities (color 2) of various lineweights to reddish hues in AutoCAD (colors 1 and 11-15).

2 0 1

2 1 1

2 2 11

2 3 12

2 4 13

2 5 14

2 6 15

Certain AutoCAD colors cannot be produced by the Translator because they are duplicates of other color numbers. For example, AutoCAD color 10 and color 1 both represent pure red, and are represented identically in IGES. If you try to use AutoCAD color 10, the program will give a warning saying that color 1 is used instead.

The following table provides the full list of such colors.

Color | Substitute | Name
8 | 250 | Dark Gray
9 | 253 | Light Gray
10 | 1 | Red
50 | 2 | Yellow
90 | 3 | Green
130 | 4 | Cyan
170 | 5 | Blue
210 | 6 | Magenta
255 | 7 | White

2. Once you've created colors.tab with your choices of color mappings, enter

mapcolor infile.igs outfile.igs

where infile.igs and outfile.igs are your in and out files.

Now the Translator can read outfile.igs using default options to produce the desired colors in the AutoCAD drawing file.

If MAPCOLOR finds a color and line weight combination in the IGES file that wasn't specified in colors.tab, MAPCOLOR issues a warning that no mapping was found for that color and line weight. Any entities with this color and line weight combination will not have their colors changed.

You can use this feature to determine what color and line weight combinations are in your IGES file, by running the tool once with an empty colors.tab to get a list of warnings. You can specify up to 2,048 lines in colors.tab. It is permissible to have several IGES color and line weight combinations all mapping to the same AutoCAD color.

The following table lists IGES predefined color numbers.

IGES color number | Color
0 | No color assigned
1 | Black
2 | Red
3 | Green
4 | Blue
5 | Yellow
6 | Magenta
7 | Cyan
8 | White

IGES entities may also have a negative number in their color field. Negative numbers are pointers to the Directory Entry of a Color Definition Entity (314), which specifies exact percentages of red, green, and blue.


Mapping Of Views To Viewport Entities And MAXACTVP (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Mapping Of Views To Viewport Entities And MAXACTVP (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

MAXACTVP is an AutoCAD system variable that controls the maximum number of AutoCAD viewports to be regenerated at one time. If an IGES Drawing Entity (404) has a View Entity (410) that completely overlaps more than the maximum number of viewports specified by MAXACTVP, the resulting AutoCAD viewport might not be correct. Such a drawing will be correctly translated if all of the IGES 410s do not completely overlap other 410s in drawing space.

Also, IGESIN may fail to create a viewport when the number of viewports that are on and visible is greater than the maximum allowable number of active viewports. It is recommended that you set MAXACTVP to the maximum value for your AutoCAD configuration. The number of viewports you can have on the screen at one time is determined by the operating system and the display driver.


Mapping Rational B-Spline Curves to Splined Polylines (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Mapping Rational B-Spline Curves to Splined Polylines (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When the Translator is approximating curves by using polylines, the following conditions must be met to generate an AutoCAD splined polyline from an IGES Rational B-Spline Curve (126):

  • The spline must be quadratic or cubic (degree 2 or 3).
  • All weights of the spline must be equal (the spline must be polynomial, not rational).
  • The knot sequence must meet specific criteria. If the spline is nonperiodic, the knot sequence must be uniform, with no repeated knots, except that (degree + 1) must be included at the beginning and the end of the sequence. If the spline is periodic, the knot sequence must be uniform, with no repeated knots.
  • The spline must not be trimmed. The beginning and ending parameter values must be the same as the (degree +1) knot from either end. For nonperiodic splines, the beginning and ending parameters must be equal to the first and last values of the knot sequence.
  • To determine which IGES splines are mapped to AutoCAD splines, set the SPLFRAME system variable to 1 and regenerate the drawing. The frame points of all splines that met the criteria are displayed.

Splined polylines can be mapped to IGES as splines, which can save considerable space and preserve accuracy. Other approximated curves would be mapped to IGES as Copious Data entities (106) and would take up considerable file space in both the IGES file and the receiving system.

IGES splines that originally came from AutoCAD splined polylines meet the above conditions and are mapped back into AutoCAD as splined polylines (if the polyline option is chosen).


Mechanical Desktop Approximated Surfaces (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Mechanical Desktop Approximated Surfaces (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When Mechanical Desktop is present and srf_mapping is set to 2 or -2, surface entities with no direct counterparts in Mechanical Desktop are either converted or approximated as nonuniform rational B-splines (NURBS). When possible, conversions are exact to machine precision. Otherwise, approximations are done to the default tolerance of 1.0e-6.


MIL-D-28000A (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
MIL-D-28000A (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The military specification of digital representation for communication of product data using the following IGES application subsets and protocols:

Class I | Technical Illustration Subset
Class II | Engineering Drawing Subset
Class III | Electrical/Electronic Applications Subset
Class IV | Geometry for NC Manufacturing Subset
Class V | 3D Piping Application Protocol

The Translator supports Classes I, II, and IV. See also CALS.


model space (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
model space (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An AutoCAD term that describes the environment in which model geometry is created and maintained. Typically, you draw objects in model space at the actual scale of the design feature. Model space is the complement of paper space.


msscale option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
msscale option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: msscale

Option Type: real

Option Default: 1.0

Specifies the model space scale to world scale; it appears in the IGES Global Section. Changing this value has no effect on the output data and is for information only.


NURBS (Nonuniform rational B-spline) (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
NURBS (Nonuniform rational B-spline) (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

NURBS(Nonuniform rational B-spline)

This term defines a class of curves and surfaces which is widely used in CADsystems, including AutoCAD and The Mechanical Desktop. In IGES, the equivalent term is Rational B-Spline.


Object Handling (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Object Handling (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Object Handling (Nonuniform rational B-spline)

The functions in this section operate on the objects in a defined group.

(addent <group name> <selection set>)

(delent <group name> <selection set>)

(listent <object name>)

(ismember <object name> <group name>)

(isnested <object name> <group name>)


omit_314 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
omit_314 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: omit_314

Option Type: Boolean

Option Default: 0

Specifies whether to omit IGES Color Definition Entities (314:0) from the mapping of AutoCAD colors to IGES.

0 = The Translator generates 314:0 entities

1 = The Translator won't generate 314:0 entities, but instead maps the colors to the closest predefined IGES color


omit_points option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
omit_points option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: omit_points

Option Type: Boolean

Option Default: 0

Specifies whether to omit points from the mapping of AutoCAD entities to IGES.

0 = Maps to IGES

1 = Omits from IGES


Options File Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Options File Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use these text boxes and buttons to locate, select, create and save options files for IGESOUT translations. You can:

  • set options for the current translation only
  • use an existing options file as is
  • edit an existing options file and save the changes
  • create and save a new options file

For detailed information on options files and option settings, please see Translation Options.

Options File

Shows the name of the currently selected options file, if there is one.

Description

Shows the description line in the selected options file. This is a text box; you can change its contents by clicking inside the box and typing the desired text in the box.

Browse button

Displays a dialog you can use to locate and select options files.

Default button

Restores all options in the specified options file to all default values supplied with the Translator.

NoteThe Defaults option in all subsequent dialogs reset the values for that dialog only.

OK button

Closes the current dialog and returns to the IGESOUT dialog. If changes have been made since the last save, an alert message is displayed. You can use the options without saving or canceling. If you use the changed values, they are used for the current translation only. If you cancel, you are returned to the Options Editor.

Cancel button

Cancels the dialog, ignores any changes, and redisplays the IGESOUT dialog.

Save As button

Saves current option values to a new file or to a file you select.

Save button

Saves current values to the file named in the options file area.


Oshift.lsp (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Oshift.lsp (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Shifts paper space entities so that their XY coordinates are all non-negative in paper space. This tool is useful for making the paper space of a drawing compatible with IGES drawing space, which defines the lower-left corner as the origin (0,0).

Syntax

At the Command prompt, enter either of the following:

(load "oshift")

oshift


output_proxy option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
output_proxy option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: output_proxy

Option Type: integer

Option Default: 1

Specifies whether to map or ignore proxy objects graphical data.

0 = Ignore

1 = Explodes a proxy object, groups its constituent geometry in an Unordered Group without Back Pointers (402:7) and attaches a Generic Data Property (406:27) containing the name of the application that owns the object and the DXF name of the object.


paper space (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
paper space (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The unlimited, three-dimensional realm where AutoCAD objects drawn in model space can be viewed using non-tiled viewports. Typically, paper space is where documentation, graphics, title blocks, annotation, and borders are inserted or modified prior to plotting. Although both two- and three-dimensional objects can exist in paper space, commands that render a three-dimensional viewpoint are disabled.


Parameter Data section (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Parameter Data section (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The section of an IGES file consisting of specific geometric or annotative information about the entities or pointers to related entities.


parent (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
parent (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An entity that points to a subordinate entity (child) through the parent'sentity-specific PD parameters. See The Initial Graphics Exchange Specification (IGES) Version 5.3.


PDES (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
PDES (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Originally, Product Data Exchange Standard, now Product Data Exchange usingSTEP. PDES is now the ANSI version of STEP.


perspective_views option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
perspective_views option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: perspective_views

Option Type: Boolean

Option Default: 0

Specifies the mapping of perspective views and viewports to IGES.

0 = Orthographic Parallel View (410:0)

1 = Perspective View (410:1)


pointer (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
pointer (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A number that indicates the location of an entity within an exchange file.


postprocessor (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
postprocessor (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A program that translates a file from IGES format to the database form of a specific CAD/CAM system. For example, the IGESIN command postprocesses an IGES file to AutoCAD.


Preparing an AutoCAD Drawing for Translation to a Class I IGES File

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Preparing an AutoCAD Drawing for Translation to a Class I IGES File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You must either create or change your data according to the following rules:

  • No 3D geometry is allowed. If you have 3D geometry, consider using a flattening tool or procedure. For example, you could plot to the AutoCAD DXB output format and DXBIN to a new drawing.
  • No paper space data is allowed. Any data found in paper space will not be mapped by the Translator for this subset.
  • No leaders are allowed. You can create AutoCAD Release 12-style leaders with the DIM/LEADER command. These leaders will map to subset entities.
  • All data must be on layer 0. Either create your entities on layer 0 or change the layer of all entities to 0. To change layers, use the CHPROP command and the ALL keyword at the selection prompt. Then use the LAYER keyword to specify the desired layer "0". Entities in blocks must also be updated.
  • Non-uniform scaling of block references is not allowed. Block references must have positive and identical scale factors. You must explode non-uniformly scaled blocks prior to translation.
  • Polylines must have zero width and zero thickness.


Preparing an AutoCAD Drawing for Translation to a Class II IGES File

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Preparing an AutoCAD Drawing for Translation to a Class II IGES File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You must either create or change your data according to the following rules:

  • You must have at least one entity in paper space to ensure a Drawing Entity (404) will be created.
  • Dimension entities must either be in paper space or be parallel to the viewing plane.
  • Non-uniform scaling of block references is not allowed. Block references must have identical scale magnitudes (mirroring is allowed). You must explode non-uniformly scaled blocks prior to translation.
  • Polylines must have zero width and zero thickness.


Preparing an AutoCAD Drawing for Translation to a Class IV IGES File

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Preparing an AutoCAD Drawing for Translation to a Class IV IGES File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You must either create or change your data according to the following rules:

  • Bind all external references with XREF BIND.
  • Explode all block references with the EXPLODE command. You can use this AutoLisp command at the selection prompt:
  • (ssget "x"'((0. "INSERT")))
  • Repeat exploding until all nested blocks are exploded as well.
  • Shapes are not allowed, since they will be mapped to Subfigure Instances and Definitions. In a drawing with a single shape, you can IGESOUT the shape, then IGESIN the results to a new drawing. Finally, you can replace the shape in the drawing being prepared for CALS Class IV by inserting the shape drawing in its place.
  • Set the system variable PMODE to 0. This is necessary to avoid generating a Subfigure Definition (308) for the point display symbol.
  • Set the system variable FILLMODE to 0. This is necessary to avoid generating a Sectioned Area (230:0) for trace and 2D solid entities.
  • Arrowheads in dimensions and leaders must use the default arrowhead, open, open90, or closed. Other arrowheads (dot, none, oblique and origin) will map to forms of the 214 that are not allowed in the Class IV subset.
  • Dimension entities must either be in paper space or be parallel to the viewing plane.
  • Polylines must have zero width and zero thickness.


AutoCAD Object Named view (view) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Named view (view) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 410:0 Orthographic View Entity or

IGES Entity 410:1 Perspective View Entity

This symbol table entry is created by the VIEW command. When named_views is enabled, the Translator maps a named view to an independent IGES View Entity (410:0 or 410:1).

When the view has perspective viewing and perspective_views is enabled, a Perspective View Entity (410:1) will be created. Otherwise, an Orthographic View Entity (410:0) will be created.

Named views created in paper space are not mapped to IGES.

Independent views in IGES might not translate well into another CAD system. Disable named_views if you do not want independent views.


AutoCAD Object Mtext (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Mtext (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 212 General Note

Color changes within the object will be lost. See the log file for warnings of this situation. The resulting 212 entity will be mapped with color from the mtext object.

For proper mapping of font changes within an mtext object, you need to create a font mapping with the font file's root name as the style name. See the IGESOUT Annotation Dialog Box for information on how to create a font mapping.

In the discussion of the IGESOUT Annotation Options Dialog Box, see Under/Overscore Properties.


AutoCAD Object Mline (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Mline (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 100 Circular Arc

IGES Entity 110 Line

IGES Entity 402:7 Unordered Group Without Back Pointers

IGES Entity 402:15 Ordered Group Without Back Pointers

The creation of a group depends on the setting of the Map Groups Options List option.


AutoCAD Object Mechanical Desktop surface (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Mechanical Desktop surface (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 404:0 Drawing Without Rotated Views

Each layout defined in the AutoCAD or Mechanical Desktop drawing is mapped to a separate Drawing Without Rotated Views (404:0). IGES Drawings With Rotated Views (404:1) are not supported.


AutoCAD Object Mechanical Desktop surface (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Mechanical Desktop surface (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 128 Rational B-Spline Surface

IGES Entity 140 Offset Surface

If the offset is 0.0, the Mechanical Desktop surface is mapped to the Rational B-Spline Surface (128).

If the offset is not 0.0, the surface is mapped to an Offset Surface (140) that may reference a Rational B-Spline Surface (128).


(creategr <group name> [selection set] (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(creategr <group name> [selection set] (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function creates a group and optionally adds the objects of a selection set to the group. Group names can be up to 31 characters long. You can use characters, digits (0 to 9), and the special characters $ (dollar), - (hyphen), and _ (underscore). Group names are converted to uppercase.

creategr "MY_GROUP" (ssget))

"MY_GROUP"

The number of objects that can fit into a group depends on how long their handles are. The maximum limit is about 16K for extended object data. All the object handles and a couple of extra bytes per object must fit into that space.

If no selection set is passed to creategr, creategr creates an empty group. If the group is created, creategr returns the group name; otherwise, creategr returns nil. You can find out why the function failed by calling the function grerr_.


AutoCAD Object Mechanical Desktop trimmed surface (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Mechanical Desktop trimmed surface (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 143 Bounded Surface

IGES Entity 144 Trimmed (Parametric) Surface

IGES Entity 128 Rational B-Spline Surface

IGES Entity 140 Offset Surface

The default mapping is to the Bounded Surface (143). Use trimmed_surface_mapping to change the mapping.

If the offset is 0.0, the AutoCAD object is mapped to an IGES Bounded Surface Entity (143) or Trimmed Surface Entity (144), depending on the setting of trimmed_surface_mapping.

If the offset is not 0.0, the object is mapped to an Offset Surface (140) that may reference a Rational B-Spline Surface (128).

The translation of trimmed surfaces may not yield valid IGES entities. The IGES Trimmed Surface entity (144) does not permit the use of surfaces with seams or poles, such as cylinders, cones, and spheres.

However, the IGES trimmed surfaces created by the Translator do not have trimming curves that cross seams or go through poles (more precisely, the parameter space curves are always continuous, in addition to having continuous images in model space), so there should be no technical problems for other systems making these translations.


AutoCAD Object Mechanical Desktop augmented line (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Mechanical Desktop augmented line (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 106:12 or 106:13 3D Path

Default mapping of the AutoCAD object is to 106:13. Use asurf_create_106_13 to change mapping.


AutoCAD Object Line (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Line (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD Object Line

IGES Entity 110 Line

IGES Entity 116 Point

IGES Entity 122 Tabulated Cylinder

An AutoCAD line is mapped to an IGES Line Entity (110), unless the line has thickness or zero length. A line with thickness is mapped to an IGES Tabulated Cylinder Entity (122). A line with zero length is mapped to an IGES Point Entity (116).


AutoCAD Object Linear dimension (horizontal, vertical, rotated, aligned) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Linear dimension (horizontal, vertical, rotated, aligned) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 216:0 Linear Dimension

The Translator does not maintain horizontal, vertical, rotated, or aligned orientation.


AutoCAD Object Leader (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Leader (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 110 Line

IGES Entity 402:7 Unordered Group Without Back Pointers

IGES Entity 402:15 Ordered Group Without Back Pointers

Hatch entities with non-solid patterns are mapped to Line (110:0) entities representing the crosshatching and optionally placed in a group (402:7 or 402:15).

Hatch entities with solid fill patterns are ignored.

The creation of the group depends on the setting of the Map Groups Options List option.


AutoCAD Object Leader arrowhead (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Leader arrowhead (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 214:1-214:12 Leader Entities

See Arrowhead Mappings.


AutoCAD Object Hatch (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Hatch (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 110 Line

IGES Entity 402:7 Unordered Group Without Back Pointers

IGES Entity 402:15 Ordered Group Without Back Pointers

Hatch entities with non-solid patterns are mapped to Line (110:0) entities representing the crosshatching and optionally placed in a group (402:7 or 402:15).

Hatch entities with solid fill patterns are ignored.

The creation of the group depends on the setting of the Map Groups Options List option.


AutoCAD Object Group or Entity Grouping Tool Group (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Group or Entity Grouping Tool Group (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 402:7 Associativity Instances: Group Without Back Pointers

IGES Entity 402:15 Ordered Group Without Back Pointers

The Translator maps AutoCAD groups and Entity Grouping Tool groups to IGES Associativity Instances based on the output_groups option, which specifies the mapping as either an Unordered Group Without Back Pointers or an Ordered Group Without Back Pointers.

NoteMost IGES Translators support the 402:7.


AutoCAD IGESOUT Translation Suggestions

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD IGESOUT Translation Suggestions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
AutoCAD object or property | Method of preserving data integrity
Block with nonuniform scaling | Do not use a block with nonuniform scaling unless you either explode it before translation or you set nonuniform_scaling to 1 or the receiving system can process the Level Table Property IDP (406:9202).
Locked layer | Set layer_name_mapping to 3. This option flags each locked layer as being locked in the Level Attribute Definition Table.
Named view | A named view in IGES may not translate well, if at all, into another CAD system. Set named_views to 0 if you do not want independent views.
Polyface mesh | Use the pfacemesh_idp option. Make sure that the receiving system supports the polyface IDP.
PostScript fonts and fills | Use standard fonts and fill patterns.
PostScript text fonts | Use standard text fonts.
BYBLOCK attributes | IGES Subfigures and AutoCAD blocks have different capabilities to pass display attributes down to their defining entities. You can avoid this problem by not putting blocked objects on layer 0.
Text alignment | Use only left-justified text.
Text styles | Map to IGES font. Check AutoCAD default font mappings.
Tiled viewport | Maps to View Entity (410:0 or 410:1). Convert to paper space viewports with sheet.lsp tool.
Variable line width (polyline) | Create narrow offset lines and arcs.


AutoCAD Group Selectability (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Group Selectability (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD groups are created by the Autodesk IGES Translator as unselectable in order to create groups that can have members in other groups. If you want the groups created by IGESIN to be selectable, you must use the GROUP command to change their selectability after translation.


AutoCAD Group Property (IGES IDP)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Group Property (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Each group in AutoCAD that has a description is mapped to an Associativity Instance (402) with a Generic Data Property containing the description. The name of the property is "AutoCAD Group Property."

The format of the 406:27 is:

1 | NP | Number of property values (always 4)
2 | NAME | AutoCAD Group Property
3 | NV | Number of type/value pairs (always 1)
4 | TYP1 | Type of value 1 (3 = character string)
5 | VAL1 | Group description string


AutoCAD Bodies (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Bodies (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When srf_mapping is set to 3 or srf_mapping is set to 2 or -2 and Mechanical Desktop is not present, surface entities are either converted or approximated as nonuniform rational B-splines (NURBS) and translated to AutoCAD bodies. You can later convert the bodies to Mechanical Desktop surfaces using the Mechanical Desktop AM2SF command.


AutoCAD Approximated Surfaces (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Approximated Surfaces (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When srf_mapping is set to 0 or 1, the Translator approximates surface entities that have no direct counterparts in AutoCAD. Approximations are done to a user-specified tolerance.

Surfaces Approximated by AutoCAD

The Translator approximates surfaces into AutoCAD by specifying multiple 3D polylines (with options and values set by srf_mapping) that form a grid along the surface (surface paths, srf_mapping = 1) or by specifying facets (faceted approximation, srf_mapping = 0). You can specify either a tolerance or a fixed number of points for surface approximations. Surfaces may also be mapped into Mechanical Desktop (srf_mapping = 2 or -2), or AutoCAD bodies (srf_mapping = 3).

When path approximations are chosen:

  • If cvmesh = 0 and the surface points to a 406:5558 (CADDS Surface Mesh Property) entity, then the number of paths is taken from the Property.
  • If cvmesh = 1 or the surface does not point to a 406:5558 (CADDS Surface Mesh Property) entity, then the number of paths is taken from spathu and spathv.
  • Paths are grouped if dont_block_srf = 0.

When a faceted approximation is chosen:

  • If the surface can be mapped (within tolerance) to a single 3D face, then it is.
  • If the surface is "rectangular" in parameter space, then it is mapped to a 3D mesh. All IGES surfaces are rectangular except the Trimmed Parametric Surface (144) and the Bounded Surface (143).
  • If the surface is "nonrectangular" in parameter space, then it is mapped to a polyface mesh. This happens only for the Trimmed Parametric Surface (144) or the Bounded Surface (143).

When the Translator can exactly map surfaces into smoothed 3D meshes or 3D meshes that have not been smoothed, it does so. For more information, see Rational B-Spline Surfaces into AutoCAD.


AutoCAD Lineweights

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Lineweights
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD includes support for a new property called lineweight that adds width to objects both on screen and in printed output. AutoCAD IGESsupports both the import and the export of this property. The following topic provides general information about how lineweights are defined in IGES and in AutoCAD, and specific information about how the IGES Translator handles lineweights on import and on export.

Lineweights in IGES

In an IGES file, the Global section contains a series of values that describe global characteristics of the IGES file. There are three Global Section values that pertain to lineweights:

GP14: units

GP16: the maximum number of line weight gradations

GP17: the width of the maximum line weight in units.

In an IGES file, the Directory Entry (DE) section describes all the entities in the drawing. There is one entry for each entity in the file. Each entry consists of fields that contain attributes, including line weight.

Lineweights in AutoCAD

AutoCAD supports a range of fixed-width line weights, stored in the drawing in hundredths of millimeters. It also supports BYLAYER, BYVLOCK, and 0 (which means a width of one pixel). Line widths can be expressed in inches or millimeters. The smallest width supported by AutoCAD is 0.05mm or 0.002inches; the largest width is 2.11mm or 0.083 inches.

IGESIN

To import line widths into AutoCAD, IGESIN uses the global parameters described above (units, maximum weight gradations and maximum weight) to create a multiplication factor used to convert the lineweight value stored in the DE field to millimeters. The nearest equivalent AutoCAD lineweight value is then used. One disadvantage of this approach is that all lineweights greater than the largest allowable AutoCADlineweight (2.11mm) are collapsed to this maximum value, since it is the nearest equivalent.

IGESOUT

To export line widths from AutoCAD to IGES, IGESOUT sets the global units field(GP14) to millimeters or inches, depending on the units set in the drawing. It then sets the maximum number of line weight gradations (GP16) to either 2.11or 0.083, depending on whether the units specified in GP14 are millimeters or inches. The value of GP16 is set to 211, regardless of the units used. The actual value in millimeters is then stored in the DE field for the entity being translated.


author option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
author option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: author

Option Type: string

Option Default: none

Specifies the author of the IGES file; it appears in the IGES Global Section.


attrib_idp option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
attrib_idp option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: attrib_idp

Option Type: Boolean

Option Default:0

Specifies whether to create the AutoCAD Attribute instance IDP (406:9210).

0 = Disables creation

1 = Enables creation


attdef_idp option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
attdef_idp option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: attdef_idp

Option Type: Boolean

Option Default: 0

Specifies whether to create the AutoCAD Attribute Definition IDP (406:9209).

0 = Disables creation

1 = Enables creation


Attach IGES Trace Information in XED

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Attach IGES Trace Information in XED
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When this option is enabled, the Translator attaches extended data containing the appropriate DE number and IGES entity type to entities.This information can be used by the listde.lsp and findde.lsp tools.Corresponds to the xed option.


Converting Annotation Entities to Blocks (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Converting Annotation Entities to Blocks (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES annotation entities without exact equivalents in AutoCAD, such as Centerlines, Flag Notes, Curve Dimensions, and General Labels, are mapped to groups. Witness Lines and Leaders are mapped into the dimension graphics block of any dimension that is mapped to an AutoCAD dimension. This block includes all AutoCAD objects needed to make these entities as visually correct as possible.


ATT2CAT (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
ATT2CAT (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Prepares AutoCAD attributes for processing by CATIA.

Syntax

At the Command prompt, enter

att2cat infile outfile

where infile is the name of the IGES file containing AutoCAD attributes and outfile is the name of the fixed file

Description

Both the new and old Autodesk IGES preprocessors map attributes as General Note entities (212) that are logically dependent and referenced by Subfigure Instance entities (408) using the rules laid out in section 2.2.4.4.2 of IGES, which describes pointers to associated text.This mapping preserves the association in the AutoCAD drawing in which an attribute object is tied to a block reference (INSERT) object.The mapping also permits other postprocessors to at least preserve the picture if they do not support text association by supporting the 2.2.4.4.2 clause referenced by every IGES entity.

The inability of at least one version of CATIA's IGES translator to postprocess all logically dependent entities in a file can prevent users from reading AutoCAD files that have attributes mapped as previously described.

This program works around the problem by marking General Note entities as independent if they are referenced by a Subfigure Instance entity. This flavoring "fools" the receiving IGES translator into thinking that nothing references the General Note entities, so they are processed like any other independent General Note entities.

The output of this program is not strictly legal IGES, and may cause problems for certain IGES translators. You should only use this program if you know what system will be receiving the IGES files, and that it cannot receive AutoCAD attributes normally.If you find this program necessary, please file a bug report with the receiving system.


asurf_create_106_13 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
asurf_create_106_13 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Name: asurf_create_106_13

Option Type: Boolean

Option Default: 1

Determines mapping for Mechanical Desktop augmented lines.

0 = Map Mechanical Desktop augmented lines to IGES Copious Data Triples (106:12)

1 = Map Mechanical Desktop augmented lines to IGES Copious Data Sextuples (106:13)

CAL Note This option must be set to 0 if CALS Class 2 compliance is required.


ASCII (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
ASCII (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

American Standard Code for Information Interchange.


Compressed IGES files (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Compressed IGES files (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES defines a compressed format for IGES files. This format is transportable to any type of operating system that can handle ordinary IGES files. However,most IGES translators (including the Autodesk IGES Translator) will not handle compressed IGES files. If you try to read a compressed IGES file into theTranslator, nothing will be translated, and the .xli file will contain this message:

Compressed ASCII IGES files are not supported.

You can convert IGES files to regular fixed-length IGES files and back using the IGESCOMP tool supplied with the Translator. Source code for a similar tool is available from the publishers of The Initial Graphics Exchange Specification (IGES) Version 5.3.You can use this source code to produce an IGES compression and decompression program on almost any type of computer or operating system.


composite curve (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
composite curve (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A connected curve formed by concatenating one or more curve segments.


clipping plane (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
clipping plane (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In IGES, the bounding plane surface that abbreviates the intended display of data to the portion that lies on one or the other side of the plane.


clipping box (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
clipping box (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In IGES, the bounding planes that abbreviate the intended display of data to the portion that lies within the box.


Class IV Recommended Options (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Class IV Recommended Options (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option | Setting | Notes
start | cals4hdr.txt | -
eofchar | , | Required, but may be defaulted
eorchar | ; | Required, but may be defaulted
author | author's name | -
organization | organization | -
msscale | 1.0 | Must be 1.0
level_notes | 1 | An optional aid to the Start section requirements
layer_name_mapping | 2 | May be 0 or 2
xref_mapping | 1 | May be 0 or 1
output_groups | 0 | May be 0 or 1
viewport_frame | 0 | -
named_views | 0 | -
perspective_views | 0 | Must be 0 to prevent 410:1 creation
insert_mapping | 1 | Must be 1 to prevent 412 creation
tolerance_mapping | 0 | Must be 0 to prevent output of General Symbols (228)
omit_314 | 1 | Must be 1 to prevent 314 creation
autodesk_idp | 0 | -
ucs_mapping | 0 | -
asurf_create_106_13 | 0 | Must be 0 to prevent 106:13 creation
map_110 | 0 | Must be 0 to avoid creating 110:1, 110:2
trimmed_surface_mapping | 1 | Must be 1 to create 144s instead of 143s
brepout_mapping | 2 | Must be 2 to map 3D solids to surfaces
See Class I, II and IV Font Mapping Options for a list of option settings relating to fonts. | - | -


CALS Font Mapping Options (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
CALS Font Mapping Options (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The option settings below redefine font mappings to use font codes 1, 1001,1002, or 1003, which are required for CALS Classes I, II and V IGES file translations.

Option | Setting | Notes
fontcode_default | 1 | Default mappings to font code 1
nfontmaps2 | 18 | Specifies the number of font definitions that follow (in this case 18)
style2 | COMP80 | -
fontcode2 | 1 | -
style2 | FUTURA | -
fontcode2 | 1 | -
style2 | GDT | -
fontcode2 | 1 | -
style2 | GOTHICI | -
fontcode2 | 1 | -
style2 | GOTHICI | -
fontcode2 | 1 | -
style2 | ISO8859-1 | -
fontcode2 | 1 | -
style2 | KANJI | -
fontcode2 | 1 | -
style2 | LEROY | -
fontcode2 | 1 | -
style2 | OCR | -
fontcode2 | 1 | -
style2 | ROMAND | -
fontcode2 | 1 | -
style2 | ROMANS | -
fontcode2 | 1 | -
style2 | ROMANT | -
fontcode2 | 1 | -
style2 | STANDARD | -
fontcode2 | 1 | -
style2 | SYMBOL0 | -
fontcode2 | 1 | -
style2 | SYMBOL1 | -
fontcode2 | 1 | -
style2 | SYMBOL2 | -
fontcode2 | 1 | -
style2 | SYMBOL3 | -
fontcode2 | 1 | -
style2 | TXT | -
fontcode2 | 1 | -


Curves and Surfaces (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Curves and Surfaces (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When a curve is physically subordinate to an IGES surface, the Translator does not translate it at all, but uses it to define the resulting AutoCAD surface.

All geometric mappings are either exact or to a user-specified tolerance (crv_tol for curves and srf_tol for surfaces).

With one exception, the Translator treats all curves identically whether or not Mechanical Desktop is present. The exception is a Multipoint Line (3D Path) (106:13).

Approximating Curves

You can choose how to approximate curves by using the crv_mapping option. When crv_mapping = 0, curves are mapped into AutoCAD splines. When crv_mapping = 1, they are mapped into approximate curves by AutoCAD polylines.

Approximating Surfaces

You can choose how to
approximate surfaces by using the srf_mapping option.
When srf_mapping = 0 or 1, surfaces are mapped into AutoCAD. When
srf_mapping = 2 or -2, they are mapped into Mechanical Desktop surfaces.
When srf_mapping = 3, they are mapped to AutoCAD bodies.

Refining Surfaces

Mechanical Desktop requires that surfaces be at least G1 continuous to reliably perform operations (such as intersections) on them. However, the IGES Standard requires only C0 continuity for surfaces to be considered valid. The IGES Translator now offers an option, refine_c0_surfs, to refine surfaces during IGESIN so that they meet the Mechanical Desktop requirements. See Refining Surfaces for further information.


AutoCAD Property Polyface mesh (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Property Polyface mesh (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 110 Line

IGES Entity 116 Point

IGES Entity 128 Rational B-Spline Surface

IGES Entity 106:2 and 406:9212 3D Coordinate Points and AutoCAD polyface mesh property

When pfacemesh_idp is set to 0 (the default), the Translator maps the polyface mesh as a collection of independent ruled surfaces, points, or lines. The connectivity is not maintained, and the IGES file will be much larger than the AutoCAD file. However, most systems will get the correct face data. This mapping correctly supports polyface meshes that have different colors for each face of the mesh.

If a polyface mesh has some hidden edges and pfacemesh_idp is not set to write out the polyface mesh IDP, the Translator will map the hidden edges as though they were visible.

When autodesk_idp and pfacemesh_idp are set to 1, the Translator converts the polyface mesh to a Multipoint 3D Entity (106:2) containing the points, with an AutoCAD Polyface Mesh IDP (406:9212) containing data about which points are connected by faces. This entity contains, in a compact form that AutoCAD or a similar system can recover, the data that AutoCAD maintains. Unfortunately, systems that are unfamiliar with AutoCAD IDPs receive (at best) only the vertex points of the polyface mesh.

See Polyface Mesh Property (406:9212).

Note If the individual faces of the polyface mesh have different colors, the colors are lost when you choose this option. The entire mesh is written out with the color of the AutoCAD polyline object.


>AutoCAD Property Color (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
>AutoCAD Property Color (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 314 Color Definition

The Translator maps nonstandard color information to a Color Definition (314), or to the closest predefined IGES color.


AutoCAD Object Tolerance (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Tolerance (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 228:0 General Symbol

A tolerance will be mapped to a 228 with a General Note (212) representing the text and symbols, Copious Data (106:63) geometry entities representing the frames, and Line entities (110:0) representing the vertical bars. When the tolerance_mapping option is set to 0, a group will be created and will reference the resulting 212 and 106:63 entities.


crv_tol option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
crv_tol option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: crv_tol

Option Type: real

Option Default: 1.0E-4

Approximates curves based on the specified tolerance.


AutoCAD Object Text (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Text (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 212:0 Simple Note

IGES Entity 212:2 Font Change

Vertical text justification attributes cannot be mapped to the 212, but can be preserved with the Autodesk Text Alignment IDP 406:9203. For additional information, see IGESOUT Font Mappings.

In the discussion of the IGESOUT Annotation Options Dialog Box, see Under/Overscore Properties.


AutoCAD Object Region (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Region (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 143 Bounded Surface

IGES Entity 144 Trimmed (Parametric) Surface

The region is mapped to a Bounded Surface or a Trimmed (Parametric) Surface (144 or 143) with a single Generic Data Property 406:27 that references an "AutoCAD Region" tag.


AutoCAD Object Radius Dimension (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Radius Dimension (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 222:0 Radius Dimension (two arrowheads) or

IGES Entity 222:1 Radius Dimension (one arrowhead) or (optionally)

IGES Entity 106:20 Copious Data: Centerline

IGES Entity 402:7 Unordered Group without Back Pointers

If the AutoCAD radius dimension was created with a centerline (DIMTIX and DIMTOFL both off), and if dim_centerline is set to 1 or 2, the Translator creates a 106:20 as well as the 222:0.

The creation of a group depends on the setting of the output_groups option. If this option is not 0, a 402:7 will be created referencing the 222 and 106:20.


crv_mapping option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
crv_mapping option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: crv_mapping

Option Type: integer

Option Default: 0

Determines how curves will be mapped into AutoCAD curves. In all cases, lines, circles, and ellipses will be mapped into their corresponding AutoCAD elements (that is, ellipses map into ellipses and so on).

0 = Map curves into AutoCAD splines. If approximations are needed, the Translator will make them to the tolerance specified by crv_tol.

1 = Approximate curves by AutoCAD polylines, based on the tolerance specified by crv_tol.


AutoCAD Object Body (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Body (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 100 Circular Arc and/or

IGES Entity 102 Composite Curve and/or

IGES Entity 104:1 Ellipse and/or

IGES Entity 110:0 Line and/or

IGES Entity 116 Point and/or

IGES Entity 126:0 Rational B-Spline Curve

IGES Entity 144 Trimmed Parametric Surface or

IGES Entity 143 Bounded Surface

IGES Entity 402:7 Unordered Group Without Back Pointers

IGES Entity 402:15 Ordered Group Without Back Pointers

An AutoCAD body object consists of topological and geometric data that is not created through an AutoCAD operation on a 3D solid or region. It may, for instance, have come into AutoCAD through an ACISIN command. The data will be mapped to IGES with as much topological structure as IGES permits:

  • Faces will be converted to trimmed surfaces (depending on the option trimmed_surface_mapping).
  • Surfaces without topology will be output as IGES surfaces if possible (IGES does not permit unbounded surfaces outside of a B-rep object).
  • Edges and curves without topology will be output as curves.
  • Wires will be converted to composite curves.


AutoCAD Object Block reference (insert) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Block reference (insert) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 408 Singular Subfigure Instance or

IGES Entity 412 Rectangular Array Subfigure Instance

When the scales of a block are all the same, the scale is mapped to the scale of the Singular Subfigure Instance (408). When the scales of a block are not all the same, the scale in the X direction is mapped to the scale of the Singular Subfigure Instance.

If autodesk_idp and nonuniform_scaling are set to 1, the Translator attaches a Nonuniform Scale Property (406:9202) to the entity.

A block reference that has a column or row count greater than one and that is created by the MINSERT command, may be mapped to a Rectangular Array Subfigure Instance (412) that references a Subfigure Definition (308) as its base entity, depending on the setting of the insert_mapping option.


AutoCAD Object Block (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Block (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 308 Subfigure Definition

Objects in a block are mapped to IGES entities referenced by the Subfigure Definition Entity (308). The block name is mapped to the name field of the Subfigure Definition entity.


AutoCAD Object Arc (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Arc (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 100 Circular Arc

IGES Entity 122 Tabulated Cylinder

The Translator creates a Circular Arc entity. If the arc is not parallel to the XY plane, a Transformation Matrix is used to properly position it.

If the circular arc has nonzero thickness, a Tabulated Cylinder entity is created.


IgesAutoCAD_Object__3D_mesh_IGES_Tra

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
IgesAutoCAD_Object__3D_mesh_IGES_Tra
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 128 Rational B-Spline Surface

If the surface is not smoothed, the 3D mesh becomes a piecewise bilinear B-spline Surface (128). If the surface is smoothed, the Translator ignores the fit points and writes the actual smooth surface definition as a B-spline Surface.

For cubic or quadratic smoothing, the B-spline is respectively cubic or quadratic.

In the case of Bezier smoothing, the degree of the surface in each direction is one less than the number of points in that direction. The maximum number of points in either the M or N direction for an AutoCAD Bezier surface is 11; therefore, the maximum degree B-spline Surface that the Translator can put into IGES is 10.


AutoCAD Object 3D face (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object 3D face (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 128 Rational B-Spline Surface

The Translator creates a bilinear single patch Rational B-Spline Surface.


ANSI (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
ANSI (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

American National Standards Institute, a government agency responsible for sanctioning the development and use of standards in a broad range of fields. IGESis an ANSI standard.


AMASSEM

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AMASSEM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Convert all AutoCAD block references in the current DWG file to MechanicalDesktop assemblies.

Warning Do not use this tool in a file that already contains Mechanical Desktop assemblies. The tool cannot identify and ignore existing assemblies, and may damage them while converting block references.

Loading AMASSEM

To load AMASSEM for the current session, use the Load Application dialog to load the amassem.arx file, usually located in the \support directory. You can now use AMASSEM from the Desktop command prompt during this session. If you want AMASSEM to load on start-up, add amassem.arx to your desktop.rx file, usually located in the \desktop directory.

Using AMASSEM

At the Mechanical Desktop command prompt, enter amassem


constructive solid geometry (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
constructive solid geometry (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A solid modeling method using Boolean operations (addition, subtraction, and difference) on two sets of objects to define composite models.Not supported by the Translator.


(addent <group name> <selection set>) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(addent <group name> <selection set>) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function adds the objects in a selection set to a previously defined group specified by group name. Duplicate objects are ignored.

The maximum limit for the number of objects in a group can vary, but it's usually more than 1,000. If successful, addent returns the group name; if it fails, addent returns nil.

(creategr "both_groups" (selectgr "first_group"))

(addent "both_groups" (selectgr "second_group"))


constituent (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
constituent (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Synonymous with child. See also child, parent.


Compressed Files (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Compressed Files (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES files can be large and can contain a significant number of blank spaces. Depending on how the IGES files are transferred from one computer to another, you may want to compress the files before sending them. They will have to be uncompressed before they can be used.

You can compress IGES files using either of two basic methods.

  • You can use a compression tool ( called IGESCOMP) that creates a compressed ASCII IGES file in the format defined in The Initial Graphics Exchange Specification (IGES) Version 5.3. See Compressed IGES Format for more information.
  • You can use one of the General-Purpose Compression Programs that compress any form of data.

You can also use combinations of these two compression methods. Before using any form of data compression, verify that the receiver will be able to uncompress the data. Advance coordination between sender and receiver is important.


Composite Curves (IGES Entity 102)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Composite Curves (IGES Entity 102)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A composite curve is a continuous curve that results from the grouping of constituent curves into a single curve. It is defined in IGES as an ordered list of curves.

There are three options that affect Composite Curve translation:

crv_mapping: AutoCAD splines or lines or polylines approximated. If a line consists of two points, it will map to a line.

input_102: Determines mappings of 102s as single curve approximations, constituent curves grouped, or constituent curves not grouped.

no_bulge_pline: Attempts special cases of 102s that map exactly into AutoCAD bulged polylines.

If the no_bulge_pline option is set to 1, the Translator maps a planar composite curve consisting strictly of Circular Arcs (100), Copious Data entities (106), and Lines (110) and having the same display attributes (color, line weight, line font, and blank status) to a 2D polyline with bulges. Setting this option to 1 overrides the crv_mapping and input_102 mapping options.

If a 102 has different display attributes for each of its constituent curves (for example, a red Line followed by a green Circular Arc followed by a blanked Rational B-Spline Curve followed by another Line with phantom line font), requesting a single curve approximation results in an incorrect display. The Translator applies the display attributes of the first constituent curve to the entire AutoCAD curve. In this case, you can get a correct display only by specifying that the constituents be grouped or processed individually.


Combinations (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Combinations (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

It's possible to use a general-purpose compression scheme on compressed ASCIIIGES files. This gives tighter data compression than using either method alone but requires two steps during the compression process and two steps during the decompression process. Use this method only if the transmitted files must be small (for example, by transfer modem over long-distance lines).


ENTER_TITLE

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
ENTER_TITLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Type: real

Option Default: 0.1

For views without defined clipping planes or with a non-closed clipping volume along the X or Y axis, this option specifies the expansion factor for a clipping volume to encapsulate a model. For example, an expansion value of 0.2 means that the size of the clipping volume will be 1.2 times the extents of the model to be displayed in the view.


Class I Recommended Options (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Class I Recommended Options (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option | Setting | Notes
start | cals1hdr.txt | -
eofchar | ; | Required, but you can use the default
eofchar | ; | Required, but you can use the default
author | author's name | -
organization | organization | -
msscale | 1.0 | Must be 1.0
cals1_view | 1 | Must be 1
output_groups | 0 | Must be 0
viewport_frame | 0 | Must be 0
decompose_dims | 1 | Must be 1
perspective_views | 0 | Must be 0
dim_centerline | 0 | Must be 0
radius_dimension_mapping | 0 | Must be 0
tolerance_mapping | 0 | Must be 0 to prevent output of General Symbols (228)
omit_314 | 1 | Must be 1
omit_points | 1 | Must be 1
map_110 | 0 | Do not create 110:1, 110:2
layer_name_mapping | 2 | May be 0 or 2
xref_mapping | 1 | May be 0 or 1
insert_mapping | 1 | May be 0 or 1
named_views | 0 | May be 0 or 1
autodesk_idp | 0 | -
See Class I, II and IV Font Mapping Options for a list of option settings relating to fonts. | - | -


Class II Recommended Option Settings (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Class II Recommended Option Settings (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option | Setting | Notes
start | cals2hdr.txt | -
eofchar | ; | Required, but you can use the default
eofchar | ; | Required, but you can use the default
author | author's name | -
organization | organization | -
msscale | 1.0 | Must be 1.0
Level_notes | 1 | An optional aid to the Start section requirements
xref_mapping | 1 | Bind (1) or don't map (0)
output_groups | 1 | Groups to 402:7 (1) or no groups (0)
named_views | 0 | May be 0 or 1
insert_mapping | 1 | Must be 1
autodesk_idp | 0 | -
ucs_mapping | 0 | -
map_110 | 0 | Must be 0 to avoid creating 110:1, 110:2
asurf_create_106_13 | 0 | Must be 0 to not create 106:13s
trimmed_surface_mapping | 1 | Must be 1 to create 144s instead of 143s
brepout_mapping | 2 | Must be 2 to map 3D solids to surfaces
See Class I, II and IV Font Mapping Options for a list of option settings relating to fonts. | - | -


child (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
child (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

An entity that is logically or physically subordinate to another entity. See The Initial Graphics Exchange Specification (IGES) Version 5.3. See also parent.


CATVIEW (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
CATVIEW (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Rotates views in CATIA IGES files to make the IGES files correspond more closely with the original CATIA model.

Syntax

At the Command prompt, enter

catview infile outfile

where infile is the name of the IGES file containing CATIA rotated views and outfile is the name of the fixed file.

Description

CATIA sometimes writes rotated views to IGES using a non-standard method.This program converts IGES files containing CATIA's non-standard view rotations to standard IGES.

CATIA can rotate views on a drawing by specifying a view rotation angle that is separate from the view transformation matrix. IGES incorporates all view rotations into the model-space-to-drawing-space transformation matrix, with no distinct view rotation angle. (There is a newer form of the IGES View entity that contains a rotation angle, but it is not used by the version of CATIA that shows this view rotation problem.)

When translating from CATIA to IGES, you can request the IGESSTD REDUCEDoption, which causes CATIA's IGES translator to incorporate all view rotations into the transformation matrix in the standard IGES method. This is highly recommended; if you use this option, you won't need to use CATVIEW.

If you don't use IGESSTD REDUCED, CATIA's IGES translator may put only part of the view transformation into the standard IGES transformation matrix; it may also write a view rotation angle into an Implementor Defined Property(406:6004). The standard transformation matrix and the nonstandard implementor defined property must be combined in order to get the proper orientation of views on the drawing.

This program reads a CATIA IGES file and searches for views that were rotated by the CATIA nonstandard implementor defined property. It reads this property,computes a new matrix that incorporates all necessary rotation for the view,and writes a new IGES file with the redefined views.

If a rotated view has geometry that is clipped by the viewport boundaries,this clipping is not likely to be transferred correctly.

If you need to use this program, it is recommended that you ask the sender of the IGES file to always use the IGESSTD REDUCED option on the CATIA IGEStranslator when preparing IGES files for AutoCAD. Using this option will eliminate the need for this program.

You may also wish to file a problem report with CATIA. The CATIA implementor defined properties could be designed such that translators that strictly handle standard IGES constructs would get views placed correctly on the drawing. If this were done, any good IGES translator would be able to correctly place CATIAviews, regardless of the options specified during CATIA to IGES translation.


CALS (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
CALS (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Continuous Acquisition and Lifecycle Support. See also MIL-D-28000A .


AutoCAD Property Linetype (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Property Linetype (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 304:2 Line Font Definition

When you set the autodesk_idp and linetype_idp options, the Translator attaches an Attribute Definition Property 406:9209 to the Line Font Definition to preserve the linetype design.


AutoCAD Property Layer (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Property Layer (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 406:3 Level Function or

IGES Entity 406:15 Name

The Translator attaches an AutoCAD Level Attributes Table Property IDP (406:9200), an AutoCAD Level Attributes Instance IDP (406:9201), or both.


AutoCAD Object Xline (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Xline (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 110:2 Unbounded Line or

IGES Entity 110:0 Line and

IGES Entity 406:27 Generic Data Property

The IGES line that is mapped from an AutoCAD xline object will have as defining points values that maintain the correct display, so the xline will be clipped at the extents of either paper space or model space, depending on which space it is defined in.

The xline will also have its Entity Use Flag set to 06 to indicate that it is construction geometry.

The Generic Data Property (406:27) translates the full information of ray or xline objects. The 406:27 is attached to the resulting IGES line entity.

For the xline, the Translator attaches a Generic Data Property (406:27) with the NAME String set to "AutoCAD Infinite Line."

Mapping depends on the setting of the map_110 option:

  • When map_110 = 0 (the default), the xline is mapped to a Line (110:0) with a single Generic Data Property 406:27 that references an "AutoCAD Xline" tag.
  • When map_110 = 1, the xline is mapped to an Unbounded Line (110:2).


AutoCAD Object Viewport (paper space) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Viewport (paper space) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 410:0 Orthographic View Entity

IGES Entity 410:1 Perspective View Entity

This entity is created by the MVIEW command. If perspective_views is enabled and the viewport uses perspective viewing, the Translator maps the viewport to a Perspective View Entity (410:1); otherwise the Translator maps it to an Orthographic View Entity (410:0).

The frozen layers associated with the viewport object are used by the Translator to set the view field of the entities that are frozen from the view. See View DE Field Mapping.

The name of the view is obtained from the name of the layer on which the viewport object exists. In order to ensure that view names are unique, viewport objects must be created on different layers. For example, if you have a viewport object on layers and ISO, the Translator would map the viewports with names TOP, FRONT, SIDE, and ISO, respectively.

Note The grid and snap data of a paper space viewport are not mapped to IGES.


AutoCAD Object Trace, solid (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Trace, solid (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 106:63 Simple Closed Planar Curve

IGES Entity 230 Sectioned Area

If the points are colinear (and for traces, if the width is zero), the Translator creates a Line.

If the FILLMODE system variable is 0, the Translator writes the solid or trace as a Simple Closed Planar Curve (106:63). Otherwise, it writes it as a Sectioned Area (230) with a fill code of 19 (solid fill).

If the boundary of the solid self-intersects (forms a "bow tie"), the Translator creates two 230s - one for each triangle of the bow tie - because IGES does not allow a 230 to self-intersect.


AutoCAD Object Tiled viewport (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Tiled viewport (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 410:0 Orthographic View Entity

IGES Entity 410:1 Perspective View Entity

This symbol table entry is created by the VPORTS command. It is similar to a Named View, but saves more viewing information, including multiple viewport configurations and grid and snap data.

If vport_mapping is set to 1, the tiled viewport maps to an Independent IGES View Entity (410:0 or 410:1). Otherwise, the tiled viewport is not translated.

For better translation to other systems, convert tiled viewports to paper space viewports with the MVIEW Restore command before running the IGES translation. You can use the IGES sheet.lsp tool to perform this conversion.

The positioning of the tiled viewport relative to other tiled viewports is not preserved when the viewport is mapped to IGES. Also, the grid and snap data of a tiled viewport cannot be mapped to predefined IGES entities.

Independent views in IGES might not translate well into another CAD system.Disable named_views if you do not want independent views.


AutoCAD Object Spline (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Spline (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 126 Rational B-Spline Curve

The Translator creates a Rational B-Spline Curve.


AutoCAD Object Shape (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Shape (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 408 Singular Subfigure Instance

The Translator maps a shape object to an IGES Singular Subfigure Instance Entity (408:0), which references a Subfigure Definition Entity (308:0) containing the shape name and a collection of entities representing the graphics of the shape definition data.

The shape's origin and scale are mapped to the Subfigure Instance's translation data and scale factor fields. If the shape has a rotation angle, the Translator maps it to the transformation matrix referenced by the Subfigure Instance.

The shape's graphic data may be mapped to a Line Entity (110:0), a Circular Arc Entity (100), a piecewise linear curve Copious Data Entity (106:11), or a simple closed planar curve Copious Data Entity (106:63). All of these entities are referenced by the resulting Subfigure Definition Entity.

The Translator also attaches a Generic Data Property (406:27) to the 408. This property communicates the filename in which the shape was defined. See AutoCAD Shape Property for information about the parameter data format of the 406:27.


AutoCAD Object Ray (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Ray (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 110:1 Semi-Bounded Line or

IGES Entity 110:0 Line and

IGES Entity 406:27 Generic Data Property

The IGES line that is mapped from an AutoCAD ray object will have as defining points values that maintain the correct display, so the ray will be clipped at the extents of either paper space or model space, depending on which space it is defined in.

The ray will also have its Entity Use Flag set to 06 to indicate that it is construction geometry.

The Generic Data Property (406:27) translates the full information of ray objects. The 406:27 is attached to the resulting IGES Line Entity.

For the ray, the Translator attaches a Generic Data Property (406:27) with the NAME string set to "AutoCAD Ray".

Mapping depends on the setting of the map_110 option:

  • When map_110 = 0 (the default), the ray is mapped to a Line (110:0) with a single Generic Data Property 406:27 that references an "AutoCAD Ray" tag.
  • When map_110 = 1, the ray is mapped to a Semi-Bounded Line (110:1).


AutoCAD Object Proxy Object (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Proxy Object (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 402:7 Unordered Group Without Back Pointers

IGES Entity 406:27 Generic Data Property

Proxy objects (formerly known as "zombies") are used to represent entities created in other applications when these applications are not installed. Proxy objects are exploded to their constituent geometry and placed in an Unordered Group without Back Pointers (402:7) with a Generic Data Property (406:27) attached. See AutoCAD Release 14's documentation for further information about proxy objects.


AutoCAD Object Polyline (lightweight) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Polyline (lightweight) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

There is no equivalent structure in IGES to a varying-width polyline. The following rules apply:

  • If a polyline has non-zero width specified, the Translator writes the width as an IGES Line Widening Property (406:5) and attaches it to the IGES entities.
  • If the widths on different vertices are not identical, the Translator uses the average line width and sends a warning message to the log file.

Other mapping possibilities include:

IGES Entity 100 Circular Arc or

IGES Entity 102 Composite Curve or

IGES Entity 106:11 2D Path or

IGES Entity 106:63 Simple Closed Planar Curve or

IGES Entity 110 Line or

IGES Entity 122 Tabulated Cylinder

If the polyline has only one segment that is a circular arc, or two segments that are arcs of the same circle (like an AutoCAD donut), the Translator maps it to a Circular Arc (100).

If the polyline has more than one segment and is a combination of linear and circular segments, the segments are mapped to a Composite Curve (102) consisting of Circular Arcs (100) and/or Lines (110). When linear segments are adjacent, the Translator uses the largest possible Multipoint Line (2D Path, 106:11) rather than a collection of Lines (110).

Note"Curve fit" polylines fall under this case.

A 2D polyline is mapped to a Multipoint Line (2D Path, 106:11) if it is not closed and if it has multiple segments that are all linear.

A 2D polyline is mapped to a Simple Closed Planar Curve (106:63) if it is closed and if it has multiple segments that are all linear.

A 2D polyline is mapped to a Line (110) if it has only one segment that is a line.

If the polyline has non-zero thickness, a Tabulated Cylinder (122) is created.


AutoCAD Object Point (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Point (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 116 Point

IGES Entity 110 Line

If the point object thickness is greater than 0, the Translator maps the point to a line that starts at the point coordinates and ends at a point along the normal length of the entity at a distance equal to the thickness.

If point figures are enabled (that is, if the AutoCAD PDMODE system variable is set to >1), the Translator will create a Point (116) with the display symbol pointer set to the DE of a Subfigure Definition Entity (308:0) that graphically represents the AutoCAD point symbol.

You can disable the mapping of points with omit_points.


AutoCAD Object Ordinate Dimension (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Ordinate Dimension (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 218:0 Ordinate Dimension

The Translator creates an Ordinate Dimension entity.


AutoCAD Object External reference (xref) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object External reference (xref) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 408 Singular Subfigure Instance

IGES Entity 416 External Reference

An external reference is a block reference created by the XREF command. The exchange of external references is not well defined in the IGES community.

For more effective translations, set the xref_mapping option to 1. This temporarily binds an external reference and maps it to a 408 that references a Subfigure Definition Entity (308) that contains the mapping of the block that represents the externally referenced data.

When the xref_mapping option is set to 2, the Translator maps an external reference to a 416:1.

When the xref_mapping option is set to 3, the Translator maps an external reference to a 416:3.

Note The 416:3 is a better match of the AutoCAD External Reference Object than the 416:1.


AutoCAD Object Ellipse (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Ellipse (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 104:1 Ellipse

The Translator creates an Ellipse Entity. If the Ellipse is not parallel to the XY plane, a Transformation Matrix is used to properly position it.


AutoCAD Object Diameter dimension (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Diameter dimension (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 206:0 Diameter Dimension and

IGES Entity 106:20 Copious Data: Centerline or (optionally)

IGES Entity 402:7 Unordered Group without Back Pointers

If the AutoCAD diameter dimension was created with a centerline (DIMTIX and DIMTOFL both off), and if dim_centerline is set to 1 or 2, the Translator creates a 106:20 as well as the 206:0.

The creation of a group depends on the setting of the output_groups option. If this option is not 0, a 402:7 will be created referencing the 206 and 106:20.


AutoCAD Object Circle (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Circle (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 100 Circular Arc or Tabulated Cylinder

The Translator creates an IGES Circular Arc Entity (100). If the arc is not parallel to the XY plane, a Transformation Matrix is used to properly position it.

If the circle has nonzero thickness, a Tabulated Cylinder Entity (122) is created.


AutoCAD Object Body (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Body (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 100 Circular Arc and/or

IGES Entity 102 Composite Curve and/or

IGES Entity 104:1 Ellipse and/or

IGES Entity 110:0 Line and/or

IGES Entity 116 Point and/or

IGES Entity 126:0 Rational B-Spline Curve

IGES Entity 144 Trimmed Parametric Surface or

IGES Entity 143 Bounded Surface

IGES Entity 402:7 Unordered Group Without Back Pointers

IGES Entity 402:15 Ordered Group Without Back Pointers

An AutoCAD ASSURFACE object consists of topological and geometric data that is created using the Mechanical Desktop's Surface Stitching feature. The data will be mapped to IGES with as much topological structure as IGES permits:

  • Faces will be converted to trimmed surfaces (depending on the option trimmed_surface_mapping).
  • Surfaces without topology will be output as IGES surfaces if possible (IGES does not permit unbounded surfaces outside of a B-rep object).
  • Edges and curves without topology will be output as curves.
  • Wires will be converted to composite curves.


AutoCAD Object Attribute definition (Attdef) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Attribute definition (Attdef) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 212 and 406:9209 General Note and Attribute Definition IDP

When an attribute definition object is not in a block, the Translator maps it to a General Note (212) containing the attribute tag field. If both autodesk_idp and attdef_idp are set to 1, the Translator attaches an Attribute Definition IDP (406:9209) to the 212.

When an attribute definition object is in a block, the Translator may map it to a General Note entity or an Attribute Definition IDP, or it may not map the object. If the attribute definition is flagged as a constant value attribute, the Translator maps it to a General Note containing the constant attribute value, and if both autodesk_idp and attdef_idp are set to 1, the Translator attaches an Attribute Definition IDP to the General Note entity. If the attribute definition is not flagged as a constant value attribute, the Translator does not map it unless both autodesk_idp and attdef_idp are set to 1. In that case, the Translator attaches an Attribute Definition IDP to a Subfigure Definition Entity (308:0)


AutoCAD Object Attribute (Attrib) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Attribute (Attrib) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 212 and 406:9210 General Note and Attribute IDP

The Translator attaches the General Note as associated text to a Subfigure Instance Entity (408:0), mapped from the corresponding insert object to which the attribute is elated, through the additional pointers section of IGES entities as defined by The Initial Graphics Exchange Specification (IGES) Version 5.3.

When both autodesk_idp and attdef_idp are set to 1, the Translator attaches an Attribute IDP (406:9210) to the General Note entity.


AutoCAD Object Angular Dimension (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object Angular Dimension (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 202:0 Angular Dimension

The Translator creates an Angular Dimension entity.


AutoCAD Object 3D Solid, Mechanical Desktop part (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object 3D Solid, Mechanical Desktop part (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 186 Manifold Solid B-Rep Object

IGES Entity 402:7 Unordered Group without Back Pointers

IGES Entity 402:15 Ordered Group without Back Pointers

IGES Entity 143 Bounded Surface

IGES Entity 144 Trimmed (Parametric) Surface


AutoCAD Object 3D polyline (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object 3D polyline (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 110 Line or

IGES Entity 106:12 3D Path

IGES Entity 126 Rational B-Spline Curve

The Translator maps the 3D polyline to a Line (110) if the 3D polyline has only one segment that is a line. The Translator maps the 3D polyline to a 3D Path (106:12) if the 3D polyline has more than one segment.

If the polyline has been spline fit, a Rational B-Spline Curve is created.


AutoCAD Object 2D polyline (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Object 2D polyline (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

There is no equivalent structure in IGES to a varying-width polyline. The following rules apply:

  • If a polyline has nonzero width specified, the Translator writes the width as an IGES Line Widening Property (406:5) and attaches it to the IGES entities.
  • If the widths on different vertices are not identical, the Translator uses the average line width and sends a warning message to the log file.

Other mapping possibilities include:

IGES Entity 100 Circular Arc or

IGES Entity 102 Composite Curve or

IGES Entity 106:11 2D Path or

IGES Entity 106:63 Simple Closed Planar Curve or

IGES Entity 110 Line or

IGES Entity 126 Rational B-Spline Curve

If the polyline has only one segment that is a circular arc, or two segments that are arcs of the same circle (like an AutoCAD donut), the Translator maps it to a Circular Arc (100).

If the polyline has more than one segment and is a combination of linear and circular segments, the segments are mapped to a Composite Curve (102) consisting of Circular Arcs (100) and/or Lines (110). When linear segments are adjacent, the Translator uses the largest possible Multipoint Line (2D Path, 106:11) rather than a collection of Lines (110).

Note"Curve fit" polylines fall under this case.

A 2D polyline is mapped to a Multipoint Line (2D Path, 106:11) if it is not closed and if it has multiple segments that are all linear.

A 2D polyline is mapped to a Simple Closed Planar Curve (106:63) if it is closed and if it has multiple segments that are all linear.

A 2D polyline is mapped to a Line (110) if it has only one segment that is a line.

If the polyline has been spline fit, a Rational B-Spline Curve is created.


AutoCAD Infinite Line Property (IGES IDP)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Infinite Line Property (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When the "Map Ray and Xline objects to 110:1, 2" option is unselected in the IGESOUT Geometry dialog (or map_110 option in the option file has a value of 0), the Translator will map the xline to a Line (110:0) and attached a Generic Data Property (406:27) with the name "AutoCAD Infinite Line Property." This property helps the Translator loop back this IGES data as an xline. If multiple xline entities are mapped, each resulting Line (110:0) will have the same property attached.

The format of the 406:27 is:

1 | NP | Number of property values (always 3)
2 | NAME | AutoCAD Infinite Line Property
3 | NV | Number of type/value pairs (always 0)


Approximating Curves by Polyline (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Approximating Curves by Polyline (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When approximating curves by polyline, the following rules apply:

  • If the approximation of a curve would result in a two-point polyline, the Translator represents the curve as a line. This can happen if the IGES curve is linear within the specified tolerance.
  • If the approximated curve is exactly planar, with all Z coordinates equal in the curve's definition space, the result is a 2D polyline. Otherwise, the Translator maps the curve to a 3D polyline.
  • If the approximated curve is closed within the point tolerance (whether it is specified by you at translation time or is taken from field 19 of the Global section of the IGES file), a closed polyline is created. If not, the curve translates as an open polyline.


Approximating Curves as NURBS (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Approximating Curves as NURBS (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Curve entities with no direct counterparts in AutoCAD are either converted or approximated as NURBS curves. When possible, conversions are exact to machine precision; otherwise approximations are done to user-specified tolerance (crv_tol).


annotation (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
annotation (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Text or symbols, not part of the geometric model, that provide information about the model.


annotation_blocking option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
annotation_blocking option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: annotation_blocking

Option Type: Boolean

Option Default: 1

Specifies whether to map IGES annotation entities that don't map directly into AutoCAD dimensions to AutoCAD groups. For example, the IGES Flag Note (208) can be mapped to a group containing the entities representing the 208.

0 = Maps entities to unassociated text and geometry.

1 = Maps entities to text and geometry, then groups them.


Alternate 230 code 19

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Alternate 230 code 19
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Lists the values 0 to 18 that correspond to the fill codes for the Sectioned Area (230). Corresponds to alternate_230_code.

This option, along with the Alternate Spacing option, controls the way the Translator handles Sectioned Areas (230)

A Sectioned Area (230) with a boundary curve mapped to a 3- or 4-point closed polyline (with no islands), with a fill code of 19 is translated to a solid, whatever the value of the Alternate Pattern Mapping options.

Any other 230 with a 19 fill code maps according to the settings of the Alternate 230 code 19 list and the Alternate Spacing option. The Translator cannot create a true solid fill on a polygon that isn't a solid. In this case, the fill is a code you select from the Alternate 230 code 19 list. The numbers in the list correspond to the patterns shown in The Initial Graphics Exchange Specification (IGES) Version 5.3. This list works with the Alternate Spacing option.


alternate_230_spacing option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
alternate_230_spacing option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: alternate_230_spacing

Option Type: real

Option Default: 0.10

Specifies spacing to use for alternate_230_code mapping.


alternate_230_code option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
alternate_230_code option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: alternate_230_code

Option Type: integer

Option Default: 1

Specifies an alternate code (0-18) to use for code 19 of the IGES Section Area Entity (230:0 and 1)


ADXBATCH (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
ADXBATCH (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Writes a batch file to perform IGES-to-AutoCAD or AutoCAD-to-IGES translations on all files in a specified directory tree. The tree structure (if any) in the input directory is preserved in the output directory.

Please note: you cannot perform batch translations of files located in read-only directories or on read-only media such as CDs.

Notethis release of the Translator includes a new batch translation utility that makes it easy to select translation options and run batch translations during the current session or at a later time. The Batch File Translation Utility features a graphical interface that streamlines the process of translation and shields users from the need to manually create batch files or install executables before performing translations. The information below is supplied for those users who choose not to use this utility and prefer to set up and run the ADXBATCH tool by hand.

Description

ADXBATCH is a standalone tool that you run independently of AutoCAD by entering the command name at the operating system prompt. Before you can use ADXBATCH, you need to place the ADXBATCH executable in your search path and create a batch file to launch AutoCAD. See Setting Up ADXBATCHfor instructions.

After you have completed the setup, you can run ADXBATCH from your operating system's command prompt. See Running ADXBATCH for instructions.


ADXBATCH Hangs When Processing Proxy Objects (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
ADXBATCH Hangs When Processing Proxy Objects (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The IGES Translator's ADXBATCH tool will hang when exporting proxy objects from AutoCAD to IGESunless display of the Proxy Information dialog is suppressed. To suppress this dialog you need to set the AutoCAD System variable (SYSVAR) PROXYNOTICE to 0prior to using ADXBATCH to IGESOUT files containing proxy objects.

To set the PROXYNOTICE system variable at the AutoCAD or Mechanical Desktop command line:

  1. Enter PROXYNOTICE at the command line.
  2. The current value or PROXYNOTICE is displayed. If the current value is 1,enter 0.

To set the PROXYNOTICE system variable using dialog boxes:

  1. On the Mechanical Desktop or AutoCAD menu, choose Assist [image] Options...
  2. On the Options dialog, choose the Open and Save tab.
  3. In the ObjectARX Applications area of the Open and Save tab, uncheck the box that says "Show Proxy Information Dialog Box."


2D Polylines in Release 14 (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
2D Polylines in Release 14 (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Any entity that is mapped to a 2D polyline may be mapped to a lightweight polyline (LWPOLYLINE) if the AutoCAD system variable PLINETYPE has a non-zero value when the translation is initiated. See AutoCAD documentation for further information about the PLINETYPE system variable.


IGES Help

Bibliography (IGES Translator)
AutoCAD IGES 2010
AutoCAD IGES 2010 >
IGES Help
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the navigation on the left to locate the desired help topic.


cals1_view option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
cals1_view option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: cals1_view

Option Type:Boolean

Option Default:0

Causes paper space entities to be ignored and creates a dummy view with no transformation matrix, no clipping planes, and a scale of 1.0,which it attaches to the entity to satisfy the requirements of MIL-D-28000A Class I.

0 = Disables cals1_view

1 = Enables cals1_view


Browse Button (batch utility)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Browse Button (batch utility)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Displays the Browse for Directory dialog, which allows you to search for and select a folder for input or output of translated files, options files and batch files. The open folder in the display area is the folder that is currently selected. You can select a different folder by clicking it.

To search for a directory on a drive or network location not currently displayed, either select a drive in the Drives: drop-down or select the Network...button to search for the desired directory.

When you have located the desired directory, click its folder icon to select it, then choose OK to return to the Batch Utility dialog.

NoteYou can only select directories that already exist using this dialog; you cannot create a new directory from within the Batch Translation utility.


brepout_mapping option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
brepout_mapping option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: brepout_mapping

Option Type: integer

Option Default: 2

Determines mappings of AutoCAD 3D solids to IGES B-Rep entities.

0 = Map AutoCAD 3D solids and Mechanical Desktop Parts to IGES 186, keeping analytic surfaces intact. Please see 3D Solid/Mechanical Desktop Part Mapping Area for information about limitations that affect this option.

1 = Map AutoCAD 3D solids and Mechanical Desktop Parts to IGES 186, approximating analytic surfaces by NURBS.

2 = Map AutoCAD 3D solids and Mechanical Desktop Parts to IGES Trimmed or Bounded surfaces, depending on trimmed_surface_mapping.


brepin_mapping option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
brepin_mapping option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: brepin_mapping

Option Type: integer

Option Default: 0

Determines mappings of B-rep entities into AutoCAD.

0 = Map 186 to AutoCAD 3D solids

1 = Map 186 to the surface representation specified by srf_mapping.

2 = Map 186 to Mechanical Desktop Part. Disabled if Mechanical Desktop is not present. Please note: only single parts can be translated to Mechanical Desktop parts. Parts that are contained within subfigures (308s), in other words all subassemblies, are mapped to AutoCAD 3D Solids instead.


Boundary Representation (B-rep) (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Boundary Representation (B-rep) (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A representation of a solid model that defines each face bounding an object.The connectivity (or topology) of faces, edges and vertices and the definitions of the surfaces of each face.


block_106 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
block_106 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: block_106

Option Type: Boolean

Option Default: 1

Specifies grouping of Copious Data entities (106:1-3).

0 = Processes points/lines independently

1 = Assigns points/lines to a group


blank status flag (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
blank status flag (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

That portion of the status number field of the directory entry (DE) of an entity that designates whether a data item is to be displayed on the output device.


Blank.lsp (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Blank.lsp (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Manipulates the visibility field of AutoCAD objects. Possible values are as follows:

BLANK makes a selection set of objects invisible.

UNBLANK makes a specified object (given its handle) visible.

UNBLANKALL makes all blanked objects visible.

Syntax

At the Command prompt, enter the following:

(load "blank")

blank

NoteMechanical Desktop provides the amvisible command for more flexible control of object visibility.


Basic Requirements for Visible Entities (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Basic Requirements for Visible Entities (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When IGES files are translated into AutoCAD, it is possible for the translation to appear to have completed correctly, yet no entities are visible. In order for entities to be visible within AutoCAD at least two requirements exist: the entities must be of a contrasting color with the AutoCAD background, and,nothing can be located between the entities and the viewer.

Imagine placing a black ball in a paper bag. If the light level is low, the dark ball may be difficult or impossible to see because of the lack of contrast between the ball's color and the interior of the bag. If the angle of view causes the ball to be obstructed, then it may also be difficult or impossible to see.

Translation and Color Choice

Many AutoCAD users work with a dark background, typically black, which is the color 0 (zero). These users then choose highly contrasting colors (white,yellow, blue) for their entities. However, users of other CAD systems often use a white background, frequently dictated by the shipping defaults of the other CADsystems. Accordingly, they often choose black for their entities to maximize the contrast between the entities and the background.

The solution to this problem is to change either the background color or the entity color so that it contrasts with the other. Depending on the video driver in use, it is generally easier to change the background color than to change the color of all entities in a file. One is a display function only, while the other requires database manipulation.

Translation and View Clipping

The visibility of an entity can be controlled by placing obstructions in front of, or behind, the entity in question. In AutoCAD, the CLip option of DVIEWremoves objects from the front and back of a plane perpendicular to the viewdirection specified. A pair of clipping planes can be moved perpendicular to the line of sight between the camera and target. The following figure shows how clipping planes work:

A log file (extension .xli) is created during translation from IGES to AutoCAD. This file contains a summary of all entity types translated, which can help you determine whether clipping is enabled. To define clipping planes, IGES uses entity type 410 to define the view and entity type 108 to define the planes themselves. If these entities appear in your logfile summary, yet no geometry is visible, it is likely that clipping is active.

To disable clipping and restore normal viewing, use the AutoCAD DVIEW commandto turn the CLip option off. Your geometry should now be visible.


back pointer, (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
back pointer, (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

In IGES, a pointer in the parameter data section of an entity pointing to an associativity instance of which it is a member. The term back pointer is also used to identify any member of the first group of pointers in the parameter data of an entity defined by The Initial Graphics Exchange Specification (IGES) Version 5.3, which includes pointers to Associativity Instance, General Note, or Text Template Entities.


Autodesk IGES Help Contents

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Autodesk IGES Help Contents
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

What's New?

Features and Advisories for this Release

Mapping Tables

These quick reference tables provide pop-up information about specific IGES entities and AutoCAD objects and how they translate.

IGES to AutoCAD Translation Mapping Table

AutoCAD to IGES Translation Mapping Table

Topics

Understanding IGES

Entity Translation

Translation Options

Using the IGES Translator

Customization

CALS Option Sets

Translator Tools

Entity Grouping Tool

AutoCAD IGES IDP Format Specifications

Troubleshooting and Tips

Dialog Boxes

The dialog box topics describe the Autodesk IGES Translator dialog boxes and their use.

IGESIN Dialog BoxIGESIN Dialog Box

IGESIN Options Dialog Box

IGESOUT Dialog Box

IGESOUT Options Dialog Box

Reference

Toolbar Reference

Glossary

Bibliography

Press the F1 key for more information on using the Help system.


autodesk_idp option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
autodesk_idp option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: autodesk_idp

Option Type: Boolean

Option Default: 1

Specifies whether to create IGES Implementor Defined Properties (IDPs) for AutoCAD capabilities not found in IGES. An example is nonuniform scale factors for inserts. You can enhance this option to allow control of individual IDPs.

0 = Disables creation of all IDPs independent of the settings of other IDP options.

1 = Enables creation of IDPs based on the other IDP option settings


AutoCAD Shape Property (IGES IDP)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Shape Property (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator maps each shape to a Subfigure Instance (408) and attaches a Generic Data Property (406:27) containing the name of the shape file in which it was defined. The name of the property is "AutoCAD Shape Property."

The format of the 406:27 is:

1 | NP | Number of property values (always 4)
2 | NAME | AutoCAD Shape Property
3 | NV | Number of type/value pairs (always 1)
4 | TYP1 | Type of value 1 (3 = character string)
5 | VAL1 | Shape filename


AutoCAD Region Property (IGES IDP)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Region Property (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator maps each region to an IGES surface and attaches a Generic Data Property (406:27) with the name field set to "AutoCAD Region Property." Each mapping will have the same property attached. This property helps the Translator loop back this IGES data as a region.

The format of the 406:27 is:

1 | NP | Number of property values (always 3)
2 | NAME | AutoCAD Region Property
3 | NV | Number of type/value pairs (always 0)


AutoCAD Ray Property (IGES IDP)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Ray Property (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When the "Map Ray and XLINE objects to 110:1, 2" option is unselected in the IGESOUT Geometry dialog (or map_110 in the option file has a value of 0), the Translator will map the ray to a Line (110:0) and attach a Generic Data Property (406:27) with the name "AutoCAD Ray Property." This property helps the Translator loop back this IGES data as a ray. If multiple ray entities are mapped, each resulting Line (110:0) will have the same property attached.

The format of the 406:27 is:

1 | NP | Number of property values (always 3)
2 | NAME | AutoCAD Ray Property
3 | NV | Number of type/value pairs (always 0)


AutoCAD Proxy Object Property (IGES IDP)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Proxy Object Property (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Translator explodes a proxy object, groups its constituent geometry in an Unordered Group without Back Pointers (402:7) and attaches a Generic Data Property (406:27) containing the name of the application that owns the object and the DXF name of the object. The name of the property is "AutoCAD Proxy Object Property."

The format of the 406:27 is:

1 | NP | Number of property values (1)
2 | NAME | AutoCAD Proxy Object
3 | NV | Number of type/value pairs (2)
4 | TYP1 | Type of value 1 (3 = character string)
5 | VAL1 | String containing the application name (e.g., AutoSurf)
6 | TYP2 | Type of value 2 (3 = character string)
7 | VAL2 | String containing the DXF name (e.g., ASSURFACE)


AutoCAD Property User Coordinate System (UCS) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
AutoCAD Property User Coordinate System (UCS) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES Entity 124 Transformation Matrix

If the UCS name has eight or fewer characters, the Translator places it in the label field of the Transformation Matrix. Otherwise, the Translator places the UCS name in a Name Property (406:15). If both autodesk_idp and ucs_idp are set to 1, the Translator attaches an AutoCAD User Coordinate System Property (406:9213) to the Transformation Matrix.


Setting Up the Translator to Create a Class I IGES File

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Setting Up the Translator to Create a Class I IGES File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Setting Up the Translator to Create a Class I IGES File

After you prepare your AutoCAD drawing, edit the cals1hdr.txt template file, providing the author, organization, address, phone number, and illustration identifier. Then run IGESOUT and customize the cals1.opt options as follows:

  1. From the IGESOUT Start and Global Options Dialog Box, change the start section file if you are using a different file than the cals1hdr.txt template.
  2. From the IGESOUT Start and Global Options Dialog Box, change the Author and Organization option settings to refer to you and your company.
  3. From the IGESOUT Annotation Options Dialog Box, define font mappings for all styles you use. These mappings must use IGES font codes 1, 1001, 1002, or 1003.
  4. From the IGESOUT Line Mapping Options Dialog Box, define AutoCAD linetype/IGES line font mappings for all the linetypes you use. These mappings must use IGES line fonts 1-5 and the 304:2 creation must be disabled for all mappings.
  5. Save your options.

The cals1.opt file provides the following settings for the Translator options:

Display Class I Recommended Option Settings Table


Option Name: shape_file

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Option Name: shape_file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: shape_file

Type: string

Option Default: text

Specifies the name of the associated shape file referred to by the style1 option or the AutoCAD style name. You must specify nfontmaps1 occurrences of this option. The name is used in the font mapping.


Expand Clipping Extents

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Expand Clipping Extents
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use this text box to specify the expansion factor for a drawing with a View that has no expansion plane defined, or a View with a non-closed clipping volume.The Translator expands the drawing along the X- and Y- axes, and adds a border to the drawing. Corresponds to clipping_volume_expansion.


Option Name: spathv

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Option Name: spathv
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: spathv

Option Type: integer

Option Default: 6

Specifies the number of V paths to use when srf_mapping is set to 1(grid of polylines). When srf_mapping is set to 2 or -2 (Mechanical Desktop Surfaces), surfaces become display curves.


Speeding Mechanical Desktop and Polyline Paths Surface Translations

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Speeding Mechanical Desktop and Polyline Paths Surface Translations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Speeding Mechanical Desktop and Polyline Paths Surface Translations

The IGESIN Geometry Options dialog's surface options area allows you to specify whether to map IGES surfaces to Mechanical Desktop NURBS surfaces, bodies, facets, or polyline paths. When Mechanical Desktop Surfaces is selected, IGESIN maps IGES surfaces to a Mechanical Desktop NURBS. When Polyline Paths is selected, IGESIN maps IGES surfaces to a series of polylines that represent isoparametric paths over the surface. In both cases, Surface Display Paths are enabled, which correspond to the IGESIN translation options spathu and spathv.

The Translator uses the values specified in spathu and spathv to specify the number of U and V paths created during IGESIN. The default values for these two options were selected because they provide a large enough number of U and V lines to easily visualize most surfaces. However, the creation of these lines can impair performance for drawings containing large number of surfaces.

To speed the translation of either Mechanical Desktop surfaces or polyline paths, change the values of spathu and spathv to 2, which is the minimum number permitted. To make this change, choose IGESIN [image] Edit Options [image] Geometry [image] Surface Options and make sure Mechanical Desktop Surfaces or Polyline Paths is selected. Then, in the Surface Display Paths area, specify a value of 2 for both U-dir and V-dir.


start Option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
start Option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: start

Option Type: string

Option Default: none

Specifies the file name containing data to store in the IGES Start Section. If you don't specify a file name, the Translator uses a single blank line for the Start Section. See Start Section.


Start section

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Start section
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Start section

The section of an exchange file containing a human-readable file prolog.


extended entity data (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
extended entity data (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Additional data that can be attached to AutoCAD objects. This data can be simple text strings or numeric values, or it can have specific meaning to AutoCAD(such as 3D points, distances, or layer names). See also IDP.


style1 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
style1 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: style1

Option Type: string

Option Default: none

Specifies the name of the AutoCAD style which the corresponding fontcode1 value maps to. You must specify nfontmaps1 occurrences of this option.


style2 option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
style2 option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: style2

Option Type: string

Option Default: none

Specifies an AutoCAD style to be mapped to an IGES font code. It must be paired with a fontcode2 option to form a complete mapping. You must specify nfontmaps2 of these options. See IGESOUT Font Mappings.


Subfigure Explosion By Name Mapping Dialog (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Subfigure Explosion By Name Mapping Dialog (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The dialog box for managing Subfigure Explosion Mappings has a list box of the current subfigures to be exploded and buttons for adding, removing, and clearing subfigures. You can use "wild card" characters to specify multiple names. See Using Wild Cards for more information.

To create a mapping:

  • Specify the name(s) of the subfigure(s) to be exploded in the Subfigures to be Exploded text box.
  • Choose Add to add the mapping to the list of subfigures to be exploded.

You can also change an existing mapping by selecting it in the list box, editing the subfigure name in the New Name: text box, and choosing Modify.

If necessary, you can remove one or all mappings from the list. To remove one, select the mapping in the list box and then choose Remove. To remove all mappings, choose Clear.

Generate List fills the Input File Subfigure Name List box with data from the input file previously specified. When you select an item from this list the Subfigure Name text box is set with the selected data, which can then be added to the subfigure list by choosing Add.


Subfigure Name Mapping Dialog (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Subfigure Name Mapping Dialog (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The dialog box for managing Subfigure Name Mappings has a list box of the current mappings, buttons for adding, removing, and clearing mappings, and text boxes for specifying subfigure mapping rules. The rules are sequentially ordered. You can use "wild card" characters to specify multiple names. See Using Wild Cards for more information.

To create a mapping:

  • Specify the subfigure name to be changed in the Old Name text box and its replacement name in the New Name text box.
  • Choose Add to add the mapping to the list of subfigure name mappings to be applied.

To insert a new mapping rule before an existing one, select the mapping in the list, specify the new mapping in the text box, and choose Insert.

You can also change an existing mapping by selecting it in the list box, editing the subfigure name in the New Name: text box, and choosing Modify.

If necessary, you can remove one or all mappings from the list. To remove one, select the mapping in the list box and then choose Remove. To remove all mappings, choose Clear.

Generate List fills the Input File Subfigure Name List with data from the input file previously specified. When you select an item from this list the Old Name text box is set with the selected data, which can then be added to the mapping list by entering another name in the New Name text box and choosing Add.


Setting Up the Translator to Create a Class IV IGES File

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Setting Up the Translator to Create a Class IV IGES File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Setting Up the Translator to Create a Class IV IGES File

After you prepare your AutoCAD drawing, edit the cals4hdr.txt template file, providing the author, organization, address, phone number, and illustration identifier. Then run IGESOUT and customize the cals4.opt options as follows:

  1. From the IGESOUT Start and Global Options Dialog Box, change the start section file if you are using a different file than the cals4hdr.txt template.
  2. From the IGESOUT Start and Global Options Dialog Box, change the Author and Organization option settings to refer to you and your company.
  3. From the IGESOUT Annotation Options Dialog Box, define font mappings for all styles you use. These mappings must use IGESfont codes 1, 1001, 1002, or 1003.
  4. From the IGESOUT Line Mapping Options Dialog Box, define AutoCAD linetype/IGES line font mappings for all the linetypes you use. These mappings must use IGES line fonts 1-5 and the 304:2 creation must be disabled for all mappings.
  5. Save your options.

The cals4.opt file provides the following settings for the Translator options:

Display Class IV Recommended Option Settings Table


Setting Up the Translator to Create a Class II IGES File

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Setting Up the Translator to Create a Class II IGES File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Setting Up the Translator to Create a Class II IGES File

After you prepare your AutoCAD drawing, edit the cals2hdr.txt template file, providing the author, organization, address, phone number, and illustration identifier. Then run IGESOUT and customize the cals2.opt options as follows:

  1. From the IGESOUT Start and Global Options Dialog Box, change the start section file if you are using a different file than the cals2hdr.txt template.
  2. From the IGESOUT Start and Global Options Dialog Box, change the Author and Organization option settings to refer to you and your company.
  3. From the IGESOUT Annotation Options Dialog Box, define font mappings for all styles you use. These mappings must use IGESfont codes 1, 1001, 1002, or 1003.
  4. Save your options.

The cals2.opt file provides the following settings for the Translator options:

Display Class II Recommended Option Settings Table


Sheet.lsp function

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Sheet.lsp function
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Sheet.lsp

Function

Creates paper space VIEWPORT entities corresponding to a specified VPORT configuration. It uses the MVIEW command and the Restore option to convert a specified VPORT configuration into paper space VIEWPORT entities that are placed in a space from (0, 0) to (X, Y), where X and Y are the specified extents of the drawing.

Note You must specify nonzero X and Y values for the drawing extents.

Sheet.lsp may be useful if you have a drawing created with the TILEMODE system variable set to 1, and if you wish to map the VPORT configuration out to an IGES Drawing Entity (404).

Syntax

At the Command prompt, enter either of the following:

(load "sheet")

sheet


Option Name: spathu

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Option Name: spathu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: spathu

Option Type: integer

Option Default: 4

Specifies the number of U paths to use when srf_mapping is set to 1(grid of polylines). When srf_mapping is set to 2 or -2 (Mechanical Desktop Surfaces), surfaces become display curves.


Special Characters (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Special Characters (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Special Characters

Special characters are processed according to the following rules:

  • If the Translator finds any of the following control sequences (%%d, %%p, %%c), it changes the font code to IGES font 1003 and creates a 212:2.
  • The Translator translates all special characters of the type %%nnn, which are mapped to ASCII printable characters.
  • The special characters %%u and %%o will be mapped to Line Entities (110:0) or to Under- and Overscore properties attached to a General Note Entity (212), depending on the text_lines option.
  • The Unicode degrees (\U+00B0), plus/minus (\U+00B1), and diameter symbol (\U+2205) characters are supported and mapped to IGES for mtext and text objects.


srf_mapping Option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
srf_mapping Option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: srf_mapping

Option Type: integer

Option Default: 2

Determines how IGES surfaces will be mapped into AutoCAD surfaces.

-2 and 2 = If ASURF is enabled, IGES surfaces are translated into Mechanical Desktop NURBS surfaces. See Improved Translation of Trimmed Surfaces for details.

0 = Creates a face, 3D mesh, or polyface mesh, depending on the shape of the surface.

1 = Creates a grid of polylines representing isoparametric paths along the surface using spathu and spathv .

3 = Creates a body that can be converted to a surface by the Mechanical Desktop or used by other applications that support bodies.


srf_tol Option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
srf_tol Option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: srf_tol

Option Type: real

Option Default: 0.01

Approximates surfaces based on the tolerance specified.


STEP (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
STEP (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

STEP (Standard for the Exchange of Product Model Data)

An international standard under development for the exchange of product data throughout the product's lifecycle. See also IPO and ISO.


structure (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
structure (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

structure

The class of IGES entities that, in general, relates to other entities; for example, Subfigure Definition and Instance Entities. This class excludes geometry and annotation entities.


Subfigure Explosion By Name (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Subfigure Explosion By Name (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Subfigure Explosion Mapping function provides a way for you to specifysubfigures to be exploded into their components. This function is useful when translating an IGES file to a CAD system that does not support subfigures ormismaps them.

Subfigure names are matched to the names in Subfigure Definition entities(308:0) and Network Subfigure Definition entities (320:0). The parents of those entities -- Subfigure Instance entities (408:0), Network Subfigure Instance entities (420:0), Rectangular Array Subfigure Instance entities (412:0), andCircular Array Subfigure Instance entities (414:0) -- are exploded.

For instructions on how to use this function, see Subfigure Explosion by Name Mapping Dialog Box.


Subfigure Externalization By Name (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Subfigure Externalization By Name (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Subfigure Externalization By Name Mapping function provides you a way to convert specific subfigures to IGES external references and files.

This function will externalize each Subfigure Definition Entity (308:0) and each Network Subfigure Definition Entity (320:0) for which there is a match in the rule list and replaces them with an External Reference Entity (416:3), which is supported by the Autodesk IGES Translator.

For instructions on how to use this function, see Subfigure Externalization by Name Mapping Dialog Box.


Subfigure Externalization By Name Mapping Dialog (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Subfigure Externalization By Name Mapping Dialog (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The dialog box for managing Subfigure Externalization Mappings has a list box of the current subfigures to be externalized, buttons for adding, removing, and clearing subfigures, and text boxes for specifying subfigure externalization rules and location of externalized files. You can use "wild card" characters to specify multiple names. See Using Wild Cards for more information.

To create a mapping:

  • Specify the name(s) of the subfigure(s) to be externalized in the Subfigures to be Externalized text box.
  • Choose Add to add the mapping to the list of subfigures to be externalized.
  • Specify the desired path in the Location for Externalized files test box.

You can also change an existing subfigure name by selecting it in the list box, editing the subfigure name in the New Name: text box, and choosing Modify.

If necessary, you can remove one or all subfigures from the list. To remove one, select the subfigure in the list box and then choose Remove. To remove all subfigures, choose Clear.

You must specify a location (directory) in which to place the externalized files. Use the Externalized File Location text box to specify the desired location.

Generate List fills the Input File Subfigure Name List with data from the input file previously specified. When you select an item from this list the Subfigure Name text box is set with the selected data, which can then be added to the list by choosing Add.


Subfigure Name Mapping (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Subfigure Name Mapping (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Subfigure Name Mapping function provides a way for you to change IGESsubfigure names. This tool is particularly useful for working around system limitations in name length or content.

New subfigure names are created by applying an ordered list of mapping rules to the original names during processing.

For instructions on how to use this function, see Subfigure Name Mapping Dialog Box.


surface_mesh_idp option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
surface_mesh_idp option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: surface_mesh_idp

Option Type: Boolean

Option Default: 0

Specifies whether to create the CADDS Surface Mesh IDP (406:5558).

0 = Disables creation

1 = Enables creation


Surfaces Become Invisible After Rendering

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Surfaces Become Invisible After Rendering
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When objects are shaded or rendered, AutoCAD, by default, does not display hidden surfaces and back faces in the model. A back face is the opposite, or"back" side of a face, which is not usually visible when you are viewing the face from the front. The purpose of discarding these elements is to improve performance. AutoCAD uses the normal on each face in a model to determine which is a front face and which is aback face.

Beginning with this release, Mechanical Desktop now also discards back faces by default. This can cause surfaces or solids to seem to disappear when back faces are viewed. However, this behavior also provides the extra value of letting users know very quickly what direction the surface normals are pointing. Complex surface models can, on occasion, have surfaces with inconsistently aligned surface normals. Now you can view these from the back and only the surfaces with inconsistently aligned surface normals will be visible, so you can select these surfaces and flip the normals if desired. There is no command available to flip normals for solids - solids with undesirably aligned normals will need to be recreated with normals reversed.

If you don't want this new behavior, you can easily change the setting of this option so that back faces are not discarded by following these steps:

  1. Enter options at the command line or choose Assist | Options to display the Options dialog.
  2. Select the System tab and choose the Properties... button.
  3. Uncheck the Discard back faces box in the Back faces area of the dialog.

Please see your AutoCAD documentation for further information about back faces, shading and rendering.


Swap File Space Utilization (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Swap File Space Utilization (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Many AutoCAD swap files range from 70 - 150 MB in size. While these swap file sizes may be sufficient for most AutoCAD users, they can be used up quite easily during the course of an IGES translation. To ensure the Autodesk IGESTranslator has ample virtual memory to complete the IGES translation at hand, you may need to increase the size of the swap file from 100 - 150 MB to a higher value such as 250 - 300 MB. In Windows NT, a message is displayed that tells you to increase the amount of virtual memory available or close other tasks to free upmore memory to complete the task. If this message is displayed, you probably don't have enough swap space and may need to increase it to complete the translation without running out of virtual memory.


(syncgr [delete empty]) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(syncgr [delete empty]) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function synchronizes the EGT internal database when you delete objects that are currently included in groups. syncgr removes deleted objects from the groups and makes room for new objects.Redundant objects can decrease the performance of some functions. syncgr optimizes EGT performance.

If the optional argument is included and non-zero, syncgr deletes all empty groups. An empty group is a group that contains no objects and no links.


Terminate section (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Terminate section (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The final section of an exchange file, indicating the size of each of the preceding file sections.


text_idp option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
text_idp option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: text_idp

Option Type: Boolean

Option Default: 0

Specifies whether to create the AutoCAD Text Alignment IDP (406:9203).

0 = Disables creation

1 = Enables creation


Files of Type

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Files of Type
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the Translation Type pulldown to select the type of file you want to translate. As long as the appropriate translators have been installed, you can choose IGES , STEP or VDAFS files to translate. Note that selecting a type of file to translate also causes the appropriate translator (IGESIN, STEPIN, or VDAFSIN, if present) to be used.

The text below the Translation Types edit box indicates:

  • the possible translation types (IGESIN, STEPIN, VDAFSIN).
  • the current options file and its directory path. Initially, the previously used options file (or the word *Defaults*) is displayed. To use a different options file, choose the Options button.


text_lines option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
text_lines option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: text_lines

Option Type: Integer

Option Default: 1

Specifies whether to create lines or properties for text under- and over-scoring:

0 = Create and attach Underscore and Overscore property to a resulting text entity (212)

1 = Create lines (110:0) for under- and over-scoring


text_style_idp option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
text_style_idp option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: text_style_idp

Option Type: Boolean

Option Default: 0

Specifies whether to create the AutoCAD Text Style IDP (406:9204).

0 = Disables creation

1 = Enables creation


text font (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
text font (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The specification of the appearance of the characters.


tolerance_mapping option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
tolerance_mapping option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: tolerance_mapping

Option Type: Boolean

Option Default: 0

Controls the mapping of tolerance objects to General Symbols (228:0).

0 = Map to 228

1 = Map to group based on output_groups option, or to independent entities.

NoteThis option cannot be set through the graphical user interface. However, it can be set from an options file. It is provided as a filter for IGES subset mapping.


tolerance (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
tolerance (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Specifies the maximum distance allowed between the approximation of a curve or surface and the actual curve or surface. For example, if the curve approximation tolerance is .01, the AutoCAD object that approximates the curve will always be no further than .01 away from the actual curve as defined in the IGES file


tol_pt option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
tol_pt option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: tol_pt

Option Type: real

Option Default: 1.0e-6

Specifies a tolerance to use for point comparisons. The default should be the minimum resolution from the IGES Global section.


Translating Additional Drawings with IGESIN (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Translating Additional Drawings with IGESIN (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When you use the IGESIN command to translate an IGES file into AutoCAD, theTranslator puts its resulting data into the currently opened AutoCAD drawingfile. If you want to use the Translator to create another AutoCAD drawing, you must exit the current drawing file and start a new AutoCAD drawing. If you don't,the next IGESIN translation appends data to the data in the current AutoCADdrawing.


Translating Dimensions to Retain Functionality (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Translating Dimensions to Retain Functionality (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Release 14 of the Autodesk IGES Translator introduced a new translation option, dimension_text, that can be used to set the user-specified text of dimension entities. This option is not available through the Translator's user interface. To change the setting of this option, use a text editor to open the options file and change the value in the file.


Translating Files from AutoCAD Format into IGES Format

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Translating Files from AutoCAD Format into IGES Format
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To translate files from AutoCAD format into IGES format from the command line, follow these steps.

  1. Set the CMDDIA system variable to 0.
  2. At the AutoCAD Command prompt, enter igesout, and press return. The following prompt is displayed.

    IGES filename <default >?

  3. Enter a valid IGES file name and directory path, and then press return. The following prompt is displayed.
  4. Options filename <default settings >?
  5. Enter a valid file name and directory path, or press return to accept the default options file.


Translating Files from IGES Format into AutoCAD Drawing Format

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Translating Files from IGES Format into AutoCAD Drawing Format
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Translating Files from IGES to AutoCAD at the Command Line

To translate a file from IGES format into AutoCAD format from the command line, follow these steps.

  1. Set the CMDDIA system variable to 0.
  2. At the AutoCAD Command prompt, enter igesin, and press return.
  3. The following prompt is displayed.
  4. IGES filename <default> ?
  5. Enter a valid IGES file name and directory path, and then press return. The following prompt is displayed.
  6. Options filename <default settings>?
  7. Enter a valid file name and directory path, or press return to accept the default options file.


trimmed_surface_mapping option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
trimmed_surface_mapping option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: trimmed_surface_mapping

Option Type: Boolean

Option Default: 0

Determines mapping for trimmed surfaces.

0 = Map trimmed surfaces to IGES Bounded Surfaces (143:0)

1 = Map trimmed surfaces to IGES Trimmed Surfaces (144:0)


trunc_names option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
trunc_names option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: trunc_names

Option Type: integer

Option Default: 0

Specifies how names of AutoCAD layer, linetype, UCSs, views, text styles, and block names are truncated when they exceed 31 characters.

0 = Truncate the name from the beginning

1 = Truncate the name from the end

For example, if you set trunc_names to 0, the string "THIS_LONG_STRING_IS_VERY_ LONG" is truncated from the beginning as follows:

THIS_LONG_STRING_IS_VERY

If trunc_names is set to 1, the result is

LONG_STRING_IS_VERY_LONG


Files Transferred Among Different Computer Systems (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Files Transferred Among Different Computer Systems (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Problems can arise when you transfer files among different kinds of computer systems, particularly with large systems running operating systems other than DOS, Windows or UNIX. Ideally, you should transfer IGES files using the same protocol you would use for a text file. You should be able to view the IGES files with a standard text editor, and the IGES files should have normal-looking printable characters, as in the sample IGES files in this Help system. (See Sample IGES File for an example of an IGES file.)


UNDOCTL System Variable (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
UNDOCTL System Variable (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The UNDOCTL AutoCAD system variable determines whether AutoCAD writes undo.ac$ files to the hard drive. For large IGES translations these files can be as large as 40 MB. Writing these files to the hard drive can add 10-15 minutes to the translation process, and sometimes significantly longer when combined with the other tasks the Translator is trying to perform. Preventing the creation of the undo.ac$ file can also be beneficial for users with limited drive space.

If you do elect to prevent the creation of these files, however, you will not be able to perform UNDO operations. Consult your AutoCAD documentation for further information about UNDO and UNDOCTL.

To change the setting of this variable, enter the UNDO command at the AutoCADcommand prompt, then enter CONTROL, then NONE.

Resetting the UNDOCTL variable can significantly decrease the time needed to perform IGES translations, but when the translation is completed it is recommended that you restore the original value of UNDOCTL by entering UNDO and ALL at the command line.


ucs_idp option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
ucs_idp option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: ucs_idp

Option Type: Boolean

Option Default: 0

Specifies whether to create the AutoCAD UCS IDP (406:9213).

0 = Disables creation

1 = Enables creation


units option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
units option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: units

Option Type: integer

Option Default: 0 (units specified in drawing)

Specifies the unit flag for model space units; it appears in the IGES Global Section. Legal values are as follows:

0 Units specified in the Mechanical Desktop/AutoCAD drawing

1 Inches

2 Millimeters

3 User-defined value specified by the units_str option

4 Feet

5 Miles

6 Meters

7 Kilometers

8 Mils

9 Microns

10 Centimeters

11 Microinches

Changing this value has no effect on the output data, except for the Global Section.


(unlinkgr <child group name> <parent group name>) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(unlinkgr <child group name> <parent group name>) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

(unlinkgr <child group name> <parent group name>)

This function removes a hierarchical link created with linkgr. For more information about links and hierarchy definitions, see linkgr and selectgr.

If the group was not actually linked, no error is generated and the request is ignored. If successful, linkgr returns the parent group name, and nil if an error occurs. If an error occurs, check grerr_ to find out what went wrong.

(unlinkgr "TABLES" "FURNITURE")

"FURNITURE"


Igesuntitled00000074

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000074
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Mechanical Desktop uses a directional vector called a surface normal to visually indicate the beginning corner of a surface, and also the positive (or outside) direction of the surface. The terms U and V indicate the two parametric directions on a surface. U and V lines are display lines that overlay a surface to help you visualize the size and shape of the surface.


Igesuntitled00000263

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000263
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
AutoCAD color number | AutoCAD color type | Predefined IGES color
1 | RED | Red (2)
2 | YELLOW | Yellow (5)
3 | GREEN | Green (3)
4 | CYAN | Cyan (7)
5 | BLUE | Blue (4)
6 | MAGENTA | Magenta (6)
7 | WHITE | None (0)
0 | BYBLOCK | Color of Block or White (8)
256 | BYLAYER | Color associated with layer
8-255 | Others | Color Definition Entity Pointer (< 0)


Igesuntitled00000264

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000264
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
AutoCAD color number | AutoCAD color type | Predefined IGES color
1 | RED | Red (2)
2 | YELLOW | Yellow (5)
3 | GREEN | Green (3)
4 | CYAN | Cyan (7)
5 | BLUE | Blue (4)
6 | MAGENTA | Magenta (6)
7 | WHITE | None (0)
8 |  | Black
9 |  | White (8)
0 | BYBLOCK | White (8) or none (0)
18-249 |  | If the last digit of the AutoCAD color number is 8 or 9, it is mapped to black in IGES. Otherwise, it is mapped as follows:
10-37, 230-247 |  | Red
40-67 |  | Yellow
70-117 |  | Green
120-147 |  | Cyan
150-197 |  | Blue
200-227 |  | Magenta
250-252 |  | Black
253-255 |  | White
256 | BYLAYER | Color associated with layer


Igesuntitled00000330

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000330
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
  1. Use the options dialog tabs to navigate to the option settings you want to change and change them.
  2. Choose Save or Save As to save the options to a file.
  3. Choose OK to return to the IGESIN dialog.
  4. Choose Open to launch the translation using the options in the specified file.


Igesuntitled00000359

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000359
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Restores all options in the specified options file to default values for the options on this dialog only. Note that this is different from the Default button, which is located in options file area at the bottom of each tabbed dialog and resets the values for all options in the specified file.


To create a new options file

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
To create a new options file
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
  1. Use the options dialog tabs to navigate to the option settings you want to change and change them.
  2. Choose Save or Save As to save the options to a file.
  3. Choose OK to return to the IGESOUT dialog.
  4. Choose Save to launch the translation using the options in the specified file.


About Translator Tools

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
About Translator Tools
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

THE SOFTWARE CONTAINED IN THIS TOOLS DIRECTORY IS BEING PROVIDED "AS IS" AND HAS BEEN ONLY MARGINALLY TESTED BY AUTODESK QUALITY ASSURANCE. AUTODESK DOES NOT WARRANT THIS SOFTWARE IN ANY MANNER. NEITHER AUTODESK NOR ITS DEALERS OFFER SUPPORT FOR THIS SOFTWARE, BUT USERS MAY CONTACT AUTODESK IF QUESTIONS OR PROBLEMS ARISE.

(C) Copyright 1992-2006 Autodesk, Inc. All rights reserved.


Bibliography (IGES Translator)
AutoCAD IGES 2010 > IGES Help >
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Open

Closes the dialog box and launches the translation.


Bibliography (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Cancel

Cancels the dialog box and ignores any changes.


Bibliography (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Options

Use the options button to display the IGESIN Options Dialog, which allows you to select, edit, save. and create new options files, or to set options for this translation only.


Igesuntitled00000701

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000701
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use the options button to display the IGESOUT Options Dialog" which allows you to select, edit, save. and create new options files, or to set options for this translation only


Igesuntitled00000702

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000702
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Displays online Help for the dialog box.


Igesuntitled00000703

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000703
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Displays the Batch File Translation Utility dialog, which allows you to set and save options for batch translations of files. You can choose whether to launch the batch translation from the dialog or save the settings and launch the job later.


File Name

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
File Name
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Displays the name of the file selected from the Look in: drop-down and display area above. To launch the translation using the default options, click Open.

To specify different options, click the Options button to display the IGESIN options dialog. Once options are selected, return to the IGESIN dialog and choose Open to launch the translation.


Igesuntitled00000716

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000716
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Displays online help for this dialog.


Igesuntitled00000717

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000717
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Saves current values to the .bat file whose location is shown in the BatchFile field.


Igesuntitled00000718

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000718
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Exits the Batch File Translation Utility and returns you to the previous dialog.


ucs_mapping option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
ucs_mapping option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: ucs_mapping

Option Type: Boolean

Option Default: 1

Specifies whether to output UCSs to IGES Transformation Matrix Entities (124:0).

0 = Disables output

1 = Enables output


U Line (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
U Line (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

U line

The Mechanical Desktop uses a directional vector called a surface normal to visually indicate the beginning corner of a surface, and also the positive (or outside) direction of the surface. The terms U and V indicate the two parametric directions on a surface. U and V lines are display lines that overlay a surface to help you visualize the size and shape of the surface.


viewport (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
viewport (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A bounded area on the screen that displays some portion of a drawing's model space. Tiled viewports are positioned on your screen like tiles; they completely fill the graphics area and cannot overlap. Non-tiled viewports are like rectangular boxes that you can place and move wherever you like on your screen. One or more tiled viewports can overlap one or more other tiled viewports. More than one tiled viewport can be plotted at the same time. See also model space and paper space.


units_str option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
units_str option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: units_str

Option Type: string

Option Default: null

Specifies the unit string for model space units when the value of units is 3. For example, the string could be "ANGSTROMS." It appears in the IGESGlobal Section.


Units Matching

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Units Matching
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

As of the release of AutoCAD IGESi, IGESIN now puts a message in the logfile if the units in the IGES file are different from the ones specified AutoCAD. You can improve processing time considerably if you set the units specified in the AutoCAD/Mechanical Desktop .dwg to be the same as those in the IGESfile.

To determine what the IGES file's units are BEFORE doing the IGESIN translation, you can use the QuickView tool to display an IGES file's Start and Global section, which includes the file's units.


untested entities (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
untested entities (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

untested

(The term "gray pages" is obsolete. Gray page entities are now called"Untested.") A section of IGES that describes entities that haven't been tested sufficiently to be included in the main body of IGES.


Igesuntitled00000327

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000327
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
  1. Use the options dialog tabs to navigate to the option settings you want to change and change them.
  2. Choose OK. The translator displays a dialog that says "No options file has been saved. Use current options?"
  3. Choose OK to return to the IGESIN dialog.
  4. Choose Open to launch the translation using the specified options.


Igesuntitled00000328

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000328
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
  1. Choose the Browse button to display the Open Options File dialog.
  2. Locate and select the desired options file, then choose Open. The options file you have selected is displayed in the Options File field.
  3. Choose OK to return to the IGESIN dialog.
  4. Choose Open to launch the translation using the options in the specified file.


Igesuntitled00000329

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000329
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
  1. Choose the Browse button to display the Open Options File dialog.
  2. Locate and select the desired options file, then choose Open. The options file you have selected is displayed in the Options File field.
  3. Use the tabs at the top of the dialog to navigate to the option settings you want to change and change them.
  4. Choose Save to save the options to the file you selected in step 2.
  5. Choose OK to return to the IGESIN dialog.
  6. Choose Open to launch the translation using the options in the specified file.


Igesuntitled00000360

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000360
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Displays online help for this dialog.


Igesuntitled00000403

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000403
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
  1. Use the options dialog tabs to navigate to the option settings you want to change and change them.
  2. Choose OK. The translator displays a dialog that says "No options file has been saved. Use current options?"
  3. Choose OK to return to the IGESOUT dialog.
  4. Choose Save to launch the translation using the specified options.


To use an existing options file as is

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
To use an existing options file as is
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
  1. Choose the Browse button to display the Open Options File dialog.
  2. Locate and select the desired options file, then choose Open. The options file you have selected is displayed in the Options File field.
  3. Choose OK to return to the IGESOUT dialog.
  4. Choose Save to launch the translation using the options in the specified file.


To edit an existing options file and save the changes

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
To edit an existing options file and save the changes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
  1. Choose the Browse button to display the Open Options File dialog.
  2. Locate and select the desired options file, then choose Open. The options file you have selected is displayed in the Options File field.
  3. Use the tabs at the top of the dialog to navigate to the option settings you want to change and change them.
  4. Choose Save to save the options to the file you selected in step 2.
  5. Choose OK to return to the IGESOUT dialog.
  6. Choose Save to launch the translation using the options in the specified file.


Load Application...

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Load Application...
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

To display the Load Application dialog, use the Mechanical Desktop Assist menudrop-down to locate Load Application, or enter appload at the command line.


Bibliography (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

# tool_clean $ CLEAN (IGES Translator tools) + iges:005240 K Clean tool > mayn CLEAN


Bibliography (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A normal is a vector that is perpendicular to the face and points outward toward space.


Bibliography (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Use Surface [image] Edit Surface [image] Flip Normals (AMEDITSF at the Mechanical Desktop command line) to change the direction of surface normals.


Bibliography (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

File Area


Bibliography (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Help

Displays online Help for the dialog box.


Igesuntitled00000699

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000699
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Closes the dialog box and launches the translation.


Igesuntitled00000700

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000700
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Cancels the dialog box and ignores any changes.


Igesuntitled00000711

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000711
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When this box is checked, files created by ADXBATCH will overwrite any existing files in the output directory.

This box is unchecked by default.


Igesuntitled00000712

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000712
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When this box is checked, the batch job whose options you have set using the Batch File Translation utility will be launched immediately. Note that you will still be required to exit the utility by pressing the Exit button when the batch translation is complete. When the box is unchecked, you will not be prompted to run the batch translation when you exit the Batch File TranslationUtility. You can choose to run the batch file created at any time.

This box is unchecked by default.


Igesuntitled00000713

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000713
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When this box is checked, the logfiles created at the completion of each file translation will be placed in the output directory. When it is unchecked they will be placed in the location used for the previous translation.

This box is checked by default for IGESIN, STEPIN and VDAFSIN. However, it is unchecked and grayed for IGESOUT, STEPOUT and VDAFSOUT because this option cannot be selected for these translators.


Igesuntitled00000714

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000714
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When this box is checked, the default options file is used during the batch translation. When it is unchecked, the previously used options file (if any)will be displayed, and the Browse button will be activated so that you can selecta different options file if you want to.

This box is checked by default.


Igesuntitled00000715

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000715
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When this box is checked, all options in the Batch Utility are reset to their default values. The specifications for input and output directory are left blank as there is no obvious default for these. The Overwrite Existing Output andStart Batch Job Immediately boxes are unchecked, and the Use Default Options file box and Put Logfiles in Output directory boxes are checked.


Igesuntitled00000723

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Igesuntitled00000723
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.


User Coordinate System Property 406:9213 (IGES IDP)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
User Coordinate System Property 406:9213 (IGES IDP)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

A set of entity translation values defined by the user.


Using Wild Cards (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Using Wild Cards (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

When the Translator allows the use of wild-card characters, valid characters and their meanings are:

# | Pound sign | Matches any numerical digit.
@ | At sign | Matches any single alphabetic character.
. | Period | Matches any single non-alphanumeric character.
* | Asterisk | Matches any character sequence, including an empty one. You can use it anywhere in the search pattern: beginning, middle, or end.
? | Question mark | Matches any single character.
~ | Tilde | If it's the first character in the pattern, it matches anything except the pattern.
[&ldots; ] |  | Matches any one of the characters enclosed.
[~&ldots;] |  | Matches any single character not enclosed.
- | Hyphen | Used inside brackets to specify a range for a single character.
, | Comma | Separates two patterns.
' | Reverse quote | Escapes special characters (reads the next character literally).

If a tilde isn't the first character within brackets, the Translator treats it literally. To specify a literal hyphen as an option within brackets, make it the first or last bracketed character (for example, "[-ABC]" or [ABC-]"), or the first character to follow a leading tilde (as in, "[~-ABC]"). To specify a literal right bracket (]) within brackets, make it the first bracketed character or the first to follow a leading tilde (as in, "[]ABC]" or "[~]ABC").

NoteOther special characters might be defined to have special meanings in future releases. Use a leading reverse quote (') to escape all special characters that aren't being used as described in this section.


view_name option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
view_name option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Type: integer

Option Default: 1

Specifies whether to use a View Entity's (410) DE number or name when creating layers for view-specific entities.

0 = Uses the View Entity's DE number

1 = Uses the View Entity's name


viewport_frame option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
viewport_frame option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Type: Boolean

Option Default: 0

Specifies the mapping of viewport entity frames.

0 = No mapping

1 = Maps to IGES Simple Closed Curve Entity (106:63)


viewport_layer option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
viewport_layer option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: viewport_layer

Option Type: string

Option Default: none

When no value is specified, the Translator sets the viewport layer name to that of the View Entity (410:0 and 410:1) from which it was mapped. If a value is specified, the Translator creates all Viewport entities on the specified layer.

However, when a layer name is specified, the Translator can't preserve the name of each View Entity mapped. The benefit of a single layer name for Viewport entities comes from the ease with which the viewport frames can be thawed for editing or frozen for plotting.


File Name

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
File Name
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Allows you to specify the name of the IGES file to be created from the currentdrawing. To launch the translation using the default options, click Save.

To specify different options, click the Options button to display the IGESOUT options dialog. . Use the options dialog tabs to navigate to the options you want to change and change them. Once options are selected, return to the IGESOUT dialog and click Save to launch the translation.


View Mapping Options Area

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
View Mapping Options Area
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This area includes information about mapping AutoCAD views.

Map Perspective

Controls the mapping of perspective views and viewports. When this option is enabled, views and viewports are mapped to Perspective View entities (410:1). When disabled (the default), they are mapped to Orthographic Parallel View entities (410:0). Corresponds to perspective views.

Map Named Views

When this option is enabled (the default), the Translator maps named views to independent View entities (410:0 or 410:1). When disabled, the Translator does not map any named views. Corresponds to named views.

Map Tiled Viewports

When this option is enabled, the Translator maps tiled viewports to Independent View entities (410:0 or 410:1). This option, which is disabled by default, corresponds to vport mapping.

It is recommended that you use the sheet.lsptool to convert tiled viewports to paper space entities prior to translation

Map VIEWPORT Frame

When this option is enabled, the Translator maps a viewport object to a Simple Closed Planar Curve (106:63). This option, which is disabled by default, corresponds to viewport frame.

or an explanation of model space, paper space, viewport objects, and tiled viewports, see the AutoCAD Release 14 User's Guide.


View Space (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
View Space (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

IGES coordinate system that lets you define a view coordinate system for each view. The mapping from Model to View is done by applying the transformation matrix attached to the view to the model space data. Plane clipping is done in view coordinates. See also Drawing Space, Definition Space, Model Space, and World Space IGES coordinate systems.


Virtual Memory Issues (IGES Translator tips)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Virtual Memory Issues (IGES Translator tips)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Virtual Memory Issues

If you experience virtual memory problems while performing IGES translations, use one or both of the following two methods for improving system resource utilization during translations: redirecting the storage of temporary files (see Temporary File Redirection) and increasing available virtual memory. This should help keep your IGES translations from running out of space or failing to complete.


VISIBLE (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
VISIBLE (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

VISIBLE

Function

Performs the same function in AutoCAD that the AMVISIBLE/Unhide command does in Mechanical Desktop: it unhides all entities brought into AutoCAD, even if they were hidden in the input IGES file.

Loading VISIBLE

To load VISIBLE for the current session, use the Load Application dialog to load the visible.arx file, usually located in the program files [(x86)]\mdt 2008 directory. You can now use VISIBLE from the Desktop command prompt during this session. If you want VISIBLE to load on start-up, add visible.arx to your desktop.rx file, usually located in program files [(x86)]\mdt 2008\desktop.

Running VISIBLE

At the AutoCAD or Mechanical Desktop command prompt, enter

visible

to unhide all entities in DWG files.


vport_mapping option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
vport_mapping option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: vport_mapping

Option Type: Boolean

Option Default: 0

Specifies whether to map VPORT (tiled viewports) table entries to IGES.

0 = No mapping

1 = Maps to independent View entities (410)


V Line (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
V Line (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

The Mechanical Desktop uses a directional vector called a surface normal to visually indicate the beginning corner of a surface, and also the positive (or outside) direction of the surface. The terms U and V indicate the two parametric directions on a surface. U and V lines are display lines that overlay a surface to help you visualize the size and shape of the surface.


World Space IGES Coordinate Systems (IGES glossary)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
World Space IGES Coordinate Systems (IGES glossary)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

World Space IGES coordinate systems

IGES real-world representation coordinate system, in units as defined by the Units field in the Global section. The mapping from Model to World is the scaling done by applying the Scale factor in the Global section to the model space data. See also Drawing Space, Definition Space, Model Space, and View Space.


xed_option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
xed_option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: xed

Option Type: Boolean

Option Default: 0

Specifies whether to create extended data, which can be used by listde.lsp to identify the IGES DE number from which an entity is mapped. The extended data can also be used by findde.lsp to determine which AutoCAD entity was mapped from a specific IGES entity.

0 = The Translator does not create the extended data

1 = The Translator creates the extended data


xref_mapping option

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
xref_mapping option
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Option Name: xref_mapping

Option Type: integer

Option Default: 1

Specifies the mapping to use for AutoCAD external references.

0 = No mapping

1 = Temporarily binds all external references and maps like inserts and blocks

2 = Maps external references to External Reference Entity (416:1)

3 = Maps external references to External Reference Entity (416:3)

Note Very few IGES post-processors recognize External Reference entities (416). The recommended setting for this option is 1.


Year 2000 Compliance

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Year 2000 Compliance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Year 2000 Compliance

Due to the way the IGES Standard is written, only IGES Version 5.3 files are Year 2000 compliant. Prior to Version 5.3, the IGES Standard specified that dates were to be stored in 2-digit format.


Findde.lsp (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
Findde.lsp (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Finds an AutoCAD entity created from a specified IGES entity as indicated by its DE number. The Attach IGES Trace Information in XED option in the IGESIN Miscellaneous Dialog Box must be set to attach IGES trace information (see xed) when you use IGESIN to create the AutoCAD model.

Syntax

At the Command prompt, enter the following:

(load "findde")

findde

The system will ask you for the DE number of the IGES entity. If it is found, the entity is highlighted on the AutoCAD screen.Otherwise, the message "Not found" is displayed.

In order to see the highlighting, you may need to be in the same viewport and space (model space or paper space) as the entity.


FIX144OT(IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
FIX144OT(IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Fixes improperly set outer boundaries for IGES Trimmed Parametric surfaces

Syntax

At the Command prompt, enter

fix144ot igesfile [outfile]

where igesfile is the name of the IGES file containing incorrect 144s and outfile is the name of the file containing fixed 144s.If you omit [outfile], the original IGES file will be replaced with a corrected file containing reset pointers.

Description

The data for the IGES trimmed surface entity, type 144, contains two potentially conflicting pieces of data:

a flag indicating that the outer boundary is present

a pointer in the 144 to the outer boundary data, which is contained in the IGES Curve on a Parametric Surface entity, type 142.

Occasionally the flag is set (indicating that there is an outer boundary), but no pointer to the actual boundary data is present, or conversely, the flag is not set but there is a pointer present. In cases of conflict between these pieces of data, the IGES Translator's default action is to reset the flag to match the pointer.

You can determine whether the Translator has done this by checking the log file for the following message:

*** Warning (IEVM_BAD_SURF_MISMATCH2_144) ***

(DE 379, TF 144:0) The boundary flag, value 0, indicates the surface

should use its natural boundaries to trim itself, but a trimming

curve pointer exists (Index 4 of Parameter Data).

Action taken: The boundary flag was set to 1.

However, you may encounter files which the reverse should happen--in other words, the pointer should be reset to match the flag.Fix144ot was created to handle these situations.

Examples

fix144ot badtrim.igs goodtrim.igs

This will fix badtrim.igs and turn it into goodtrim.igs.


FIX212 (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
FIX212 (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Fixes improperly sized text in model space by removing the view scale.

Syntax

At the Command prompt, enter

fix212 infile outfile

where infile is the name of the input IGES file and outfile is the name of the fixed file.

Description

This program fixes the size of each General Note Entity (212) found in model space by scaling the text box by 1/Vs, where Vs is the view scale from the view that the entity references. The fix is necessary when the sending system incorrectly sizes the text box with the view scale factor.

This fix was inspired by a file produced by the CALMA V09.00 IGES preprocessor, which apparently produces this incorrect data when the plot scale factor is not 1:1. A similar problem with leader arrowheads from CALMA can be fixed with the FIX214 tool.

For example, if a General Note entity had a text box with size 2.0 by 0.125and the scale of the view referenced by the entity was 0.5. The text box of the fixed General Note will be 4.0 by 0.25.


FIX214 (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
FIX214 (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Fixes improperly sized Leader (Arrow) entities (Type 214) by removing the view scale from the arrowhead's height and width.

Syntax

At the Command prompt, enter

fix214 infile outfile

where infile is the name of the input IGES file and outfile is the name of the fixed file.

Description

This program fixes the size of each Leader (Arrow) Entity (214) found in modelspace by scaling the arrowhead height and width by 1/Vs, where Vs is the view scale from the view that the entity references. The fix is necessary when the sending system incorrectly sizes the arrowhead with the view scalefactor included.

This fix was inspired by a file produced by the CALMA V09.00 IGES preprocessor, which apparently produces this incorrect data when the plot scale factor is not 1:1. A similar problem with text from CALMA can be fixed with the FIX212 tool.

For example, if a Leader (Arrow) Entity had an arrowhead size of 2.0 by 0.125and the scale of the view referenced by the entity was 0.5, then the arrowhead size of the fixed Leader will be 4.0 by 0.25.


FIX304F2 (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
FIX304F2 (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Corrects the visible-blank string in Line Font Definition entities so that the number of bits the hexadecimal string represents matches the number of segments defined.

Syntax

At the Command prompt, enter

fix304f2 infile outfile

where infile is the name of the IGES file containing the incorrect line font definitions and outfile is the name for the fixed file.

Description

IGES files from AutoTrol S5000 have been seen with Line Font Definition entities that have hexadecimal strings that specify more bits than defined segments.

The IGES Specification does not explicitly forbid this inconsistency, but theTranslator does not expect and may not be able to create the appropriatelinetype definition.

Examples

The following IGES file parameter data needs correction.

304,6,1.0D0,.1D0,.075D0,.075D0,.075D0,.075D0,2H55;

The following IGES file parameter data has been corrected by this tool.

304,6,1.,1.,.75,.75,.75,.75,2H2A,0,0;


(delent <group name> <selection set>) (IGES Translator)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
(delent <group name> <selection set>) (IGES Translator)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This function removes all the objects in the selection set from group name. delent ignores nonexistent objects. delent returns the group name on successful operation; it returns nil if it fails. delent focuses only on the main group, and does not try to scan linked groups for objects to remove. For example,

(creategr "All" (ssget "x"))

(creategr "Circles" (ssget "X" (list (cons 0 "CIRCLE"))))

(delent "All" (selectgr "Circles"))

(renamegr "All" "Everything_except_circles")

(freegr "circles")

Here, group All is created containing all objects in the drawing. Then another group called Circles, which contains only the circles, is created. Delent is called to remove group Circles from group All, leaving group All containing everything except the circles. The group is then renamed and the selection set is freed.


FIX304 (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
FIX304 (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Repairs incorrect line font definition entity references in an IGES file by replacing the reference with a specified line font.

Syntax

At the Command prompt, enter

fix304 infile outfile [predefined line font]

where infile is the name of the IGES file containing the incorrect references, outfile is the name of the fixed file, and [predefined line font] is an optional value to be used to replace the incorrect references. The default is 1 (Solid line font).

Description

IGES files from CATIA have been seen with references to Color Definition entities (type 314) where a reference to Line Font Definition entities (type 304)was required.

NoteYou may wish to file a CATIA problem report with Dassault Systems if you find it necessary to use this program.


FIX404 (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
FIX404 (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Fixes incorrect IGES Drawing Entities (404) used as Subfigure Instances (408).

Syntax

At the Command prompt, enter

fix404 infile outfile

where infile is the name of the IGES file containing incorrect drawings and outfile is the name of the fixed file.

Description

At least one IGES translator can write incorrect IGES files containingSubfigure Instances (408) that point to Drawing Entities (404) instead of SubfigureDefinitions (308). The IGES specification clearly forbids this: SubfigureInstances must point to Subfigure Definitions, not drawings. See the description of the Singular Subfigure Instance entity in The Initial Graphics Exchange Specification (IGES) Version 5.3.

IGES files that have this error also often have empty drawings containing no annotation or views. While these drawings are allowed by IGES, they have no real value to the user.

This program corrects both problems. Drawings that are referenced by Subfigure Instances are converted to subfigure definitions. In doing this conversion, only the Annotation entities are retained in the Subfigure Definition; any view pointers in the drawing are lost. After this is done, any remaining Drawing Entities that have neither Views nor Annotation are removed by converting them into null entities (IGES type 0).

This program produces a report that lists which drawings were converted to Subfigure Definitions, and which were deleted.

This program uses temporary disk space to create a working image of the IGES file. You must insure that sufficient temporary space is available before running this program. The space required will be approximately equal to the size of the original IGES file. In addition, space must be available to hold the output file, which will be approximately the same size as the input file. A total of three copies of the IGES file will exist: input, temporary, and output. If insufficient space is available, the program may behave unpredictably.

This program is not designed to detect or correct any problems other than those mentioned in this document. Many minor errors will pass through unchanged, but if the input file has serious syntax errors, behavior may be unpredictable.

If you need to use this program, it is recommended that you report the bug to the source of the incorrect IGES file or to the software company that produced the IGES translator that wrote the incorrect IGES file.

The problem has been observed in files created by the Schlumberger Bravo3Editor using the IGES V5.6 VMS (for Editor V3.6) IGES translator.


FIXFORM (IGES Translator tools)

Bibliography (IGES Translator)
IGES Help
AutoCAD IGES 2010 > IGES Help >
FIXFORM (IGES Translator tools)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Function

Fixes IGES form numbers.

Syntax

At the Command prompt, enter

fixform igesfile [outfile]

where igesfile is the name of the IGES file containing incorrect form numbers and outfile is the name of the file containing fixed form numbers. If you omit [outfile], the original IGES file will be replaced with a corrected file containing fixed form numbers.

Description

A few IGES translators write illegal IGES files containing incorrect form numbers for certain entities. The Translator will issue a warning similar to the following if illegal form numbers are encountered.

*** Warning (IAFP__UNKNOWN_TF) ***

bad.igs, line 1669: Entity type/form is unknown. Property/associativity data will not be processed correctly.

The entity with an illegal form number will not be processed.

In many cases, the FIXFORM program can patch up these illegal IGES files so that they can be read by the Translator. It does this by setting the form number to 0 for the following entity types.

100, 102, 110, 112, 114, 116, 120, 122, 123, 130, 132, 134, 136, 138,

140, 141, 142, 143, 144, 150, 152, 154, 156, 158, 160, 164, 168, 180,

182, 184, 186, 202, 206, 208, 210, 213, 216, 220, 306, 308, 310, 314,

316, 320, 408, 412, 414, 418, 420, 430, 508, 510, 514

These entities must always have their form number set to 0 in order to comply with The Initial Graphics Exchange Specification (IGES) Version 5.3.

It will also set the form number of a 126 or 128 entity to zero, if the entity's original form number was not a legal form number for the entity type.

You can use the IGSCOUNT program to get a count of all type:form combinations in an IGES file. You may use it before and after runningFIXFORM in order to determine how FIXFORM changed the file.

If you need to use FIXFORM in order to read an IGES file, it is recommended that you report the problem to the source of the IGES file.

Examples

fixform badform.igs goodform.igs

This will fix badform.igs and turn it into goodform.igs.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!